#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x33eeef1d, "crypto_alloc_kpp" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d01873e, "_dev_err" },
	{ 0xbac8aeea, "sg_nents_for_len" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xc80f14e8, "atmel_i2c_flush_queue" },
	{ 0x1740dfec, "i2c_del_driver" },
	{ 0x33b866ce, "crypto_ecdh_decode_key" },
	{ 0x94961e20, "kmalloc_caches" },
	{ 0xac5cbf4c, "kmalloc_trace" },
	{ 0xc71ed50c, "atmel_i2c_init_genkey_cmd" },
	{ 0xd4e40315, "atmel_i2c_send_receive" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7fe67b3a, "crypto_unregister_kpp" },
	{ 0xb9ee060d, "_dev_emerg" },
	{ 0xea537a8b, "atmel_i2c_probe" },
	{ 0xf18f1dc3, "crypto_register_kpp" },
	{ 0x90973bef, "_dev_info" },
	{ 0xb6c854bb, "atmel_i2c_init_ecdh_cmd" },
	{ 0x1605b320, "atmel_i2c_enqueue" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xa6cc043a, "i2c_register_driver" },
	{ 0x37a0cba, "kfree" },
	{ 0x19dd276a, "crypto_destroy_tfm" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "atmel-i2c,ecdh_generic");

MODULE_ALIAS("i2c:atecc508a");

MODULE_INFO(srcversion, "B4B6AE8AFA7F2827596D32A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
