#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(xdma_disable_user_irq, "", "");
KSYMTAB_FUNC(xdma_enable_user_irq, "", "");
KSYMTAB_FUNC(xdma_get_user_irq, "", "");

SYMBOL_CRC(xdma_disable_user_irq, 0x9cbe2c9d, "");
SYMBOL_CRC(xdma_enable_user_irq, 0x9baf10a4, "");
SYMBOL_CRC(xdma_get_user_irq, 0xd4f8a30b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf48947db, "pci_bus_type" },
	{ 0x6904f598, "dma_pool_create" },
	{ 0x3fcc56a7, "devm_kmalloc" },
	{ 0x21a26f0a, "vchan_init" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x90973bef, "_dev_info" },
	{ 0xa2dc04b0, "platform_get_resource" },
	{ 0x7908ccc1, "devm_ioremap_resource" },
	{ 0x807b2283, "__devm_regmap_init_mmio_clk" },
	{ 0xbbaa4ce4, "dma_async_device_register" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xdaa2edc9, "platform_driver_unregister" },
	{ 0x94961e20, "kmalloc_caches" },
	{ 0xac5cbf4c, "kmalloc_trace" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x69f9db2f, "dma_async_tx_descriptor_init" },
	{ 0xce46c0e0, "vchan_tx_submit" },
	{ 0x9ba10717, "vchan_tx_desc_free" },
	{ 0x8eb62853, "vchan_find_desc" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x65b45cb, "complete" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1d01873e, "_dev_err" },
	{ 0xfda1893d, "regmap_write" },
	{ 0xba4232b9, "__platform_driver_register" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x893864bf, "dma_async_device_unregister" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xca4985d0, "regmap_read" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xc6cddb92, "vchan_dma_desc_free_list" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "regmap-mmio");


MODULE_INFO(srcversion, "F0C691CF4AB058BF46B5C73");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
