#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_dp_dual_mode_read, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_write, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_detect, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_max_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_get_tmds_output, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_set_tmds_output, "", "");
KSYMTAB_FUNC(drm_dp_get_dual_mode_type_name, "", "");
KSYMTAB_FUNC(drm_lspcon_get_mode, "", "");
KSYMTAB_FUNC(drm_lspcon_set_mode, "", "");
KSYMTAB_FUNC(drm_dp_channel_eq_ok, "", "");
KSYMTAB_FUNC(drm_dp_clock_recovery_ok, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_request_voltage, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_request_pre_emphasis, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_tx_ffe_preset, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_lane_channel_eq_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_lane_symbol_locked, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_eq_interlane_align_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_cds_interlane_align_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_link_training_failed, "", "");
KSYMTAB_FUNC(drm_dp_read_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_read_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_read_aux_rd_interval, "", "");
KSYMTAB_FUNC(drm_dp_link_train_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_link_train_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_phy_name, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_link_train_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_link_train_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_link_rate_to_bw_code, "", "");
KSYMTAB_FUNC(drm_dp_bw_code_to_link_rate, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_probe, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_set_powered, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_write, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read_link_status, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read_phy_link_status, "", "");
KSYMTAB_FUNC(drm_dp_downstream_is_type, "", "");
KSYMTAB_FUNC(drm_dp_downstream_is_tmds, "", "");
KSYMTAB_FUNC(drm_dp_send_real_edid_checksum, "", "");
KSYMTAB_FUNC(drm_dp_read_dpcd_caps, "", "");
KSYMTAB_FUNC(drm_dp_read_downstream_info, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_dotclock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_min_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_bpc, "", "");
KSYMTAB_FUNC(drm_dp_downstream_420_passthrough, "", "");
KSYMTAB_FUNC(drm_dp_downstream_444_to_420_conversion, "", "");
KSYMTAB_FUNC(drm_dp_downstream_rgb_to_ycbcr_conversion, "", "");
KSYMTAB_FUNC(drm_dp_downstream_mode, "", "");
KSYMTAB_FUNC(drm_dp_downstream_id, "", "");
KSYMTAB_FUNC(drm_dp_downstream_debug, "", "");
KSYMTAB_FUNC(drm_dp_subconnector_type, "", "");
KSYMTAB_FUNC(drm_dp_set_subconnector_property, "", "");
KSYMTAB_FUNC(drm_dp_read_sink_count_cap, "", "");
KSYMTAB_FUNC(drm_dp_read_sink_count, "", "");
KSYMTAB_FUNC(drm_dp_remote_aux_init, "", "");
KSYMTAB_FUNC(drm_dp_aux_init, "", "");
KSYMTAB_FUNC(drm_dp_aux_register, "", "");
KSYMTAB_FUNC(drm_dp_aux_unregister, "", "");
KSYMTAB_FUNC(drm_dp_psr_setup_time, "", "");
KSYMTAB_FUNC(drm_dp_start_crc, "", "");
KSYMTAB_FUNC(drm_dp_stop_crc, "", "");
KSYMTAB_FUNC(drm_dp_read_desc, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_bpp_incr, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_max_slice_count, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_line_buf_depth, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_supported_input_bpcs, "", "");
KSYMTAB_FUNC(drm_dp_read_lttpr_common_caps, "", "");
KSYMTAB_FUNC(drm_dp_read_lttpr_phy_caps, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_count, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_max_link_rate, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_max_lane_count, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_voltage_swing_level_3_supported, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_pre_emphasis_level_3_supported, "", "");
KSYMTAB_FUNC(drm_dp_get_phy_test_pattern, "", "");
KSYMTAB_FUNC(drm_dp_set_phy_test_pattern, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_log, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_supported, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_pack, "", "");
KSYMTAB_FUNC(drm_dp_get_pcon_max_frl_bw, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_prepare, "", "");
KSYMTAB_FUNC(drm_dp_pcon_is_frl_ready, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_configure_1, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_configure_2, "", "");
KSYMTAB_FUNC(drm_dp_pcon_reset_frl_config, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_enable, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_link_active, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_link_mode, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_frl_link_error_count, "", "");
KSYMTAB_FUNC(drm_dp_pcon_enc_is_dsc_1_2, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_max_slices, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_max_slice_width, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_bpp_incr, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_default, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_override_buf, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_override_param, "", "");
KSYMTAB_FUNC(drm_dp_pcon_convert_rgb_to_ycbcr, "", "");
KSYMTAB_FUNC(drm_edp_backlight_set_level, "", "");
KSYMTAB_FUNC(drm_edp_backlight_enable, "", "");
KSYMTAB_FUNC(drm_edp_backlight_disable, "", "");
KSYMTAB_FUNC(drm_edp_backlight_init, "", "");
KSYMTAB_FUNC(drm_panel_dp_aux_backlight, "", "");
KSYMTAB_FUNC(drm_dp_bw_overhead, "", "");
KSYMTAB_FUNC(drm_dp_bw_channel_coding_efficiency, "", "");
KSYMTAB_FUNC(drm_dp_max_dprx_data_rate, "", "");
KSYMTAB_FUNC(drm_dp_mst_get_port_malloc, "", "");
KSYMTAB_FUNC(drm_dp_mst_put_port_malloc, "", "");
KSYMTAB_FUNC(drm_atomic_get_mst_payload_state, "", "");
KSYMTAB_FUNC(drm_dp_mst_connector_late_register, "", "");
KSYMTAB_FUNC(drm_dp_mst_connector_early_unregister, "", "");
KSYMTAB_FUNC(drm_dp_send_power_updown_phy, "", "");
KSYMTAB_FUNC(drm_dp_send_query_stream_enc_status, "", "");
KSYMTAB_FUNC(drm_dp_add_payload_part1, "", "");
KSYMTAB_FUNC(drm_dp_remove_payload_part1, "", "");
KSYMTAB_FUNC(drm_dp_remove_payload_part2, "", "");
KSYMTAB_FUNC(drm_dp_add_payload_part2, "", "");
KSYMTAB_FUNC(drm_dp_get_vc_payload_bw, "", "");
KSYMTAB_FUNC(drm_dp_read_mst_cap, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_set_mst, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_suspend, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_resume, "", "");
KSYMTAB_FUNC(drm_dp_mst_hpd_irq_handle_event, "", "");
KSYMTAB_FUNC(drm_dp_mst_hpd_irq_send_new_request, "", "");
KSYMTAB_FUNC(drm_dp_mst_detect_port, "", "");
KSYMTAB_FUNC(drm_dp_mst_edid_read, "", "");
KSYMTAB_FUNC(drm_dp_mst_get_edid, "", "");
KSYMTAB_FUNC(drm_dp_atomic_find_time_slots, "", "");
KSYMTAB_FUNC(drm_dp_atomic_release_time_slots, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_setup_commit, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_dp_mst_root_conn_atomic_check, "", "");
KSYMTAB_FUNC(drm_dp_mst_update_slots, "", "");
KSYMTAB_FUNC(drm_dp_check_act_status, "", "");
KSYMTAB_FUNC(drm_dp_calc_pbn_mode, "", "");
KSYMTAB_FUNC(drm_dp_mst_dump_topology, "", "");
KSYMTAB_FUNC(drm_dp_mst_port_downstream_of_parent, "", "");
KSYMTAB_FUNC(drm_dp_mst_add_affected_dsc_crtcs, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_enable_dsc, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_check_mgr, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_check, "", "");
KSYMTAB_DATA(drm_dp_mst_topology_state_funcs, "", "");
KSYMTAB_FUNC(drm_atomic_get_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_init, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_destroy, "", "");
KSYMTAB_FUNC(drm_dp_mst_dsc_aux_for_port, "", "");
KSYMTAB_FUNC(drm_dsc_dp_pps_header_init, "", "");
KSYMTAB_FUNC(drm_dsc_dp_rc_buffer_size, "", "");
KSYMTAB_FUNC(drm_dsc_pps_payload_pack, "", "");
KSYMTAB_FUNC(drm_dsc_set_const_params, "", "");
KSYMTAB_FUNC(drm_dsc_set_rc_buf_thresh, "", "");
KSYMTAB_FUNC(drm_dsc_setup_rc_params, "", "");
KSYMTAB_FUNC(drm_dsc_compute_rc_parameters, "", "");
KSYMTAB_FUNC(drm_dsc_get_bpp_int, "", "");
KSYMTAB_FUNC(drm_dsc_initial_scale_value, "", "");
KSYMTAB_FUNC(drm_dsc_flatness_det_thresh, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_name, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_get, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_put, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_set_io_error, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_detect, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_destroy, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_enable_bw_alloc, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_disable_bw_alloc, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_bw_alloc_is_enabled, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_alloc_bw, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_get_allocated_bw, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_update_state, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_handle_irq, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_max_dprx_rate, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_max_dprx_lane_count, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_available_bw, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_atomic_get_state, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_atomic_get_old_state, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_atomic_get_new_state, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_atomic_set_stream_bw, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_atomic_get_required_bw, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_atomic_get_group_streams_in_state, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_atomic_check_stream_bws, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_mgr_create, "", "");
KSYMTAB_FUNC(drm_dp_tunnel_mgr_destroy, "", "");
KSYMTAB_FUNC(drm_hdcp_check_ksvs_revoked, "_gpl", "");
KSYMTAB_FUNC(drm_connector_attach_content_protection_property, "", "");
KSYMTAB_FUNC(drm_hdcp_update_content_protection, "", "");
KSYMTAB_FUNC(drm_hdmi_infoframe_set_hdr_metadata, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_colorimetry, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_bars, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_content_type, "", "");
KSYMTAB_FUNC(drm_scdc_read, "", "");
KSYMTAB_FUNC(drm_scdc_write, "", "");
KSYMTAB_FUNC(drm_scdc_get_scrambling_status, "", "");
KSYMTAB_FUNC(drm_scdc_set_scrambling, "", "");
KSYMTAB_FUNC(drm_scdc_set_high_tmds_clock_ratio, "", "");
KSYMTAB_FUNC(drm_dp_cec_irq, "", "");
KSYMTAB_FUNC(drm_dp_cec_attach, "", "");
KSYMTAB_FUNC(drm_dp_cec_set_edid, "", "");
KSYMTAB_FUNC(drm_dp_cec_unset_edid, "", "");
KSYMTAB_FUNC(drm_dp_cec_register_connector, "", "");
KSYMTAB_FUNC(drm_dp_cec_unregister_connector, "", "");

SYMBOL_CRC(drm_dp_dual_mode_read, 0xb594c015, "");
SYMBOL_CRC(drm_dp_dual_mode_write, 0xbc0a2ca8, "");
SYMBOL_CRC(drm_dp_dual_mode_detect, 0xa0ffc611, "");
SYMBOL_CRC(drm_dp_dual_mode_max_tmds_clock, 0x84c4ee9e, "");
SYMBOL_CRC(drm_dp_dual_mode_get_tmds_output, 0x570ef15f, "");
SYMBOL_CRC(drm_dp_dual_mode_set_tmds_output, 0x89211d72, "");
SYMBOL_CRC(drm_dp_get_dual_mode_type_name, 0x5407ae9e, "");
SYMBOL_CRC(drm_lspcon_get_mode, 0x3770fb3a, "");
SYMBOL_CRC(drm_lspcon_set_mode, 0x9bacabc1, "");
SYMBOL_CRC(drm_dp_channel_eq_ok, 0xedcf81ce, "");
SYMBOL_CRC(drm_dp_clock_recovery_ok, 0x8d701329, "");
SYMBOL_CRC(drm_dp_get_adjust_request_voltage, 0xc5c99a79, "");
SYMBOL_CRC(drm_dp_get_adjust_request_pre_emphasis, 0x582f248e, "");
SYMBOL_CRC(drm_dp_get_adjust_tx_ffe_preset, 0xccf54d5e, "");
SYMBOL_CRC(drm_dp_128b132b_lane_channel_eq_done, 0xc8b6a8ae, "");
SYMBOL_CRC(drm_dp_128b132b_lane_symbol_locked, 0xd5a95eae, "");
SYMBOL_CRC(drm_dp_128b132b_eq_interlane_align_done, 0x6a4df8c5, "");
SYMBOL_CRC(drm_dp_128b132b_cds_interlane_align_done, 0x92b9835e, "");
SYMBOL_CRC(drm_dp_128b132b_link_training_failed, 0x6aacee47, "");
SYMBOL_CRC(drm_dp_read_clock_recovery_delay, 0x32e3d062, "");
SYMBOL_CRC(drm_dp_read_channel_eq_delay, 0x11c6a606, "");
SYMBOL_CRC(drm_dp_128b132b_read_aux_rd_interval, 0x03f0d1b5, "");
SYMBOL_CRC(drm_dp_link_train_clock_recovery_delay, 0xad42fc9b, "");
SYMBOL_CRC(drm_dp_link_train_channel_eq_delay, 0xaf117a84, "");
SYMBOL_CRC(drm_dp_phy_name, 0x5a86f411, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_clock_recovery_delay, 0x1709ddcf, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_channel_eq_delay, 0xb0f2d317, "");
SYMBOL_CRC(drm_dp_link_rate_to_bw_code, 0x26815dbc, "");
SYMBOL_CRC(drm_dp_bw_code_to_link_rate, 0x73011db0, "");
SYMBOL_CRC(drm_dp_dpcd_probe, 0x85c29a6c, "");
SYMBOL_CRC(drm_dp_dpcd_set_powered, 0xcddbe7c1, "");
SYMBOL_CRC(drm_dp_dpcd_read, 0x4e259ee3, "");
SYMBOL_CRC(drm_dp_dpcd_write, 0x2da3b593, "");
SYMBOL_CRC(drm_dp_dpcd_read_link_status, 0xd1266dd3, "");
SYMBOL_CRC(drm_dp_dpcd_read_phy_link_status, 0x3a153554, "");
SYMBOL_CRC(drm_dp_downstream_is_type, 0xc79ecffb, "");
SYMBOL_CRC(drm_dp_downstream_is_tmds, 0x10beff8d, "");
SYMBOL_CRC(drm_dp_send_real_edid_checksum, 0x6d679e57, "");
SYMBOL_CRC(drm_dp_read_dpcd_caps, 0x86038d22, "");
SYMBOL_CRC(drm_dp_read_downstream_info, 0x053f434e, "");
SYMBOL_CRC(drm_dp_downstream_max_dotclock, 0x392a838b, "");
SYMBOL_CRC(drm_dp_downstream_max_tmds_clock, 0x58b909f2, "");
SYMBOL_CRC(drm_dp_downstream_min_tmds_clock, 0x4dd8bc97, "");
SYMBOL_CRC(drm_dp_downstream_max_bpc, 0xe53574d3, "");
SYMBOL_CRC(drm_dp_downstream_420_passthrough, 0xf689ad25, "");
SYMBOL_CRC(drm_dp_downstream_444_to_420_conversion, 0x2fa94ef2, "");
SYMBOL_CRC(drm_dp_downstream_rgb_to_ycbcr_conversion, 0xfb1a7a5a, "");
SYMBOL_CRC(drm_dp_downstream_mode, 0x89ab2fea, "");
SYMBOL_CRC(drm_dp_downstream_id, 0x5eeec1a6, "");
SYMBOL_CRC(drm_dp_downstream_debug, 0xeb462464, "");
SYMBOL_CRC(drm_dp_subconnector_type, 0xf68741fb, "");
SYMBOL_CRC(drm_dp_set_subconnector_property, 0x9eac037a, "");
SYMBOL_CRC(drm_dp_read_sink_count_cap, 0xbe970f0a, "");
SYMBOL_CRC(drm_dp_read_sink_count, 0x30ffb636, "");
SYMBOL_CRC(drm_dp_remote_aux_init, 0x1d5a5c2a, "");
SYMBOL_CRC(drm_dp_aux_init, 0x249b0317, "");
SYMBOL_CRC(drm_dp_aux_register, 0x9ff6be72, "");
SYMBOL_CRC(drm_dp_aux_unregister, 0xbb918d5c, "");
SYMBOL_CRC(drm_dp_psr_setup_time, 0xa1fefe6a, "");
SYMBOL_CRC(drm_dp_start_crc, 0xb901a176, "");
SYMBOL_CRC(drm_dp_stop_crc, 0x5cba05c3, "");
SYMBOL_CRC(drm_dp_read_desc, 0x4267d24b, "");
SYMBOL_CRC(drm_dp_dsc_sink_bpp_incr, 0xf48bbedf, "");
SYMBOL_CRC(drm_dp_dsc_sink_max_slice_count, 0x829b6048, "");
SYMBOL_CRC(drm_dp_dsc_sink_line_buf_depth, 0x56a663e9, "");
SYMBOL_CRC(drm_dp_dsc_sink_supported_input_bpcs, 0xa843606e, "");
SYMBOL_CRC(drm_dp_read_lttpr_common_caps, 0xceea4d49, "");
SYMBOL_CRC(drm_dp_read_lttpr_phy_caps, 0x122441e3, "");
SYMBOL_CRC(drm_dp_lttpr_count, 0xaf267620, "");
SYMBOL_CRC(drm_dp_lttpr_max_link_rate, 0x01c4bba9, "");
SYMBOL_CRC(drm_dp_lttpr_max_lane_count, 0x1605d0ed, "");
SYMBOL_CRC(drm_dp_lttpr_voltage_swing_level_3_supported, 0x1b0a1fdc, "");
SYMBOL_CRC(drm_dp_lttpr_pre_emphasis_level_3_supported, 0x76ff6644, "");
SYMBOL_CRC(drm_dp_get_phy_test_pattern, 0x46372f2f, "");
SYMBOL_CRC(drm_dp_set_phy_test_pattern, 0xb1047161, "");
SYMBOL_CRC(drm_dp_vsc_sdp_log, 0xb0846525, "");
SYMBOL_CRC(drm_dp_vsc_sdp_supported, 0x85571ff3, "");
SYMBOL_CRC(drm_dp_vsc_sdp_pack, 0xb9234c4d, "");
SYMBOL_CRC(drm_dp_get_pcon_max_frl_bw, 0x7053fa72, "");
SYMBOL_CRC(drm_dp_pcon_frl_prepare, 0x8a005536, "");
SYMBOL_CRC(drm_dp_pcon_is_frl_ready, 0xa07ebc38, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_1, 0x6835acb8, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_2, 0xd4b1f223, "");
SYMBOL_CRC(drm_dp_pcon_reset_frl_config, 0xbda2a99a, "");
SYMBOL_CRC(drm_dp_pcon_frl_enable, 0xabfeefdf, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_active, 0x3cb49ba6, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_mode, 0x04c74ebb, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_frl_link_error_count, 0x0dfc2255, "");
SYMBOL_CRC(drm_dp_pcon_enc_is_dsc_1_2, 0x59f27ed7, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slices, 0xe5360b84, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slice_width, 0xc020c0c1, "");
SYMBOL_CRC(drm_dp_pcon_dsc_bpp_incr, 0x4603c416, "");
SYMBOL_CRC(drm_dp_pcon_pps_default, 0x757de2a4, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_buf, 0x8687fe21, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_param, 0xc069f218, "");
SYMBOL_CRC(drm_dp_pcon_convert_rgb_to_ycbcr, 0x7cdf63bf, "");
SYMBOL_CRC(drm_edp_backlight_set_level, 0x2dc77dae, "");
SYMBOL_CRC(drm_edp_backlight_enable, 0xfc5b1be1, "");
SYMBOL_CRC(drm_edp_backlight_disable, 0x4701ebca, "");
SYMBOL_CRC(drm_edp_backlight_init, 0x4640b5d5, "");
SYMBOL_CRC(drm_panel_dp_aux_backlight, 0xd1852a0f, "");
SYMBOL_CRC(drm_dp_bw_overhead, 0x3dc887bf, "");
SYMBOL_CRC(drm_dp_bw_channel_coding_efficiency, 0x0504c682, "");
SYMBOL_CRC(drm_dp_max_dprx_data_rate, 0x0f6b8a63, "");
SYMBOL_CRC(drm_dp_mst_get_port_malloc, 0x394f4a55, "");
SYMBOL_CRC(drm_dp_mst_put_port_malloc, 0x7194b3e9, "");
SYMBOL_CRC(drm_atomic_get_mst_payload_state, 0x40c4b64e, "");
SYMBOL_CRC(drm_dp_mst_connector_late_register, 0x19812623, "");
SYMBOL_CRC(drm_dp_mst_connector_early_unregister, 0xb7af51e1, "");
SYMBOL_CRC(drm_dp_send_power_updown_phy, 0x12168170, "");
SYMBOL_CRC(drm_dp_send_query_stream_enc_status, 0xaa1de813, "");
SYMBOL_CRC(drm_dp_add_payload_part1, 0x08010732, "");
SYMBOL_CRC(drm_dp_remove_payload_part1, 0x80b69e97, "");
SYMBOL_CRC(drm_dp_remove_payload_part2, 0xc3b0ad13, "");
SYMBOL_CRC(drm_dp_add_payload_part2, 0x54afe912, "");
SYMBOL_CRC(drm_dp_get_vc_payload_bw, 0xe604a797, "");
SYMBOL_CRC(drm_dp_read_mst_cap, 0x46cb33f9, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_set_mst, 0x0ec66ba4, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_suspend, 0xb00bd2fc, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_resume, 0x3e68b660, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_handle_event, 0x638c58c0, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_send_new_request, 0xc2c410f7, "");
SYMBOL_CRC(drm_dp_mst_detect_port, 0x92306ecd, "");
SYMBOL_CRC(drm_dp_mst_edid_read, 0xc2b61629, "");
SYMBOL_CRC(drm_dp_mst_get_edid, 0x6ded3abd, "");
SYMBOL_CRC(drm_dp_atomic_find_time_slots, 0xc228d4e6, "");
SYMBOL_CRC(drm_dp_atomic_release_time_slots, 0x7af62057, "");
SYMBOL_CRC(drm_dp_mst_atomic_setup_commit, 0xcae1671c, "");
SYMBOL_CRC(drm_dp_mst_atomic_wait_for_dependencies, 0x47efa426, "");
SYMBOL_CRC(drm_dp_mst_root_conn_atomic_check, 0x7db4472b, "");
SYMBOL_CRC(drm_dp_mst_update_slots, 0xc5176cde, "");
SYMBOL_CRC(drm_dp_check_act_status, 0xb7eb0d01, "");
SYMBOL_CRC(drm_dp_calc_pbn_mode, 0xa47826e4, "");
SYMBOL_CRC(drm_dp_mst_dump_topology, 0xb4957158, "");
SYMBOL_CRC(drm_dp_mst_port_downstream_of_parent, 0xd26a2211, "");
SYMBOL_CRC(drm_dp_mst_add_affected_dsc_crtcs, 0x7ff5239d, "");
SYMBOL_CRC(drm_dp_mst_atomic_enable_dsc, 0xedd0b1b2, "");
SYMBOL_CRC(drm_dp_mst_atomic_check_mgr, 0x92144dc0, "");
SYMBOL_CRC(drm_dp_mst_atomic_check, 0xc8fb0b5f, "");
SYMBOL_CRC(drm_dp_mst_topology_state_funcs, 0x47d437ee, "");
SYMBOL_CRC(drm_atomic_get_mst_topology_state, 0xaedb958a, "");
SYMBOL_CRC(drm_atomic_get_old_mst_topology_state, 0x85c58a06, "");
SYMBOL_CRC(drm_atomic_get_new_mst_topology_state, 0x79e1535f, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_init, 0x10832293, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_destroy, 0xa89813fb, "");
SYMBOL_CRC(drm_dp_mst_dsc_aux_for_port, 0xd4d08b4b, "");
SYMBOL_CRC(drm_dsc_dp_pps_header_init, 0x648d953b, "");
SYMBOL_CRC(drm_dsc_dp_rc_buffer_size, 0x1a5bf3ca, "");
SYMBOL_CRC(drm_dsc_pps_payload_pack, 0x58d8fcaa, "");
SYMBOL_CRC(drm_dsc_set_const_params, 0x627ba04b, "");
SYMBOL_CRC(drm_dsc_set_rc_buf_thresh, 0x24ada755, "");
SYMBOL_CRC(drm_dsc_setup_rc_params, 0x79008c7e, "");
SYMBOL_CRC(drm_dsc_compute_rc_parameters, 0xfe12bcb9, "");
SYMBOL_CRC(drm_dsc_get_bpp_int, 0xd0e95456, "");
SYMBOL_CRC(drm_dsc_initial_scale_value, 0x95883bb4, "");
SYMBOL_CRC(drm_dsc_flatness_det_thresh, 0xe2468a48, "");
SYMBOL_CRC(drm_dp_tunnel_name, 0x4dcbe65a, "");
SYMBOL_CRC(drm_dp_tunnel_get, 0x2251bc99, "");
SYMBOL_CRC(drm_dp_tunnel_put, 0x64ed053c, "");
SYMBOL_CRC(drm_dp_tunnel_set_io_error, 0x59fd5d64, "");
SYMBOL_CRC(drm_dp_tunnel_detect, 0x1cbcb245, "");
SYMBOL_CRC(drm_dp_tunnel_destroy, 0xc3e313ce, "");
SYMBOL_CRC(drm_dp_tunnel_enable_bw_alloc, 0x9b94e482, "");
SYMBOL_CRC(drm_dp_tunnel_disable_bw_alloc, 0x33dc9f9e, "");
SYMBOL_CRC(drm_dp_tunnel_bw_alloc_is_enabled, 0x12a7a127, "");
SYMBOL_CRC(drm_dp_tunnel_alloc_bw, 0xe23ec5be, "");
SYMBOL_CRC(drm_dp_tunnel_get_allocated_bw, 0x2be568a2, "");
SYMBOL_CRC(drm_dp_tunnel_update_state, 0x12c52ff9, "");
SYMBOL_CRC(drm_dp_tunnel_handle_irq, 0x4016db0b, "");
SYMBOL_CRC(drm_dp_tunnel_max_dprx_rate, 0xe239de10, "");
SYMBOL_CRC(drm_dp_tunnel_max_dprx_lane_count, 0x848588fb, "");
SYMBOL_CRC(drm_dp_tunnel_available_bw, 0x5a08e995, "");
SYMBOL_CRC(drm_dp_tunnel_atomic_get_state, 0xa57169dc, "");
SYMBOL_CRC(drm_dp_tunnel_atomic_get_old_state, 0x50825b9c, "");
SYMBOL_CRC(drm_dp_tunnel_atomic_get_new_state, 0xa476be82, "");
SYMBOL_CRC(drm_dp_tunnel_atomic_set_stream_bw, 0x565f2539, "");
SYMBOL_CRC(drm_dp_tunnel_atomic_get_required_bw, 0xf0022b0c, "");
SYMBOL_CRC(drm_dp_tunnel_atomic_get_group_streams_in_state, 0xa153c61f, "");
SYMBOL_CRC(drm_dp_tunnel_atomic_check_stream_bws, 0x98cbd8a7, "");
SYMBOL_CRC(drm_dp_tunnel_mgr_create, 0xc8c6030f, "");
SYMBOL_CRC(drm_dp_tunnel_mgr_destroy, 0xf792853b, "");
SYMBOL_CRC(drm_hdcp_check_ksvs_revoked, 0x35f1130f, "_gpl");
SYMBOL_CRC(drm_connector_attach_content_protection_property, 0x5cbf1f14, "");
SYMBOL_CRC(drm_hdcp_update_content_protection, 0x6ff6abe1, "");
SYMBOL_CRC(drm_hdmi_infoframe_set_hdr_metadata, 0xec2a3faf, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_colorimetry, 0xd7986d04, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_bars, 0xea3e5aad, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_content_type, 0x0ac51f66, "");
SYMBOL_CRC(drm_scdc_read, 0xdf0b667c, "");
SYMBOL_CRC(drm_scdc_write, 0x4b63f9f8, "");
SYMBOL_CRC(drm_scdc_get_scrambling_status, 0xbb0e2ec2, "");
SYMBOL_CRC(drm_scdc_set_scrambling, 0x1be2e97f, "");
SYMBOL_CRC(drm_scdc_set_high_tmds_clock_ratio, 0xf5e515e8, "");
SYMBOL_CRC(drm_dp_cec_irq, 0x79ca3a15, "");
SYMBOL_CRC(drm_dp_cec_attach, 0x7c8e5afc, "");
SYMBOL_CRC(drm_dp_cec_set_edid, 0x6dc7a6df, "");
SYMBOL_CRC(drm_dp_cec_unset_edid, 0x40ce7b2b, "");
SYMBOL_CRC(drm_dp_cec_register_connector, 0x37a31295, "");
SYMBOL_CRC(drm_dp_cec_unregister_connector, 0x13151980, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x528d158c, "dev_driver_string" },
	{ 0xdd98f49, "request_firmware_direct" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x69353664, "__drm_debug" },
	{ 0x1025a0ff, "__drm_atomic_helper_private_obj_duplicate_state" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6fc5409f, "drm_atomic_private_obj_fini" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0x9af842d, "idr_get_next" },
	{ 0xb7805bf0, "const_pcpu_hot" },
	{ 0x65950703, "drm_property_create_enum" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0xe36f6216, "drm_dev_printk" },
	{ 0x88abceda, "i2c_del_adapter" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x3be2539f, "__var_waitqueue" },
	{ 0xfa23538b, "drm_atomic_get_crtc_state" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x34cbcdb2, "drm_crtc_wait_one_vblank" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0xc2b46796, "drm_modeset_lock" },
	{ 0x38cc4641, "drm_modeset_unlock" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1d01873e, "_dev_err" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0x3567a1ab, "device_create" },
	{ 0xd7f82103, "class_create" },
	{ 0x34d0954b, "drm_modeset_lock_single_interruptible" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xdebb7afe, "fixed_size_llseek" },
	{ 0x7c34477b, "mutex_is_locked" },
	{ 0x68ef766f, "drm_crtc_commit_wait" },
	{ 0xfeea320e, "drm_atomic_get_new_private_obj_state" },
	{ 0xb212dc3e, "drm_edid_dup" },
	{ 0x63367de, "cec_unregister_adapter" },
	{ 0x4d7edbdd, "drm_object_attach_property" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xea593f6, "hdmi_drm_infoframe_init" },
	{ 0x7f9b7019, "drm_atomic_get_old_private_obj_state" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xba338fb3, "__drm_dev_dbg" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xbe4de675, "cec_get_edid_phys_addr" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x5f3e2dd3, "drm_edid_raw" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x916b92be, "mutex_trylock" },
	{ 0x9138dfc6, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4f1943c4, "cec_allocate_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd73c9290, "drm_object_property_set_value" },
	{ 0xd2d42a9f, "drm_printf" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x6c7320b7, "drm_kms_helper_hotplug_event" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x275fcb84, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x38ee439d, "device_destroy" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x89f09e18, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xdf7c253f, "_copy_from_iter" },
	{ 0xceb6f11d, "i2c_transfer" },
	{ 0x697a8cbb, "drm_display_mode_from_cea_vic" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x350e1a93, "remove_wait_queue" },
	{ 0x6fcea3ec, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb9139fb4, "cec_fill_conn_info_from_drm" },
	{ 0x97cb0bab, "drm_sysfs_connector_property_event" },
	{ 0xac5cbf4c, "kmalloc_trace" },
	{ 0x306f0be7, "cec_received_msg_ts" },
	{ 0x71e2ea45, "param_ops_int" },
	{ 0x140cd23b, "iov_iter_revert" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x24c53765, "devm_backlight_device_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x94961e20, "kmalloc_caches" },
	{ 0xc88198cd, "drm_atomic_get_connector_state" },
	{ 0x8618e5a, "drm_edid_get_monitor_name" },
	{ 0x96a21bb, "drm_edid_read_ddc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x1bc5db00, "cec_register_adapter" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x2464363e, "drm_crtc_add_crc_entry" },
	{ 0x7b322c07, "cec_delete_adapter" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xc5326b5a, "_copy_to_iter" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xdfb800d9, "idr_find" },
	{ 0x8b73175f, "drm_connector_register" },
	{ 0xcd0f604d, "cec_transmit_attempt_done_ts" },
	{ 0x180a647c, "param_ops_uint" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x3fcc56a7, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x5dc6ca16, "drm_atomic_get_private_obj_state" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1ab5d60a, "__drm_printfn_dbg" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xbdce95cb, "drm_atomic_private_obj_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x9dbe1cd0, "class_destroy" },
	{ 0xb4a93e8d, "cec_s_phys_addr" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0x2fa80275, "cec_s_conn_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x57e6f878, "drm_edid_duplicate" },
	{ 0xcb39ef5, "add_wait_queue" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xa402e45f, "drm_connector_unregister" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x10c369e8, "drm_mode_object_put" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "cec");


MODULE_INFO(srcversion, "B747C053E1984C16BCD16C0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
