#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ttm_tt_init, "", "");
KSYMTAB_FUNC(ttm_tt_fini, "", "");
KSYMTAB_FUNC(ttm_sg_tt_init, "", "");
KSYMTAB_FUNC(ttm_tt_populate, "", "");
KSYMTAB_FUNC(ttm_kmap_iter_tt_init, "", "");
KSYMTAB_FUNC(ttm_tt_pages_limit, "", "");
KSYMTAB_FUNC(ttm_bo_move_to_lru_tail, "", "");
KSYMTAB_FUNC(ttm_bo_set_bulk_move, "", "");
KSYMTAB_FUNC(ttm_bo_put, "", "");
KSYMTAB_FUNC(ttm_bo_eviction_valuable, "", "");
KSYMTAB_FUNC(ttm_bo_pin, "", "");
KSYMTAB_FUNC(ttm_bo_unpin, "", "");
KSYMTAB_FUNC(ttm_bo_mem_space, "", "");
KSYMTAB_FUNC(ttm_bo_validate, "", "");
KSYMTAB_FUNC(ttm_bo_init_reserved, "", "");
KSYMTAB_FUNC(ttm_bo_init_validate, "", "");
KSYMTAB_FUNC(ttm_bo_unmap_virtual, "", "");
KSYMTAB_FUNC(ttm_bo_wait_ctx, "", "");
KSYMTAB_FUNC(ttm_move_memcpy, "", "");
KSYMTAB_FUNC(ttm_bo_move_memcpy, "", "");
KSYMTAB_FUNC(ttm_io_prot, "", "");
KSYMTAB_FUNC(ttm_bo_kmap, "", "");
KSYMTAB_FUNC(ttm_bo_kunmap, "", "");
KSYMTAB_FUNC(ttm_bo_vmap, "", "");
KSYMTAB_FUNC(ttm_bo_vunmap, "", "");
KSYMTAB_FUNC(ttm_bo_move_accel_cleanup, "", "");
KSYMTAB_FUNC(ttm_bo_move_sync_cleanup, "", "");
KSYMTAB_FUNC(ttm_bo_vm_reserve, "", "");
KSYMTAB_FUNC(ttm_bo_vm_fault_reserved, "", "");
KSYMTAB_FUNC(ttm_bo_vm_dummy_page, "", "");
KSYMTAB_FUNC(ttm_bo_vm_fault, "", "");
KSYMTAB_FUNC(ttm_bo_vm_open, "", "");
KSYMTAB_FUNC(ttm_bo_vm_close, "", "");
KSYMTAB_FUNC(ttm_bo_vm_access, "", "");
KSYMTAB_FUNC(ttm_bo_mmap_obj, "", "");
KSYMTAB_FUNC(ttm_eu_backoff_reservation, "", "");
KSYMTAB_FUNC(ttm_eu_reserve_buffers, "", "");
KSYMTAB_FUNC(ttm_eu_fence_buffer_objects, "", "");
KSYMTAB_FUNC(ttm_range_man_init_nocheck, "", "");
KSYMTAB_FUNC(ttm_range_man_fini_nocheck, "", "");
KSYMTAB_FUNC(ttm_lru_bulk_move_init, "", "");
KSYMTAB_FUNC(ttm_lru_bulk_move_tail, "", "");
KSYMTAB_FUNC(ttm_resource_init, "", "");
KSYMTAB_FUNC(ttm_resource_fini, "", "");
KSYMTAB_FUNC(ttm_resource_free, "", "");
KSYMTAB_FUNC(ttm_resource_manager_init, "", "");
KSYMTAB_FUNC(ttm_resource_manager_evict_all, "", "");
KSYMTAB_FUNC(ttm_resource_manager_usage, "", "");
KSYMTAB_FUNC(ttm_resource_manager_debug, "", "");
KSYMTAB_FUNC(ttm_kmap_iter_iomap_init, "", "");
KSYMTAB_FUNC(ttm_resource_manager_create_debugfs, "", "");
KSYMTAB_FUNC(ttm_pool_alloc, "", "");
KSYMTAB_FUNC(ttm_pool_free, "", "");
KSYMTAB_FUNC(ttm_pool_init, "", "");
KSYMTAB_FUNC(ttm_pool_fini, "", "");
KSYMTAB_FUNC(ttm_pool_debugfs, "", "");
KSYMTAB_DATA(ttm_glob, "", "");
KSYMTAB_FUNC(ttm_device_swapout, "", "");
KSYMTAB_FUNC(ttm_device_init, "", "");
KSYMTAB_FUNC(ttm_device_fini, "", "");
KSYMTAB_FUNC(ttm_device_clear_dma_mappings, "", "");
KSYMTAB_FUNC(ttm_agp_bind, "", "");
KSYMTAB_FUNC(ttm_agp_unbind, "", "");
KSYMTAB_FUNC(ttm_agp_is_bound, "", "");
KSYMTAB_FUNC(ttm_agp_destroy, "", "");
KSYMTAB_FUNC(ttm_agp_tt_create, "", "");

SYMBOL_CRC(ttm_tt_init, 0xc9e2b89c, "");
SYMBOL_CRC(ttm_tt_fini, 0x2b800399, "");
SYMBOL_CRC(ttm_sg_tt_init, 0x19b24534, "");
SYMBOL_CRC(ttm_tt_populate, 0x9eb337af, "");
SYMBOL_CRC(ttm_kmap_iter_tt_init, 0x0fb8b6cf, "");
SYMBOL_CRC(ttm_tt_pages_limit, 0x69cc2943, "");
SYMBOL_CRC(ttm_bo_move_to_lru_tail, 0x7b45cbdc, "");
SYMBOL_CRC(ttm_bo_set_bulk_move, 0xda93d0d5, "");
SYMBOL_CRC(ttm_bo_put, 0xa352e91b, "");
SYMBOL_CRC(ttm_bo_eviction_valuable, 0x7151e30f, "");
SYMBOL_CRC(ttm_bo_pin, 0x76085c87, "");
SYMBOL_CRC(ttm_bo_unpin, 0xd9c6d5e5, "");
SYMBOL_CRC(ttm_bo_mem_space, 0x91af92c9, "");
SYMBOL_CRC(ttm_bo_validate, 0xe0b926dd, "");
SYMBOL_CRC(ttm_bo_init_reserved, 0x42861cb4, "");
SYMBOL_CRC(ttm_bo_init_validate, 0xae20642e, "");
SYMBOL_CRC(ttm_bo_unmap_virtual, 0xea9ae81f, "");
SYMBOL_CRC(ttm_bo_wait_ctx, 0xcb0242fe, "");
SYMBOL_CRC(ttm_move_memcpy, 0x1a71d30c, "");
SYMBOL_CRC(ttm_bo_move_memcpy, 0x470db573, "");
SYMBOL_CRC(ttm_io_prot, 0x28ad787b, "");
SYMBOL_CRC(ttm_bo_kmap, 0x06ba2662, "");
SYMBOL_CRC(ttm_bo_kunmap, 0xd345ade2, "");
SYMBOL_CRC(ttm_bo_vmap, 0xc14104b0, "");
SYMBOL_CRC(ttm_bo_vunmap, 0xacfbbcdb, "");
SYMBOL_CRC(ttm_bo_move_accel_cleanup, 0xa2e888b3, "");
SYMBOL_CRC(ttm_bo_move_sync_cleanup, 0xefd6e387, "");
SYMBOL_CRC(ttm_bo_vm_reserve, 0xcd6aca6b, "");
SYMBOL_CRC(ttm_bo_vm_fault_reserved, 0x72ec69a9, "");
SYMBOL_CRC(ttm_bo_vm_dummy_page, 0x4898c169, "");
SYMBOL_CRC(ttm_bo_vm_fault, 0x4aaa4dd5, "");
SYMBOL_CRC(ttm_bo_vm_open, 0xd35a8594, "");
SYMBOL_CRC(ttm_bo_vm_close, 0x32dba1c6, "");
SYMBOL_CRC(ttm_bo_vm_access, 0xd6595e3f, "");
SYMBOL_CRC(ttm_bo_mmap_obj, 0xe097077b, "");
SYMBOL_CRC(ttm_eu_backoff_reservation, 0xdce362e9, "");
SYMBOL_CRC(ttm_eu_reserve_buffers, 0x864c7aea, "");
SYMBOL_CRC(ttm_eu_fence_buffer_objects, 0xc872f114, "");
SYMBOL_CRC(ttm_range_man_init_nocheck, 0x89bf27be, "");
SYMBOL_CRC(ttm_range_man_fini_nocheck, 0x555c0a1e, "");
SYMBOL_CRC(ttm_lru_bulk_move_init, 0xdbb559c9, "");
SYMBOL_CRC(ttm_lru_bulk_move_tail, 0x461f20c5, "");
SYMBOL_CRC(ttm_resource_init, 0x8a7d2e13, "");
SYMBOL_CRC(ttm_resource_fini, 0x0edb8ae0, "");
SYMBOL_CRC(ttm_resource_free, 0x9b592027, "");
SYMBOL_CRC(ttm_resource_manager_init, 0xe667a85f, "");
SYMBOL_CRC(ttm_resource_manager_evict_all, 0xc415f184, "");
SYMBOL_CRC(ttm_resource_manager_usage, 0xaa976159, "");
SYMBOL_CRC(ttm_resource_manager_debug, 0x867dab41, "");
SYMBOL_CRC(ttm_kmap_iter_iomap_init, 0x6a847134, "");
SYMBOL_CRC(ttm_resource_manager_create_debugfs, 0x0175a7a1, "");
SYMBOL_CRC(ttm_pool_alloc, 0xaa9d1e56, "");
SYMBOL_CRC(ttm_pool_free, 0x1a599fd7, "");
SYMBOL_CRC(ttm_pool_init, 0x8c9ef947, "");
SYMBOL_CRC(ttm_pool_fini, 0x9dd07f63, "");
SYMBOL_CRC(ttm_pool_debugfs, 0x5099776e, "");
SYMBOL_CRC(ttm_glob, 0x35d93158, "");
SYMBOL_CRC(ttm_device_swapout, 0x32761c8f, "");
SYMBOL_CRC(ttm_device_init, 0xdce0498d, "");
SYMBOL_CRC(ttm_device_fini, 0xb0cd24dd, "");
SYMBOL_CRC(ttm_device_clear_dma_mappings, 0x62063412, "");
SYMBOL_CRC(ttm_agp_bind, 0x066a3b0c, "");
SYMBOL_CRC(ttm_agp_unbind, 0xd0a2dc66, "");
SYMBOL_CRC(ttm_agp_is_bound, 0x29587320, "");
SYMBOL_CRC(ttm_agp_destroy, 0x6cc0225b, "");
SYMBOL_CRC(ttm_agp_tt_create, 0xd223447f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7416506c, "unmap_mapping_range" },
	{ 0x777e571e, "dma_resv_add_fence" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xb09e9228, "seq_lseek" },
	{ 0x8df0b58c, "__put_devmap_managed_page_refs" },
	{ 0xff756fd0, "drm_vma_offset_add" },
	{ 0x21475af8, "__drm_printfn_seq_file" },
	{ 0x4d924f20, "memremap" },
	{ 0x1bf18c31, "__tracepoint_mmap_lock_released" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xc2762363, "dma_fence_wait_timeout" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4259d467, "shrinker_free" },
	{ 0x7e00176, "drm_mm_print" },
	{ 0xc5af054f, "set_pages_wb" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x757041e6, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0xfcc40449, "dma_resv_reset_max_fences" },
	{ 0x1cd71e3c, "ww_mutex_trylock" },
	{ 0x5187bed6, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x48c09517, "shrinker_register" },
	{ 0x33b84f74, "copy_page" },
	{ 0x618911fc, "numa_node" },
	{ 0xb7805bf0, "const_pcpu_hot" },
	{ 0x274c1427, "__free_pages" },
	{ 0x90973bef, "_dev_info" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x3699c91c, "mark_page_accessed" },
	{ 0x5cb49723, "shmem_file_setup" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x518ce59f, "fput" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xeed7fd81, "up_write" },
	{ 0x9ad5dc83, "agp_free_memory" },
	{ 0x782850f, "dma_fence_signal" },
	{ 0x1abdbda4, "dma_resv_fini" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x66da008e, "dma_alloc_attrs" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x26246bd9, "debugfs_remove" },
	{ 0x925493f, "clear_page_orig" },
	{ 0x673ef801, "ww_mutex_lock" },
	{ 0xaff3c467, "shmem_read_mapping_page_gfp" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x7571f4a3, "vmap" },
	{ 0xde80cd09, "ioremap" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0xe3c3756a, "vmf_insert_pfn_prot" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xf0517d7a, "drm_mm_init" },
	{ 0x77089164, "__alloc_pages" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x5c51e314, "agp_allocate_memory" },
	{ 0x9686e895, "agp_unbind_memory" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65b962a9, "__drm_puts_seq_file" },
	{ 0xf6f9d58d, "init_on_free" },
	{ 0xeddd417, "down_read" },
	{ 0x2edfaa11, "dma_resv_copy_fences" },
	{ 0x4cf7e11c, "set_page_dirty" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x46aec8d9, "seq_read" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xc575c737, "debug_locks_off" },
	{ 0xb6d81a7d, "debugfs_create_file" },
	{ 0xa38c4c94, "drm_memcpy_from_wc" },
	{ 0xcbe7a281, "dma_fence_enable_sw_signaling" },
	{ 0x40e74f83, "set_pages_array_wc" },
	{ 0xd61d6176, "dma_free_attrs" },
	{ 0xd2d42a9f, "drm_printf" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xe875e218, "__rwlock_init" },
	{ 0x5917c9f3, "dma_resv_iter_next_unlocked" },
	{ 0x368dfd11, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x81bb5ddd, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x89f09e18, "seq_printf" },
	{ 0xc8af0774, "__mmap_lock_do_trace_released" },
	{ 0xf3b276b7, "dma_resv_iter_first_unlocked" },
	{ 0xb42c505, "boot_cpu_data" },
	{ 0x6fcea3ec, "seq_puts" },
	{ 0xe21e5d93, "single_release" },
	{ 0xce3e7f8e, "set_pages_array_uc" },
	{ 0xa4191c0b, "memset_io" },
	{ 0xac5cbf4c, "kmalloc_trace" },
	{ 0xd61810e6, "dma_resv_test_signaled" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xcc328a5c, "reservation_ww_class" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xdd8a7e4b, "single_open" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x8708c351, "debugfs_create_dir" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xad65f0d, "cc_platform_has" },
	{ 0xbb53856b, "up_read" },
	{ 0xd171f54c, "drm_vma_offset_remove" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x94961e20, "kmalloc_caches" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x636fa728, "shrinker_alloc" },
	{ 0x19c13f38, "ww_mutex_lock_interruptible" },
	{ 0x3bd98284, "drm_dev_enter" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6e12ef47, "param_ops_ulong" },
	{ 0x40618247, "dma_resv_reserve_fences" },
	{ 0x4b7ebf95, "drm_mm_remove_node" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x8beff07e, "agp_bind_memory" },
	{ 0x8cdff8e8, "vmalloc_to_page" },
	{ 0x24815a1b, "dma_resv_init" },
	{ 0xd894b60c, "dma_resv_wait_timeout" },
	{ 0x1ab5d60a, "__drm_printfn_dbg" },
	{ 0x57698a50, "drm_mm_takedown" },
	{ 0xfa666974, "queue_work_node" },
	{ 0xc8845c38, "dma_unmap_page_attrs" },
	{ 0xb4032484, "drm_mm_insert_node_in_range" },
	{ 0x97de2b83, "debug_locks_silent" },
	{ 0x556422b3, "ioremap_cache" },
	{ 0x45f35cbf, "ww_mutex_unlock" },
	{ 0xedc03953, "iounmap" },
	{ 0x286d9775, "debugfs_create_atomic_t" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A19237A9E45867358E0CE65");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
