#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__vmbus_driver_register, "_gpl", "");
KSYMTAB_FUNC(vmbus_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(vmbus_allocate_mmio, "_gpl", "");
KSYMTAB_FUNC(vmbus_free_mmio, "_gpl", "");
KSYMTAB_DATA(vmbus_connection, "_gpl", "");
KSYMTAB_DATA(vmbus_proto_version, "_gpl", "");
KSYMTAB_FUNC(vmbus_set_event, "_gpl", "");
KSYMTAB_FUNC(vmbus_setevent, "_gpl", "");
KSYMTAB_FUNC(vmbus_free_ring, "_gpl", "");
KSYMTAB_FUNC(vmbus_alloc_ring, "_gpl", "");
KSYMTAB_FUNC(vmbus_send_tl_connect_request, "_gpl", "");
KSYMTAB_FUNC(vmbus_send_modifychannel, "_gpl", "");
KSYMTAB_FUNC(vmbus_establish_gpadl, "_gpl", "");
KSYMTAB_FUNC(vmbus_connect_ring, "_gpl", "");
KSYMTAB_FUNC(vmbus_open, "_gpl", "");
KSYMTAB_FUNC(vmbus_teardown_gpadl, "_gpl", "");
KSYMTAB_FUNC(vmbus_disconnect_ring, "_gpl", "");
KSYMTAB_FUNC(vmbus_close, "_gpl", "");
KSYMTAB_FUNC(vmbus_sendpacket_getid, "", "");
KSYMTAB_FUNC(vmbus_sendpacket, "", "");
KSYMTAB_FUNC(vmbus_sendpacket_pagebuffer, "_gpl", "");
KSYMTAB_FUNC(vmbus_sendpacket_mpb_desc, "_gpl", "");
KSYMTAB_FUNC(vmbus_recvpacket, "", "");
KSYMTAB_FUNC(vmbus_recvpacket_raw, "_gpl", "");
KSYMTAB_FUNC(vmbus_next_request_id, "_gpl", "");
KSYMTAB_FUNC(__vmbus_request_addr_match, "_gpl", "");
KSYMTAB_FUNC(vmbus_request_addr_match, "_gpl", "");
KSYMTAB_FUNC(vmbus_request_addr, "_gpl", "");
KSYMTAB_FUNC(vmbus_prep_negotiate_resp, "_gpl", "");
KSYMTAB_FUNC(vmbus_hvsock_device_unregister, "_gpl", "");
KSYMTAB_FUNC(vmbus_set_sc_create_callback, "_gpl", "");
KSYMTAB_FUNC(vmbus_set_chn_rescind_callback, "_gpl", "");
KSYMTAB_FUNC(hv_ringbuffer_get_debuginfo, "_gpl", "");
KSYMTAB_FUNC(hv_ringbuffer_spinlock_busy, "_gpl", "");
KSYMTAB_FUNC(hv_pkt_iter_first, "_gpl", "");
KSYMTAB_FUNC(__hv_pkt_iter_next, "_gpl", "");
KSYMTAB_FUNC(hv_pkt_iter_close, "_gpl", "");

SYMBOL_CRC(__vmbus_driver_register, 0xdfa104d7, "_gpl");
SYMBOL_CRC(vmbus_driver_unregister, 0xa256d082, "_gpl");
SYMBOL_CRC(vmbus_allocate_mmio, 0x7107a210, "_gpl");
SYMBOL_CRC(vmbus_free_mmio, 0x31e2e77f, "_gpl");
SYMBOL_CRC(vmbus_connection, 0x73ec495b, "_gpl");
SYMBOL_CRC(vmbus_proto_version, 0x46a417ca, "_gpl");
SYMBOL_CRC(vmbus_set_event, 0xf5eacfa0, "_gpl");
SYMBOL_CRC(vmbus_setevent, 0xb0b669a6, "_gpl");
SYMBOL_CRC(vmbus_free_ring, 0x72578ea1, "_gpl");
SYMBOL_CRC(vmbus_alloc_ring, 0x9b04894d, "_gpl");
SYMBOL_CRC(vmbus_send_tl_connect_request, 0x4b2210b8, "_gpl");
SYMBOL_CRC(vmbus_send_modifychannel, 0x8ea532e8, "_gpl");
SYMBOL_CRC(vmbus_establish_gpadl, 0x0fdba738, "_gpl");
SYMBOL_CRC(vmbus_connect_ring, 0xfe0d1635, "_gpl");
SYMBOL_CRC(vmbus_open, 0x332e9d6b, "_gpl");
SYMBOL_CRC(vmbus_teardown_gpadl, 0x957a29f9, "_gpl");
SYMBOL_CRC(vmbus_disconnect_ring, 0x761e1f7e, "_gpl");
SYMBOL_CRC(vmbus_close, 0xb2f75558, "_gpl");
SYMBOL_CRC(vmbus_sendpacket_getid, 0xcfc94d62, "");
SYMBOL_CRC(vmbus_sendpacket, 0x1d8d10db, "");
SYMBOL_CRC(vmbus_sendpacket_pagebuffer, 0x1a497647, "_gpl");
SYMBOL_CRC(vmbus_sendpacket_mpb_desc, 0x6cc4cc44, "_gpl");
SYMBOL_CRC(vmbus_recvpacket, 0x1fc5f745, "");
SYMBOL_CRC(vmbus_recvpacket_raw, 0x118e3889, "_gpl");
SYMBOL_CRC(vmbus_next_request_id, 0x38213032, "_gpl");
SYMBOL_CRC(__vmbus_request_addr_match, 0x49062edc, "_gpl");
SYMBOL_CRC(vmbus_request_addr_match, 0x27022377, "_gpl");
SYMBOL_CRC(vmbus_request_addr, 0x5b486c04, "_gpl");
SYMBOL_CRC(vmbus_prep_negotiate_resp, 0x321055cb, "_gpl");
SYMBOL_CRC(vmbus_hvsock_device_unregister, 0x30700f72, "_gpl");
SYMBOL_CRC(vmbus_set_sc_create_callback, 0x1d7a148e, "_gpl");
SYMBOL_CRC(vmbus_set_chn_rescind_callback, 0x19c08e1f, "_gpl");
SYMBOL_CRC(hv_ringbuffer_get_debuginfo, 0x179bf561, "_gpl");
SYMBOL_CRC(hv_ringbuffer_spinlock_busy, 0xd666190d, "_gpl");
SYMBOL_CRC(hv_pkt_iter_first, 0x40d76996, "_gpl");
SYMBOL_CRC(__hv_pkt_iter_next, 0xcd272667, "_gpl");
SYMBOL_CRC(hv_pkt_iter_close, 0xa559974d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xfddeb056, "efi" },
	{ 0x4889d27, "perf_trace_run_bpf_submit" },
	{ 0xe5280218, "bus_unregister" },
	{ 0x1d01873e, "_dev_err" },
	{ 0x1446a627, "__cpuhp_setup_state" },
	{ 0x13b9e193, "acpi_dev_resource_interrupt" },
	{ 0x70565320, "simple_attr_release" },
	{ 0x94629e0d, "hv_setup_dma_ops" },
	{ 0x7bb045a7, "__request_percpu_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc25b8971, "hv_remove_crash_handler" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x1a45cb6c, "acpi_disabled" },
	{ 0x65704d22, "hv_stimer_cleanup" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x26246bd9, "debugfs_remove" },
	{ 0x793f8ae7, "trace_event_reg" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x27df3105, "hv_alloc_hyperv_zeroed_page" },
	{ 0x385c8465, "driver_unregister" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x7571f4a3, "vmap" },
	{ 0x62be41dc, "kobject_init_and_add" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x500641fa, "sysfs_create_group" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xee006366, "hv_isolation_type_tdx" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x79d304b7, "hv_setup_crash_handler" },
	{ 0xf9a8df24, "device_register" },
	{ 0x6100fa1f, "bpf_trace_run1" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0xfba6453f, "_dev_warn" },
	{ 0xba01ec83, "hv_stimer_global_cleanup" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x8b89f01c, "hv_ghcb_hypercall" },
	{ 0x77089164, "__alloc_pages" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb9c425de, "register_syscore_ops" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xbc6bec66, "free_percpu_irq" },
	{ 0x1cd44f98, "hyperv_paravisor_present" },
	{ 0x2c86a755, "hv_tdx_hypercall" },
	{ 0xab1e0e93, "hv_setup_kexec_handler" },
	{ 0xf6fc8791, "__bitmap_xor" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xba4232b9, "__platform_driver_register" },
	{ 0x8fd4115, "pv_ops" },
	{ 0x98d34b50, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb6d81a7d, "debugfs_create_file" },
	{ 0x2ffedb6b, "hv_free_hyperv_page" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xab4f7184, "atomic_notifier_chain_unregister" },
	{ 0x302beb95, "trace_event_buffer_reserve" },
	{ 0xc683da81, "set_memory_decrypted" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xcb8a461c, "hv_stimer_legacy_cleanup" },
	{ 0x335c570f, "enable_percpu_irq" },
	{ 0x3fae6ab0, "hv_vp_index" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x90a9d8cc, "hv_is_hyperv_initialized" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x368dfd11, "alloc_pages" },
	{ 0x4c8adfe1, "hv_root_partition" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4475dcaf, "hv_nested" },
	{ 0x56470118, "__warn_printk" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0xdfb62b1b, "ms_hyperv" },
	{ 0x43edf226, "kobject_uevent" },
	{ 0x7bbccd05, "nr_node_ids" },
	{ 0xefa610b7, "hv_get_msr" },
	{ 0x28815829, "dma_set_mask" },
	{ 0xe9c215c5, "hv_set_msr" },
	{ 0xa96e8b4e, "hv_setup_vmbus_handler" },
	{ 0xac5cbf4c, "kmalloc_trace" },
	{ 0xb078cf12, "set_primary_fwnode" },
	{ 0x77358855, "iomem_resource" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x8708c351, "debugfs_create_dir" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x799f5378, "driver_register" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x46d44f87, "__cpuhp_remove_state" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x45d246da, "node_to_cpumask_map" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x94961e20, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xf21e1f9b, "disable_percpu_irq" },
	{ 0x6be3a96b, "hv_remove_vmbus_handler" },
	{ 0x2a4f9b9, "bus_register" },
	{ 0x6ebf9f1c, "kset_create_and_add" },
	{ 0x2e0a637d, "acpi_walk_resources" },
	{ 0x425f2b6d, "kobject_put" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xd5f3bb7b, "set_memory_encrypted" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x98c178d2, "completion_done" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xbdb2217d, "hv_is_isolation_supported" },
	{ 0x1e626b38, "is_acpi_device_node" },
	{ 0x9ea08039, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x3c0e8050, "hyperv_pcpu_input_arg" },
	{ 0x22df85c2, "debugfs_attr_write" },
	{ 0x180a647c, "param_ops_uint" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x31128b8e, "hv_remove_kexec_handler" },
	{ 0xae9852a0, "housekeeping_cpumask" },
	{ 0x1e3f2145, "dev_set_name" },
	{ 0xdaa2edc9, "platform_driver_unregister" },
	{ 0x8cdff8e8, "vmalloc_to_page" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6e995938, "trace_raw_output_prep" },
	{ 0x643ea37b, "pci_dev_put" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x755b4f1b, "driver_attach" },
	{ 0xb0987c00, "device_unregister" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x61a4528, "__trace_trigger_soft_disabled" },
	{ 0x4400991f, "pci_get_device" },
	{ 0x67bfec1, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x556422b3, "ioremap_cache" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0xedc03953, "iounmap" },
	{ 0xa2f7487f, "hv_is_hibernation_supported" },
	{ 0xff546744, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfa1eb910, "unregister_syscore_ops" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x8d4b7b32, "kset_unregister" },
	{ 0x8536d2f3, "pcpu_hot" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xa5e3200b, "bpf_trace_run2" },
	{ 0x16dfbf36, "add_interrupt_randomness" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0x1c833e78, "get_device" },
	{ 0x9bad141d, "hv_hypercall_pg" },
	{ 0xc3876c1a, "hv_isolation_type_snp" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb75041d1, "hv_stimer_legacy_init" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x8e9bd4a3, "hv_alloc_hyperv_page" },
	{ 0x6d62c76b, "trace_event_buffer_commit" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xcc2866db, "panic_notifier_list" },
	{ 0x92997ed8, "_printk" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xee7aa097, "atomic_notifier_chain_register" },
	{ 0x812f9dfe, "put_device" },
	{ 0x37b8b39e, "screen_info" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x274c1427, "__free_pages" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x20899467, "hv_stimer0_isr" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x3405c9b6, "device_get_dma_attr" },
	{ 0xf80faa94, "debugfs_attr_read" },
	{ 0x342512c0, "driver_set_override" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Cmicrosoft,vmbus");
MODULE_ALIAS("of:N*T*Cmicrosoft,vmbusC*");
MODULE_ALIAS("acpi*:VMBUS:*");
MODULE_ALIAS("acpi*:VMBus:*");

MODULE_INFO(srcversion, "54844258AD161515B3D9EDF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
