#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(stm_register_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_data_write, "_gpl", "");
KSYMTAB_FUNC(stm_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_write, "_gpl", "");
KSYMTAB_FUNC(to_pdrv_policy_node, "_gpl", "");

SYMBOL_CRC(stm_register_protocol, 0x94fa1075, "_gpl");
SYMBOL_CRC(stm_unregister_protocol, 0x1bae8017, "_gpl");
SYMBOL_CRC(stm_data_write, 0x537203ea, "_gpl");
SYMBOL_CRC(stm_register_device, 0x96c1e4ae, "_gpl");
SYMBOL_CRC(stm_unregister_device, 0x9decf243, "_gpl");
SYMBOL_CRC(stm_source_register_device, 0xff343f8f, "_gpl");
SYMBOL_CRC(stm_source_unregister_device, 0x37c2a13b, "_gpl");
SYMBOL_CRC(stm_source_write, 0xcd968778, "_gpl");
SYMBOL_CRC(to_pdrv_policy_node, 0xe5f158a2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x40a9b349, "vzalloc" },
	{ 0x9f984513, "strrchr" },
	{ 0xd9fc356f, "module_put" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x10893deb, "compat_ptr_ioctl" },
	{ 0x31061c93, "init_srcu_struct" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xeed7fd81, "up_write" },
	{ 0xdb8d7361, "configfs_register_subsystem" },
	{ 0x2dfda671, "device_add" },
	{ 0x398547bd, "__srcu_read_lock" },
	{ 0x8bb4a547, "config_group_init_type_name" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x19dd452d, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x8d8158bb, "cleanup_srcu_struct" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x6b37ba8, "__get_task_comm" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x555a1c56, "pm_runtime_no_callbacks" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd45349fc, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x161d0f27, "pm_runtime_forbid" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6a90a3fa, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xc8920425, "config_item_put" },
	{ 0x275fcb84, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xe04c8a8d, "kobject_set_name" },
	{ 0x5b033436, "device_match_name" },
	{ 0xeda83401, "__srcu_read_unlock" },
	{ 0xb42c505, "boot_cpu_data" },
	{ 0xac5cbf4c, "kmalloc_trace" },
	{ 0x4dc3632f, "__pm_runtime_suspend" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x3eafd6f3, "__pm_runtime_use_autosuspend" },
	{ 0x9c88a29, "__pm_runtime_disable" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x38cf0e49, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x94961e20, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x6f568367, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x9245456c, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x25d078b8, "config_group_init" },
	{ 0xd64ed259, "__memcat_p" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xb0987c00, "device_unregister" },
	{ 0xd58a06bb, "pm_runtime_set_autosuspend_delay" },
	{ 0x7c86519c, "vm_iomap_memory" },
	{ 0x651816b7, "config_item_get" },
	{ 0xf9edeb2c, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0xe79fe112, "synchronize_srcu" },
	{ 0x902b2e82, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6f2e77bd, "configfs_unregister_subsystem" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x82b40278, "__pm_runtime_set_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x812f9dfe, "put_device" },
	{ 0x63eb8f3, "pm_runtime_enable" },
	{ 0xb7805bf0, "const_pcpu_hot" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "configfs");


MODULE_INFO(srcversion, "073FE6ACC6A3D5A014F553A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
