#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(bmc150_regmap_conf, "_gpl", "IIO_BMC150");
KSYMTAB_FUNC(bmc150_accel_core_probe, "_gpl", "IIO_BMC150");
KSYMTAB_FUNC(bmc150_accel_core_remove, "_gpl", "IIO_BMC150");
KSYMTAB_DATA(bmc150_accel_pm_ops, "_gpl", "IIO_BMC150");

SYMBOL_CRC(bmc150_regmap_conf, 0x34b9be67, "_gpl");
SYMBOL_CRC(bmc150_accel_core_probe, 0xf77c28af, "_gpl");
SYMBOL_CRC(bmc150_accel_core_remove, 0x132c4be1, "_gpl");
SYMBOL_CRC(bmc150_accel_pm_ops, 0x2aa399d2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c88a29, "__pm_runtime_disable" },
	{ 0x82b40278, "__pm_runtime_set_status" },
	{ 0xefc4d52b, "iio_trigger_unregister" },
	{ 0xc030084c, "iio_triggered_buffer_cleanup" },
	{ 0x7f700ab6, "regulator_bulk_disable" },
	{ 0xc9511056, "devm_iio_device_alloc" },
	{ 0x1e626b38, "is_acpi_device_node" },
	{ 0xe1ac6a30, "iio_read_mount_matrix" },
	{ 0x54582536, "devm_regulator_bulk_get" },
	{ 0x1635d965, "regulator_bulk_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0xa4c3edd1, "iio_triggered_buffer_setup_ext" },
	{ 0x1bfe432e, "devm_request_threaded_irq" },
	{ 0xc92f99ef, "iio_device_id" },
	{ 0xa536c2fb, "__devm_iio_trigger_alloc" },
	{ 0xa90201f0, "iio_trigger_register" },
	{ 0x63eb8f3, "pm_runtime_enable" },
	{ 0xd58a06bb, "pm_runtime_set_autosuspend_delay" },
	{ 0x3eafd6f3, "__pm_runtime_use_autosuspend" },
	{ 0x9fab6658, "__iio_device_register" },
	{ 0x8df95de8, "acpi_device_hid" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x37a0cba, "kfree" },
	{ 0x94405e04, "dev_err_probe" },
	{ 0xfba6453f, "_dev_warn" },
	{ 0x7a2279bd, "iio_read_const_attr" },
	{ 0x8943e5ee, "iio_show_mount_matrix" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfda1893d, "regmap_write" },
	{ 0x35ed8880, "regmap_get_device" },
	{ 0x1d01873e, "_dev_err" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x154f8451, "iio_get_time_ns" },
	{ 0x88c28dc, "iio_trigger_poll" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xd3b3ef37, "regmap_update_bits_base" },
	{ 0x902b2e82, "__dynamic_dev_dbg" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6a90a3fa, "__pm_runtime_resume" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x4dc3632f, "__pm_runtime_suspend" },
	{ 0xca4985d0, "regmap_read" },
	{ 0xebf74e4c, "iio_buffer_enabled" },
	{ 0xa5853564, "regmap_bulk_read" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xeec51959, "iio_device_get_current_mode" },
	{ 0xaa9d6754, "regmap_raw_read" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xfd94197f, "iio_push_to_buffers" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x3d6c6e2c, "iio_push_event" },
	{ 0xa99bec29, "iio_trigger_notify_done" },
	{ 0x483d1a51, "iio_device_unregister" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer");


MODULE_INFO(srcversion, "CB5BF596FEB1B26CB0E974F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
