#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65b45cb, "complete" },
	{ 0xc2c97614, "input_mt_report_pointer_emulation" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x90973bef, "_dev_info" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x5a921311, "strncmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x222bbbf7, "input_allocate_device" },
	{ 0x6688d08e, "input_set_capability" },
	{ 0x61745dd8, "input_set_abs_params" },
	{ 0xe743d3a3, "input_alloc_absinfo" },
	{ 0x81bebbe6, "input_mt_init_slots" },
	{ 0x91a81bbe, "input_free_device" },
	{ 0xd1dfbed0, "input_register_device" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xb7308787, "request_firmware_nowait" },
	{ 0x11122c64, "request_firmware" },
	{ 0xcc9f1d3f, "device_property_present" },
	{ 0x1e626b38, "is_acpi_device_node" },
	{ 0x3fcc56a7, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0xd2e68f21, "device_property_read_u32_array" },
	{ 0x54582536, "devm_regulator_bulk_get" },
	{ 0x78236a76, "devm_gpiod_get_optional" },
	{ 0x1bfe432e, "devm_request_threaded_irq" },
	{ 0x1635d965, "regulator_bulk_enable" },
	{ 0x500641fa, "sysfs_create_group" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa6cc043a, "i2c_register_driver" },
	{ 0xceb6f11d, "i2c_transfer" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1d01873e, "_dev_err" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x1740dfec, "i2c_del_driver" },
	{ 0x2fc9c1a1, "gpiod_set_value" },
	{ 0xf9a482f9, "msleep" },
	{ 0x902b2e82, "__dynamic_dev_dbg" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7a84c520, "i2c_transfer_buffer_flags" },
	{ 0x37a0cba, "kfree" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x6c0f084f, "irq_get_irq_data" },
	{ 0xfba6453f, "_dev_warn" },
	{ 0x94961e20, "kmalloc_caches" },
	{ 0xac5cbf4c, "kmalloc_trace" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf79ca159, "wait_for_completion_interruptible_timeout" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xc4ad48ec, "input_device_enabled" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x98d34b50, "sysfs_remove_group" },
	{ 0x1230443a, "input_unregister_device" },
	{ 0x7f700ab6, "regulator_bulk_disable" },
	{ 0x9270a229, "input_event" },
	{ 0x3a042fa5, "input_mt_report_slot_state" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("i2c:qt602240_ts");
MODULE_ALIAS("i2c:atmel_mxt_ts");
MODULE_ALIAS("i2c:atmel_mxt_tp");
MODULE_ALIAS("i2c:maxtouch");
MODULE_ALIAS("i2c:mXT224");
MODULE_ALIAS("acpi*:ATML0000:*");
MODULE_ALIAS("acpi*:ATML0001:*");
MODULE_ALIAS("of:N*T*Catmel,maxtouch");
MODULE_ALIAS("of:N*T*Catmel,maxtouchC*");
MODULE_ALIAS("of:N*T*Catmel,qt602240_ts");
MODULE_ALIAS("of:N*T*Catmel,qt602240_tsC*");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_ts");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_tsC*");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_tp");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_tpC*");
MODULE_ALIAS("of:N*T*Catmel,mXT224");
MODULE_ALIAS("of:N*T*Catmel,mXT224C*");

MODULE_INFO(srcversion, "B779EFF909AFD78DEBE8CF1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
