#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cx88_video_mux, "", "");
KSYMTAB_FUNC(cx88_querycap, "", "");
KSYMTAB_FUNC(cx88_enum_input, "", "");
KSYMTAB_FUNC(cx88_set_freq, "", "");

SYMBOL_CRC(cx88_video_mux, 0x09dd016b, "");
SYMBOL_CRC(cx88_querycap, 0xfdc57a81, "");
SYMBOL_CRC(cx88_enum_input, 0xe553db6f, "");
SYMBOL_CRC(cx88_set_freq, 0x3863df3d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x92997ed8, "_printk" },
	{ 0xaf3e8692, "cx88_ir_stop" },
	{ 0x8d8d5f5b, "v4l2_ctrl_handler_setup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xab476e8e, "video_devdata" },
	{ 0x1f639aa0, "cx88_set_tvnorm" },
	{ 0x2eb735c4, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0xf5ef842e, "v4l_bound_align_image" },
	{ 0xa48e07b6, "v4l2_ctrl_find" },
	{ 0x46c2956e, "cx88_ir_start" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xb4190d7c, "__v4l2_ctrl_s_ctrl" },
	{ 0x2291de0f, "vb2_plane_cookie" },
	{ 0x45e7b216, "vb2_ioctl_dqbuf" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x5a0937d3, "cx88_risc_buffer" },
	{ 0xa49e9b3a, "v4l2_fh_release" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x2bb1442a, "cx88_set_stereo" },
	{ 0x675e4291, "vb2_buffer_done" },
	{ 0xe4da7fdc, "v4l2_ctrl_subscribe_event" },
	{ 0x19aaf299, "video_unregister_device" },
	{ 0x1d66cbc2, "kthread_stop" },
	{ 0xc1c997f3, "i2c_new_client_device" },
	{ 0xe857cb98, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x663d2a0, "vb2_fop_mmap" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x18f86032, "pci_set_master" },
	{ 0x8d88137a, "cx88_sram_channels" },
	{ 0x8ee32517, "cx88_set_tvaudio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92345467, "vb2_fop_read" },
	{ 0xb2d70b7f, "cx88_sram_channel_dump" },
	{ 0xc133e9c3, "kthread_create_on_node" },
	{ 0x2ce45048, "cx88_sram_channel_setup" },
	{ 0xd61d6176, "dma_free_attrs" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x111f555a, "__video_register_device" },
	{ 0x1f368021, "vb2_ops_wait_prepare" },
	{ 0x445ed820, "vb2_ioctl_streamon" },
	{ 0x3767e60a, "vb2_fop_poll" },
	{ 0xca8e39b9, "v4l2_ctrl_new_std" },
	{ 0xf3692906, "pci_disable_device" },
	{ 0x28815829, "dma_set_mask" },
	{ 0xac5cbf4c, "kmalloc_trace" },
	{ 0xa8888e87, "v4l2_i2c_new_subdev" },
	{ 0xcd7f452, "pci_read_config_byte" },
	{ 0x71e2ea45, "param_ops_int" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x59fd6262, "cx88_newstation" },
	{ 0xc2924dd1, "v4l2_event_unsubscribe" },
	{ 0x94961e20, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x8e369d09, "vb2_ioctl_reqbufs" },
	{ 0x5bc6ab8, "vb2_queue_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x63ec7ac5, "vb2_dma_sg_memops" },
	{ 0xe97ff97d, "cx88_reset" },
	{ 0x6efcf0f5, "v4l2_ctrl_poll" },
	{ 0x37b4e40b, "video_ioctl2" },
	{ 0x2095f7f0, "cx88_wakeup" },
	{ 0xb9e30be, "pci_enable_device" },
	{ 0xae4d02b6, "vb2_ioctl_streamoff" },
	{ 0x5edb7ae5, "cx88_print_irqbits" },
	{ 0x859e17dc, "v4l2_ctrl_add_handler" },
	{ 0x43b2395f, "v4l2_i2c_new_subdev_board" },
	{ 0x330d13dd, "cx88_set_scale" },
	{ 0x5031b98b, "vb2_ops_wait_finish" },
	{ 0x570419ba, "__pci_register_driver" },
	{ 0x80cc2c93, "cx88_shutdown" },
	{ 0x89533d20, "cx88_vdev_init" },
	{ 0xc38e72e1, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x28558b0b, "vb2_ioctl_querybuf" },
	{ 0x35bff5fe, "cx88_core_put" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xa0f4c2cd, "v4l2_fh_open" },
	{ 0x904b8696, "cx88_audio_thread" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x902fea8c, "cx88_core_irq" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x8d02b6b8, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbf31ce7f, "wake_up_process" },
	{ 0xbac9738c, "cx88_core_get" },
	{ 0x212ce67b, "cx88_get_stereo" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "cx88xx,videodev,videobuf2-v4l2,videobuf2-common,videobuf2-dma-sg");

MODULE_ALIAS("pci:v000014F1d00008800sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "C6F1A478A11DE3C68FF7F31");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
