#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cx8802_start_dma, "", "");
KSYMTAB_FUNC(cx8802_buf_prepare, "", "");
KSYMTAB_FUNC(cx8802_buf_queue, "", "");
KSYMTAB_FUNC(cx8802_cancel_buffers, "", "");
KSYMTAB_FUNC(cx8802_get_driver, "", "");
KSYMTAB_FUNC(cx8802_register_driver, "", "");
KSYMTAB_FUNC(cx8802_unregister_driver, "", "");

SYMBOL_CRC(cx8802_start_dma, 0x07d497e0, "");
SYMBOL_CRC(cx8802_buf_prepare, 0x1b7f641d, "");
SYMBOL_CRC(cx8802_buf_queue, 0x2ee4c6b4, "");
SYMBOL_CRC(cx8802_cancel_buffers, 0x80a11b6f, "");
SYMBOL_CRC(cx8802_get_driver, 0x516f8004, "");
SYMBOL_CRC(cx8802_register_driver, 0x1edc5f35, "");
SYMBOL_CRC(cx8802_unregister_driver, 0x26bba720, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x80cc2c93, "cx88_shutdown" },
	{ 0x37a0cba, "kfree" },
	{ 0x35bff5fe, "cx88_core_put" },
	{ 0x70eef290, "pci_set_power_state" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x902fea8c, "cx88_core_irq" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x8d02b6b8, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbac9738c, "cx88_core_get" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x92997ed8, "_printk" },
	{ 0x2291de0f, "vb2_plane_cookie" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x675e4291, "vb2_buffer_done" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x62a90cc2, "pci_restore_state" },
	{ 0x18f86032, "pci_set_master" },
	{ 0x8d88137a, "cx88_sram_channels" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb2d70b7f, "cx88_sram_channel_dump" },
	{ 0x2ce45048, "cx88_sram_channel_setup" },
	{ 0xd61d6176, "dma_free_attrs" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf3692906, "pci_disable_device" },
	{ 0x28815829, "dma_set_mask" },
	{ 0xac5cbf4c, "kmalloc_trace" },
	{ 0xcd7f452, "pci_read_config_byte" },
	{ 0x71e2ea45, "param_ops_int" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x94961e20, "kmalloc_caches" },
	{ 0x1c02292c, "cx88_risc_databuffer" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xf10a37df, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe97ff97d, "cx88_reset" },
	{ 0x2095f7f0, "cx88_wakeup" },
	{ 0xb9e30be, "pci_enable_device" },
	{ 0x50c4b69f, "pci_choose_state" },
	{ 0x5edb7ae5, "cx88_print_irqbits" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x570419ba, "__pci_register_driver" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "cx88xx,videobuf2-common");

MODULE_ALIAS("pci:v000014F1d00008802sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "861561822E9B4A4BD78BC2B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
