#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtsx_pci_start_run, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_phy_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_phy_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_stop_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_add_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_send_cmd_no_wait, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_send_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_transfer_data, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_map_sg, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_unmap_sg, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_transfer, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_pull_ctl_enable, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_pull_ctl_disable, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_switch_clock, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_power_on, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_power_off, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_exclusive_check, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_switch_output_voltage, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_exist, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_complete_unfinished_transfer, "_gpl", "");

SYMBOL_CRC(rtsx_pci_start_run, 0xe707e208, "_gpl");
SYMBOL_CRC(rtsx_pci_write_register, 0xfc4642d6, "_gpl");
SYMBOL_CRC(rtsx_pci_read_register, 0x684738b3, "_gpl");
SYMBOL_CRC(rtsx_pci_write_phy_register, 0x3675d5c5, "_gpl");
SYMBOL_CRC(rtsx_pci_read_phy_register, 0xc60dbe6a, "_gpl");
SYMBOL_CRC(rtsx_pci_stop_cmd, 0xec9979d8, "_gpl");
SYMBOL_CRC(rtsx_pci_add_cmd, 0x365f56f8, "_gpl");
SYMBOL_CRC(rtsx_pci_send_cmd_no_wait, 0x89cf88fb, "_gpl");
SYMBOL_CRC(rtsx_pci_send_cmd, 0x2511c1be, "_gpl");
SYMBOL_CRC(rtsx_pci_transfer_data, 0x67f08c8c, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_map_sg, 0x4b4c0648, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_unmap_sg, 0xc293ab62, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_transfer, 0xa85d70e6, "_gpl");
SYMBOL_CRC(rtsx_pci_read_ppbuf, 0x1b79dbbd, "_gpl");
SYMBOL_CRC(rtsx_pci_write_ppbuf, 0x864646ad, "_gpl");
SYMBOL_CRC(rtsx_pci_card_pull_ctl_enable, 0x5635de6c, "_gpl");
SYMBOL_CRC(rtsx_pci_card_pull_ctl_disable, 0x87f7b758, "_gpl");
SYMBOL_CRC(rtsx_pci_switch_clock, 0xb1b9415c, "_gpl");
SYMBOL_CRC(rtsx_pci_card_power_on, 0xbb6f734e, "_gpl");
SYMBOL_CRC(rtsx_pci_card_power_off, 0x042f4616, "_gpl");
SYMBOL_CRC(rtsx_pci_card_exclusive_check, 0x914fbf4b, "_gpl");
SYMBOL_CRC(rtsx_pci_switch_output_voltage, 0x54c6d932, "_gpl");
SYMBOL_CRC(rtsx_pci_card_exist, 0x5ce161de, "_gpl");
SYMBOL_CRC(rtsx_pci_complete_unfinished_transfer, 0xca7c155e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x65b45cb, "complete" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x570419ba, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x5b7e660, "pci_disable_msi" },
	{ 0x2a21ea6b, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0x8536d2f3, "pcpu_hot" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x902b2e82, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x8d02b6b8, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x70a27fa7, "pci_read_config_dword" },
	{ 0xf79ca159, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xb31a8261, "pm_schedule_suspend" },
	{ 0xfd1bacea, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x41a33353, "pci_enable_msi" },
	{ 0x1d01873e, "_dev_err" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x954f099c, "idr_preload" },
	{ 0x47c54dce, "pcie_capability_clear_and_set_word_locked" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x66da008e, "dma_alloc_attrs" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xf1fd8809, "mfd_add_devices" },
	{ 0xde80cd09, "ioremap" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xb19b445, "ioread8" },
	{ 0x18f86032, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x161d0f27, "pm_runtime_forbid" },
	{ 0xd61d6176, "dma_free_attrs" },
	{ 0xd6ad4424, "pm_runtime_allow" },
	{ 0x6a90a3fa, "__pm_runtime_resume" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6c78825c, "param_ops_bool" },
	{ 0xadf20cc2, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x5dc99783, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf3692906, "pci_disable_device" },
	{ 0x15334f1a, "mfd_remove_devices" },
	{ 0x28815829, "dma_set_mask" },
	{ 0xfe303c21, "dma_unmap_sg_attrs" },
	{ 0xac5cbf4c, "kmalloc_trace" },
	{ 0xcd7f452, "pci_read_config_byte" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x4c988872, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4ce1f271, "pci_write_config_dword" },
	{ 0x94961e20, "kmalloc_caches" },
	{ 0x1701077b, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xbaeef771, "pcie_capability_read_word" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xbe1cf9f, "pci_find_ext_capability" },
	{ 0xb9e30be, "pci_enable_device" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000010ECd00005209sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005229sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005289sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005227sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000522Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005249sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005287sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005286sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000524Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000525Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005260sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005261sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005228sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005264sv*sd*bcFFsc*i*");

MODULE_INFO(srcversion, "B0F07303A613778DB9BDFD0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
