#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7ba2e2c6, "pskb_expand_head" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x528d158c, "dev_driver_string" },
	{ 0x50a92604, "dev_addr_mod" },
	{ 0x2a4fe00a, "eth_type_trans" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xbe6feac6, "__devm_alloc_percpu" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x90973bef, "_dev_info" },
	{ 0x6925e65b, "skb_queue_tail" },
	{ 0x7af1601, "phy_ethtool_get_link_ksettings" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xa8b29a75, "devm_alloc_etherdev_mqs" },
	{ 0x3950a702, "spi_sync" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x1d01873e, "_dev_err" },
	{ 0x941ae174, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe2d1d493, "kfree_skb_reason" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x9b4eb0cd, "skb_push" },
	{ 0x7ce5f8fc, "mdiobus_read" },
	{ 0x385c8465, "driver_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5b07b139, "ethtool_op_get_link" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xa20a4177, "netif_tx_wake_queue" },
	{ 0x3089b9b5, "phy_start" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x4712edc6, "phy_mac_interrupt" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xe91975cf, "phy_print_status" },
	{ 0x783e57b0, "netif_rx" },
	{ 0xd61cf736, "__netdev_alloc_skb" },
	{ 0x56956b9c, "phy_set_asym_pause" },
	{ 0xc3c7b8ad, "devm_mdiobus_alloc_size" },
	{ 0x748af45d, "skb_unlink" },
	{ 0x9885aca0, "__dynamic_netdev_dbg" },
	{ 0x4ff9ea11, "devm_register_netdev" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xcdfe7abf, "phy_support_asym_pause" },
	{ 0xaa82881, "__spi_register_driver" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x2eda1c11, "phy_ethtool_nway_reset" },
	{ 0xb97220ff, "bitmap_parse" },
	{ 0x7b4c63d, "__devm_mdiobus_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xa8e79233, "phy_stop" },
	{ 0x71e2ea45, "param_ops_int" },
	{ 0x91e5ecd9, "gpiod_direction_output" },
	{ 0x7d8c60e6, "phy_disconnect" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf89bd9a7, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3e39fdb0, "gpiod_get" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x41bca5f1, "platform_get_ethdev_address" },
	{ 0x53874434, "gpiod_put" },
	{ 0x42ed0f8f, "eth_mac_addr" },
	{ 0xad3f90d3, "skb_put" },
	{ 0x1e5cd7c4, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x498df32, "phy_mii_ioctl" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xba8d1c5f, "phy_connect" },
	{ 0x23d0906b, "___pskb_trim" },
	{ 0x6414e61e, "phy_attached_info" },
	{ 0x88e51d2b, "spi_write_then_read" },
	{ 0xb93d41c2, "phy_ethtool_set_link_ksettings" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x26048e60, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "libphy,mdio_devres");

MODULE_ALIAS("spi:ax88796c");

MODULE_INFO(srcversion, "4BBF509761DA69F69F1BB0B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
