#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bnxt_register_dev, "", "");
KSYMTAB_FUNC(bnxt_unregister_dev, "", "");
KSYMTAB_FUNC(bnxt_send_msg, "", "");
KSYMTAB_FUNC(bnxt_register_async_events, "", "");

SYMBOL_CRC(bnxt_register_dev, 0x41a30c8d, "");
SYMBOL_CRC(bnxt_unregister_dev, 0x89a95920, "");
SYMBOL_CRC(bnxt_send_msg, 0x13056dd7, "");
SYMBOL_CRC(bnxt_register_async_events, 0x6d3f2f96, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x26246bd9, "debugfs_remove" },
	{ 0x85a4bfca, "pcie_flr" },
	{ 0x5c802f9b, "pci_read_config_word" },
	{ 0x9492fa5f, "napi_enable" },
	{ 0x4785211d, "netif_receive_skb" },
	{ 0xa1e42416, "register_netdev" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x6573f300, "ida_free" },
	{ 0x7b8715c9, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf4238194, "dql_completed" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x90ed952d, "rhashtable_walk_start_check" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xa5e2b6dc, "rhashtable_walk_stop" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xa98b78c5, "__SCK__tp_func_xdp_exception" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x462428c8, "pci_iounmap" },
	{ 0x62a90cc2, "pci_restore_state" },
	{ 0xa20a4177, "netif_tx_wake_queue" },
	{ 0xdc6b831f, "device_del" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xad25266a, "dma_sync_single_for_cpu" },
	{ 0x7585fa41, "page_pool_create" },
	{ 0xfb578fc5, "memset" },
	{ 0xfba6453f, "_dev_warn" },
	{ 0xde6cd369, "flow_rule_match_ports" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xbaaa20f7, "ptp_clock_event" },
	{ 0x91782581, "rht_bucket_nested_insert" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0x6d1f4d60, "netif_schedule_queue" },
	{ 0x18f86032, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x8ef72395, "flow_rule_match_ipv6_addrs" },
	{ 0xc8bb14cc, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xe4aebc54, "ptp_clock_unregister" },
	{ 0x40476808, "__pskb_pull_tail" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xd61cf736, "__netdev_alloc_skb" },
	{ 0xb917289f, "rhashtable_destroy" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x81f78337, "devl_unlock" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x9885aca0, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x53c5c1d6, "dma_set_coherent_mask" },
	{ 0x8fd4115, "pv_ops" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x167b0233, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x99d472b1, "net_dim_get_rx_moderation" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xb6d81a7d, "debugfs_create_file" },
	{ 0xb4d1ec5, "rps_may_expire_flow" },
	{ 0xb55fc3f7, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc53f6296, "netdev_reset_tc" },
	{ 0x83aea784, "neigh_destroy" },
	{ 0xd61d6176, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x4ae806bf, "devlink_params_register" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x7a49082a, "flow_rule_match_enc_ports" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xadf20cc2, "pci_release_regions" },
	{ 0xcbf59578, "netif_queue_set_napi" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x13a3f1d6, "bpf_prog_add" },
	{ 0x68cac94e, "pcie_print_link_status" },
	{ 0xcd44254d, "flow_rule_match_vlan" },
	{ 0x2f10198a, "xdp_rxq_info_unreg" },
	{ 0xde3e058f, "page_pool_alloc_pages" },
	{ 0x267cd165, "napi_build_skb" },
	{ 0x73761659, "__xdp_rxq_info_reg" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x262dd4ec, "netif_carrier_off" },
	{ 0x2009e400, "devlink_info_board_serial_number_put" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xfc285673, "devlink_priv" },
	{ 0x2f70691f, "devlink_port_register_with_ops" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0xdc809281, "pci_disable_sriov" },
	{ 0x10c27758, "tcp_gro_complete" },
	{ 0xabe807a6, "metadata_dst_alloc" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x26c39aca, "dst_release" },
	{ 0x72dfcc70, "netif_carrier_on" },
	{ 0x58107704, "netdev_set_num_tc" },
	{ 0xf659704c, "dql_reset" },
	{ 0x2c156583, "hwmon_device_unregister" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x66eec6b3, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xf3692906, "pci_disable_device" },
	{ 0xb42c505, "boot_cpu_data" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0x336466c, "rhashtable_walk_next" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0x28815829, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xdd19f0a0, "netif_set_tso_max_size" },
	{ 0x2236210b, "__skb_flow_dissect" },
	{ 0xfcb51215, "pci_vpd_alloc" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0xf24b16af, "skb_add_rx_frag_netmem" },
	{ 0xac5cbf4c, "kmalloc_trace" },
	{ 0x53a59cfd, "xdp_master_redirect" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x78759dca, "napi_schedule_prep" },
	{ 0xa924297d, "devlink_fmsg_pair_nest_end" },
	{ 0x754d539c, "strlen" },
	{ 0xe2150b61, "napi_disable" },
	{ 0xc9eabfae, "dev_kfree_skb_any_reason" },
	{ 0x21832204, "dcb_ieee_delapp" },
	{ 0x824df41b, "netdev_notice" },
	{ 0x88ef0ff8, "ethtool_params_from_link_mode" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x8708c351, "debugfs_create_dir" },
	{ 0x8fcbc558, "ptp_schedule_worker" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xf70e459b, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x39cd779c, "rhashtable_walk_exit" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xc6e812bf, "netdev_core_stats_inc" },
	{ 0x44845586, "dcb_ieee_setapp" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4ce1f271, "pci_write_config_dword" },
	{ 0x94961e20, "kmalloc_caches" },
	{ 0xf89bd9a7, "netdev_info" },
	{ 0xfdcc763c, "skb_dump" },
	{ 0x510f0efb, "page_pool_put_unrefed_page" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xd546d15c, "pci_get_dsn" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x34047341, "__tracepoint_xdp_exception" },
	{ 0x9cff00df, "alloc_etherdev_mqs" },
	{ 0xb96fa920, "flow_block_cb_lookup" },
	{ 0xf10a37df, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x17a39642, "device_set_wakeup_enable" },
	{ 0x37fbdcf6, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x2f7feb90, "flow_rule_match_enc_keyid" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xbe1cf9f, "pci_find_ext_capability" },
	{ 0xa4d089e5, "bpf_prog_put" },
	{ 0x8988594f, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x6f661e8c, "devlink_unregister" },
	{ 0x6e378a2c, "skb_copy_bits" },
	{ 0x6904f598, "dma_pool_create" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x511f8e10, "pci_wake_from_d3" },
	{ 0xb9e30be, "pci_enable_device" },
	{ 0xad3f90d3, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8c7db873, "skb_tstamp_tx" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x490c0505, "__napi_alloc_skb" },
	{ 0x86225f16, "flow_indr_dev_register" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xd4b6157e, "devlink_health_reporter_recovery_done" },
	{ 0xa6702a5d, "auxiliary_device_init" },
	{ 0xcbc436fc, "netdev_update_features" },
	{ 0x1e5cd7c4, "consume_skb" },
	{ 0x9ddbc9aa, "pci_iomap" },
	{ 0xb0e602eb, "memmove" },
	{ 0xee2152df, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe48ab5e4, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0xf50dd2e4, "devl_lock" },
	{ 0x73c2554f, "__iowrite64_copy" },
	{ 0x89f1a597, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x1f9478b0, "ndo_dflt_bridge_getlink" },
	{ 0x68b2c4cc, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x49d6d734, "xdp_features_set_redirect_target" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xc8845c38, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x11122c64, "request_firmware" },
	{ 0xb2fe58a0, "devlink_health_reporter_create" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0x537cbd1c, "hwmon_notify_event" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x570419ba, "__pci_register_driver" },
	{ 0x646da549, "devlink_params_unregister" },
	{ 0x4ed0b636, "dma_sync_single_for_device" },
	{ 0x2929033b, "pci_num_vf" },
	{ 0x8dd3784e, "flow_rule_match_eth_addrs" },
	{ 0x1cb36829, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x74219cd2, "ptp_clock_index" },
	{ 0x2a21ea6b, "pci_request_regions" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x13e755cb, "devlink_alloc_ns" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x1fec6a59, "devlink_register" },
	{ 0x4e4e495c, "devlink_remote_reload_actions_performed" },
	{ 0x8536d2f3, "pcpu_hot" },
	{ 0x10d75ce0, "page_pool_destroy" },
	{ 0xc6ca67df, "xdp_do_redirect" },
	{ 0x2be9e0fa, "devlink_free" },
	{ 0xf0daf7e6, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xf186076c, "rhashtable_init" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xdbc96d3a, "netdev_warn" },
	{ 0xeda8ddd4, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x70eef290, "pci_set_power_state" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xd03c304c, "flow_rule_match_ipv4_addrs" },
	{ 0x3cc5533f, "ip_route_output_flow" },
	{ 0xb4dfa293, "__netif_napi_del" },
	{ 0xb59da1fa, "rhashtable_walk_enter" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xf8bf47ae, "pci_ioremap_bar" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x8d02b6b8, "pci_unregister_driver" },
	{ 0x26048e60, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x7ba2e2c6, "pskb_expand_head" },
	{ 0x389b64a2, "static_key_count" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x1aa5a9ae, "devlink_flash_update_status_notify" },
	{ 0x528d158c, "dev_driver_string" },
	{ 0xf5348328, "netdev_port_same_parent_id" },
	{ 0x50a92604, "dev_addr_mod" },
	{ 0xb912560d, "static_key_disable" },
	{ 0x13175f58, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x113b9dfc, "ptp_find_pin" },
	{ 0x2a4fe00a, "eth_type_trans" },
	{ 0x70a27fa7, "pci_read_config_dword" },
	{ 0x606480e3, "flow_rule_match_icmp" },
	{ 0xdb224d09, "ptp_parse_header" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x757041e6, "dma_map_page_attrs" },
	{ 0xca3ad457, "napi_complete_done" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x812f9dfe, "put_device" },
	{ 0x7f52071a, "net_dim" },
	{ 0xe4d0734, "__napi_schedule" },
	{ 0xdc43bdc6, "pci_vpd_find_ro_info_keyword" },
	{ 0x8ede07a1, "pci_enable_msix_range" },
	{ 0xa916b694, "strnlen" },
	{ 0x37b755c4, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x1be23d45, "netif_device_detach" },
	{ 0xb7805bf0, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xa3c2dd99, "napi_gro_receive" },
	{ 0xf4e7e27a, "netif_device_attach" },
	{ 0xc640e498, "xdp_features_clear_redirect_target" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0x6bc5d082, "flow_indr_dev_unregister" },
	{ 0x5ff75c87, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xcd56f2ba, "xdp_rxq_info_is_reg" },
	{ 0xe1da9748, "ptp_classify_raw" },
	{ 0x571c683, "flow_block_cb_setup_simple" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xff0c1a22, "flow_rule_match_basic" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0x9cf37c44, "__iowrite32_copy" },
	{ 0x7be88733, "pci_clear_master" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x461dfab1, "devlink_fmsg_pair_nest_start" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xe705e1e6, "devlink_port_unregister" },
	{ 0x1d01873e, "_dev_err" },
	{ 0xeaf2a63b, "init_net" },
	{ 0xc69a24a3, "softnet_data" },
	{ 0xd6a8e552, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xf9969583, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x5392213b, "ptp_clock_register" },
	{ 0xc57e183d, "hwmon_device_register_with_info" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6309b899, "netif_set_real_num_tx_queues" },
	{ 0x6e2167bd, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x555c45e0, "netif_set_real_num_rx_queues" },
	{ 0xf470f2df, "flow_indr_block_cb_alloc" },
	{ 0x37dd2c3d, "netdev_printk" },
	{ 0xd736d8bf, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x48d0e996, "pci_device_is_present" },
	{ 0x99f9638f, "__napi_alloc_frag_align" },
	{ 0x66da008e, "dma_alloc_attrs" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000014E4d00001604sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001605sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001614sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016DEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016DFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016EAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016EBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016ECsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016EDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016EEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016EFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016F0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016F1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001750sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001751sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001752sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001760sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001761sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001762sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001763sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001800sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001801sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001802sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001803sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001804sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001805sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000D802sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000D804sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001606sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001607sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001608sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001609sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016BDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001806sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001807sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001808sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001809sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000D800sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "B46E9BE0C3A8A907BDC37B8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
