#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x4889d27, "perf_trace_run_bpf_submit" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x73b7d942, "platform_device_unregister" },
	{ 0xa2dc04b0, "platform_get_resource" },
	{ 0xd736d8bf, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x26246bd9, "debugfs_remove" },
	{ 0x9492fa5f, "napi_enable" },
	{ 0x4785211d, "netif_receive_skb" },
	{ 0xa1e42416, "register_netdev" },
	{ 0x793f8ae7, "trace_event_reg" },
	{ 0x7b8715c9, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xde80cd09, "ioremap" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x7cf87415, "netif_tx_stop_all_queues" },
	{ 0x6100fa1f, "bpf_trace_run1" },
	{ 0xa20a4177, "netif_tx_wake_queue" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xba4232b9, "__platform_driver_register" },
	{ 0x8fd4115, "pv_ops" },
	{ 0xbff7e3fd, "bpf_trace_run3" },
	{ 0x46aec8d9, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb6d81a7d, "debugfs_create_file" },
	{ 0xa1ea80d5, "platform_device_register_full" },
	{ 0x999e8297, "vfree" },
	{ 0x302beb95, "trace_event_buffer_reserve" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd7c8847e, "acpi_fetch_acpi_dev" },
	{ 0x3b9b65b0, "acpi_bus_unregister_driver" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x262dd4ec, "netif_carrier_off" },
	{ 0x89f09e18, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x72dfcc70, "netif_carrier_on" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6fcea3ec, "seq_puts" },
	{ 0xe21e5d93, "single_release" },
	{ 0x78759dca, "napi_schedule_prep" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0xe2150b61, "napi_disable" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xdd8a7e4b, "single_open" },
	{ 0x8708c351, "debugfs_create_dir" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x85bd1608, "__request_region" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe2488790, "acpi_bus_register_driver" },
	{ 0x2e0a637d, "acpi_walk_resources" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x8df82a4c, "trace_print_array_seq" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x8df95de8, "acpi_device_hid" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x745c7083, "bpf_trace_run4" },
	{ 0xad3f90d3, "skb_put" },
	{ 0xec2b8a42, "acpi_walk_namespace" },
	{ 0x490c0505, "__napi_alloc_skb" },
	{ 0xdaa2edc9, "platform_driver_unregister" },
	{ 0x8cdff8e8, "vmalloc_to_page" },
	{ 0x1e5cd7c4, "consume_skb" },
	{ 0x57d0afd6, "platform_get_irq" },
	{ 0xee2152df, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6e995938, "trace_raw_output_prep" },
	{ 0x68b2c4cc, "unregister_netdev" },
	{ 0x61a4528, "__trace_trigger_soft_disabled" },
	{ 0x67bfec1, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xedc03953, "iounmap" },
	{ 0xf1e54d83, "dev_trans_start" },
	{ 0xff546744, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8536d2f3, "pcpu_hot" },
	{ 0xb09e9228, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xa5e3200b, "bpf_trace_run2" },
	{ 0xb4dfa293, "__netif_napi_del" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x90c0b7aa, "ether_setup" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6d62c76b, "trace_event_buffer_commit" },
	{ 0x50a92604, "dev_addr_mod" },
	{ 0x2a4fe00a, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xca3ad457, "napi_complete_done" },
	{ 0x7c919f39, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe4d0734, "__napi_schedule" },
	{ 0xa916b694, "strnlen" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("acpi*:PNP0C02:*");

MODULE_INFO(srcversion, "82C27DA7DF095586BF5430A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
