#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macvlan_common_setup, "_gpl", "");
KSYMTAB_FUNC(macvlan_common_newlink, "_gpl", "");
KSYMTAB_FUNC(macvlan_dellink, "_gpl", "");
KSYMTAB_FUNC(macvlan_link_register, "_gpl", "");

SYMBOL_CRC(macvlan_common_setup, 0xf520a2dc, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0x1a533e71, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0x993561f0, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0x366fff15, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe234166b, "unregister_netdevice_queue" },
	{ 0x2143cc72, "netdev_upper_dev_unlink" },
	{ 0x50a92604, "dev_addr_mod" },
	{ 0xb521bf3e, "dev_uc_add" },
	{ 0x9d22aad3, "dev_set_mtu" },
	{ 0xba7388f8, "netif_inherit_tso_max" },
	{ 0xcbc436fc, "netdev_update_features" },
	{ 0xee46687b, "netif_stacked_transfer_operstate" },
	{ 0x9460450c, "call_netdevice_notifiers" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x27c0e8eb, "skb_clone" },
	{ 0x783e57b0, "netif_rx" },
	{ 0x8536d2f3, "pcpu_hot" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xfa316a44, "__dev_forward_skb" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1e5cd7c4, "consume_skb" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x8fd4115, "pv_ops" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xb55fc3f7, "__dev_queue_xmit" },
	{ 0x5694cf6, "dev_forward_skb" },
	{ 0x770f7be8, "netpoll_send_skb" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x14020a19, "__netif_rx" },
	{ 0x7928aa71, "ip_check_defrag" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc6e812bf, "netdev_core_stats_inc" },
	{ 0xed8806f0, "__dev_get_by_index" },
	{ 0x74dcc99e, "netdev_is_rx_handler_busy" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x60dfd9ba, "netdev_rx_handler_register" },
	{ 0x15beccef, "register_netdevice" },
	{ 0x5cfa2286, "netdev_upper_dev_link" },
	{ 0xf48c8564, "linkwatch_fire_event" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc5f92be9, "dev_uc_sync" },
	{ 0x887c38a3, "dev_mc_sync" },
	{ 0xfb5573d3, "passthru_features_check" },
	{ 0xf0daf7e6, "eth_validate_addr" },
	{ 0x77da3a9d, "ndo_dflt_fdb_dump" },
	{ 0x5b07b139, "ethtool_op_get_link" },
	{ 0x26a7c43e, "eth_header_parse" },
	{ 0xdd802f0d, "eth_header_cache" },
	{ 0x804b09db, "eth_header_cache_update" },
	{ 0x963bbbcf, "eth_header_parse_protocol" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x90c0b7aa, "ether_setup" },
	{ 0x8580c48a, "__ethtool_get_link_ksettings" },
	{ 0x1ae9d36c, "ethtool_get_ts_info_by_layer" },
	{ 0xeaf2a63b, "init_net" },
	{ 0xb9643ea0, "generic_hwtstamp_set_lower" },
	{ 0x43d80fe1, "generic_hwtstamp_get_lower" },
	{ 0xae8e615, "dev_mc_del" },
	{ 0x9caccb88, "dev_uc_del" },
	{ 0x784c372a, "dev_mc_add_excl" },
	{ 0x530aabe8, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xe11614c4, "__netpoll_free" },
	{ 0x9b1b1f80, "vlan_vid_del" },
	{ 0x721ce353, "vlan_vid_add" },
	{ 0x9e7c3347, "dev_set_allmulti" },
	{ 0x3757b570, "dev_set_promiscuity" },
	{ 0x8297b938, "dev_uc_unsync" },
	{ 0xcbf12ec, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x4eb2de07, "netdev_rx_handler_unregister" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xe2d1d493, "kfree_skb_reason" },
	{ 0x1e52d5c, "dev_set_mac_address" },
	{ 0x37a0cba, "kfree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xb505e647, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x80e3a2b4, "rtnl_link_unregister" },
	{ 0xd5a43273, "nla_put" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x94961e20, "kmalloc_caches" },
	{ 0xac5cbf4c, "kmalloc_trace" },
	{ 0xb91191b0, "__netpoll_setup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E9D60142A21DC10CB553D14");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
