#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(net_failover_create, "_gpl", "");
KSYMTAB_FUNC(net_failover_destroy, "_gpl", "");

SYMBOL_CRC(net_failover_create, 0xa265076c, "_gpl");
SYMBOL_CRC(net_failover_destroy, 0x7197b2ec, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8cea1b2d, "dev_mc_sync_multiple" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7070a387, "netdev_pick_tx" },
	{ 0xb55fc3f7, "__dev_queue_xmit" },
	{ 0xc6e812bf, "netdev_core_stats_inc" },
	{ 0xc9eabfae, "dev_kfree_skb_any_reason" },
	{ 0x72dfcc70, "netif_carrier_on" },
	{ 0xa20a4177, "netif_tx_wake_queue" },
	{ 0x8536d2f3, "pcpu_hot" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x9cff00df, "alloc_etherdev_mqs" },
	{ 0x50a92604, "dev_addr_mod" },
	{ 0xa1e42416, "register_netdev" },
	{ 0x262dd4ec, "netif_carrier_off" },
	{ 0x605f906a, "failover_register" },
	{ 0x68b2c4cc, "unregister_netdev" },
	{ 0x7b8715c9, "free_netdev" },
	{ 0x1d01873e, "_dev_err" },
	{ 0x1be23d45, "netif_device_detach" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd9c382f3, "failover_slave_unregister" },
	{ 0xa046ed5b, "failover_unregister" },
	{ 0xe234166b, "unregister_netdevice_queue" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x98516d10, "netdev_lower_state_changed" },
	{ 0x7cf87415, "netif_tx_stop_all_queues" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x44f82ee8, "vlan_vids_add_by_dev" },
	{ 0x9460450c, "call_netdevice_notifiers" },
	{ 0x5b07b139, "ethtool_op_get_link" },
	{ 0xfb5573d3, "passthru_features_check" },
	{ 0xf0daf7e6, "eth_validate_addr" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x74a1ca02, "dev_open" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xc8201a37, "netdev_change_features" },
	{ 0x4922a56, "vlan_vids_del_by_dev" },
	{ 0x8297b938, "dev_uc_unsync" },
	{ 0xcbf12ec, "dev_mc_unsync" },
	{ 0xd736d8bf, "dev_close" },
	{ 0x5ca1b7bd, "dev_get_stats" },
	{ 0xf89bd9a7, "netdev_info" },
	{ 0x9d22aad3, "dev_set_mtu" },
	{ 0xf48947db, "pci_bus_type" },
	{ 0x4ecc211b, "vlan_uses_dev" },
	{ 0x26048e60, "netdev_err" },
	{ 0x8580c48a, "__ethtool_get_link_ksettings" },
	{ 0x9b1b1f80, "vlan_vid_del" },
	{ 0x721ce353, "vlan_vid_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5c8a789b, "dev_uc_sync_multiple" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "failover");


MODULE_INFO(srcversion, "DF2C47AF2AEAC55E208CB5C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
