#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x377399d6, "ath_hw_setbssidmask" },
	{ 0xd6ab7ce0, "ath9k_hw_btcoex_set_concur_txprio" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x361c5e86, "ath9k_cmn_beacon_config_sta" },
	{ 0x8d02b6b8, "pci_unregister_driver" },
	{ 0x27c4c8c4, "ath9k_hw_check_alive" },
	{ 0x971d7c7b, "ath9k_hw_setrxabort" },
	{ 0x90d01d34, "ath9k_hw_txstart" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x159511f4, "ath9k_hw_btcoex_bt_stomp" },
	{ 0x7ba2e2c6, "pskb_expand_head" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x528d158c, "dev_driver_string" },
	{ 0x36443a3f, "ar9003_mci_cleanup" },
	{ 0xbd9b5891, "ath9k_hw_gpio_free" },
	{ 0x697a0be7, "ieee80211_tx_status_skb" },
	{ 0x356301dd, "ieee80211_get_buffered_bc" },
	{ 0x99f7ac53, "ar9003_mci_send_message" },
	{ 0x70a27fa7, "pci_read_config_dword" },
	{ 0xec2d599c, "ar9003_get_pll_sqsum_dvc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5305fb1e, "ieee80211_find_sta" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x757041e6, "dma_map_page_attrs" },
	{ 0x7157d27b, "ar9003_is_paprd_enabled" },
	{ 0xaa7c94a6, "ieee80211_get_tx_rates" },
	{ 0x32963447, "ath9k_hw_set_rx_bufsize" },
	{ 0xac6cf143, "ar9003_mci_set_bt_version" },
	{ 0x92997ed8, "_printk" },
	{ 0xc9f9510b, "ath_hw_cycle_counters_update" },
	{ 0x696216f3, "ath9k_hw_updatetxtriglevel" },
	{ 0xb5c6b648, "ieee80211_send_bar" },
	{ 0xe22e370, "ath9k_hw_beaconinit" },
	{ 0x870479ca, "ar9003_mci_get_interrupt" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x24754222, "ieee80211_sta_set_buffered" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x1577cd57, "ath9k_hw_set_tx_filter" },
	{ 0x6342acfc, "ath9k_hw_settsf64" },
	{ 0x17dab6d3, "devm_hwrng_unregister" },
	{ 0x26f40865, "__alloc_skb" },
	{ 0x1b2b39c2, "ath9k_hw_init_global_settings" },
	{ 0xe78abe1b, "ath9k_hw_abortpcurecv" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x430b9651, "ath9k_hw_name" },
	{ 0x90973bef, "_dev_info" },
	{ 0xb1011ac2, "ath9k_hw_beaconq_setup" },
	{ 0xf0bd74bb, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x99f018c4, "nvmem_cell_read" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xf2970374, "ath9k_hw_wow_enable" },
	{ 0xf77fcb5d, "ath9k_hw_init_btcoex_hw" },
	{ 0xfd576d6b, "ath9k_hw_btcoex_init_scheme" },
	{ 0xd5b1e468, "device_wakeup_disable" },
	{ 0xeb3c8263, "ar9003_mci_state" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x524fe14c, "wiphy_to_ieee80211_hw" },
	{ 0xa3175c90, "ath9k_hw_puttxbuf" },
	{ 0x57f744b3, "ath_reg_notifier_apply" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xb10bd4f7, "pcim_iomap_regions" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x42b9a500, "ieee80211_queue_delayed_work" },
	{ 0x94d906ff, "ath9k_hw_write_associd" },
	{ 0xfefc4326, "devm_kmemdup" },
	{ 0x41a33353, "pci_enable_msi" },
	{ 0x1d01873e, "_dev_err" },
	{ 0x83f37978, "device_wakeup_enable" },
	{ 0x4d75a6e1, "ar9003_mci_get_next_gpm_offset" },
	{ 0xb7308787, "request_firmware_nowait" },
	{ 0x941ae174, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x3939f8f0, "rfkill_pause_polling" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6348d556, "ath9k_hw_setup_statusring" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x65065a25, "ieee80211_find_sta_by_ifaddr" },
	{ 0xd1205e39, "ieee80211_next_txq" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xe2d1d493, "kfree_skb_reason" },
	{ 0x7b11b42a, "ath9k_hw_addrxbuf_edma" },
	{ 0x3508a49c, "ieee80211_remain_on_channel_expired" },
	{ 0x47c54dce, "pcie_capability_clear_and_set_word_locked" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x9b4eb0cd, "skb_push" },
	{ 0x4571aea8, "ath_is_world_regd" },
	{ 0x1642b568, "ath9k_hw_gen_timer_stop" },
	{ 0xd9a549c0, "ath9k_cmn_process_rssi" },
	{ 0x7dbc88f0, "ath9k_cmn_beacon_config_adhoc" },
	{ 0x12284411, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x7b2b4bcb, "ath_is_mybeacon" },
	{ 0xad6281ad, "ath9k_hw_ani_monitor" },
	{ 0x673e0fef, "ath9k_hw_getrxfilter" },
	{ 0xf21648d4, "ath9k_hw_btcoex_disable" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xd09e00b1, "ieee80211_wake_queues" },
	{ 0x950a2116, "ieee80211_tx_prepare_skb" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xae8c5010, "ath9k_cmn_beacon_config_ap" },
	{ 0x24999b29, "ath9k_hw_set_tsfadjust" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0xc5559212, "ar9003_paprd_create_curve" },
	{ 0x22136574, "ar9003_hw_bb_watchdog_dbg_info" },
	{ 0x77a6bfe0, "ath9k_hw_gpio_request_in" },
	{ 0x3679cb85, "ath9k_hw_set_sta_beacon_timers" },
	{ 0x49b6c1b3, "ieee80211_free_txskb" },
	{ 0x379541c5, "led_classdev_register_ext" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xcdaf6335, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x73586786, "ath9k_hw_btcoex_init_2wire" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x56e8c76a, "ieee80211_tx_dequeue" },
	{ 0xad25266a, "dma_sync_single_for_cpu" },
	{ 0xfb578fc5, "memset" },
	{ 0x729bcca3, "ath9k_hw_gettsf64" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0xe8be61b9, "ath9k_hw_rxprocdesc" },
	{ 0xeacc0476, "ath_gen_timer_isr" },
	{ 0x5331c45a, "ieee80211_emulate_add_chanctx" },
	{ 0xd47010e3, "ath9k_hw_resettxqueue" },
	{ 0x61c03bb1, "ath9k_hw_disable" },
	{ 0x18f86032, "pci_set_master" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe45c62df, "ath9k_hw_setopmode" },
	{ 0x45ab67b2, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xe3bc17a6, "ar9003_paprd_populate_single_table" },
	{ 0xb5ef68f9, "ath9k_hw_process_rxdesc_edma" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xa2ffe955, "ath9k_hw_wow_wakeup" },
	{ 0x8e3d948, "ath_printk" },
	{ 0x6583a899, "devm_nvmem_cell_get" },
	{ 0x50fe70fc, "ieee80211_stop_queue" },
	{ 0xa5dfe93f, "ieee80211_ready_on_channel" },
	{ 0x7141898c, "ieee80211_stop_queues" },
	{ 0xb94bfcad, "skb_trim" },
	{ 0x366591, "ath9k_hw_gettsf32" },
	{ 0xc0513f59, "ath9k_cmn_init_channels_rates" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x53c5c1d6, "dma_set_coherent_mask" },
	{ 0xceefa5e0, "ath9k_hw_kill_interrupts" },
	{ 0xf278d215, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x6779aec9, "ath9k_cmn_reload_chainmask" },
	{ 0x7f0bc74d, "wiphy_rfkill_start_polling" },
	{ 0xba74ca00, "ath9k_hw_reset_tsf" },
	{ 0xabe7d5eb, "ath9k_hw_releasetxqueue" },
	{ 0xb0c5d56d, "ath9k_hw_get_txq_props" },
	{ 0xa6bf3f06, "ath9k_hw_setrxfilter" },
	{ 0x4c39157, "ath_gen_timer_free" },
	{ 0xe3feba56, "tasklet_unlock_spin_wait" },
	{ 0x18a40b7d, "ieee80211_scan_completed" },
	{ 0x19b0249d, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x5e2111df, "ath9k_hw_wow_apply_pattern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5dc99783, "pci_write_config_byte" },
	{ 0x2c1003a1, "ieee80211_unregister_hw" },
	{ 0xf907a846, "dfs_pattern_detector_init" },
	{ 0x1262abe, "ath9k_hw_gettxbuf" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x84631902, "ath_regd_init" },
	{ 0x1f94c278, "ath9k_hw_gpio_get" },
	{ 0x59dba738, "ieee80211_beacon_get_tim" },
	{ 0xd8dffc1d, "ath9k_hw_bstuck_nfcal" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x2ac07ba2, "ath9k_hw_disable_interrupts" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xbad61eea, "ath9k_hw_computetxtime" },
	{ 0xb328201f, "ath9k_cmn_update_txpow" },
	{ 0x8596e7dc, "ath_key_delete" },
	{ 0x8dbf178a, "ath9k_hw_getchan_noise" },
	{ 0x6227646a, "ar9003_paprd_enable" },
	{ 0x23026b4b, "cfg80211_chandef_create" },
	{ 0x53f3c1aa, "ath9k_hw_btcoex_init_mci" },
	{ 0x527b83a8, "ath9k_hw_stopdmarecv" },
	{ 0xf4d4d8e8, "ath9k_cmn_get_hw_crypto_keytype" },
	{ 0xa23d0092, "ath9k_hw_set_interrupts" },
	{ 0x96cb42d3, "ath9k_hw_wait" },
	{ 0x28815829, "dma_set_mask" },
	{ 0x823c766b, "ath9k_hw_btcoex_enable" },
	{ 0xc37fbced, "ar9003_paprd_setup_gain_table" },
	{ 0x994b1e57, "ath9k_hw_numtxpending" },
	{ 0xf77dafc, "ath9k_hw_get_tsf_offset" },
	{ 0x9038d7f1, "pcim_iomap_table" },
	{ 0xac5cbf4c, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xf7965224, "ath9k_cmn_process_rate" },
	{ 0x7a0d842d, "ieee80211_queue_work" },
	{ 0x2ba9fc70, "ath9k_cmn_init_crypto" },
	{ 0xc00673e7, "ath9k_hw_set_gpio" },
	{ 0xcd7f452, "pci_read_config_byte" },
	{ 0x43841aab, "ath9k_hw_gen_timer_start" },
	{ 0xc9eabfae, "dev_kfree_skb_any_reason" },
	{ 0xfd75a41b, "ath9k_hw_setantenna" },
	{ 0x71e2ea45, "param_ops_int" },
	{ 0x7b2e7ceb, "pcim_enable_device" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x1f48aef6, "ar9003_mci_send_wlan_channels" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x1c47bac1, "ath9k_hw_resume_interrupts" },
	{ 0x2b64058b, "ieee80211_emulate_remove_chanctx" },
	{ 0xb793335b, "ath9k_hw_deinit" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x51b21040, "hwrng_msleep" },
	{ 0x50e59fe7, "ath9k_cmn_get_channel" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4ce1f271, "pci_write_config_dword" },
	{ 0x94961e20, "kmalloc_caches" },
	{ 0x161d112, "devm_hwrng_register" },
	{ 0x29dfb429, "ath9k_hw_init" },
	{ 0x86e365af, "ieee80211_csa_finish" },
	{ 0x5be73260, "ath9k_hw_set_txq_props" },
	{ 0xb3d253c9, "ar9003_paprd_is_done" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe494bc1c, "ieee80211_rx_napi" },
	{ 0x3dc197e, "ath9k_hw_stop_dma_queue" },
	{ 0x159240db, "ath9k_hw_set_txpowerlimit" },
	{ 0x3030b29f, "ieee80211_sta_register_airtime" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x19f37f0d, "ieee80211_update_p2p_noa" },
	{ 0x17a39642, "device_set_wakeup_enable" },
	{ 0xbaeef771, "pcie_capability_read_word" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x8988594f, "device_set_wakeup_capable" },
	{ 0xb183b67c, "__ieee80211_schedule_txq" },
	{ 0x74417467, "ath9k_hw_reset_calvalid" },
	{ 0x180a647c, "param_ops_uint" },
	{ 0xfb49bca5, "ath9k_hw_intrpend" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x3fcc56a7, "devm_kmalloc" },
	{ 0xad3f90d3, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x6f1e2b58, "ath9k_hw_enable_interrupts" },
	{ 0x5a078f6f, "ar9003_hw_bb_watchdog_check" },
	{ 0x4bc06fde, "ath9k_hw_btcoex_deinit" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x26616bdd, "ath_key_config" },
	{ 0x1e5cd7c4, "consume_skb" },
	{ 0x6756cfa5, "ath9k_hw_btcoex_init_3wire" },
	{ 0x3198af9a, "ath_gen_timer_alloc" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xe8f33731, "dmam_alloc_attrs" },
	{ 0xc4ea9b24, "ath_hw_keysetmac" },
	{ 0xd12863e4, "ath9k_cmn_rx_accept" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x781afce6, "ieee80211_free_hw" },
	{ 0x4c903554, "ieee80211_probereq_get" },
	{ 0x2f3e617b, "ath9k_hw_reset" },
	{ 0xc8845c38, "dma_unmap_page_attrs" },
	{ 0x3158a74e, "ieee80211_txq_schedule_start" },
	{ 0xfbb4520, "ath9k_hw_abort_tx_dma" },
	{ 0x96848186, "scnprintf" },
	{ 0x2525f45e, "ath9k_hw_setuptxqueue" },
	{ 0x7f109c02, "ath9k_hw_setuprxdesc" },
	{ 0xf14c5f89, "ath9k_hw_startpcureceive" },
	{ 0x570419ba, "__pci_register_driver" },
	{ 0x20e71b7a, "ar9003_paprd_init_table" },
	{ 0x4ed0b636, "dma_sync_single_for_device" },
	{ 0xe666e19f, "ath_rxbuf_alloc" },
	{ 0x3900749c, "ath9k_hw_gpio_request_out" },
	{ 0x4d25442b, "ath9k_hw_putrxbuf" },
	{ 0xe391b69, "ieee80211_tx_status_ext" },
	{ 0xeab13da4, "ath9k_hw_check_nav" },
	{ 0x69acdf38, "memcpy" },
	{ 0x24f5b3c1, "ath9k_hw_setmcastfilter" },
	{ 0xe1ab8f17, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x8ad89e5, "ieee80211_nullfunc_get" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x991a0ca0, "ieee80211_parse_p2p_noa" },
	{ 0x6b09108b, "ath9k_hw_btcoex_set_weight" },
	{ 0x3a9724df, "ieee80211_register_hw" },
	{ 0xed4dfe9a, "led_classdev_unregister" },
	{ 0x1960fb68, "ieee80211_emulate_change_chanctx" },
	{ 0xe1bbd22d, "__ieee80211_create_tpt_led_trigger" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xc128daa1, "ieee80211_sta_eosp" },
	{ 0x2acbd665, "ath9k_hw_setpower" },
	{ 0x8df66b0e, "ar9003_mci_setup" },
	{ 0x601ee873, "__ieee80211_get_radio_led_name" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xf5f6a3e0, "ath9k_hw_phy_disable" },
	{ 0xd3bfb6f5, "ath9k_cmn_rx_skb_postprocess" },
	{ 0xa8d70adf, "ieee80211_wake_queue" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "ath,ath9k_hw,ath9k_common,mac80211,rfkill,cfg80211");

MODULE_ALIAS("pci:v0000168Cd00000023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000024sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000027sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000029sv0000168Csd00002096bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000029sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd0000002Asv00001A3Bsd00001C71bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd0000002Asv0000105Bsd0000E01Fbc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd0000002Asv000011ADsd00006632bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd0000002Asv000011ADsd00006642bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd0000002Asv00001A32sd00000306bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd0000002Asv0000185Fsd0000309Dbc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd0000002Asv000010CFsd0000147Cbc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd0000002Asv000010CFsd0000147Dbc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd0000002Asv000010CFsd00001536bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd0000002Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd0000002Bsv00001A3Bsd00002C37bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd0000002Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd0000002Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd0000002Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd0000002Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000030sv00001A56sd00002000bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000030sv00001A56sd00002001bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000030sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000032sv00001A3Bsd00002086bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000032sv00001A3Bsd00001237bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000032sv00001A3Bsd00002126bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000032sv00001A3Bsd0000126Abc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000032sv00001A3Bsd00002152bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000032sv0000105Bsd0000E075bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000032sv0000168Csd00003119bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000032sv0000168Csd00003122bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000032sv0000185Fsd00003119bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000032sv0000185Fsd00003027bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000032sv0000144Dsd00004105bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000032sv0000144Dsd00004106bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000032sv0000144Dsd0000410Dbc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000032sv0000144Dsd0000410Ebc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000032sv0000144Dsd0000410Fbc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000032sv0000144Dsd0000C706bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000032sv0000144Dsd0000C680bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000032sv0000144Dsd0000C708bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000032sv000017AAsd00003218bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000032sv000017AAsd00003219bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000032sv00001A3Bsd00002C97bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000032sv00001A3Bsd00002100bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000032sv00001C56sd00004001bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000032sv000011ADsd00006627bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000032sv000011ADsd00006628bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000032sv0000105Bsd0000E04Ebc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000032sv0000105Bsd0000E04Fbc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000032sv0000144Fsd00007197bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000032sv00001B9Asd00002000bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000032sv00001B9Asd00002001bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000032sv00001A3Bsd00001186bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000032sv00001A3Bsd00001F86bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000032sv00001A3Bsd00001195bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000032sv00001A3Bsd00001F95bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000032sv00001B9Asd00001C00bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000032sv00001B9Asd00001C01bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000032sv00001043sd0000850Dbc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000032sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000033sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000034sv00001A3Bsd00002116bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000034sv000011ADsd00006661bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000034sv0000168Csd00003117bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000034sv000017AAsd00003214bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000034sv00001969sd00000091bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000034sv00001A3Bsd00002110bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000034sv00001043sd0000850Ebc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000034sv000011ADsd00006631bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000034sv000011ADsd00006641bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000034sv0000103Csd00001864bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000034sv000014CDsd00000063bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000034sv000014CDsd00000064bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000034sv000010CFsd00001783bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000034sv00001028sd0000020Bbc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000034sv00001028sd00000300bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000030sv00001A56sd00002003bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000034sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000037sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv0000168Csd00003028bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv00001A3Bsd00002176bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv0000105Bsd0000E068bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv0000185Fsd0000A119bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv000011ADsd00000632bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv000011ADsd000006B2bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv000011ADsd00000842bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv000011ADsd00001842bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv000011ADsd00006671bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv00001B9Asd00002811bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv00001B9Asd00002812bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv00001B9Asd000028A1bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv00001B9Asd000028A3bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv00001A3Bsd0000218Abc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv00001A3Bsd00002F8Abc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv0000168Csd00003025bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv0000168Csd00003026bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv0000168Csd0000302Bbc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv0000105Bsd0000E069bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv0000185Fsd00003028bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv000011ADsd00000622bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv000011ADsd00000672bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv000011ADsd00000662bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv000011ADsd000006A2bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv000011ADsd00000682bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv00001A3Bsd0000213Abc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv00001A3Bsd0000213Cbc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv0000103Csd000018E3bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv0000103Csd0000217Fbc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv0000103Csd00002005bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv00001028sd0000020Cbc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv0000144Dsd0000411Abc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv0000144Dsd0000411Bbc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv0000144Dsd0000411Cbc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv0000144Dsd0000411Dbc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv0000144Dsd0000411Ebc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv0000144Dsd00004129bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv0000144Dsd0000412Abc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv0000168Csd00003027bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv0000168Csd0000302Cbc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv000011ADsd00000642bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv000011ADsd00000652bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv000011ADsd00000612bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv000011ADsd00000832bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv000011ADsd00001832bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv000011ADsd00000692bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv000011ADsd00000803bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv000011ADsd00000813bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv00001A3Bsd00002130bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv00001A3Bsd0000213Bbc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv00001A3Bsd00002182bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv00001A3Bsd0000218Bbc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv00001A3Bsd0000218Cbc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv00001A3Bsd00002F82bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv0000144Fsd00007202bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv00001B9Asd00002810bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv00001B9Asd00002813bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv00001B9Asd000028A2bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv00001B9Asd000028A4bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv0000185Fsd00003027bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv0000185Fsd0000A120bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv0000105Bsd0000E07Fbc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv0000105Bsd0000E08Fbc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv0000105Bsd0000E081bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv0000105Bsd0000E091bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv0000105Bsd0000E099bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv000017AAsd00003026bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv000017AAsd00004026bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv00001043sd000085F2bc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv00001028sd0000020Ebc*sc*i*");
MODULE_ALIAS("pci:v0000168Cd00000036sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "00872E1D0B9DF8DCAFBA62B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
