#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iwl_write8, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_write32, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_write64, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_read32, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_poll_bit, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_read_direct32, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_write_direct32, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_write_direct64, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_poll_direct_bit, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_read_prph_no_grab, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_write_prph_no_grab, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_write_prph64_no_grab, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_read_prph, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_write_prph_delay, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_set_bits_prph, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_set_bits_mask_prph, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_clear_bits_prph, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_force_nmi, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_finish_nic_init, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_drv_get_fwname_pre, "_gpl", "IWLWIFI");
KSYMTAB_DATA(iwlwifi_mod_params, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_opmode_register, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_opmode_deregister, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(__iwl_warn, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(__iwl_info, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(__iwl_crit, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(__iwl_err, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(__iwl_dbg, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_read_eeprom, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_parse_eeprom_data, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_phy_db_init, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_phy_db_free, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_phy_db_set_section, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_send_phy_db_data, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_reinit_cab, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_parse_mei_nvm_data, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_parse_nvm_data, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_parse_nvm_mcc_info, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_nvm_fixups, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_read_external_nvm, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_get_nvm, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_trans_pcie_remove, "", "");
KSYMTAB_FUNC(iwl_dbg_tlv_del_timers, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(_iwl_dbg_tlv_time_point, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_trans_send_cmd, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_get_cmd_string, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_cmd_groups_verify_sorted, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_fw_lookup_cmd_ver, "_gpl", "");
KSYMTAB_FUNC(iwl_fw_lookup_notif_ver, "_gpl", "");
KSYMTAB_FUNC(iwl_fw_lookup_assert_desc, "_gpl", "");
KSYMTAB_FUNC(iwl_notification_wait_init, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_notification_wait, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_abort_notification_waits, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_init_notification_wait, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_remove_notification, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_wait_notification, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_fw_rate_idx_to_plcp, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_rate_mcs, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_rs_pretty_ant, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_rs_pretty_bw, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_new_rate_from_v1, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(rs_pretty_print_rate, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_he_is_sgi, "_gpl", "IWLWIFI");
KSYMTAB_DATA(iwl_dump_desc_assert, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_fw_dbg_collect_desc, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_fw_dbg_error_collect, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_fw_dbg_collect, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_fw_dbg_collect_trig, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_fw_start_dbg_conf, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_fw_dbg_read_d3_debug_data, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_fw_dbg_stop_sync, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_fw_dbg_stop_restart_recording, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_fw_disable_dbg_asserts, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_fw_dbg_clear_monitor_buf, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_pnvm_load, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_fwrt_dump_error_logs, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_bios_get_wrds_table, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_bios_get_ewrd_table, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_bios_get_wgds_table, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_bios_get_ppag_table, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_bios_get_tas_table, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_bios_get_pwr_limit, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_bios_get_mcc, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_bios_get_eckv, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_sar_geo_support, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_sar_geo_fill_table, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_sar_fill_profile, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_fill_ppag_table, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_is_ppag_approved, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_is_tas_approved, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_get_lari_config_bitmap, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_bios_get_dsm, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_free_fw_paging, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_init_paging, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_get_shared_mem_conf, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_fw_runtime_init, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_fw_runtime_suspend, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_fw_runtime_resume, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_set_soc_latency, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_configure_rxq, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_acpi_get_phy_filters, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_acpi_get_guid_lock_status, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_uefi_get_step_table, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_uefi_get_sgom_table, "_gpl", "IWLWIFI");
KSYMTAB_FUNC(iwl_uefi_get_uats_table, "_gpl", "IWLWIFI");

SYMBOL_CRC(iwl_write8, 0x817acca7, "_gpl");
SYMBOL_CRC(iwl_write32, 0xfbbe9cd7, "_gpl");
SYMBOL_CRC(iwl_write64, 0x836735ac, "_gpl");
SYMBOL_CRC(iwl_read32, 0xf23c39e4, "_gpl");
SYMBOL_CRC(iwl_poll_bit, 0xd4c5bcc0, "_gpl");
SYMBOL_CRC(iwl_read_direct32, 0x16f1f909, "_gpl");
SYMBOL_CRC(iwl_write_direct32, 0xbf2a8a99, "_gpl");
SYMBOL_CRC(iwl_write_direct64, 0xc7f323e2, "_gpl");
SYMBOL_CRC(iwl_poll_direct_bit, 0x00cc8546, "_gpl");
SYMBOL_CRC(iwl_read_prph_no_grab, 0x1051d795, "_gpl");
SYMBOL_CRC(iwl_write_prph_no_grab, 0xc9c94e9f, "_gpl");
SYMBOL_CRC(iwl_write_prph64_no_grab, 0x6014a328, "_gpl");
SYMBOL_CRC(iwl_read_prph, 0xe6fdcb95, "_gpl");
SYMBOL_CRC(iwl_write_prph_delay, 0x74d07e0a, "_gpl");
SYMBOL_CRC(iwl_set_bits_prph, 0x01435165, "_gpl");
SYMBOL_CRC(iwl_set_bits_mask_prph, 0xf97d3692, "_gpl");
SYMBOL_CRC(iwl_clear_bits_prph, 0x9feb95a5, "_gpl");
SYMBOL_CRC(iwl_force_nmi, 0x7487b423, "_gpl");
SYMBOL_CRC(iwl_finish_nic_init, 0xa2bc9ad6, "_gpl");
SYMBOL_CRC(iwl_drv_get_fwname_pre, 0xffdfb10b, "_gpl");
SYMBOL_CRC(iwlwifi_mod_params, 0x7ce31c3e, "_gpl");
SYMBOL_CRC(iwl_opmode_register, 0x6c8b2d16, "_gpl");
SYMBOL_CRC(iwl_opmode_deregister, 0x5c52e109, "_gpl");
SYMBOL_CRC(__iwl_warn, 0x34ab7269, "_gpl");
SYMBOL_CRC(__iwl_info, 0xfffaac1a, "_gpl");
SYMBOL_CRC(__iwl_crit, 0x33f8e272, "_gpl");
SYMBOL_CRC(__iwl_err, 0x18d7b407, "_gpl");
SYMBOL_CRC(__iwl_dbg, 0x308ed990, "_gpl");
SYMBOL_CRC(iwl_read_eeprom, 0x34e6de20, "_gpl");
SYMBOL_CRC(iwl_parse_eeprom_data, 0x2fd38aef, "_gpl");
SYMBOL_CRC(iwl_phy_db_init, 0x151aa615, "_gpl");
SYMBOL_CRC(iwl_phy_db_free, 0x35033c81, "_gpl");
SYMBOL_CRC(iwl_phy_db_set_section, 0xce0c6460, "_gpl");
SYMBOL_CRC(iwl_send_phy_db_data, 0x776221bf, "_gpl");
SYMBOL_CRC(iwl_reinit_cab, 0x60d1a664, "_gpl");
SYMBOL_CRC(iwl_parse_mei_nvm_data, 0x3913b111, "_gpl");
SYMBOL_CRC(iwl_parse_nvm_data, 0x3d628184, "_gpl");
SYMBOL_CRC(iwl_parse_nvm_mcc_info, 0x623d1f65, "_gpl");
SYMBOL_CRC(iwl_nvm_fixups, 0xea1b26fc, "_gpl");
SYMBOL_CRC(iwl_read_external_nvm, 0x3f55da31, "_gpl");
SYMBOL_CRC(iwl_get_nvm, 0xa5ad1ebb, "_gpl");
SYMBOL_CRC(iwl_trans_pcie_remove, 0xb40b5913, "");
SYMBOL_CRC(iwl_dbg_tlv_del_timers, 0xe8051de5, "_gpl");
SYMBOL_CRC(_iwl_dbg_tlv_time_point, 0x86c6c197, "_gpl");
SYMBOL_CRC(iwl_trans_send_cmd, 0x5ca80ce8, "_gpl");
SYMBOL_CRC(iwl_get_cmd_string, 0xe997c532, "_gpl");
SYMBOL_CRC(iwl_cmd_groups_verify_sorted, 0x9a0fd7f4, "_gpl");
SYMBOL_CRC(iwl_fw_lookup_cmd_ver, 0xea451077, "_gpl");
SYMBOL_CRC(iwl_fw_lookup_notif_ver, 0xb77a076b, "_gpl");
SYMBOL_CRC(iwl_fw_lookup_assert_desc, 0x5987fe45, "_gpl");
SYMBOL_CRC(iwl_notification_wait_init, 0x9595b8bf, "_gpl");
SYMBOL_CRC(iwl_notification_wait, 0x130f2253, "_gpl");
SYMBOL_CRC(iwl_abort_notification_waits, 0x4333cc66, "_gpl");
SYMBOL_CRC(iwl_init_notification_wait, 0x33c93df2, "_gpl");
SYMBOL_CRC(iwl_remove_notification, 0x98da0897, "_gpl");
SYMBOL_CRC(iwl_wait_notification, 0xedd71587, "_gpl");
SYMBOL_CRC(iwl_fw_rate_idx_to_plcp, 0x874c77de, "_gpl");
SYMBOL_CRC(iwl_rate_mcs, 0xb7d5ffb1, "_gpl");
SYMBOL_CRC(iwl_rs_pretty_ant, 0x84bb50e1, "_gpl");
SYMBOL_CRC(iwl_rs_pretty_bw, 0xb37b318c, "_gpl");
SYMBOL_CRC(iwl_new_rate_from_v1, 0x49e0135d, "_gpl");
SYMBOL_CRC(rs_pretty_print_rate, 0x37956b72, "_gpl");
SYMBOL_CRC(iwl_he_is_sgi, 0x78971d7e, "_gpl");
SYMBOL_CRC(iwl_dump_desc_assert, 0x2710c362, "_gpl");
SYMBOL_CRC(iwl_fw_dbg_collect_desc, 0x96a18bb8, "_gpl");
SYMBOL_CRC(iwl_fw_dbg_error_collect, 0xc4f8015f, "_gpl");
SYMBOL_CRC(iwl_fw_dbg_collect, 0xfb7bf7c3, "_gpl");
SYMBOL_CRC(iwl_fw_dbg_collect_trig, 0x4cb4838e, "_gpl");
SYMBOL_CRC(iwl_fw_start_dbg_conf, 0x827de232, "_gpl");
SYMBOL_CRC(iwl_fw_dbg_read_d3_debug_data, 0xc42964d9, "_gpl");
SYMBOL_CRC(iwl_fw_dbg_stop_sync, 0xb48916e6, "_gpl");
SYMBOL_CRC(iwl_fw_dbg_stop_restart_recording, 0x8a77ba95, "_gpl");
SYMBOL_CRC(iwl_fw_disable_dbg_asserts, 0x4091f16d, "_gpl");
SYMBOL_CRC(iwl_fw_dbg_clear_monitor_buf, 0x05132181, "_gpl");
SYMBOL_CRC(iwl_pnvm_load, 0xc6fcb894, "_gpl");
SYMBOL_CRC(iwl_fwrt_dump_error_logs, 0x82d7723a, "_gpl");
SYMBOL_CRC(iwl_bios_get_wrds_table, 0x0dd01a77, "_gpl");
SYMBOL_CRC(iwl_bios_get_ewrd_table, 0xbc267b79, "_gpl");
SYMBOL_CRC(iwl_bios_get_wgds_table, 0x6bef7df6, "_gpl");
SYMBOL_CRC(iwl_bios_get_ppag_table, 0xf4f51553, "_gpl");
SYMBOL_CRC(iwl_bios_get_tas_table, 0x5cc6b9f5, "_gpl");
SYMBOL_CRC(iwl_bios_get_pwr_limit, 0x5e2beaaf, "_gpl");
SYMBOL_CRC(iwl_bios_get_mcc, 0xabb0a462, "_gpl");
SYMBOL_CRC(iwl_bios_get_eckv, 0x7562cbf5, "_gpl");
SYMBOL_CRC(iwl_sar_geo_support, 0xa5c70e9d, "_gpl");
SYMBOL_CRC(iwl_sar_geo_fill_table, 0x2ad5a691, "_gpl");
SYMBOL_CRC(iwl_sar_fill_profile, 0x1aea5924, "_gpl");
SYMBOL_CRC(iwl_fill_ppag_table, 0x38d75aa0, "_gpl");
SYMBOL_CRC(iwl_is_ppag_approved, 0x17e7d82f, "_gpl");
SYMBOL_CRC(iwl_is_tas_approved, 0x7c55f97b, "_gpl");
SYMBOL_CRC(iwl_get_lari_config_bitmap, 0x345b50d5, "_gpl");
SYMBOL_CRC(iwl_bios_get_dsm, 0x388726f9, "_gpl");
SYMBOL_CRC(iwl_free_fw_paging, 0x9c223f5b, "_gpl");
SYMBOL_CRC(iwl_init_paging, 0xc272632b, "_gpl");
SYMBOL_CRC(iwl_get_shared_mem_conf, 0x6bf647a2, "_gpl");
SYMBOL_CRC(iwl_fw_runtime_init, 0xd9d995d9, "_gpl");
SYMBOL_CRC(iwl_fw_runtime_suspend, 0x7b5522ef, "_gpl");
SYMBOL_CRC(iwl_fw_runtime_resume, 0xd88aad04, "_gpl");
SYMBOL_CRC(iwl_set_soc_latency, 0x3cbb02c8, "_gpl");
SYMBOL_CRC(iwl_configure_rxq, 0x9285d018, "_gpl");
SYMBOL_CRC(iwl_acpi_get_phy_filters, 0xb6de96e0, "_gpl");
SYMBOL_CRC(iwl_acpi_get_guid_lock_status, 0xabd1b695, "_gpl");
SYMBOL_CRC(iwl_uefi_get_step_table, 0xa88c2745, "_gpl");
SYMBOL_CRC(iwl_uefi_get_sgom_table, 0x05789317, "_gpl");
SYMBOL_CRC(iwl_uefi_get_uats_table, 0x4eccb0a4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x528d158c, "dev_driver_string" },
	{ 0x70a27fa7, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x757041e6, "dma_map_page_attrs" },
	{ 0xca3ad457, "napi_complete_done" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x6f7b8a47, "tso_build_data" },
	{ 0xe4d0734, "__napi_schedule" },
	{ 0x8ede07a1, "pci_enable_msix_range" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xdb10c9fb, "pci_disable_link_state" },
	{ 0x274c1427, "__free_pages" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x90973bef, "_dev_info" },
	{ 0xd9fc356f, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x38382cd2, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x41a33353, "pci_enable_msi" },
	{ 0xfddeb056, "efi" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x1d01873e, "_dev_err" },
	{ 0xb7308787, "request_firmware_nowait" },
	{ 0x941ae174, "skb_pull" },
	{ 0xe1e0421, "pcim_iomap_regions_request_all" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x9b4eb0cd, "skb_push" },
	{ 0x66da008e, "dma_alloc_attrs" },
	{ 0x5c802f9b, "pci_read_config_word" },
	{ 0x9492fa5f, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xb70a4a58, "tso_start" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xad25266a, "dma_sync_single_for_cpu" },
	{ 0xfb578fc5, "memset" },
	{ 0xfba6453f, "_dev_warn" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x18f86032, "pci_set_master" },
	{ 0xbe7d01b0, "param_ops_charp" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x40476808, "__pskb_pull_tail" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x53c5c1d6, "dma_set_coherent_mask" },
	{ 0x4813a4d2, "devm_kasprintf" },
	{ 0x418a0a01, "dev_coredumpsg" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3672f739, "pci_pme_capable" },
	{ 0xd61d6176, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x5790e7a0, "pci_unlock_rescan_remove" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6c78825c, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x5dc99783, "pci_write_config_byte" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xfe1c9ea5, "sg_pcopy_from_buffer" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x368dfd11, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xd7ffb375, "pci_dev_get" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x28815829, "dma_set_mask" },
	{ 0xc4c2b2d2, "pci_stop_and_remove_bus_device" },
	{ 0x91e65223, "_dev_crit" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x9038d7f1, "pcim_iomap_table" },
	{ 0xac5cbf4c, "kmalloc_trace" },
	{ 0x78759dca, "napi_schedule_prep" },
	{ 0x49d21024, "device_release_driver" },
	{ 0xe2150b61, "napi_disable" },
	{ 0x71e2ea45, "param_ops_int" },
	{ 0x1075541, "_dev_printk" },
	{ 0x820f3c00, "pci_rescan_bus" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7b2e7ceb, "pcim_enable_device" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x80d38790, "pci_write_config_word" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x687c9bfd, "init_dummy_netdev" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x94961e20, "kmalloc_caches" },
	{ 0xf88ecec4, "kvmemdup" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x77387372, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe973d20a, "dmam_pool_create" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xbaeef771, "pcie_capability_read_word" },
	{ 0x8f495c47, "reg_query_regdb_wmm" },
	{ 0x9245456c, "try_module_get" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xbe1cf9f, "pci_find_ext_capability" },
	{ 0x1e626b38, "is_acpi_device_node" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1bfe432e, "devm_request_threaded_irq" },
	{ 0x154dba51, "tso_build_hdr" },
	{ 0x180a647c, "param_ops_uint" },
	{ 0x3fcc56a7, "devm_kmalloc" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9aaf5e29, "firmware_request_nowarn" },
	{ 0xee2152df, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x643ea37b, "pci_dev_put" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xc8845c38, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x11122c64, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x1057a279, "bsearch" },
	{ 0x570419ba, "__pci_register_driver" },
	{ 0xe933c81, "pci_assign_resource" },
	{ 0x4ed0b636, "dma_sync_single_for_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8536d2f3, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x148653, "vsnprintf" },
	{ 0xb4dfa293, "__netif_napi_del" },
	{ 0xae37ee52, "kmem_cache_create" },
	{ 0xddbeeecc, "pci_lock_rescan_remove" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x8d02b6b8, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");

MODULE_ALIAS("pci:v00008086d00004232sv*sd00001201bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004232sv*sd00001301bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004232sv*sd00001204bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004232sv*sd00001304bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004232sv*sd00001205bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004232sv*sd00001305bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004232sv*sd00001206bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004232sv*sd00001306bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004232sv*sd00001221bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004232sv*sd00001321bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004232sv*sd00001224bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004232sv*sd00001324bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004232sv*sd00001225bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004232sv*sd00001325bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004232sv*sd00001226bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004232sv*sd00001326bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004237sv*sd00001211bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004237sv*sd00001311bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004237sv*sd00001214bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004237sv*sd00001314bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004237sv*sd00001215bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004237sv*sd00001315bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004237sv*sd00001216bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004237sv*sd00001316bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004235sv*sd00001021bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004235sv*sd00001121bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004235sv*sd00001024bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004235sv*sd00001124bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004235sv*sd00001001bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004235sv*sd00001101bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004235sv*sd00001004bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004235sv*sd00001104bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004236sv*sd00001011bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004236sv*sd00001111bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004236sv*sd00001014bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004236sv*sd00001114bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000423Asv*sd00001001bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000423Asv*sd00001021bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000423Bsv*sd00001011bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000423Csv*sd00001201bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000423Csv*sd00001301bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000423Csv*sd00001206bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000423Csv*sd00001306bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000423Csv*sd00001221bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000423Csv*sd00001321bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000423Csv*sd00001326bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000423Dsv*sd00001211bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000423Dsv*sd00001311bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000423Dsv*sd00001216bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000423Dsv*sd00001316bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000422Bsv*sd00001101bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000422Bsv*sd00001108bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000422Bsv*sd00001121bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000422Bsv*sd00001128bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000422Csv*sd00001301bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000422Csv*sd00001306bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000422Csv*sd00001307bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000422Csv*sd00001321bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000422Csv*sd00001326bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004238sv*sd00001111bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004238sv*sd00001118bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004239sv*sd00001311bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004239sv*sd00001316bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000082sv*sd00001301bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000082sv*sd00001306bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000082sv*sd00001307bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000082sv*sd00001308bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000082sv*sd00001321bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000082sv*sd00001326bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000082sv*sd00001328bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000085sv*sd00001311bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000085sv*sd00001318bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000085sv*sd00001316bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000082sv*sd0000C020bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000085sv*sd0000C220bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000085sv*sd0000C228bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000082sv*sd00004820bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000082sv*sd00001304bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000082sv*sd00001305bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000008Asv*sd00005305bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000008Asv*sd00005307bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000008Asv*sd00005325bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000008Asv*sd00005327bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000008Bsv*sd00005315bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000008Bsv*sd00005317bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000090sv*sd00005211bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000090sv*sd00005215bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000090sv*sd00005216bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000091sv*sd00005201bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000091sv*sd00005205bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000091sv*sd00005206bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000091sv*sd00005207bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000091sv*sd00005221bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000091sv*sd00005225bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000091sv*sd00005226bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000087sv*sd00001301bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000087sv*sd00001306bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000087sv*sd00001321bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000087sv*sd00001326bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000089sv*sd00001311bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000089sv*sd00001316bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000885sv*sd00001305bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000885sv*sd00001307bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000885sv*sd00001325bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000885sv*sd00001327bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000886sv*sd00001315bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000886sv*sd00001317bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000083sv*sd00001205bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000083sv*sd00001305bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000083sv*sd00001225bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000083sv*sd00001325bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000084sv*sd00001215bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000084sv*sd00001315bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000083sv*sd00001206bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000083sv*sd00001306bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000083sv*sd00001226bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000083sv*sd00001326bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000084sv*sd00001216bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000084sv*sd00001316bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008AEsv*sd00001005bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008AEsv*sd00001007bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008AFsv*sd00001015bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008AFsv*sd00001017bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008AEsv*sd00001025bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008AEsv*sd00001027bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000896sv*sd00005005bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000896sv*sd00005007bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000897sv*sd00005015bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000897sv*sd00005017bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000896sv*sd00005025bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000896sv*sd00005027bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000890sv*sd00004022bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000891sv*sd00004222bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000890sv*sd00004422bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000890sv*sd00004822bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000887sv*sd00004062bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000888sv*sd00004262bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000887sv*sd00004462bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000088Esv*sd00004060bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000088Esv*sd0000406Abc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000088Fsv*sd00004260bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000088Fsv*sd0000426Abc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000088Esv*sd00004460bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000088Esv*sd0000446Abc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000088Esv*sd00004860bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000088Fsv*sd00005260bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000894sv*sd00000022bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000895sv*sd00000222bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000894sv*sd00000422bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000894sv*sd00000822bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000892sv*sd00000062bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000893sv*sd00000262bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000892sv*sd00000462bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B1sv*sd00004070bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B1sv*sd00004072bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B1sv*sd00004170bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B1sv*sd00004C60bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B1sv*sd00004C70bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B1sv*sd00004060bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B1sv*sd0000406Abc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B1sv*sd00004160bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B1sv*sd00004062bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B1sv*sd00004162bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B2sv*sd00004270bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B2sv*sd00004272bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B2sv*sd00004260bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B2sv*sd0000426Abc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B2sv*sd00004262bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B1sv*sd00004470bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B1sv*sd00004472bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B1sv*sd00004460bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B1sv*sd0000446Abc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B1sv*sd00004462bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B1sv*sd00004870bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B1sv*sd0000486Ebc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B1sv*sd00004A70bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B1sv*sd00004A6Ebc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B1sv*sd00004A6Cbc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B1sv*sd00004570bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B1sv*sd00004560bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B2sv*sd00004370bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B2sv*sd00004360bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B1sv*sd00005070bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B1sv*sd00005072bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B1sv*sd00005170bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B1sv*sd00005770bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B1sv*sd00004020bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B1sv*sd0000402Abc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B2sv*sd00004220bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B1sv*sd00004420bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B1sv*sd0000C070bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B1sv*sd0000C072bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B1sv*sd0000C170bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B1sv*sd0000C060bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B1sv*sd0000C06Abc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B1sv*sd0000C160bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B1sv*sd0000C062bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B1sv*sd0000C162bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B1sv*sd0000C770bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B1sv*sd0000C760bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B2sv*sd0000C270bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B1sv*sd0000CC70bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B1sv*sd0000CC60bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B2sv*sd0000C272bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B2sv*sd0000C260bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B2sv*sd0000C26Abc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B2sv*sd0000C262bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B1sv*sd0000C470bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B1sv*sd0000C472bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B1sv*sd0000C460bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B1sv*sd0000C462bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B1sv*sd0000C570bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B1sv*sd0000C560bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B2sv*sd0000C370bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B1sv*sd0000C360bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B1sv*sd0000C020bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B1sv*sd0000C02Abc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B2sv*sd0000C220bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B1sv*sd0000C420bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B3sv*sd00000070bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B3sv*sd00000072bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B3sv*sd00000170bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B3sv*sd00000172bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B3sv*sd00000060bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B3sv*sd00000062bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B4sv*sd00000270bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B4sv*sd00000272bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B3sv*sd00000470bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B3sv*sd00000472bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B4sv*sd00000370bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B3sv*sd00008070bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B3sv*sd00008072bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B3sv*sd00008170bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B3sv*sd00008172bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B3sv*sd00008060bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B3sv*sd00008062bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B4sv*sd00008270bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B4sv*sd00008370bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B4sv*sd00008272bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B3sv*sd00008470bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B3sv*sd00008570bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B3sv*sd00001070bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008B3sv*sd00001170bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003165sv*sd00004010bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003165sv*sd00004012bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003166sv*sd00004212bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003165sv*sd00004410bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003165sv*sd00004510bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003165sv*sd00004110bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003166sv*sd00004310bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003166sv*sd00004210bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003165sv*sd00008010bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003165sv*sd00008110bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024FBsv*sd00002010bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024FBsv*sd00002110bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024FBsv*sd00002050bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024FBsv*sd00002150bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024FBsv*sd00000000bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000095Asv*sd00005010bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000095Asv*sd00005110bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000095Asv*sd00005100bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000095Bsv*sd00005310bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000095Bsv*sd00005302bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000095Bsv*sd00005210bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000095Asv*sd00005C10bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000095Asv*sd00005012bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000095Asv*sd00005412bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000095Asv*sd00005410bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000095Asv*sd00005510bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000095Asv*sd00005400bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000095Asv*sd00001010bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000095Asv*sd00005000bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000095Asv*sd0000500Abc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000095Bsv*sd00005200bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000095Asv*sd00005002bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000095Asv*sd00005102bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000095Bsv*sd00005202bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000095Asv*sd00009010bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000095Asv*sd00009012bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000095Asv*sd0000900Abc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000095Asv*sd00009110bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000095Asv*sd00009112bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000095Bsv*sd00009210bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000095Bsv*sd00009200bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000095Asv*sd00009510bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000095Bsv*sd00009310bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000095Asv*sd00009410bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000095Asv*sd00005020bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000095Asv*sd0000502Abc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000095Asv*sd00005420bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000095Asv*sd00005090bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000095Asv*sd00005190bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000095Asv*sd00005590bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000095Bsv*sd00005290bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000095Asv*sd00005490bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000095Asv*sd00005F10bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000095Bsv*sd00005212bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000095Bsv*sd0000520Abc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000095Asv*sd00009000bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000095Asv*sd00009400bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000095Asv*sd00009E10bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024F3sv*sd00000010bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024F3sv*sd00001010bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024F3sv*sd000010B0bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024F3sv*sd00000130bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024F3sv*sd00001130bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024F3sv*sd00000132bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024F3sv*sd00001132bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024F3sv*sd00000110bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024F3sv*sd000001F0bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024F3sv*sd00000012bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024F3sv*sd00001012bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024F3sv*sd00001110bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024F3sv*sd00000050bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024F3sv*sd00000250bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024F3sv*sd00001050bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024F3sv*sd00000150bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024F3sv*sd00001150bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024F4sv*sd00000030bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024F4sv*sd00001030bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024F3sv*sd0000C010bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024F3sv*sd0000C110bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024F3sv*sd0000D010bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024F3sv*sd0000C050bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024F3sv*sd0000D050bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024F3sv*sd0000D0B0bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024F3sv*sd0000B0B0bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024F3sv*sd00008010bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024F3sv*sd00008110bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024F3sv*sd00009010bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024F3sv*sd00009110bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024F4sv*sd00008030bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024F4sv*sd00009030bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024F4sv*sd0000C030bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024F4sv*sd0000D030bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024F3sv*sd00008130bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024F3sv*sd00009130bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024F3sv*sd00008132bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024F3sv*sd00009132bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024F3sv*sd00008050bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024F3sv*sd00008150bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024F3sv*sd00009050bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024F3sv*sd00009150bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024F3sv*sd00000004bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024F3sv*sd00000044bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024F5sv*sd00000010bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024F6sv*sd00000030bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024F3sv*sd00000810bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024F3sv*sd00000910bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024F3sv*sd00000850bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024F3sv*sd00000950bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024F3sv*sd00000930bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024F3sv*sd00000000bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024F3sv*sd00004010bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024FDsv*sd00000010bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024FDsv*sd00000110bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024FDsv*sd00001110bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024FDsv*sd00001130bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024FDsv*sd00000130bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024FDsv*sd00001010bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024FDsv*sd000010D0bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024FDsv*sd00000050bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024FDsv*sd00000150bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024FDsv*sd00009010bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024FDsv*sd00008110bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024FDsv*sd00008050bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024FDsv*sd00008010bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024FDsv*sd00000810bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024FDsv*sd00009110bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024FDsv*sd00008130bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024FDsv*sd00000910bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024FDsv*sd00000930bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024FDsv*sd00000950bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024FDsv*sd00000850bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024FDsv*sd00001014bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024FDsv*sd00003E02bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024FDsv*sd00003E01bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024FDsv*sd00001012bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024FDsv*sd00000012bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024FDsv*sd00000014bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000024FDsv*sd00009074bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002526sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000271Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000271Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000030DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000031DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009DF0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A370sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000002F0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000006F0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000034F0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003DF0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004DF0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000043F0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A0F0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002723sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002725sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007A70sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007AF0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000051F0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000051F1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000051F1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000054F0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007F70sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002729sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007E40sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000272Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000272Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A840sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007740sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000E440sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000E340sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000D340sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00006E70sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "90AB72708A90A7BCC1AB7A0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
