#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1d01873e, "_dev_err" },
	{ 0xe885afb5, "rt2800_mcu_request" },
	{ 0x8cce4e1f, "rt2800mmio_toggle_irq" },
	{ 0xd63013f0, "rt2800mmio_enable_radio" },
	{ 0xd6a59957, "rt2x00pci_remove" },
	{ 0x3fda264c, "rt2x00pci_pm_ops" },
	{ 0x163f97d4, "rt2800mmio_queue_init" },
	{ 0x5fa4db64, "rt2800mmio_interrupt" },
	{ 0x9f3c8921, "rt2800mmio_txstatus_tasklet" },
	{ 0x3d741c87, "rt2800mmio_pretbtt_tasklet" },
	{ 0x5028bbb2, "rt2800mmio_tbtt_tasklet" },
	{ 0x32ac3645, "rt2800mmio_rxdone_tasklet" },
	{ 0x97e3c029, "rt2800mmio_autowake_tasklet" },
	{ 0xc9412f8, "rt2800mmio_probe_hw" },
	{ 0x71419d61, "rt2800_check_firmware" },
	{ 0xfa4e1f5d, "rt2800_load_firmware" },
	{ 0xb443e611, "rt2x00mmio_initialize" },
	{ 0xc8311c82, "rt2x00mmio_uninitialize" },
	{ 0x70f8673b, "rt2800mmio_get_entry_state" },
	{ 0x3f74e94a, "rt2800mmio_clear_entry" },
	{ 0x4791d10b, "rt2800_rfkill_poll" },
	{ 0x48fbfad5, "rt2800_link_stats" },
	{ 0x4900d20d, "rt2800_reset_tuner" },
	{ 0x79172636, "rt2800_link_tuner" },
	{ 0x2cbf4417, "rt2800_gain_calibration" },
	{ 0x64ee2728, "rt2800_vco_calibration" },
	{ 0xd212fc13, "rt2800_watchdog" },
	{ 0x31dfa925, "rt2800mmio_start_queue" },
	{ 0x92792448, "rt2800mmio_kick_queue" },
	{ 0x98c6f843, "rt2800mmio_stop_queue" },
	{ 0x2002f723, "rt2800mmio_flush_queue" },
	{ 0x66900203, "rt2800mmio_write_tx_desc" },
	{ 0xada07bfb, "rt2800_write_tx_data" },
	{ 0x386174d4, "rt2800_write_beacon" },
	{ 0xbb2b9a71, "rt2800_clear_beacon" },
	{ 0x4ae4a435, "rt2800mmio_fill_rxdone" },
	{ 0xbc388747, "rt2800_config_shared_key" },
	{ 0xac6cbfee, "rt2800_config_pairwise_key" },
	{ 0xbffcf8d4, "rt2800_config_filter" },
	{ 0xc3c9f10e, "rt2800_config_intf" },
	{ 0xce4797c3, "rt2800_config_erp" },
	{ 0x94fa4ee2, "rt2800_config_ant" },
	{ 0x352bc88e, "rt2800_config" },
	{ 0x9465d3b4, "rt2800_pre_reset_hw" },
	{ 0xb5c031d4, "rt2x00mmio_regbusy_read" },
	{ 0x1210550c, "rt2800mmio_init_registers" },
	{ 0xf94d0ae0, "rt2800mmio_get_txwi" },
	{ 0x245a863a, "rt2800mmio_get_dma_done" },
	{ 0xbc3075b7, "rt2x00mac_tx" },
	{ 0x327cd230, "rt2x00mac_start" },
	{ 0xb40b5e44, "rt2x00mac_stop" },
	{ 0xa21f871a, "rt2x00mac_add_interface" },
	{ 0x1447b1a6, "rt2x00mac_remove_interface" },
	{ 0x919fca2f, "rt2x00mac_config" },
	{ 0xc3715eb0, "rt2x00mac_bss_info_changed" },
	{ 0x7332f52b, "rt2x00mac_configure_filter" },
	{ 0x72a649b2, "rt2x00mac_set_key" },
	{ 0xd403842, "rt2x00mac_sw_scan_start" },
	{ 0x7545055f, "rt2x00mac_sw_scan_complete" },
	{ 0xe040088a, "rt2x00mac_get_stats" },
	{ 0x82ada49d, "rt2800_get_key_seq" },
	{ 0x8b729559, "rt2800_set_rts_threshold" },
	{ 0xee4eba6b, "rt2800_sta_add" },
	{ 0xcaa4cf41, "rt2800_sta_remove" },
	{ 0x122b9cb1, "rt2800_conf_tx" },
	{ 0xa057056d, "rt2800_get_tsf" },
	{ 0xa9669d91, "rt2800_ampdu_action" },
	{ 0xb4e7cc3b, "rt2800_get_survey" },
	{ 0x64cb6657, "rt2x00mac_rfkill_poll" },
	{ 0x5e6917c2, "rt2x00mac_flush" },
	{ 0x7a97091, "rt2x00mac_get_ringparam" },
	{ 0x22a7e842, "rt2x00mac_tx_frames_pending" },
	{ 0x5331c45a, "ieee80211_emulate_add_chanctx" },
	{ 0x2b64058b, "ieee80211_emulate_remove_chanctx" },
	{ 0x1960fb68, "ieee80211_emulate_change_chanctx" },
	{ 0x45ab67b2, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x91e85fbb, "rt2x00mac_reconfig_complete" },
	{ 0xbe3744f8, "ieee80211_handle_wake_tx_queue" },
	{ 0x6c78825c, "param_ops_bool" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x570419ba, "__pci_register_driver" },
	{ 0xb2d18cd6, "rt2x00pci_probe" },
	{ 0xcd12ccab, "rt2800_efuse_detect" },
	{ 0x9626c97e, "rt2800_read_eeprom_efuse" },
	{ 0xff7a0fdf, "eeprom_93cx6_multiread" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9cf37c44, "__iowrite32_copy" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x8d02b6b8, "pci_unregister_driver" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "rt2800lib,rt2800mmio,rt2x00pci,rt2x00mmio,rt2x00lib,mac80211,eeprom_93cx6");

MODULE_ALIAS("pci:v00001814d00000601sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000681sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000701sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000781sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003090sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003091sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003092sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007708sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007728sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007738sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007748sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007758sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007768sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001462d0000891Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001A3Bd00001059sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003290sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003390sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007711sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007722sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003060sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003062sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003562sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000359Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005362sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005390sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005392sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Fsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "0E9A8343572DB09B35370FF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
