#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd9fc356f, "module_put" },
	{ 0x4bd76653, "cxgb4_remove_tid" },
	{ 0x2004e02, "cxgbi_sock_fail_act_open" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x37a0cba, "kfree" },
	{ 0x736bb524, "cxgbi_sock_free_cpl_skbs" },
	{ 0xb520871, "cxgbi_sock_purge_wr_queue" },
	{ 0xd7949cb5, "cxgb4_l2t_release" },
	{ 0xe7557da8, "cxgb4_free_atid" },
	{ 0xef97b65b, "cxgb4_clip_release" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x23d0906b, "___pskb_trim" },
	{ 0xfdcc763c, "skb_dump" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc2bb8f43, "cxgbi_sock_established" },
	{ 0x71ab233b, "cxgbi_conn_tx_open" },
	{ 0x5da2e3ac, "cxgbi_sock_closed" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x25226065, "cxgb4_pktgl_to_skb" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4ecabcaa, "cxgbi_sock_act_open_req_arp_failure" },
	{ 0x460d5524, "cxgb4_alloc_atid" },
	{ 0xdabeff15, "cxgb4_l2t_get" },
	{ 0xd69a0294, "cxgb4_best_mtu" },
	{ 0x7e53745b, "cxgb4_port_chan" },
	{ 0x72aef3db, "cxgb4_port_idx" },
	{ 0x9245456c, "try_module_get" },
	{ 0xae22faa8, "__neigh_event_send" },
	{ 0x83aea784, "neigh_destroy" },
	{ 0x9d5291b4, "ip6_mtu" },
	{ 0xec6fb4ef, "cxgb4_clip_get" },
	{ 0x1ff07199, "dcb_ieee_getapp_mask" },
	{ 0x7280a609, "dcb_getapp" },
	{ 0x2aea3fe0, "ipv4_mtu" },
	{ 0xa358cf36, "cxgbi_conn_pdu_ready" },
	{ 0x81c8c41, "cxgbi_create_session" },
	{ 0xf52d8228, "cxgbi_destroy_session" },
	{ 0x78f927a1, "cxgbi_create_conn" },
	{ 0x2a43d93d, "iscsi_conn_unbind" },
	{ 0x4609ba62, "cxgbi_bind_conn" },
	{ 0xd382f07f, "iscsi_conn_start" },
	{ 0xf5abc873, "iscsi_conn_stop" },
	{ 0xb845a1ab, "iscsi_tcp_conn_teardown" },
	{ 0xe0cb9809, "cxgbi_set_conn_param" },
	{ 0x57eaaf35, "cxgbi_get_ep_param" },
	{ 0x89b2ef08, "iscsi_conn_get_param" },
	{ 0xc7cf11e0, "iscsi_session_get_param" },
	{ 0x251f5880, "cxgbi_get_host_param" },
	{ 0x4ecd684b, "cxgbi_set_host_param" },
	{ 0x859e990d, "iscsi_conn_send_pdu" },
	{ 0xc5792151, "cxgbi_get_conn_stats" },
	{ 0x39fe84ff, "iscsi_tcp_task_init" },
	{ 0x60208c4f, "iscsi_tcp_task_xmit" },
	{ 0x6310bb6c, "cxgbi_cleanup_task" },
	{ 0x936eacf3, "cxgbi_conn_alloc_pdu" },
	{ 0x7f8ed113, "cxgbi_conn_xmit_pdu" },
	{ 0xa70473b8, "cxgbi_conn_init_pdu" },
	{ 0xa34e951c, "cxgbi_parse_pdu_itt" },
	{ 0x7458b6d1, "iscsi_session_recovery_timedout" },
	{ 0x2b7c32a6, "cxgbi_ep_connect" },
	{ 0xc89ce3c1, "cxgbi_ep_poll" },
	{ 0xc326897d, "cxgbi_ep_disconnect" },
	{ 0xef346615, "cxgbi_attr_is_visible" },
	{ 0x1dc98dfc, "iscsi_queuecommand" },
	{ 0x68e918f1, "iscsi_eh_abort" },
	{ 0x3265178c, "iscsi_eh_device_reset" },
	{ 0x4b5fa082, "iscsi_eh_recover_target" },
	{ 0x33520806, "iscsi_target_alloc" },
	{ 0x2e3bbd85, "scsi_change_queue_depth" },
	{ 0xcf6b05e0, "iscsi_eh_cmd_timed_out" },
	{ 0x3d9cfb69, "param_ops_ushort" },
	{ 0x180a647c, "param_ops_uint" },
	{ 0x71e2ea45, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0x8d900b5, "cxgbi_iscsi_init" },
	{ 0x3136305f, "cxgb4_register_uld" },
	{ 0x93b3fc74, "register_dcbevent_notifier" },
	{ 0xe6b1084b, "cxgbi_device_unregister" },
	{ 0x348c425e, "cxgbi_sock_rcv_wr_ack" },
	{ 0xcc66ac3b, "__kfree_skb" },
	{ 0x24860b5a, "cxgb4_ofld_send" },
	{ 0xe2d1d493, "kfree_skb_reason" },
	{ 0x65b45cb, "complete" },
	{ 0x938f5d17, "cxgbi_sock_rcv_close_conn_rpl" },
	{ 0x4285bbf, "cxgbi_sock_rcv_abort_rpl" },
	{ 0x9cae5c25, "cxgbi_sock_rcv_peer_close" },
	{ 0x69075e46, "cxgb4_select_ntuple" },
	{ 0xa5e944f7, "cxgb4_l2t_send" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x89cf92fc, "cxgbi_device_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x150d7a35, "cxgbi_ddp_ppm_setup" },
	{ 0xace4b75, "cxgbi_device_portmap_create" },
	{ 0x7a476614, "cxgbi_hbas_add" },
	{ 0x9b33e0d7, "unregister_dcbevent_notifier" },
	{ 0xf1a5528, "cxgb4_unregister_uld" },
	{ 0x7fdb6004, "cxgbi_device_unregister_all" },
	{ 0x91675ae4, "cxgbi_iscsi_cleanup" },
	{ 0xeaf2a63b, "init_net" },
	{ 0x7ce0311b, "dev_get_by_index" },
	{ 0x72e367fe, "cxgbi_device_find_by_netdev_rcu" },
	{ 0xadec5861, "iscsi_conn_failure" },
	{ 0x26f40865, "__alloc_skb" },
	{ 0x8319f739, "cxgbi_ddp_set_one_ppod" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x3a77640d, "cxgbi_sock_skb_entail" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "cxgb4,libcxgbi,libiscsi,libiscsi_tcp,scsi_mod");


MODULE_INFO(srcversion, "4E0025AE3FC5F365D2C0C5C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
