#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__tb_ring_enqueue, "_gpl", "");
KSYMTAB_FUNC(tb_ring_poll, "_gpl", "");
KSYMTAB_FUNC(tb_ring_poll_complete, "_gpl", "");
KSYMTAB_FUNC(tb_ring_alloc_tx, "_gpl", "");
KSYMTAB_FUNC(tb_ring_alloc_rx, "_gpl", "");
KSYMTAB_FUNC(tb_ring_start, "_gpl", "");
KSYMTAB_FUNC(tb_ring_stop, "_gpl", "");
KSYMTAB_FUNC(tb_ring_free, "_gpl", "");
KSYMTAB_FUNC(tb_property_create_dir, "_gpl", "");
KSYMTAB_FUNC(tb_property_free_dir, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_immediate, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_data, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_text, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_dir, "_gpl", "");
KSYMTAB_FUNC(tb_property_remove, "_gpl", "");
KSYMTAB_FUNC(tb_property_find, "_gpl", "");
KSYMTAB_FUNC(tb_property_get_next, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_response, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_request, "_gpl", "");
KSYMTAB_FUNC(tb_register_protocol_handler, "_gpl", "");
KSYMTAB_FUNC(tb_unregister_protocol_handler, "_gpl", "");
KSYMTAB_FUNC(tb_register_service_driver, "_gpl", "");
KSYMTAB_FUNC(tb_unregister_service_driver, "_gpl", "");
KSYMTAB_DATA(tb_service_type, "_gpl", "");
KSYMTAB_DATA(tb_xdomain_type, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_lane_bonding_enable, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_lane_bonding_disable, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_alloc_in_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_alloc_out_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_release_in_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_release_out_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_enable_paths, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_disable_paths, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_find_by_uuid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_find_by_route, "_gpl", "");
KSYMTAB_FUNC(tb_register_property_dir, "_gpl", "");
KSYMTAB_FUNC(tb_unregister_property_dir, "_gpl", "");

SYMBOL_CRC(__tb_ring_enqueue, 0xc10ff70d, "_gpl");
SYMBOL_CRC(tb_ring_poll, 0xb9425bdd, "_gpl");
SYMBOL_CRC(tb_ring_poll_complete, 0x3d49cf3a, "_gpl");
SYMBOL_CRC(tb_ring_alloc_tx, 0x9cf36b50, "_gpl");
SYMBOL_CRC(tb_ring_alloc_rx, 0x7081aad0, "_gpl");
SYMBOL_CRC(tb_ring_start, 0xea601be1, "_gpl");
SYMBOL_CRC(tb_ring_stop, 0x01a1fa19, "_gpl");
SYMBOL_CRC(tb_ring_free, 0xf49fad1a, "_gpl");
SYMBOL_CRC(tb_property_create_dir, 0x01d23ee1, "_gpl");
SYMBOL_CRC(tb_property_free_dir, 0x393b4f2f, "_gpl");
SYMBOL_CRC(tb_property_add_immediate, 0x658e3d97, "_gpl");
SYMBOL_CRC(tb_property_add_data, 0xa3d2b403, "_gpl");
SYMBOL_CRC(tb_property_add_text, 0xb7c7cdce, "_gpl");
SYMBOL_CRC(tb_property_add_dir, 0x8b62f95e, "_gpl");
SYMBOL_CRC(tb_property_remove, 0x785eb82c, "_gpl");
SYMBOL_CRC(tb_property_find, 0x4e5064a7, "_gpl");
SYMBOL_CRC(tb_property_get_next, 0x73ad2acb, "_gpl");
SYMBOL_CRC(tb_xdomain_response, 0x1009c6f4, "_gpl");
SYMBOL_CRC(tb_xdomain_request, 0x2d753fd0, "_gpl");
SYMBOL_CRC(tb_register_protocol_handler, 0x4e64bdfd, "_gpl");
SYMBOL_CRC(tb_unregister_protocol_handler, 0xf76028c7, "_gpl");
SYMBOL_CRC(tb_register_service_driver, 0x96e54750, "_gpl");
SYMBOL_CRC(tb_unregister_service_driver, 0x2f991eb6, "_gpl");
SYMBOL_CRC(tb_service_type, 0xc587191a, "_gpl");
SYMBOL_CRC(tb_xdomain_type, 0x2bd8f32f, "_gpl");
SYMBOL_CRC(tb_xdomain_lane_bonding_enable, 0x06067a8c, "_gpl");
SYMBOL_CRC(tb_xdomain_lane_bonding_disable, 0x21d78f81, "_gpl");
SYMBOL_CRC(tb_xdomain_alloc_in_hopid, 0xc9e03c68, "_gpl");
SYMBOL_CRC(tb_xdomain_alloc_out_hopid, 0xc0032a49, "_gpl");
SYMBOL_CRC(tb_xdomain_release_in_hopid, 0x6548ab2b, "_gpl");
SYMBOL_CRC(tb_xdomain_release_out_hopid, 0x2f7a92f4, "_gpl");
SYMBOL_CRC(tb_xdomain_enable_paths, 0x03abf94d, "_gpl");
SYMBOL_CRC(tb_xdomain_disable_paths, 0x0c9c21fe, "_gpl");
SYMBOL_CRC(tb_xdomain_find_by_uuid, 0xc88da78f, "_gpl");
SYMBOL_CRC(tb_xdomain_find_by_route, 0xf53cafd2, "_gpl");
SYMBOL_CRC(tb_register_property_dir, 0xf1cfd1ff, "_gpl");
SYMBOL_CRC(tb_unregister_property_dir, 0x603249ed, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x46aec8d9, "seq_read" },
	{ 0x7129a6f4, "osc_sb_native_usb4_support_confirmed" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5bb25abd, "fwnode_find_reference" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x161d0f27, "pm_runtime_forbid" },
	{ 0xb6d81a7d, "debugfs_create_file" },
	{ 0xd61d6176, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xd6ad4424, "pm_runtime_allow" },
	{ 0x302beb95, "trace_event_buffer_reserve" },
	{ 0x6a90a3fa, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd7c8847e, "acpi_fetch_acpi_dev" },
	{ 0x6c78825c, "param_ops_bool" },
	{ 0xd7269c64, "osc_sb_native_usb4_control" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x89f09e18, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x43edf226, "kobject_uevent" },
	{ 0x2a85e05a, "device_iommu_capable" },
	{ 0x6fcea3ec, "seq_puts" },
	{ 0xe21e5d93, "single_release" },
	{ 0x28815829, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x8e7c42d4, "pci_walk_bus" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x94405e04, "dev_err_probe" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0x55c0b512, "nvmem_register" },
	{ 0x9038d7f1, "pcim_iomap_table" },
	{ 0xac5cbf4c, "kmalloc_trace" },
	{ 0x4dc3632f, "__pm_runtime_suspend" },
	{ 0x50709c1a, "component_add" },
	{ 0xd6d064da, "fwnode_handle_put" },
	{ 0x754d539c, "strlen" },
	{ 0x3eafd6f3, "__pm_runtime_use_autosuspend" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xdd8a7e4b, "single_open" },
	{ 0x7b2e7ceb, "pcim_enable_device" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x9c88a29, "__pm_runtime_disable" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x1d6e02fa, "crypto_alloc_shash" },
	{ 0x8708c351, "debugfs_create_dir" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xb4331ac8, "device_link_add" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x799f5378, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x4c988872, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xbcab199f, "__dev_fwnode" },
	{ 0xf48947db, "pci_bus_type" },
	{ 0x4ce1f271, "pci_write_config_dword" },
	{ 0x94961e20, "kmalloc_caches" },
	{ 0x2a4f9b9, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xbe1cf9f, "pci_find_ext_capability" },
	{ 0x1e626b38, "is_acpi_device_node" },
	{ 0x8988594f, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x745c7083, "bpf_trace_run4" },
	{ 0x3781be3c, "ida_destroy" },
	{ 0x1bfe432e, "devm_request_threaded_irq" },
	{ 0x180a647c, "param_ops_uint" },
	{ 0x6904f598, "dma_pool_create" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x3fcc56a7, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xec2b8a42, "acpi_walk_namespace" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x77bc13a0, "strim" },
	{ 0x1e3f2145, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xfe13a601, "trace_seq_printf" },
	{ 0x15421ce8, "pci_alloc_irq_vectors" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6e995938, "trace_raw_output_prep" },
	{ 0xb0987c00, "device_unregister" },
	{ 0xd58a06bb, "pm_runtime_set_autosuspend_delay" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x61a4528, "__trace_trigger_soft_disabled" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x1d7a8909, "nvmem_unregister" },
	{ 0x67bfec1, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x570419ba, "__pci_register_driver" },
	{ 0xf9edeb2c, "device_initialize" },
	{ 0xff546744, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0xbba2a135, "component_del" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x8536d2f3, "pcpu_hot" },
	{ 0xb09e9228, "seq_lseek" },
	{ 0x556cca46, "x86_apple_machine" },
	{ 0xb9c13add, "acpi_find_child_by_adr" },
	{ 0x5de1bdc0, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x98b7286a, "pci_irq_vector" },
	{ 0x1c833e78, "get_device" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x902b2e82, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x8d02b6b8, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x528d158c, "dev_driver_string" },
	{ 0x6d62c76b, "trace_event_buffer_commit" },
	{ 0x19dd276a, "crypto_destroy_tfm" },
	{ 0x70a27fa7, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x82b40278, "__pm_runtime_set_status" },
	{ 0x5566284a, "trace_seq_putc" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x732856c8, "pm_wakeup_dev_event" },
	{ 0x1f51f04c, "register_acpi_bus_type" },
	{ 0x1000e51, "schedule" },
	{ 0x3186c439, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x812f9dfe, "put_device" },
	{ 0x43009c9b, "devm_free_irq" },
	{ 0x63eb8f3, "pm_runtime_enable" },
	{ 0xa4a8a556, "device_for_each_child_reverse" },
	{ 0xa916b694, "strnlen" },
	{ 0xb7805bf0, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa491cd2f, "bus_for_each_dev" },
	{ 0x90973bef, "_dev_info" },
	{ 0x42e63ed4, "sysfs_create_link" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0xb10bd4f7, "pcim_iomap_regions" },
	{ 0x38382cd2, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x4889d27, "perf_trace_run_bpf_submit" },
	{ 0xe5280218, "bus_unregister" },
	{ 0x1d01873e, "_dev_err" },
	{ 0x83f37978, "device_wakeup_enable" },
	{ 0x5d0a404, "crypto_shash_setkey" },
	{ 0x1747cfe5, "bus_find_device" },
	{ 0x2dfda671, "device_add" },
	{ 0xf8ef8e26, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xc9c372f8, "device_property_read_u8_array" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x95988248, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x48d0e996, "pci_device_is_present" },
	{ 0x66da008e, "dma_alloc_attrs" },
	{ 0x26246bd9, "debugfs_remove" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x793f8ae7, "trace_event_reg" },
	{ 0x782ac2eb, "crypto_shash_digest" },
	{ 0x6573f300, "ida_free" },
	{ 0x385c8465, "driver_unregister" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x5374229f, "device_find_child" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xf9a8df24, "device_register" },
	{ 0xdc6b831f, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfba6453f, "_dev_warn" },
	{ 0x44df943b, "unregister_acpi_bus_type" },
	{ 0xb3afe33b, "acpi_get_first_physical_node" },
	{ 0x18f86032, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xba1008c8, "__crc32c_le" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x555a1c56, "pm_runtime_no_callbacks" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x916b92be, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0x53c5c1d6, "dma_set_coherent_mask" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00008086d00001513sv00002222sd00001111bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d00001547sv00002222sd00001111bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d0000156Asv*sd*bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d0000156Csv*sd*bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d00001575sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001577sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015BFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015D9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015E8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015EBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008A17sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008A0Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A21sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000463Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000466Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A73Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A76Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EB2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EC2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EC3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A833sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A834sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005781sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005784sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v*d*sv*sd*bc0Csc03i40*");

MODULE_INFO(srcversion, "E1493459D067901938CE2E9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
