#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd2dd21b2, "usb_set_interface" },
	{ 0x60f98001, "usb_control_msg" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0x76004b42, "usb_put_intf" },
	{ 0x120cb155, "usb_deregister_dev" },
	{ 0x2ecd92e6, "usb_poison_anchored_urbs" },
	{ 0x1d01873e, "_dev_err" },
	{ 0xaa967ebb, "usb_deregister" },
	{ 0x94961e20, "kmalloc_caches" },
	{ 0xac5cbf4c, "kmalloc_trace" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x676d6e19, "usb_get_intf" },
	{ 0x93c7edeb, "usb_find_common_endpoints" },
	{ 0xc27dfde0, "usb_register_dev" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x90973bef, "_dev_info" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xb7805bf0, "const_pcpu_hot" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xcb39ef5, "add_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0x350e1a93, "remove_wait_queue" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x71e2ea45, "param_ops_int" },
	{ 0x1a936604, "noop_llseek" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2bd2908e, "usb_register_driver" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5ed9d72f, "usb_alloc_urb" },
	{ 0x11043bf7, "usb_anchor_urb" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x849d52fd, "usb_submit_urb" },
	{ 0x83a19043, "usb_unanchor_urb" },
	{ 0xffd134d1, "usb_free_urb" },
	{ 0x902b2e82, "__dynamic_dev_dbg" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x92997ed8, "_printk" },
	{ 0x912a3adb, "usb_kill_anchored_urbs" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x89873ca1, "usb_find_interface" },
	{ 0xbe926fa, "usb_autopm_get_interface" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x97847056, "usb_autopm_put_interface" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "usbcore");

MODULE_ALIAS("usb:v*p*d*dc07dsc01dp01ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc07dsc01dp02ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc07dsc01dp03ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic07isc01ip01in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic07isc01ip02in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic07isc01ip03in*");
MODULE_ALIAS("usb:v04B8p0202d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "DD5E4AFBC6C7B8B693C8ABA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
