#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usb_disabled, "_gpl", "");
KSYMTAB_FUNC(usb_find_common_endpoints, "_gpl", "");
KSYMTAB_FUNC(usb_find_common_endpoints_reverse, "_gpl", "");
KSYMTAB_FUNC(usb_check_bulk_endpoints, "_gpl", "");
KSYMTAB_FUNC(usb_check_int_endpoints, "_gpl", "");
KSYMTAB_FUNC(usb_find_alt_setting, "_gpl", "");
KSYMTAB_FUNC(usb_ifnum_to_if, "_gpl", "");
KSYMTAB_FUNC(usb_altnum_to_altsetting, "_gpl", "");
KSYMTAB_FUNC(usb_find_interface, "_gpl", "");
KSYMTAB_FUNC(usb_for_each_dev, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_dev, "_gpl", "");
KSYMTAB_FUNC(usb_get_dev, "_gpl", "");
KSYMTAB_FUNC(usb_put_dev, "_gpl", "");
KSYMTAB_FUNC(usb_get_intf, "_gpl", "");
KSYMTAB_FUNC(usb_put_intf, "_gpl", "");
KSYMTAB_FUNC(usb_intf_get_dma_device, "_gpl", "");
KSYMTAB_FUNC(usb_lock_device_for_reset, "_gpl", "");
KSYMTAB_FUNC(usb_get_current_frame_number, "_gpl", "");
KSYMTAB_FUNC(__usb_get_extra_descriptor, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_coherent, "_gpl", "");
KSYMTAB_FUNC(usb_free_coherent, "_gpl", "");
KSYMTAB_DATA(ehci_cf_port_reset_rwsem, "_gpl", "");
KSYMTAB_FUNC(usb_wakeup_notification, "_gpl", "");
KSYMTAB_FUNC(usb_hub_clear_tt_buffer, "_gpl", "");
KSYMTAB_FUNC(usb_hub_claim_port, "_gpl", "");
KSYMTAB_FUNC(usb_hub_release_port, "_gpl", "");
KSYMTAB_FUNC(usb_set_device_state, "_gpl", "");
KSYMTAB_FUNC(usb_disable_ltm, "_gpl", "");
KSYMTAB_FUNC(usb_enable_ltm, "_gpl", "");
KSYMTAB_FUNC(usb_wakeup_enabled_descendants, "_gpl", "");
KSYMTAB_FUNC(usb_root_hub_lost_power, "_gpl", "");
KSYMTAB_FUNC(usb_disable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_unlocked_disable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_enable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_unlocked_enable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_ep0_reinit, "_gpl", "");
KSYMTAB_FUNC(usb_reset_device, "_gpl", "");
KSYMTAB_FUNC(usb_queue_reset_device, "_gpl", "");
KSYMTAB_FUNC(usb_hub_find_child, "_gpl", "");
KSYMTAB_DATA(usb_hcds_loaded, "_gpl", "");
KSYMTAB_DATA(usb_bus_idr, "_gpl", "");
KSYMTAB_DATA(usb_bus_idr_lock, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_poll_rh_status, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_start_port_resume, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_end_port_resume, "_gpl", "");
KSYMTAB_FUNC(usb_calc_bus_time, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_link_urb_to_ep, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_check_unlink_urb, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_unlink_urb_from_ep, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_unmap_urb_setup_for_dma, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_unmap_urb_for_dma, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_map_urb_for_dma, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_giveback_urb, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_streams, "_gpl", "");
KSYMTAB_FUNC(usb_free_streams, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_resume_root_hub, "_gpl", "");
KSYMTAB_FUNC(usb_bus_start_enum, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_irq, "_gpl", "");
KSYMTAB_FUNC(usb_hc_died, "_gpl", "");
KSYMTAB_FUNC(__usb_create_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_create_shared_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_create_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_get_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_put_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_is_primary_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_add_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_remove_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_platform_shutdown, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_setup_local_mem, "_gpl", "");
KSYMTAB_FUNC(usb_mon_register, "_gpl", "");
KSYMTAB_FUNC(usb_mon_deregister, "_gpl", "");
KSYMTAB_FUNC(usb_init_urb, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_urb, "_gpl", "");
KSYMTAB_FUNC(usb_free_urb, "_gpl", "");
KSYMTAB_FUNC(usb_get_urb, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_urb, "_gpl", "");
KSYMTAB_FUNC(usb_unanchor_urb, "_gpl", "");
KSYMTAB_FUNC(usb_pipe_type_check, "_gpl", "");
KSYMTAB_FUNC(usb_urb_ep_type_check, "_gpl", "");
KSYMTAB_FUNC(usb_submit_urb, "_gpl", "");
KSYMTAB_FUNC(usb_unlink_urb, "_gpl", "");
KSYMTAB_FUNC(usb_kill_urb, "_gpl", "");
KSYMTAB_FUNC(usb_poison_urb, "_gpl", "");
KSYMTAB_FUNC(usb_unpoison_urb, "_gpl", "");
KSYMTAB_FUNC(usb_block_urb, "_gpl", "");
KSYMTAB_FUNC(usb_kill_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_poison_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_unpoison_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_unlink_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_suspend_wakeups, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_resume_wakeups, "_gpl", "");
KSYMTAB_FUNC(usb_wait_anchor_empty_timeout, "_gpl", "");
KSYMTAB_FUNC(usb_get_from_anchor, "_gpl", "");
KSYMTAB_FUNC(usb_scuttle_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_empty, "_gpl", "");
KSYMTAB_FUNC(usb_control_msg, "_gpl", "");
KSYMTAB_FUNC(usb_control_msg_send, "_gpl", "");
KSYMTAB_FUNC(usb_control_msg_recv, "_gpl", "");
KSYMTAB_FUNC(usb_interrupt_msg, "_gpl", "");
KSYMTAB_FUNC(usb_bulk_msg, "_gpl", "");
KSYMTAB_FUNC(usb_sg_init, "_gpl", "");
KSYMTAB_FUNC(usb_sg_wait, "_gpl", "");
KSYMTAB_FUNC(usb_sg_cancel, "_gpl", "");
KSYMTAB_FUNC(usb_get_descriptor, "_gpl", "");
KSYMTAB_FUNC(usb_string, "_gpl", "");
KSYMTAB_FUNC(usb_cache_string, "_gpl", "");
KSYMTAB_FUNC(usb_get_status, "_gpl", "");
KSYMTAB_FUNC(usb_clear_halt, "_gpl", "");
KSYMTAB_FUNC(usb_reset_endpoint, "_gpl", "");
KSYMTAB_FUNC(usb_set_interface, "_gpl", "");
KSYMTAB_FUNC(usb_reset_configuration, "_gpl", "");
KSYMTAB_FUNC(usb_set_wireless_status, "_gpl", "");
KSYMTAB_FUNC(usb_set_configuration, "_gpl", "");
KSYMTAB_FUNC(usb_driver_set_configuration, "_gpl", "");
KSYMTAB_FUNC(cdc_parse_cdc_header, "", "");
KSYMTAB_FUNC(usb_store_new_id, "_gpl", "");
KSYMTAB_FUNC(usb_show_dynids, "_gpl", "");
KSYMTAB_FUNC(usb_driver_claim_interface, "_gpl", "");
KSYMTAB_FUNC(usb_driver_release_interface, "_gpl", "");
KSYMTAB_FUNC(usb_match_one_id, "_gpl", "");
KSYMTAB_FUNC(usb_match_id, "_gpl", "");
KSYMTAB_FUNC(usb_device_match_id, "_gpl", "");
KSYMTAB_FUNC(usb_register_device_driver, "_gpl", "");
KSYMTAB_FUNC(usb_deregister_device_driver, "_gpl", "");
KSYMTAB_FUNC(usb_register_driver, "_gpl", "");
KSYMTAB_FUNC(usb_deregister, "_gpl", "");
KSYMTAB_FUNC(usb_enable_autosuspend, "_gpl", "");
KSYMTAB_FUNC(usb_disable_autosuspend, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_put_interface, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_put_interface_async, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_put_interface_no_suspend, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_get_interface, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_get_interface_async, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_get_interface_no_resume, "_gpl", "");
KSYMTAB_FUNC(usb_register_dev, "_gpl", "");
KSYMTAB_FUNC(usb_deregister_dev, "_gpl", "");
KSYMTAB_FUNC(usb_register_notify, "_gpl", "");
KSYMTAB_FUNC(usb_unregister_notify, "_gpl", "");
KSYMTAB_FUNC(usb_choose_configuration, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_alloc, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_alloc_usb3_phy, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_init, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_exit, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_set_mode, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_calibrate, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_notify_connect, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_notify_disconnect, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_power_on, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_power_off, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_suspend, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_resume, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_pci_probe, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_pci_remove, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_pci_shutdown, "_gpl", "");
KSYMTAB_DATA(usb_hcd_pci_pm_ops, "_gpl", "");
KSYMTAB_FUNC(usb_acpi_power_manageable, "_gpl", "");
KSYMTAB_FUNC(usb_acpi_port_lpm_incapable, "_gpl", "");
KSYMTAB_FUNC(usb_acpi_set_power_state, "_gpl", "");

SYMBOL_CRC(usb_disabled, 0x19a304ba, "_gpl");
SYMBOL_CRC(usb_find_common_endpoints, 0x93c7edeb, "_gpl");
SYMBOL_CRC(usb_find_common_endpoints_reverse, 0x1e9c590a, "_gpl");
SYMBOL_CRC(usb_check_bulk_endpoints, 0x9b09434e, "_gpl");
SYMBOL_CRC(usb_check_int_endpoints, 0x7a56cea6, "_gpl");
SYMBOL_CRC(usb_find_alt_setting, 0x6b2f383f, "_gpl");
SYMBOL_CRC(usb_ifnum_to_if, 0x7bebb13b, "_gpl");
SYMBOL_CRC(usb_altnum_to_altsetting, 0x77674a21, "_gpl");
SYMBOL_CRC(usb_find_interface, 0x89873ca1, "_gpl");
SYMBOL_CRC(usb_for_each_dev, 0xe9271724, "_gpl");
SYMBOL_CRC(usb_alloc_dev, 0xd9ce5fb3, "_gpl");
SYMBOL_CRC(usb_get_dev, 0xb9b8e6fe, "_gpl");
SYMBOL_CRC(usb_put_dev, 0xdc38a6b0, "_gpl");
SYMBOL_CRC(usb_get_intf, 0x676d6e19, "_gpl");
SYMBOL_CRC(usb_put_intf, 0x76004b42, "_gpl");
SYMBOL_CRC(usb_intf_get_dma_device, 0x9e6661dd, "_gpl");
SYMBOL_CRC(usb_lock_device_for_reset, 0xf1ed219f, "_gpl");
SYMBOL_CRC(usb_get_current_frame_number, 0xdaed1ac6, "_gpl");
SYMBOL_CRC(__usb_get_extra_descriptor, 0xd36760ef, "_gpl");
SYMBOL_CRC(usb_alloc_coherent, 0x7fef61cd, "_gpl");
SYMBOL_CRC(usb_free_coherent, 0x00d04346, "_gpl");
SYMBOL_CRC(ehci_cf_port_reset_rwsem, 0x774cb1af, "_gpl");
SYMBOL_CRC(usb_wakeup_notification, 0xd09e61f2, "_gpl");
SYMBOL_CRC(usb_hub_clear_tt_buffer, 0x9acb7483, "_gpl");
SYMBOL_CRC(usb_hub_claim_port, 0x67780a55, "_gpl");
SYMBOL_CRC(usb_hub_release_port, 0x36828e27, "_gpl");
SYMBOL_CRC(usb_set_device_state, 0x5352fef2, "_gpl");
SYMBOL_CRC(usb_disable_ltm, 0xeb485f07, "_gpl");
SYMBOL_CRC(usb_enable_ltm, 0x955ef844, "_gpl");
SYMBOL_CRC(usb_wakeup_enabled_descendants, 0x98979aad, "_gpl");
SYMBOL_CRC(usb_root_hub_lost_power, 0x793c408c, "_gpl");
SYMBOL_CRC(usb_disable_lpm, 0x2ea14c9c, "_gpl");
SYMBOL_CRC(usb_unlocked_disable_lpm, 0x2a32a2e7, "_gpl");
SYMBOL_CRC(usb_enable_lpm, 0x50b7ebdf, "_gpl");
SYMBOL_CRC(usb_unlocked_enable_lpm, 0x7c32b160, "_gpl");
SYMBOL_CRC(usb_ep0_reinit, 0x7746edbb, "_gpl");
SYMBOL_CRC(usb_reset_device, 0x11e441ce, "_gpl");
SYMBOL_CRC(usb_queue_reset_device, 0xb4041405, "_gpl");
SYMBOL_CRC(usb_hub_find_child, 0xc36fc134, "_gpl");
SYMBOL_CRC(usb_hcds_loaded, 0xc17515d7, "_gpl");
SYMBOL_CRC(usb_bus_idr, 0xc4b656e7, "_gpl");
SYMBOL_CRC(usb_bus_idr_lock, 0xf6e932ea, "_gpl");
SYMBOL_CRC(usb_hcd_poll_rh_status, 0x3d1fbe54, "_gpl");
SYMBOL_CRC(usb_hcd_start_port_resume, 0xcb26ab1b, "_gpl");
SYMBOL_CRC(usb_hcd_end_port_resume, 0x7d5bbe7c, "_gpl");
SYMBOL_CRC(usb_calc_bus_time, 0x7e64181d, "_gpl");
SYMBOL_CRC(usb_hcd_link_urb_to_ep, 0xa78b03c2, "_gpl");
SYMBOL_CRC(usb_hcd_check_unlink_urb, 0xc06b95f1, "_gpl");
SYMBOL_CRC(usb_hcd_unlink_urb_from_ep, 0x8e237bd0, "_gpl");
SYMBOL_CRC(usb_hcd_unmap_urb_setup_for_dma, 0x8fae77c8, "_gpl");
SYMBOL_CRC(usb_hcd_unmap_urb_for_dma, 0x965008fb, "_gpl");
SYMBOL_CRC(usb_hcd_map_urb_for_dma, 0x1c1f67fe, "_gpl");
SYMBOL_CRC(usb_hcd_giveback_urb, 0xd01672b2, "_gpl");
SYMBOL_CRC(usb_alloc_streams, 0x2bf3ebab, "_gpl");
SYMBOL_CRC(usb_free_streams, 0x7dd86a6c, "_gpl");
SYMBOL_CRC(usb_hcd_resume_root_hub, 0x10d62343, "_gpl");
SYMBOL_CRC(usb_bus_start_enum, 0x99d232c6, "_gpl");
SYMBOL_CRC(usb_hcd_irq, 0x70cf032f, "_gpl");
SYMBOL_CRC(usb_hc_died, 0xdf66668d, "_gpl");
SYMBOL_CRC(__usb_create_hcd, 0x75cc94e3, "_gpl");
SYMBOL_CRC(usb_create_shared_hcd, 0x07ca5d1e, "_gpl");
SYMBOL_CRC(usb_create_hcd, 0x1f7d03fd, "_gpl");
SYMBOL_CRC(usb_get_hcd, 0x04671c10, "_gpl");
SYMBOL_CRC(usb_put_hcd, 0x37739110, "_gpl");
SYMBOL_CRC(usb_hcd_is_primary_hcd, 0xa518e671, "_gpl");
SYMBOL_CRC(usb_add_hcd, 0xa00f0f64, "_gpl");
SYMBOL_CRC(usb_remove_hcd, 0xd2787a85, "_gpl");
SYMBOL_CRC(usb_hcd_platform_shutdown, 0xd36a9677, "_gpl");
SYMBOL_CRC(usb_hcd_setup_local_mem, 0x3dd26adf, "_gpl");
SYMBOL_CRC(usb_mon_register, 0x5d147afb, "_gpl");
SYMBOL_CRC(usb_mon_deregister, 0xfed11ed1, "_gpl");
SYMBOL_CRC(usb_init_urb, 0x7bd894b4, "_gpl");
SYMBOL_CRC(usb_alloc_urb, 0x5ed9d72f, "_gpl");
SYMBOL_CRC(usb_free_urb, 0xffd134d1, "_gpl");
SYMBOL_CRC(usb_get_urb, 0x23ec31a4, "_gpl");
SYMBOL_CRC(usb_anchor_urb, 0x11043bf7, "_gpl");
SYMBOL_CRC(usb_unanchor_urb, 0x83a19043, "_gpl");
SYMBOL_CRC(usb_pipe_type_check, 0xa1319c61, "_gpl");
SYMBOL_CRC(usb_urb_ep_type_check, 0xdb5a8f3b, "_gpl");
SYMBOL_CRC(usb_submit_urb, 0x849d52fd, "_gpl");
SYMBOL_CRC(usb_unlink_urb, 0x6b586edb, "_gpl");
SYMBOL_CRC(usb_kill_urb, 0xb307c7df, "_gpl");
SYMBOL_CRC(usb_poison_urb, 0x5831ba9d, "_gpl");
SYMBOL_CRC(usb_unpoison_urb, 0x0940ea56, "_gpl");
SYMBOL_CRC(usb_block_urb, 0xb1de7a3c, "_gpl");
SYMBOL_CRC(usb_kill_anchored_urbs, 0x912a3adb, "_gpl");
SYMBOL_CRC(usb_poison_anchored_urbs, 0x2ecd92e6, "_gpl");
SYMBOL_CRC(usb_unpoison_anchored_urbs, 0xcac6ddb1, "_gpl");
SYMBOL_CRC(usb_unlink_anchored_urbs, 0xf051296b, "_gpl");
SYMBOL_CRC(usb_anchor_suspend_wakeups, 0x09a68dfe, "_gpl");
SYMBOL_CRC(usb_anchor_resume_wakeups, 0x5a5cc887, "_gpl");
SYMBOL_CRC(usb_wait_anchor_empty_timeout, 0xd18f5831, "_gpl");
SYMBOL_CRC(usb_get_from_anchor, 0x55be6ee5, "_gpl");
SYMBOL_CRC(usb_scuttle_anchored_urbs, 0x412ea31a, "_gpl");
SYMBOL_CRC(usb_anchor_empty, 0x6d792fb6, "_gpl");
SYMBOL_CRC(usb_control_msg, 0x60f98001, "_gpl");
SYMBOL_CRC(usb_control_msg_send, 0x0fbd76c4, "_gpl");
SYMBOL_CRC(usb_control_msg_recv, 0x9f174e27, "_gpl");
SYMBOL_CRC(usb_interrupt_msg, 0xcf3ec539, "_gpl");
SYMBOL_CRC(usb_bulk_msg, 0xf35d1172, "_gpl");
SYMBOL_CRC(usb_sg_init, 0x1496c508, "_gpl");
SYMBOL_CRC(usb_sg_wait, 0xcc952cac, "_gpl");
SYMBOL_CRC(usb_sg_cancel, 0xc5e515a6, "_gpl");
SYMBOL_CRC(usb_get_descriptor, 0x719aeb8d, "_gpl");
SYMBOL_CRC(usb_string, 0x87c81d18, "_gpl");
SYMBOL_CRC(usb_cache_string, 0x69f28528, "_gpl");
SYMBOL_CRC(usb_get_status, 0x2fcbfdb3, "_gpl");
SYMBOL_CRC(usb_clear_halt, 0x455b2d46, "_gpl");
SYMBOL_CRC(usb_reset_endpoint, 0xd1eae4d2, "_gpl");
SYMBOL_CRC(usb_set_interface, 0xd2dd21b2, "_gpl");
SYMBOL_CRC(usb_reset_configuration, 0xd2d569de, "_gpl");
SYMBOL_CRC(usb_set_wireless_status, 0x430bffba, "_gpl");
SYMBOL_CRC(usb_set_configuration, 0x873d97eb, "_gpl");
SYMBOL_CRC(usb_driver_set_configuration, 0xcc42a7c1, "_gpl");
SYMBOL_CRC(cdc_parse_cdc_header, 0x9c8ae7f8, "");
SYMBOL_CRC(usb_store_new_id, 0x193ed124, "_gpl");
SYMBOL_CRC(usb_show_dynids, 0x5757a4f1, "_gpl");
SYMBOL_CRC(usb_driver_claim_interface, 0xa03c9ece, "_gpl");
SYMBOL_CRC(usb_driver_release_interface, 0x6918832f, "_gpl");
SYMBOL_CRC(usb_match_one_id, 0x160a3f9f, "_gpl");
SYMBOL_CRC(usb_match_id, 0xe96cdd0a, "_gpl");
SYMBOL_CRC(usb_device_match_id, 0x77c11472, "_gpl");
SYMBOL_CRC(usb_register_device_driver, 0x2ee241b9, "_gpl");
SYMBOL_CRC(usb_deregister_device_driver, 0xd6328107, "_gpl");
SYMBOL_CRC(usb_register_driver, 0x2bd2908e, "_gpl");
SYMBOL_CRC(usb_deregister, 0xaa967ebb, "_gpl");
SYMBOL_CRC(usb_enable_autosuspend, 0x57766d96, "_gpl");
SYMBOL_CRC(usb_disable_autosuspend, 0x7fe1fc1c, "_gpl");
SYMBOL_CRC(usb_autopm_put_interface, 0x97847056, "_gpl");
SYMBOL_CRC(usb_autopm_put_interface_async, 0x1d7c1827, "_gpl");
SYMBOL_CRC(usb_autopm_put_interface_no_suspend, 0x8b48eadf, "_gpl");
SYMBOL_CRC(usb_autopm_get_interface, 0x0be926fa, "_gpl");
SYMBOL_CRC(usb_autopm_get_interface_async, 0xf9b49d93, "_gpl");
SYMBOL_CRC(usb_autopm_get_interface_no_resume, 0x99b75b6e, "_gpl");
SYMBOL_CRC(usb_register_dev, 0xc27dfde0, "_gpl");
SYMBOL_CRC(usb_deregister_dev, 0x120cb155, "_gpl");
SYMBOL_CRC(usb_register_notify, 0x89bbafc6, "_gpl");
SYMBOL_CRC(usb_unregister_notify, 0x811dc334, "_gpl");
SYMBOL_CRC(usb_choose_configuration, 0x081b2eb4, "_gpl");
SYMBOL_CRC(usb_phy_roothub_alloc, 0x4b73e107, "_gpl");
SYMBOL_CRC(usb_phy_roothub_alloc_usb3_phy, 0xc124e59f, "_gpl");
SYMBOL_CRC(usb_phy_roothub_init, 0xc93ee1e7, "_gpl");
SYMBOL_CRC(usb_phy_roothub_exit, 0xe39d0794, "_gpl");
SYMBOL_CRC(usb_phy_roothub_set_mode, 0x5bdae35b, "_gpl");
SYMBOL_CRC(usb_phy_roothub_calibrate, 0x851e6003, "_gpl");
SYMBOL_CRC(usb_phy_roothub_notify_connect, 0x193780c4, "_gpl");
SYMBOL_CRC(usb_phy_roothub_notify_disconnect, 0xef6a57e5, "_gpl");
SYMBOL_CRC(usb_phy_roothub_power_on, 0x9c803020, "_gpl");
SYMBOL_CRC(usb_phy_roothub_power_off, 0x8c89e3b8, "_gpl");
SYMBOL_CRC(usb_phy_roothub_suspend, 0xd4bc463c, "_gpl");
SYMBOL_CRC(usb_phy_roothub_resume, 0xcd53077e, "_gpl");
SYMBOL_CRC(usb_hcd_pci_probe, 0x516a3259, "_gpl");
SYMBOL_CRC(usb_hcd_pci_remove, 0x953bf83e, "_gpl");
SYMBOL_CRC(usb_hcd_pci_shutdown, 0x18491697, "_gpl");
SYMBOL_CRC(usb_hcd_pci_pm_ops, 0x588b7b13, "_gpl");
SYMBOL_CRC(usb_acpi_power_manageable, 0xcbe95224, "_gpl");
SYMBOL_CRC(usb_acpi_port_lpm_incapable, 0xc76e1eab, "_gpl");
SYMBOL_CRC(usb_acpi_set_power_state, 0x50d99681, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x29f06452, "init_uts_ns" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x3567a1ab, "device_create" },
	{ 0x1a936604, "noop_llseek" },
	{ 0x50af3680, "sysfs_merge_group" },
	{ 0x96f74946, "phy_notify_disconnect" },
	{ 0x50ee093, "device_attach" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xfb6eedf9, "power_group_name" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xa444fd8, "kernfs_find_and_get_ns" },
	{ 0x66da008e, "dma_alloc_attrs" },
	{ 0x5a921311, "strncmp" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x8c7629d, "phy_power_on" },
	{ 0x21b6f478, "no_seek_end_llseek" },
	{ 0x385c8465, "driver_unregister" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x19dd452d, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x1ebf6c2a, "pci_power_names" },
	{ 0x79908cfb, "sysfs_remove_file_from_group" },
	{ 0x500641fa, "sysfs_create_group" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x11089ac7, "_ctype" },
	{ 0xf9a8df24, "device_register" },
	{ 0x1d1abdf0, "acpi_get_physical_device_location" },
	{ 0xdc6b831f, "device_del" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xaae8ab0e, "acpi_bus_power_manageable" },
	{ 0x77ae495d, "usb_speed_string" },
	{ 0x2c0176cb, "device_bind_driver" },
	{ 0xdbdf6c92, "ioport_resource" },
	{ 0xfb578fc5, "memset" },
	{ 0xfba6453f, "_dev_warn" },
	{ 0x257f912, "system_bh_highpri_wq" },
	{ 0x44df943b, "unregister_acpi_bus_type" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x1cdfb237, "device_match_devt" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x18f86032, "pci_set_master" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x190a2bf6, "gen_pool_add_owner" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x555a1c56, "pm_runtime_no_callbacks" },
	{ 0xc449f5fa, "phy_power_off" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xf35c5a27, "devm_gen_pool_create" },
	{ 0xeddd417, "down_read" },
	{ 0x916b92be, "mutex_trylock" },
	{ 0x29e4406d, "dev_pm_qos_flags" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcb733bf2, "acpi_bus_set_power" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x8fd4115, "pv_ops" },
	{ 0x98d34b50, "sysfs_remove_group" },
	{ 0x1f4cf745, "phy_set_mode_ext" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x59d171b3, "_dev_notice" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x161d0f27, "pm_runtime_forbid" },
	{ 0xb6d81a7d, "debugfs_create_file" },
	{ 0xdd605405, "blocking_notifier_chain_unregister" },
	{ 0xd61d6176, "dma_free_attrs" },
	{ 0x167e7f9d, "__get_user_1" },
	{ 0xd6ad4424, "pm_runtime_allow" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x6a90a3fa, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x282cdabc, "usb_led_activity" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd7c8847e, "acpi_fetch_acpi_dev" },
	{ 0x6c78825c, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0xc37f0b32, "wait_for_completion_killable_timeout" },
	{ 0xc09e0ef9, "kernfs_put" },
	{ 0x6e129203, "gen_pool_free_owner" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x3b52e2ea, "inode_set_ctime_current" },
	{ 0x275fcb84, "__register_chrdev" },
	{ 0xb75259ff, "sysfs_break_active_protection" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x38ee439d, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x43edf226, "kobject_uevent" },
	{ 0xd348b9bc, "device_pm_wait_for_dev" },
	{ 0xf3692906, "pci_disable_device" },
	{ 0xd204e031, "kill_pid_usb_asyncio" },
	{ 0x350e1a93, "remove_wait_queue" },
	{ 0xa281c81a, "dma_mmap_attrs" },
	{ 0xd4c500, "usb_decode_interval" },
	{ 0xaa31d282, "usb_hcd_amd_remote_wakeup_quirk" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xfe303c21, "dma_unmap_sg_attrs" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0x40bcd7d, "dev_pm_qos_add_request" },
	{ 0xb7995894, "pm_runtime_barrier" },
	{ 0xac5cbf4c, "kmalloc_trace" },
	{ 0x4dc3632f, "__pm_runtime_suspend" },
	{ 0x7f72efa0, "usb_debug_root" },
	{ 0x50709c1a, "component_add" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0xb078cf12, "set_primary_fwnode" },
	{ 0x49d21024, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x3eafd6f3, "__pm_runtime_use_autosuspend" },
	{ 0x77358855, "iomem_resource" },
	{ 0x17448ebe, "phy_calibrate" },
	{ 0x71e2ea45, "param_ops_int" },
	{ 0x1075541, "_dev_printk" },
	{ 0x66dd4ba5, "dev_pm_qos_expose_flags" },
	{ 0x9c88a29, "__pm_runtime_disable" },
	{ 0x4de17ab3, "usb_state_string" },
	{ 0x3bab4eaf, "dev_pm_qos_remove_request" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xe75aba6, "pci_free_irq_vectors" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xbb53856b, "up_read" },
	{ 0x799f5378, "driver_register" },
	{ 0x84547664, "put_pid" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x38cf0e49, "class_register" },
	{ 0x4c988872, "__pm_runtime_idle" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xce8c5f28, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x94961e20, "kmalloc_caches" },
	{ 0x47cb8e53, "cdev_del" },
	{ 0xcb305a17, "device_remove_file" },
	{ 0x2a4f9b9, "bus_register" },
	{ 0x1701077b, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x81febfff, "phy_init" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xd7661d94, "phy_notify_connect" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x1a146ec3, "usb_ep_type_string" },
	{ 0xf10a37df, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x760a0f4f, "yield" },
	{ 0x17a39642, "device_set_wakeup_enable" },
	{ 0x9245456c, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x1e626b38, "is_acpi_device_node" },
	{ 0x8988594f, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x2460832, "device_set_of_node_from_dev" },
	{ 0x180a647c, "param_ops_uint" },
	{ 0x6904f598, "dma_pool_create" },
	{ 0xaa077be5, "bus_unregister_notifier" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xb9e30be, "pci_enable_device" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xaadd873d, "devm_memremap" },
	{ 0x1e3f2145, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xb0e602eb, "memmove" },
	{ 0x15421ce8, "pci_alloc_irq_vectors" },
	{ 0xb3a83d39, "param_get_string" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe8f33731, "dmam_alloc_attrs" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x9dd2c68, "driver_remove_file" },
	{ 0x9e4d10ec, "sysfs_add_file_to_group" },
	{ 0xd8e99ff5, "system_bh_wq" },
	{ 0x755b4f1b, "driver_attach" },
	{ 0xb0987c00, "device_unregister" },
	{ 0xd58a06bb, "pm_runtime_set_autosuspend_delay" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x7dcb9ba2, "gen_pool_dma_alloc_align" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x4400991f, "pci_get_device" },
	{ 0xc8845c38, "dma_unmap_page_attrs" },
	{ 0x96848186, "scnprintf" },
	{ 0xd2752a9f, "sysfs_unbreak_active_protection" },
	{ 0x6b85e3cc, "pci_dev_run_wake" },
	{ 0x459fa6cd, "devm_ioremap" },
	{ 0x2c57a0db, "pci_prepare_to_sleep" },
	{ 0xf9edeb2c, "device_initialize" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xf54fe7f2, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0xbba2a135, "component_del" },
	{ 0xd20f0a97, "remap_pfn_range" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xde757224, "kobject_get_path" },
	{ 0xcb39ef5, "add_wait_queue" },
	{ 0xb9c13add, "acpi_find_child_by_adr" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xe9b28857, "bus_for_each_drv" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x98b7286a, "pci_irq_vector" },
	{ 0x1c833e78, "get_device" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x902b2e82, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xb31705c1, "kernfs_notify" },
	{ 0x4e04f5a0, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc390c28d, "param_set_copystring" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x73beee4f, "__put_cred" },
	{ 0x24578f9b, "__suspend_report_result" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x528d158c, "dev_driver_string" },
	{ 0x9e52a566, "gen_pool_dma_alloc" },
	{ 0xa10bec3b, "sysfs_notify" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x82b40278, "__pm_runtime_set_status" },
	{ 0x757041e6, "dma_map_page_attrs" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0xa1fcacd8, "__devm_request_region" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x732856c8, "pm_wakeup_dev_event" },
	{ 0x45a449b6, "device_reprobe" },
	{ 0x1f51f04c, "register_acpi_bus_type" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x3df132f1, "blocking_notifier_call_chain" },
	{ 0x3186c439, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x3dce29e7, "debugfs_lookup_and_remove" },
	{ 0x812f9dfe, "put_device" },
	{ 0x63eb8f3, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0x3d9d2278, "driver_create_file" },
	{ 0x7d59dd46, "pm_wq" },
	{ 0xdb5ee709, "phy_exit" },
	{ 0x44e5418b, "bus_register_notifier" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x9af842d, "idr_get_next" },
	{ 0xb7805bf0, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa491cd2f, "bus_for_each_dev" },
	{ 0x9f984513, "strrchr" },
	{ 0x90973bef, "_dev_info" },
	{ 0xd9fc356f, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x42e63ed4, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xd5b1e468, "device_wakeup_disable" },
	{ 0x10893deb, "compat_ptr_ioctl" },
	{ 0x3d700f6b, "cdev_add" },
	{ 0xe0205c74, "device_create_file" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x38382cd2, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x766ac81d, "sysfs_update_group" },
	{ 0xb409a83a, "sysfs_unmerge_group" },
	{ 0xe5280218, "bus_unregister" },
	{ 0xb7d14ec7, "down_write" },
	{ 0x1d01873e, "_dev_err" },
	{ 0x83f37978, "device_wakeup_enable" },
	{ 0xeed7fd81, "up_write" },
	{ 0x1747cfe5, "bus_find_device" },
	{ 0x2dfda671, "device_add" },
	{ 0xf8ef8e26, "sysfs_remove_link" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("usb:v0424p5534d*dc*dsc*dp*ic09isc*ip*in*");
MODULE_ALIAS("usb:v04B4p6570d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05E3p*d*dc*dsc*dp*ic09isc*ip*in*");
MODULE_ALIAS("usb:v0451p8142d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0451p8140d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p4913d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p4914d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p4915d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc09dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic09isc*ip*in*");

MODULE_INFO(srcversion, "7E46CD5EB3D2B60FC251A34");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
