#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1cdd0605, "xhci_port_state_to_neutral" },
	{ 0x902b2e82, "__dynamic_dev_dbg" },
	{ 0x1d01873e, "_dev_err" },
	{ 0x377bbcbc, "pm_suspend_target_state" },
	{ 0xd87a429b, "xhci_suspend" },
	{ 0xd2a33cca, "pci_d3cold_disable" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x30997a51, "xhci_update_hub_device" },
	{ 0xc76e1eab, "usb_acpi_port_lpm_incapable" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x15421ce8, "pci_alloc_irq_vectors" },
	{ 0x88fac4e8, "xhci_msi_irq" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x25032bb2, "xhci_run" },
	{ 0xa916b694, "strnlen" },
	{ 0x70cf032f, "usb_hcd_irq" },
	{ 0x301a44fd, "xhci_dbg_trace" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xa5d95987, "pci_match_id" },
	{ 0xaf4014ff, "usb_amd_quirk_pll_check" },
	{ 0x8d02b6b8, "pci_unregister_driver" },
	{ 0x4d467352, "__tracepoint_xhci_dbg_quirks" },
	{ 0x8536d2f3, "pcpu_hot" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xabf03fc3, "__SCT__tp_func_xhci_dbg_quirks" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x679a1f95, "xhci_gen_setup" },
	{ 0xc4fc2840, "pci_set_mwi" },
	{ 0xcd7f452, "pci_read_config_byte" },
	{ 0x1e626b38, "is_acpi_device_node" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3804049, "__tracepoint_xhci_dbg_init" },
	{ 0x8a5c1029, "__SCT__tp_func_xhci_dbg_init" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0xfc96ce3b, "xhci_resume" },
	{ 0xe1b1703e, "usb_enable_intel_xhci_ports" },
	{ 0x3e956d02, "xhci_shutdown" },
	{ 0xea00d8d9, "__devm_reset_control_get" },
	{ 0x516a3259, "usb_hcd_pci_probe" },
	{ 0x7ca5d1e, "usb_create_shared_hcd" },
	{ 0xb228f221, "xhci_ext_cap_init" },
	{ 0xb0e9d8f5, "renesas_xhci_check_request_fw" },
	{ 0xa00f0f64, "usb_add_hcd" },
	{ 0x50c4b69f, "pci_choose_state" },
	{ 0xd6ad4424, "pm_runtime_allow" },
	{ 0x18491697, "usb_hcd_pci_shutdown" },
	{ 0x588b7b13, "usb_hcd_pci_pm_ops" },
	{ 0xebfd6b9b, "__SCK__tp_func_xhci_dbg_init" },
	{ 0x52f405f2, "__SCK__tp_func_xhci_dbg_quirks" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8c6b1faa, "xhci_init_driver" },
	{ 0x570419ba, "__pci_register_driver" },
	{ 0xa518e671, "usb_hcd_is_primary_hcd" },
	{ 0xd2787a85, "usb_remove_hcd" },
	{ 0x37739110, "usb_put_hcd" },
	{ 0x953bf83e, "usb_hcd_pci_remove" },
	{ 0x161d0f27, "pm_runtime_forbid" },
	{ 0x70eef290, "pci_set_power_state" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe5a0420f, "xhci_stop" },
	{ 0x98b7286a, "pci_irq_vector" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe75aba6, "pci_free_irq_vectors" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "xhci-hcd,usbcore,xhci-pci-renesas");

MODULE_ALIAS("pci:v00001912d00000014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001912d00000015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v*d*sv*sd*bc0Csc03i30*");

MODULE_INFO(srcversion, "1B30F0EBD389B3369D33860");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
