#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x46b1d54d, "lock_two_nondirectories" },
	{ 0x50dec587, "d_drop" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0x1a2ae423, "deactivate_super" },
	{ 0xe06ece03, "mnt_want_write_file" },
	{ 0x96a39c08, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x605790dc, "fiemap_fill_next_extent" },
	{ 0xf7dc92ae, "mempool_create" },
	{ 0xac5fcec0, "in4_pton" },
	{ 0x96b29254, "strncasecmp" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x66bcea15, "vfs_parse_fs_string" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x18991cf5, "load_nls" },
	{ 0x89e3b1ca, "make_kuid" },
	{ 0xa9230430, "truncate_inode_pages_final" },
	{ 0xc341b43b, "generic_setlease" },
	{ 0xbe11af61, "__filemap_set_wb_err" },
	{ 0x40d03263, "simple_dir_operations" },
	{ 0x8e227497, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x26f40865, "__alloc_skb" },
	{ 0x7d072f9c, "__filemap_get_folio" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x4ccdacd6, "mempool_alloc" },
	{ 0x9af842d, "idr_get_next" },
	{ 0xb7805bf0, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x957ca8fc, "kmem_cache_alloc" },
	{ 0xb0aa812e, "fips_enabled" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x54c0bddf, "init_task" },
	{ 0xc6cbbc89, "capable" },
	{ 0xac743b57, "mnt_drop_write_file" },
	{ 0xd9fc356f, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x6b2370b3, "fs_context_for_submount" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x4f036e37, "inode_init_once" },
	{ 0x37b59c00, "netfs_extract_user_iter" },
	{ 0x5b41c1dd, "folio_wait_private_2" },
	{ 0x498c1c0, "file_write_and_wait_range" },
	{ 0x94bf03ca, "utf8_to_utf32" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x8c30782e, "copy_splice_read" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0xeb4d6ac5, "__fscache_relinquish_volume" },
	{ 0x364916eb, "dns_query" },
	{ 0x596113a5, "seq_escape_mem" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x8a263310, "key_put" },
	{ 0xd5104c8e, "crypto_aead_setkey" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x2fc14017, "__folio_lock_killable" },
	{ 0x4889d27, "perf_trace_run_bpf_submit" },
	{ 0x518ce59f, "fput" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0xeaf2a63b, "init_net" },
	{ 0xeed7fd81, "up_write" },
	{ 0x63b3c10e, "generic_file_read_iter" },
	{ 0xa3ee620a, "unlock_page" },
	{ 0x5d0a404, "crypto_shash_setkey" },
	{ 0xce12fa5f, "key_type_logon" },
	{ 0xcfa703e3, "mempool_resize" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2f4f6b8f, "kmem_cache_create_usercopy" },
	{ 0x9dd3a448, "truncate_pagecache" },
	{ 0x59c7f349, "user_describe" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x29f06452, "init_uts_ns" },
	{ 0x7e1008ca, "put_fs_context" },
	{ 0xaa39288e, "dentry_path_raw" },
	{ 0x50b53233, "crypto_aead_encrypt" },
	{ 0xd92cd402, "__module_put_and_kthread_exit" },
	{ 0x4d494e38, "unlock_two_nondirectories" },
	{ 0xa681fe88, "generate_random_uuid" },
	{ 0xc61a4fc9, "xa_load" },
	{ 0x95988248, "bpf_trace_run5" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x75967948, "setattr_copy" },
	{ 0xe2d1d493, "kfree_skb_reason" },
	{ 0x5eff1710, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x435f276e, "set_nlink" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x44d659d3, "kmem_cache_free" },
	{ 0xc4c73891, "cifs_arc4_setkey" },
	{ 0x9b496b21, "posix_acl_alloc" },
	{ 0x5a921311, "strncmp" },
	{ 0xd47e7e7b, "d_move" },
	{ 0xfdea3f18, "seq_putc" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0xd5a43273, "nla_put" },
	{ 0x468ea682, "from_kgid" },
	{ 0x793f8ae7, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x782ac2eb, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x64db9a5, "mark_mounts_for_expiry" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x22ee26f5, "folio_wait_writeback" },
	{ 0xb31a5055, "iov_iter_kvec" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x606af708, "sget" },
	{ 0x47904644, "sock_sendmsg" },
	{ 0x7412ed5b, "kvfree_sensitive" },
	{ 0x10ddc2a7, "crypto_shash_update" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xab6292e7, "file_modified" },
	{ 0x4d83caa9, "copy_page_to_iter" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x959167d, "freezing_slow_path" },
	{ 0xd472c72d, "wait_for_completion_killable" },
	{ 0xf863d012, "finish_no_open" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb77773e3, "__folio_start_writeback" },
	{ 0x6100fa1f, "bpf_trace_run1" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xb052182f, "netfs_dirty_folio" },
	{ 0xb561c81f, "folio_end_writeback" },
	{ 0x8d843a05, "proc_mkdir" },
	{ 0xd692e015, "from_kuid" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x4a0d7857, "fc_mount" },
	{ 0x9272ada5, "kernel_connect" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xa8518606, "iov_iter_bvec" },
	{ 0x22647d37, "unpin_user_page" },
	{ 0xf9015d28, "key_revoke" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x726c0fc2, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x9cfc3d2, "from_kgid_munged" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x79b1a9be, "end_page_writeback" },
	{ 0x7dfa2072, "down_write_trylock" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0x1652648a, "xas_pause" },
	{ 0xeddd417, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb94bfcad, "skb_trim" },
	{ 0x7b86e1fe, "truncate_setsize" },
	{ 0x4841bdee, "strnchr" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc133e9c3, "kthread_create_on_node" },
	{ 0x4cf7e11c, "set_page_dirty" },
	{ 0xc7541edc, "copy_page_from_iter" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xbff7e3fd, "bpf_trace_run3" },
	{ 0xf023ea83, "override_creds" },
	{ 0x46aec8d9, "seq_read" },
	{ 0xa95acb14, "__put_net" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb539c19c, "redirty_page_for_writepage" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0xabd9af6d, "cifs_arc4_crypt" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x818b1f62, "super_setup_bdi" },
	{ 0x167e7f9d, "__get_user_1" },
	{ 0xe975d228, "generic_read_dir" },
	{ 0x302beb95, "trace_event_buffer_reserve" },
	{ 0xe4dbd842, "set_page_writeback" },
	{ 0xe66610ca, "d_add" },
	{ 0x1fb7315e, "crypto_shash_final" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x9cf352b3, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6c78825c, "param_ops_bool" },
	{ 0xb48d4d22, "security_sb_eat_lsm_opts" },
	{ 0x1e0038d7, "lookup_positive_unlocked" },
	{ 0x49e8bf12, "init_user_ns" },
	{ 0x3c453e5f, "xa_destroy" },
	{ 0xf5d073e8, "xa_find" },
	{ 0xb6903514, "request_key_tag" },
	{ 0x116b1233, "invalidate_inode_pages2" },
	{ 0x368dfd11, "alloc_pages" },
	{ 0x3b52e2ea, "inode_set_ctime_current" },
	{ 0x82e8ebf2, "inc_nlink" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x376b8dc1, "dup_iter" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x44e9a829, "match_token" },
	{ 0xf4198220, "mempool_destroy" },
	{ 0x81bb5ddd, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc345a6d8, "remove_proc_entry" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x89f09e18, "seq_printf" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0xeac92c49, "sock_recvmsg" },
	{ 0xed2d9d57, "dput" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xa8857036, "xa_store" },
	{ 0xecfc5e9e, "iov_iter_zero" },
	{ 0xfc43ef2a, "lockref_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x646e3843, "deactivate_locked_super" },
	{ 0x798f3830, "cifs_md4_init" },
	{ 0xcff186a9, "touch_atime" },
	{ 0x9e8932e3, "__d_lookup_unhash_wake" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x31754a8e, "sock_release" },
	{ 0x6656a67d, "__fscache_invalidate" },
	{ 0xa969fa14, "iov_iter_discard" },
	{ 0xfceeebee, "xa_extract" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x9230d19e, "generic_file_open" },
	{ 0x56b77421, "truncate_inode_pages_range" },
	{ 0xf2301826, "downgrade_write" },
	{ 0x8126bdf8, "__folio_lock" },
	{ 0xe4b416db, "filemap_dirty_folio" },
	{ 0xf8c3cce, "pagecache_get_page" },
	{ 0x6fcea3ec, "seq_puts" },
	{ 0xba4fada, "__fscache_use_cookie" },
	{ 0xe21e5d93, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x381d665a, "iov_iter_xarray" },
	{ 0xf28b0745, "tcp_sock_set_nodelay" },
	{ 0x4fba6502, "send_sig" },
	{ 0x1e456b62, "__fs_parse" },
	{ 0x8d6a681e, "filemap_splice_read" },
	{ 0x6254f19b, "__fscache_begin_write_operation" },
	{ 0xb8b043f2, "kfree_link" },
	{ 0xa02369b5, "genl_unregister_family" },
	{ 0x7ef06546, "kill_anon_super" },
	{ 0xf5878085, "from_kuid_munged" },
	{ 0x9e01fd36, "proc_create_single_data" },
	{ 0x2d02b124, "prepare_kernel_cred" },
	{ 0x42737b5e, "xa_find_after" },
	{ 0xac5cbf4c, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x92d2c3a1, "iget5_locked" },
	{ 0x39c3016c, "__generic_file_write_iter" },
	{ 0x9ca267e8, "filemap_write_and_wait_range" },
	{ 0xa8fd90ac, "xa_set_mark" },
	{ 0xc29bf967, "strspn" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xe5afc40a, "bpf_trace_run7" },
	{ 0x13ce87e8, "asn1_ber_decoder" },
	{ 0x140cd23b, "iov_iter_revert" },
	{ 0x48dd50e7, "generic_write_checks" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xfacc67d6, "mntget" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xdd8a7e4b, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x86d824c5, "kmem_cache_alloc_lru" },
	{ 0x17a4e70c, "filemap_fault" },
	{ 0x1d6e02fa, "crypto_alloc_shash" },
	{ 0xdb081477, "key_invalidate" },
	{ 0x2334bc5d, "d_invalidate" },
	{ 0x9ea59272, "try_wait_for_completion" },
	{ 0x5dd313f7, "__mark_inode_dirty" },
	{ 0xf7acde24, "genl_register_family" },
	{ 0x30db8d46, "generic_file_llseek" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x9110a520, "folio_wait_private_2_killable" },
	{ 0x292c0f82, "unload_nls" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xbb53856b, "up_read" },
	{ 0xaff8a45f, "iterate_supers_type" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x6632b354, "iov_iter_npages" },
	{ 0x9aedbfd8, "NlsUniUpperRange" },
	{ 0x7fab4530, "set_anon_super" },
	{ 0x97adb487, "utf8s_to_utf16s" },
	{ 0x72ce45fd, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0xdef1096d, "cifs_md4_update" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd711d089, "fs_param_is_u64" },
	{ 0x94961e20, "kmalloc_caches" },
	{ 0x559080f, "iget_failed" },
	{ 0x77387372, "kmem_cache_destroy" },
	{ 0x9a1dfd65, "strpbrk" },
	{ 0xa9d8ac71, "__fscache_acquire_cookie" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6a5fa363, "sigprocmask" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xdd4ea33f, "posix_test_lock" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0xd69d1733, "__page_file_index" },
	{ 0xe914e41e, "strcpy" },
	{ 0xeb0c9c76, "filemap_fdatawrite" },
	{ 0x2ef437ff, "generic_fillattr" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x88ea99f5, "setattr_prepare" },
	{ 0x66beb267, "vfs_fsync_range" },
	{ 0x31362349, "filemap_migrate_folio" },
	{ 0xceecd9e4, "cifs_md4_final" },
	{ 0x5480251, "clear_nlink" },
	{ 0x2623ff22, "__sock_create" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x31b80f6f, "d_alloc_parallel" },
	{ 0xcff26609, "revert_creds" },
	{ 0xf65c758e, "tcp_sock_set_cork" },
	{ 0xdadf9a2e, "__init_rwsem" },
	{ 0x6325f03d, "d_instantiate" },
	{ 0xc5326b5a, "_copy_to_iter" },
	{ 0x7d6f7425, "timestamp_truncate" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x787a09c, "clear_inode" },
	{ 0x745c7083, "bpf_trace_run4" },
	{ 0x116cbb1, "__fscache_acquire_volume" },
	{ 0xdfb800d9, "idr_find" },
	{ 0x180a647c, "param_ops_uint" },
	{ 0xa8cb69ec, "grab_cache_page_write_begin" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb95903a6, "fs_param_is_string" },
	{ 0xc31ac3ca, "__folio_batch_release" },
	{ 0x7eccd52, "folio_unlock" },
	{ 0xd639f94c, "__fscache_resize_cookie" },
	{ 0x3e8c9bfe, "mnt_set_expiry" },
	{ 0xad7ebbca, "proc_create" },
	{ 0x8cdff8e8, "vmalloc_to_page" },
	{ 0xd66b5cb1, "__break_lease" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8a4c8d20, "filemap_map_pages" },
	{ 0x65b45cb, "complete" },
	{ 0xe4899a41, "netfs_unpin_writeback" },
	{ 0xf20dbfad, "__fscache_begin_read_operation" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x6e995938, "trace_raw_output_prep" },
	{ 0x1a237ace, "look_up_OID" },
	{ 0xc6854d8b, "init_special_inode" },
	{ 0x374647fd, "unregister_filesystem" },
	{ 0x19e6d18b, "bpf_trace_run6" },
	{ 0x7831260f, "xas_find_marked" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x61a4528, "__trace_trigger_soft_disabled" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xa7319d22, "iov_iter_advance" },
	{ 0x4cc01241, "d_make_root" },
	{ 0x67bfec1, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x609bcd98, "in6_pton" },
	{ 0x5d513871, "__put_task_struct" },
	{ 0x5913fc70, "kernel_bind" },
	{ 0x9bac2fb4, "xas_find" },
	{ 0x83bee85f, "__fscache_unuse_cookie" },
	{ 0x19f561ac, "unregister_key_type" },
	{ 0xb82ff621, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xfb0f68d2, "load_nls_default" },
	{ 0xf54fe7f2, "current_time" },
	{ 0x9ec713e9, "genlmsg_put" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0xff546744, "trace_event_raw_init" },
	{ 0xbf3939af, "fiemap_prep" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf6a2f063, "generic_permission" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x5f8cc0e0, "truncate_pagecache_range" },
	{ 0xd1a8ae88, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0x4c81e490, "NlsUniUpperTable" },
	{ 0x71f10386, "posix_lock_file" },
	{ 0xfc201b66, "sprint_oid" },
	{ 0x8821dac2, "finish_open" },
	{ 0x71747f95, "iput" },
	{ 0x8536d2f3, "pcpu_hot" },
	{ 0xb09e9228, "seq_lseek" },
	{ 0x86f8d45c, "logfc" },
	{ 0x8df0b58c, "__put_devmap_managed_page_refs" },
	{ 0x4d6b7d44, "iter_file_splice_write" },
	{ 0xe3b7f274, "crypto_alloc_aead" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xa5e3200b, "bpf_trace_run2" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xd03bbda3, "d_hash_and_lookup" },
	{ 0x6334557, "crypto_aead_setauthsize" },
	{ 0x399ca89, "crypto_aead_decrypt" },
	{ 0x253f2ff3, "fs_param_is_bool" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x3e6c55dc, "generic_file_write_iter" },
	{ 0x113e6640, "__module_get" },
	{ 0xffffe25f, "__fscache_relinquish_cookie" },
	{ 0x4fc76cb1, "register_filesystem" },
	{ 0xae37ee52, "kmem_cache_create" },
	{ 0xff12ba4e, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x248efd3, "kstrtobool_from_user" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xfebde058, "mempool_free" },
	{ 0x922eb7e3, "register_key_type" },
	{ 0x83aafd43, "netlink_broadcast_filtered" },
	{ 0xfdfffedd, "keyring_alloc" },
	{ 0x816f7554, "vfs_setpos" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x10486ceb, "extract_iter_to_sg" },
	{ 0x73beee4f, "__put_cred" },
	{ 0xbf31ce7f, "wake_up_process" },
	{ 0x7eaed54b, "splice_file_range" },
	{ 0x6d62c76b, "trace_event_buffer_commit" },
	{ 0x19dd276a, "crypto_destroy_tfm" },
	{ 0x913c82bd, "simple_inode_init_ts" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x2505c693, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xd21e659a, "add_swap_extent" },
	{ 0x8780b5e4, "fs_param_is_u32" },
	{ 0x12f354b2, "inode_newsize_ok" },
	{ 0xd73653c4, "freezer_active" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "netfs,dns_resolver,cifs_arc4,cifs_md4,nls_ucs2_utils");


MODULE_INFO(srcversion, "3F941AA287D9743118DCE48");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
