#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(synproxy_net_id, "_gpl", "");
KSYMTAB_FUNC(synproxy_parse_options, "_gpl", "");
KSYMTAB_FUNC(synproxy_init_timestamp_cookie, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack, "_gpl", "");
KSYMTAB_FUNC(ipv4_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_fini, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack_ipv6, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack_ipv6, "_gpl", "");
KSYMTAB_FUNC(ipv6_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_fini, "_gpl", "");

SYMBOL_CRC(synproxy_net_id, 0xca9fc082, "_gpl");
SYMBOL_CRC(synproxy_parse_options, 0xc737ebf5, "_gpl");
SYMBOL_CRC(synproxy_init_timestamp_cookie, 0x1f099794, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack, 0xb19de2a9, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack, 0xc183d320, "_gpl");
SYMBOL_CRC(ipv4_synproxy_hook, 0xa3135c05, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_init, 0x68562866, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_fini, 0xe644b635, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack_ipv6, 0xc7cab54f, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack_ipv6, 0xd73da60f, "_gpl");
SYMBOL_CRC(ipv6_synproxy_hook, 0x659a1501, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_init, 0x606fc632, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_fini, 0xee7d5861, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x546414ff, "register_pernet_subsys" },
	{ 0x89f09e18, "seq_printf" },
	{ 0x6fcea3ec, "seq_puts" },
	{ 0x3743676d, "unregister_pernet_subsys" },
	{ 0x24c25b9a, "nf_register_net_hooks" },
	{ 0x827e0db2, "nf_unregister_net_hooks" },
	{ 0x13879fac, "skb_ensure_writable" },
	{ 0xd23bfc77, "inet_proto_csum_replace4" },
	{ 0x8e3d2159, "ip_route_me_harder" },
	{ 0x341fc200, "ip_local_out" },
	{ 0xe2d1d493, "kfree_skb_reason" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x56876eb1, "security_skb_classify_flow" },
	{ 0xf7c7c89e, "__nf_ip6_route" },
	{ 0x15b02047, "xfrm_lookup" },
	{ 0x1203fccf, "ip6_local_out" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6e378a2c, "skb_copy_bits" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xc345a6d8, "remove_proc_entry" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x34eda466, "nf_ct_tmpl_alloc" },
	{ 0x1154bb7e, "nf_ct_ext_add" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x52b3ead4, "proc_create_net_data" },
	{ 0xe7977359, "nf_ct_tmpl_free" },
	{ 0x2d0143e8, "__cookie_v4_check" },
	{ 0x26f40865, "__alloc_skb" },
	{ 0xad3f90d3, "skb_put" },
	{ 0x8f5d2478, "nf_ct_seqadj_init" },
	{ 0x1e5cd7c4, "consume_skb" },
	{ 0x7ca64a0b, "__cookie_v4_init_sequence" },
	{ 0x18428692, "__cookie_v6_init_sequence" },
	{ 0x99e6780e, "__cookie_v6_check" },
	{ 0x2923344, "ipv6_skip_exthdr" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "E9495DA612B403DC5B4B9EE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
