#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nci_get_conn_info_by_dest_type_params, "", "");
KSYMTAB_FUNC(nci_req_complete, "", "");
KSYMTAB_FUNC(nci_prop_cmd, "", "");
KSYMTAB_FUNC(nci_core_cmd, "", "");
KSYMTAB_FUNC(nci_core_reset, "", "");
KSYMTAB_FUNC(nci_core_init, "", "");
KSYMTAB_FUNC(nci_nfcc_loopback, "", "");
KSYMTAB_FUNC(nci_set_config, "", "");
KSYMTAB_FUNC(nci_nfcee_discover, "", "");
KSYMTAB_FUNC(nci_nfcee_mode_set, "", "");
KSYMTAB_FUNC(nci_core_conn_create, "", "");
KSYMTAB_FUNC(nci_core_conn_close, "", "");
KSYMTAB_FUNC(nci_allocate_device, "", "");
KSYMTAB_FUNC(nci_free_device, "", "");
KSYMTAB_FUNC(nci_register_device, "", "");
KSYMTAB_FUNC(nci_unregister_device, "", "");
KSYMTAB_FUNC(nci_recv_frame, "", "");
KSYMTAB_FUNC(nci_send_frame, "", "");
KSYMTAB_FUNC(nci_send_cmd, "", "");
KSYMTAB_FUNC(nci_conn_max_data_pkt_payload_size, "", "");
KSYMTAB_FUNC(nci_send_data, "", "");
KSYMTAB_FUNC(nci_to_errno, "", "");
KSYMTAB_FUNC(nci_hci_send_event, "", "");
KSYMTAB_FUNC(nci_hci_send_cmd, "", "");
KSYMTAB_FUNC(nci_hci_clear_all_pipes, "", "");
KSYMTAB_FUNC(nci_hci_open_pipe, "", "");
KSYMTAB_FUNC(nci_hci_set_param, "", "");
KSYMTAB_FUNC(nci_hci_get_param, "", "");
KSYMTAB_FUNC(nci_hci_connect_gate, "", "");
KSYMTAB_FUNC(nci_hci_dev_session_init, "", "");

SYMBOL_CRC(nci_get_conn_info_by_dest_type_params, 0x13d34688, "");
SYMBOL_CRC(nci_req_complete, 0xe753fa36, "");
SYMBOL_CRC(nci_prop_cmd, 0xdf99fc43, "");
SYMBOL_CRC(nci_core_cmd, 0xb2b7a5c0, "");
SYMBOL_CRC(nci_core_reset, 0xe155f177, "");
SYMBOL_CRC(nci_core_init, 0x1518cc5c, "");
SYMBOL_CRC(nci_nfcc_loopback, 0x968a45d4, "");
SYMBOL_CRC(nci_set_config, 0x8ba9aa7f, "");
SYMBOL_CRC(nci_nfcee_discover, 0x37706ac0, "");
SYMBOL_CRC(nci_nfcee_mode_set, 0xb9abbbce, "");
SYMBOL_CRC(nci_core_conn_create, 0xa2f2eaa9, "");
SYMBOL_CRC(nci_core_conn_close, 0xca5495da, "");
SYMBOL_CRC(nci_allocate_device, 0xab9c6930, "");
SYMBOL_CRC(nci_free_device, 0x92d6636d, "");
SYMBOL_CRC(nci_register_device, 0x3feb5326, "");
SYMBOL_CRC(nci_unregister_device, 0xb9fb32e1, "");
SYMBOL_CRC(nci_recv_frame, 0x185157e4, "");
SYMBOL_CRC(nci_send_frame, 0x6548dc36, "");
SYMBOL_CRC(nci_send_cmd, 0xc4442c91, "");
SYMBOL_CRC(nci_conn_max_data_pkt_payload_size, 0xabff4f44, "");
SYMBOL_CRC(nci_send_data, 0xcbbcc922, "");
SYMBOL_CRC(nci_to_errno, 0xba490602, "");
SYMBOL_CRC(nci_hci_send_event, 0xa33d2d74, "");
SYMBOL_CRC(nci_hci_send_cmd, 0xf1a6fdef, "");
SYMBOL_CRC(nci_hci_clear_all_pipes, 0xd457971d, "");
SYMBOL_CRC(nci_hci_open_pipe, 0x69950970, "");
SYMBOL_CRC(nci_hci_set_param, 0x266e10a4, "");
SYMBOL_CRC(nci_hci_get_param, 0x372092f1, "");
SYMBOL_CRC(nci_hci_connect_gate, 0x34977ee4, "");
SYMBOL_CRC(nci_hci_dev_session_init, 0x4e2c95a6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaa2f4c9f, "nfc_get_local_general_bytes" },
	{ 0x2004d4dc, "nfc_set_remote_general_bytes" },
	{ 0xe6e62a, "devm_kfree" },
	{ 0x941ae174, "skb_pull" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xe2d1d493, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x9b4eb0cd, "skb_push" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xfec9b88f, "nfc_tm_activated" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb94bfcad, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd131d7e2, "nfc_targets_found" },
	{ 0x2b4b1e5d, "nfc_dep_link_is_up" },
	{ 0xac5cbf4c, "kmalloc_trace" },
	{ 0xa67fc5e7, "nfc_send_to_raw_sock" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x94961e20, "kmalloc_caches" },
	{ 0x5484a500, "nfc_register_device" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x3fcc56a7, "devm_kmalloc" },
	{ 0xad3f90d3, "skb_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7de2cede, "skb_dequeue" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xe08d7688, "nfc_unregister_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xd301f6be, "nfc_allocate_device" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xed78f619, "nfc_tm_data_received" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7ba2e2c6, "pskb_expand_head" },
	{ 0x57822901, "skb_queue_purge_reason" },
	{ 0x96f7fbf0, "nfc_tm_deactivated" },
	{ 0xf79ca159, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x92997ed8, "_printk" },
	{ 0x91537439, "nfc_alloc_recv_skb" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x812f9dfe, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x26f40865, "__alloc_skb" },
	{ 0x6925e65b, "skb_queue_tail" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "nfc");


MODULE_INFO(srcversion, "A77FC8C2F65F1462B77CCBF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
