#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rfkill_get_led_trigger_name, "", "");
KSYMTAB_FUNC(rfkill_set_led_trigger_name, "", "");
KSYMTAB_FUNC(rfkill_set_hw_state_reason, "", "");
KSYMTAB_FUNC(rfkill_set_sw_state, "", "");
KSYMTAB_FUNC(rfkill_init_sw_state, "", "");
KSYMTAB_FUNC(rfkill_set_states, "", "");
KSYMTAB_FUNC(rfkill_find_type, "", "");
KSYMTAB_FUNC(rfkill_pause_polling, "", "");
KSYMTAB_FUNC(rfkill_resume_polling, "", "");
KSYMTAB_FUNC(rfkill_blocked, "", "");
KSYMTAB_FUNC(rfkill_soft_blocked, "", "");
KSYMTAB_FUNC(rfkill_alloc, "", "");
KSYMTAB_FUNC(rfkill_register, "", "");
KSYMTAB_FUNC(rfkill_unregister, "", "");
KSYMTAB_FUNC(rfkill_destroy, "", "");

SYMBOL_CRC(rfkill_get_led_trigger_name, 0xaa6f23ad, "");
SYMBOL_CRC(rfkill_set_led_trigger_name, 0x9cab34a6, "");
SYMBOL_CRC(rfkill_set_hw_state_reason, 0x0cdce87c, "");
SYMBOL_CRC(rfkill_set_sw_state, 0x8a490c90, "");
SYMBOL_CRC(rfkill_init_sw_state, 0xaad6d92f, "");
SYMBOL_CRC(rfkill_set_states, 0x85b5e625, "");
SYMBOL_CRC(rfkill_find_type, 0x50b73ce2, "");
SYMBOL_CRC(rfkill_pause_polling, 0x3939f8f0, "");
SYMBOL_CRC(rfkill_resume_polling, 0xc781bd9f, "");
SYMBOL_CRC(rfkill_blocked, 0xc0763484, "");
SYMBOL_CRC(rfkill_soft_blocked, 0xd24108d4, "");
SYMBOL_CRC(rfkill_alloc, 0x00fec363, "");
SYMBOL_CRC(rfkill_register, 0xff282521, "");
SYMBOL_CRC(rfkill_unregister, 0x083eb21c, "");
SYMBOL_CRC(rfkill_destroy, 0xdb68bbad, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x10893deb, "compat_ptr_ioctl" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2dfda671, "device_add" },
	{ 0x8a6e8b50, "input_open_device" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x19dd452d, "class_unregister" },
	{ 0x350672d4, "led_trigger_unregister" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x42275186, "input_close_device" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xdc6b831f, "device_del" },
	{ 0x9cdc8a04, "input_unregister_handler" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x1e8c44e1, "misc_register" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x550ab0a9, "input_register_handler" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x82c41ce7, "led_trigger_register" },
	{ 0x61b7184d, "input_unregister_handle" },
	{ 0x43edf226, "kobject_uevent" },
	{ 0x9b2718eb, "stream_open" },
	{ 0xac5cbf4c, "kmalloc_trace" },
	{ 0xb735b200, "led_trigger_event" },
	{ 0x754d539c, "strlen" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x38cf0e49, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x94961e20, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x14c11726, "misc_deregister" },
	{ 0x180a647c, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x1e3f2145, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xf9edeb2c, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x4b124b16, "input_register_handle" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x812f9dfe, "put_device" },
	{ 0xc6cbbc89, "capable" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "EB597D34733C088623DEE5A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
