#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_pcm_format_name, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_new_stream, "", "");
KSYMTAB_FUNC(snd_pcm_new, "", "");
KSYMTAB_FUNC(snd_pcm_new_internal, "", "");
KSYMTAB_FUNC(snd_pcm_notify, "", "");
KSYMTAB_FUNC(snd_pcm_stream_lock, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_unlock, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_lock_irq, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_unlock_irq, "_gpl", "");
KSYMTAB_FUNC(_snd_pcm_stream_lock_irqsave, "_gpl", "");
KSYMTAB_FUNC(_snd_pcm_stream_lock_irqsave_nested, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_stream_unlock_irqrestore, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_hw_refine, "", "");
KSYMTAB_FUNC(snd_pcm_stop, "", "");
KSYMTAB_FUNC(snd_pcm_stop_xrun, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_suspend_all, "", "");
KSYMTAB_FUNC(snd_pcm_release_substream, "", "");
KSYMTAB_FUNC(snd_pcm_open_substream, "", "");
KSYMTAB_FUNC(snd_pcm_kernel_ioctl, "", "");
KSYMTAB_FUNC(snd_pcm_lib_default_mmap, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_lib_mmap_iomem, "", "");
KSYMTAB_FUNC(snd_pcm_mmap_data, "", "");
KSYMTAB_FUNC(snd_pcm_debug_name, "", "");
KSYMTAB_FUNC(snd_pcm_set_ops, "", "");
KSYMTAB_FUNC(snd_pcm_set_sync, "", "");
KSYMTAB_FUNC(snd_interval_refine, "", "");
KSYMTAB_FUNC(snd_interval_ratnum, "", "");
KSYMTAB_FUNC(snd_interval_list, "", "");
KSYMTAB_FUNC(snd_interval_ranges, "", "");
KSYMTAB_FUNC(snd_pcm_hw_rule_add, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_mask64, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_integer, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_minmax, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_list, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_ranges, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_ratnums, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_ratdens, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_msbits, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_step, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_pow2, "", "");
KSYMTAB_FUNC(snd_pcm_hw_rule_noresample, "", "");
KSYMTAB_FUNC(_snd_pcm_hw_params_any, "", "");
KSYMTAB_FUNC(snd_pcm_hw_param_value, "", "");
KSYMTAB_FUNC(_snd_pcm_hw_param_setempty, "", "");
KSYMTAB_FUNC(snd_pcm_hw_param_first, "", "");
KSYMTAB_FUNC(snd_pcm_hw_param_last, "", "");
KSYMTAB_FUNC(snd_pcm_hw_params_bits, "", "");
KSYMTAB_FUNC(snd_pcm_lib_ioctl, "", "");
KSYMTAB_FUNC(snd_pcm_period_elapsed_under_stream_lock, "", "");
KSYMTAB_FUNC(snd_pcm_period_elapsed, "", "");
KSYMTAB_FUNC(__snd_pcm_lib_xfer, "", "");
KSYMTAB_DATA(snd_pcm_std_chmaps, "_gpl", "");
KSYMTAB_DATA(snd_pcm_alt_chmaps, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_add_chmap_ctls, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_format_signed, "", "");
KSYMTAB_FUNC(snd_pcm_format_unsigned, "", "");
KSYMTAB_FUNC(snd_pcm_format_linear, "", "");
KSYMTAB_FUNC(snd_pcm_format_little_endian, "", "");
KSYMTAB_FUNC(snd_pcm_format_big_endian, "", "");
KSYMTAB_FUNC(snd_pcm_format_width, "", "");
KSYMTAB_FUNC(snd_pcm_format_physical_width, "", "");
KSYMTAB_FUNC(snd_pcm_format_size, "", "");
KSYMTAB_FUNC(snd_pcm_format_silence_64, "", "");
KSYMTAB_FUNC(snd_pcm_format_set_silence, "", "");
KSYMTAB_FUNC(snd_pcm_hw_limit_rates, "", "");
KSYMTAB_FUNC(snd_pcm_rate_to_rate_bit, "", "");
KSYMTAB_FUNC(snd_pcm_rate_bit_to_rate, "", "");
KSYMTAB_FUNC(snd_pcm_rate_mask_intersect, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_rate_range_to_bits, "_gpl", "");
KSYMTAB_FUNC(snd_pcm_lib_preallocate_free_for_all, "", "");
KSYMTAB_FUNC(snd_pcm_lib_preallocate_pages, "", "");
KSYMTAB_FUNC(snd_pcm_lib_preallocate_pages_for_all, "", "");
KSYMTAB_FUNC(snd_pcm_set_managed_buffer, "", "");
KSYMTAB_FUNC(snd_pcm_set_managed_buffer_all, "", "");
KSYMTAB_FUNC(snd_pcm_lib_malloc_pages, "", "");
KSYMTAB_FUNC(snd_pcm_lib_free_pages, "", "");
KSYMTAB_FUNC(_snd_pcm_lib_alloc_vmalloc_buffer, "", "");
KSYMTAB_FUNC(snd_pcm_lib_free_vmalloc_buffer, "", "");
KSYMTAB_FUNC(snd_pcm_lib_get_vmalloc_page, "", "");
KSYMTAB_FUNC(snd_dma_alloc_dir_pages, "", "");
KSYMTAB_FUNC(snd_dma_alloc_pages_fallback, "", "");
KSYMTAB_FUNC(snd_dma_free_pages, "", "");
KSYMTAB_FUNC(snd_devm_alloc_dir_pages, "_gpl", "");
KSYMTAB_FUNC(snd_dma_buffer_mmap, "", "");
KSYMTAB_FUNC(snd_dma_buffer_sync, "_gpl", "");
KSYMTAB_FUNC(snd_sgbuf_get_addr, "", "");
KSYMTAB_FUNC(snd_sgbuf_get_page, "", "");
KSYMTAB_FUNC(snd_sgbuf_get_chunk_size, "", "");
KSYMTAB_FUNC(snd_pcm_hw_constraint_eld, "_gpl", "");

SYMBOL_CRC(snd_pcm_format_name, 0xa286a234, "_gpl");
SYMBOL_CRC(snd_pcm_new_stream, 0x69d2233c, "");
SYMBOL_CRC(snd_pcm_new, 0x46bedbf4, "");
SYMBOL_CRC(snd_pcm_new_internal, 0x8731ddda, "");
SYMBOL_CRC(snd_pcm_notify, 0x00c84df7, "");
SYMBOL_CRC(snd_pcm_stream_lock, 0x0730350d, "_gpl");
SYMBOL_CRC(snd_pcm_stream_unlock, 0x7a70c517, "_gpl");
SYMBOL_CRC(snd_pcm_stream_lock_irq, 0xd9744e83, "_gpl");
SYMBOL_CRC(snd_pcm_stream_unlock_irq, 0x8dd9c82c, "_gpl");
SYMBOL_CRC(_snd_pcm_stream_lock_irqsave, 0xe47ee21c, "_gpl");
SYMBOL_CRC(_snd_pcm_stream_lock_irqsave_nested, 0xa8a02b68, "_gpl");
SYMBOL_CRC(snd_pcm_stream_unlock_irqrestore, 0x15d9fb36, "_gpl");
SYMBOL_CRC(snd_pcm_hw_refine, 0xf12ee0a1, "");
SYMBOL_CRC(snd_pcm_stop, 0x50b0ea35, "");
SYMBOL_CRC(snd_pcm_stop_xrun, 0xa75783de, "_gpl");
SYMBOL_CRC(snd_pcm_suspend_all, 0x71ed015f, "");
SYMBOL_CRC(snd_pcm_release_substream, 0x31c54041, "");
SYMBOL_CRC(snd_pcm_open_substream, 0xe393b0c1, "");
SYMBOL_CRC(snd_pcm_kernel_ioctl, 0xabbf4c2c, "");
SYMBOL_CRC(snd_pcm_lib_default_mmap, 0x7781f49b, "_gpl");
SYMBOL_CRC(snd_pcm_lib_mmap_iomem, 0x34f5a084, "");
SYMBOL_CRC(snd_pcm_mmap_data, 0x1791d84c, "");
SYMBOL_CRC(snd_pcm_debug_name, 0x639ea440, "");
SYMBOL_CRC(snd_pcm_set_ops, 0xa315ccc6, "");
SYMBOL_CRC(snd_pcm_set_sync, 0x5e544aa6, "");
SYMBOL_CRC(snd_interval_refine, 0x04cda566, "");
SYMBOL_CRC(snd_interval_ratnum, 0xac437f7b, "");
SYMBOL_CRC(snd_interval_list, 0x94098ff8, "");
SYMBOL_CRC(snd_interval_ranges, 0x503bd137, "");
SYMBOL_CRC(snd_pcm_hw_rule_add, 0x083c424f, "");
SYMBOL_CRC(snd_pcm_hw_constraint_mask64, 0x43352e77, "");
SYMBOL_CRC(snd_pcm_hw_constraint_integer, 0xdd534e2e, "");
SYMBOL_CRC(snd_pcm_hw_constraint_minmax, 0x5295fdd3, "");
SYMBOL_CRC(snd_pcm_hw_constraint_list, 0xee1087ed, "");
SYMBOL_CRC(snd_pcm_hw_constraint_ranges, 0x71b61691, "");
SYMBOL_CRC(snd_pcm_hw_constraint_ratnums, 0x62cca5b7, "");
SYMBOL_CRC(snd_pcm_hw_constraint_ratdens, 0x0bdea0ca, "");
SYMBOL_CRC(snd_pcm_hw_constraint_msbits, 0xcc4bf5dd, "");
SYMBOL_CRC(snd_pcm_hw_constraint_step, 0xa65f9aa6, "");
SYMBOL_CRC(snd_pcm_hw_constraint_pow2, 0x68b556ba, "");
SYMBOL_CRC(snd_pcm_hw_rule_noresample, 0x9e31227d, "");
SYMBOL_CRC(_snd_pcm_hw_params_any, 0x0283dfe3, "");
SYMBOL_CRC(snd_pcm_hw_param_value, 0x52e3e4a5, "");
SYMBOL_CRC(_snd_pcm_hw_param_setempty, 0x39bf9301, "");
SYMBOL_CRC(snd_pcm_hw_param_first, 0xf8666cb1, "");
SYMBOL_CRC(snd_pcm_hw_param_last, 0x6ad14d11, "");
SYMBOL_CRC(snd_pcm_hw_params_bits, 0x41aa5e29, "");
SYMBOL_CRC(snd_pcm_lib_ioctl, 0xbba1c7fc, "");
SYMBOL_CRC(snd_pcm_period_elapsed_under_stream_lock, 0xa0ab946d, "");
SYMBOL_CRC(snd_pcm_period_elapsed, 0x81f8458c, "");
SYMBOL_CRC(__snd_pcm_lib_xfer, 0x90f4af38, "");
SYMBOL_CRC(snd_pcm_std_chmaps, 0x04e1b99f, "_gpl");
SYMBOL_CRC(snd_pcm_alt_chmaps, 0x09e913c1, "_gpl");
SYMBOL_CRC(snd_pcm_add_chmap_ctls, 0x56767e04, "_gpl");
SYMBOL_CRC(snd_pcm_format_signed, 0x1d027e4b, "");
SYMBOL_CRC(snd_pcm_format_unsigned, 0xa61aa028, "");
SYMBOL_CRC(snd_pcm_format_linear, 0x6ef8fcd8, "");
SYMBOL_CRC(snd_pcm_format_little_endian, 0x3796bdcc, "");
SYMBOL_CRC(snd_pcm_format_big_endian, 0x4f816e9b, "");
SYMBOL_CRC(snd_pcm_format_width, 0xe56a9336, "");
SYMBOL_CRC(snd_pcm_format_physical_width, 0x68a24153, "");
SYMBOL_CRC(snd_pcm_format_size, 0x834dc955, "");
SYMBOL_CRC(snd_pcm_format_silence_64, 0x650f8603, "");
SYMBOL_CRC(snd_pcm_format_set_silence, 0x5e7f4920, "");
SYMBOL_CRC(snd_pcm_hw_limit_rates, 0xbbdd3e30, "");
SYMBOL_CRC(snd_pcm_rate_to_rate_bit, 0xb9638db4, "");
SYMBOL_CRC(snd_pcm_rate_bit_to_rate, 0xff6104d0, "");
SYMBOL_CRC(snd_pcm_rate_mask_intersect, 0xab8bc1a2, "_gpl");
SYMBOL_CRC(snd_pcm_rate_range_to_bits, 0x8d864069, "_gpl");
SYMBOL_CRC(snd_pcm_lib_preallocate_free_for_all, 0x4733af4c, "");
SYMBOL_CRC(snd_pcm_lib_preallocate_pages, 0xa0f610a3, "");
SYMBOL_CRC(snd_pcm_lib_preallocate_pages_for_all, 0x407271fc, "");
SYMBOL_CRC(snd_pcm_set_managed_buffer, 0xc8b1277d, "");
SYMBOL_CRC(snd_pcm_set_managed_buffer_all, 0xe1f63dce, "");
SYMBOL_CRC(snd_pcm_lib_malloc_pages, 0x12f300da, "");
SYMBOL_CRC(snd_pcm_lib_free_pages, 0x445d6e91, "");
SYMBOL_CRC(_snd_pcm_lib_alloc_vmalloc_buffer, 0x98c4b604, "");
SYMBOL_CRC(snd_pcm_lib_free_vmalloc_buffer, 0x6e9dea4c, "");
SYMBOL_CRC(snd_pcm_lib_get_vmalloc_page, 0x399b4187, "");
SYMBOL_CRC(snd_dma_alloc_dir_pages, 0xed302c1b, "");
SYMBOL_CRC(snd_dma_alloc_pages_fallback, 0x6a702e92, "");
SYMBOL_CRC(snd_dma_free_pages, 0x6138c16f, "");
SYMBOL_CRC(snd_devm_alloc_dir_pages, 0x2fd58c86, "_gpl");
SYMBOL_CRC(snd_dma_buffer_mmap, 0xb9342a4a, "");
SYMBOL_CRC(snd_dma_buffer_sync, 0xffc78076, "_gpl");
SYMBOL_CRC(snd_sgbuf_get_addr, 0x29a9e8a6, "");
SYMBOL_CRC(snd_sgbuf_get_page, 0x3510f286, "");
SYMBOL_CRC(snd_sgbuf_get_chunk_size, 0x35b8678d, "");
SYMBOL_CRC(snd_pcm_hw_constraint_eld, 0x8372f0dc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x96344a7e, "snd_device_new" },
	{ 0xad25266a, "dma_sync_single_for_cpu" },
	{ 0x63c31cc9, "dma_sync_sg_for_device" },
	{ 0xfb578fc5, "memset" },
	{ 0xfba6453f, "_dev_warn" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xd2c21d4d, "snd_ctl_unregister_ioctl" },
	{ 0xeddd417, "down_read" },
	{ 0x916b92be, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd45349fc, "nonseekable_open" },
	{ 0x5af762f1, "snd_fasync_free" },
	{ 0xbff7e3fd, "bpf_trace_run3" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9db2c17, "dma_free_noncontiguous" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x54d36211, "dma_alloc_noncontiguous" },
	{ 0x5e89b575, "dma_mmap_noncontiguous" },
	{ 0x40e74f83, "set_pages_array_wc" },
	{ 0xd61d6176, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x302beb95, "trace_event_buffer_reserve" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xc8c81203, "vm_map_pages" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x6e129203, "gen_pool_free_owner" },
	{ 0x562dc30, "__sg_page_iter_start" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x89f09e18, "seq_printf" },
	{ 0xb2e5ae4a, "snd_lookup_minor_data" },
	{ 0x8b506b0c, "snd_ctl_register_ioctl_compat" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x4f865d9f, "snd_info_create_card_entry" },
	{ 0xdf7c253f, "_copy_from_iter" },
	{ 0xeb44339a, "free_pages_exact" },
	{ 0x84746ec8, "snd_power_wait" },
	{ 0xb42c505, "boot_cpu_data" },
	{ 0x350e1a93, "remove_wait_queue" },
	{ 0xa281c81a, "dma_mmap_attrs" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0xd4605311, "pid_vnr" },
	{ 0x7b6594d6, "snd_device_free" },
	{ 0x77632bba, "snd_card_file_remove" },
	{ 0xf8f2a4eb, "snd_kill_fasync" },
	{ 0xac5cbf4c, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xea124bd1, "gcd" },
	{ 0x590603d2, "remap_vmalloc_range" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x767ddb02, "set_memory_wc" },
	{ 0x754d539c, "strlen" },
	{ 0x71e2ea45, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x2457d972, "snd_device_register" },
	{ 0x8c352be7, "snd_register_device" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xbb53856b, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x84547664, "put_pid" },
	{ 0x24a94b26, "snd_info_get_line" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x94961e20, "kmalloc_caches" },
	{ 0xe3ad3046, "__sg_page_iter_dma_next" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xabb97e9e, "cpu_latency_qos_remove_request" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x5afa46f1, "dma_can_mmap" },
	{ 0x9245456c, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x87ae78b5, "dma_ops" },
	{ 0xc5326b5a, "_copy_to_iter" },
	{ 0xd0de563c, "snd_info_register" },
	{ 0x4605973c, "snd_info_create_module_entry" },
	{ 0x3995110a, "snd_ctl_unregister_ioctl_compat" },
	{ 0x6e12ef47, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x1e3f2145, "dev_set_name" },
	{ 0x38896e95, "snd_ctl_add" },
	{ 0x8cdff8e8, "vmalloc_to_page" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x6e995938, "trace_raw_output_prep" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0x56e5f3a3, "snd_timer_notify" },
	{ 0xd8f422d8, "snd_ctl_get_preferred_subdevice" },
	{ 0x7ab3e4aa, "dma_vunmap_noncontiguous" },
	{ 0x61a4528, "__trace_trigger_soft_disabled" },
	{ 0x7dcb9ba2, "gen_pool_dma_alloc_align" },
	{ 0x7c86519c, "vm_iomap_memory" },
	{ 0x91607d95, "set_memory_wb" },
	{ 0x80dbdbed, "dma_mmap_pages" },
	{ 0x67bfec1, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xec71a2d4, "dma_sync_sg_for_cpu" },
	{ 0x1b24b187, "dma_free_pages" },
	{ 0x4ed0b636, "dma_sync_single_for_device" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x781033e1, "snd_timer_interrupt" },
	{ 0x99f2dc77, "snd_info_free_entry" },
	{ 0xff546744, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd20f0a97, "remap_pfn_range" },
	{ 0x4dbd8b07, "cpu_latency_qos_add_request" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0x9e6d79f8, "snd_info_get_str" },
	{ 0x8536d2f3, "pcpu_hot" },
	{ 0xad7ab067, "cpu_latency_qos_request_active" },
	{ 0xcb39ef5, "add_wait_queue" },
	{ 0xa5e3200b, "bpf_trace_run2" },
	{ 0x7cfb7fa8, "snd_fasync_helper" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xaac11cfe, "import_ubuf" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x902b2e82, "__dynamic_dev_dbg" },
	{ 0x36c0bb03, "snd_ctl_remove" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x65220a36, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6d62c76b, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0xb4161739, "snd_ctl_new1" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x6d334118, "__get_user_8" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x67a50acc, "dma_alloc_pages" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x812f9dfe, "put_device" },
	{ 0xce694670, "snd_ctl_register_ioctl" },
	{ 0x15dc995a, "snd_card_file_add" },
	{ 0xa916b694, "strnlen" },
	{ 0x9eb036ed, "set_pages_array_wb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xb7805bf0, "const_pcpu_hot" },
	{ 0xd9fc356f, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x4889d27, "perf_trace_run_bpf_submit" },
	{ 0x518ce59f, "fput" },
	{ 0xb7d14ec7, "down_write" },
	{ 0x1d01873e, "_dev_err" },
	{ 0xeed7fd81, "up_write" },
	{ 0x1aa294f3, "dma_vmap_noncontiguous" },
	{ 0x95988248, "bpf_trace_run5" },
	{ 0x7ef4bddc, "__sg_page_iter_next" },
	{ 0x8f595b11, "snd_major" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x66da008e, "dma_alloc_attrs" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x9e09aeef, "__devres_alloc_node" },
	{ 0x793f8ae7, "trace_event_reg" },
	{ 0xa1273c42, "dma_need_sync" },
	{ 0xb31a5055, "iov_iter_kvec" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x7571f4a3, "vmap" },
	{ 0x50f4c4e6, "snd_unregister_device" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x4926e8c4, "snd_device_alloc" },
	{ 0x20436f28, "_raw_spin_trylock" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x1634a4f6, "snd_timer_new" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x6100fa1f, "bpf_trace_run1" },
	{ 0x5fc72f0e, "alloc_pages_exact" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-timer");


MODULE_INFO(srcversion, "357AF16DDB6E49583DC02E8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
