#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(snd_major, "", "");
KSYMTAB_DATA(snd_ecards_limit, "", "");
KSYMTAB_DATA(sound_debugfs_root, "_gpl", "");
KSYMTAB_FUNC(snd_request_card, "", "");
KSYMTAB_FUNC(snd_lookup_minor_data, "", "");
KSYMTAB_FUNC(snd_register_device, "", "");
KSYMTAB_FUNC(snd_unregister_device, "", "");
KSYMTAB_DATA(snd_mixer_oss_notify_callback, "", "");
KSYMTAB_FUNC(snd_device_alloc, "_gpl", "");
KSYMTAB_FUNC(snd_card_new, "", "");
KSYMTAB_FUNC(snd_devm_card_new, "_gpl", "");
KSYMTAB_FUNC(snd_card_free_on_error, "_gpl", "");
KSYMTAB_FUNC(snd_card_ref, "_gpl", "");
KSYMTAB_FUNC(snd_card_disconnect, "", "");
KSYMTAB_FUNC(snd_card_disconnect_sync, "_gpl", "");
KSYMTAB_FUNC(snd_card_free_when_closed, "", "");
KSYMTAB_FUNC(snd_card_free, "", "");
KSYMTAB_FUNC(snd_card_set_id, "", "");
KSYMTAB_FUNC(snd_card_add_dev_attr, "_gpl", "");
KSYMTAB_FUNC(snd_card_register, "", "");
KSYMTAB_FUNC(snd_component_add, "", "");
KSYMTAB_FUNC(snd_card_file_add, "", "");
KSYMTAB_FUNC(snd_card_file_remove, "", "");
KSYMTAB_FUNC(snd_power_ref_and_wait, "_gpl", "");
KSYMTAB_FUNC(snd_power_wait, "", "");
KSYMTAB_FUNC(copy_to_user_fromio, "", "");
KSYMTAB_FUNC(copy_to_iter_fromio, "", "");
KSYMTAB_FUNC(copy_from_user_toio, "", "");
KSYMTAB_FUNC(copy_from_iter_toio, "", "");
KSYMTAB_FUNC(snd_ctl_notify, "", "");
KSYMTAB_FUNC(snd_ctl_notify_one, "", "");
KSYMTAB_FUNC(snd_ctl_new1, "", "");
KSYMTAB_FUNC(snd_ctl_free_one, "", "");
KSYMTAB_FUNC(snd_ctl_add, "", "");
KSYMTAB_FUNC(snd_ctl_replace, "", "");
KSYMTAB_FUNC(snd_ctl_remove, "", "");
KSYMTAB_FUNC(snd_ctl_remove_id, "", "");
KSYMTAB_FUNC(snd_ctl_activate_id, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_rename_id, "", "");
KSYMTAB_FUNC(snd_ctl_rename, "", "");
KSYMTAB_FUNC(snd_ctl_find_numid_locked, "", "");
KSYMTAB_FUNC(snd_ctl_find_numid, "", "");
KSYMTAB_FUNC(snd_ctl_find_id_locked, "", "");
KSYMTAB_FUNC(snd_ctl_find_id, "", "");
KSYMTAB_FUNC(snd_ctl_register_ioctl, "", "");
KSYMTAB_FUNC(snd_ctl_register_ioctl_compat, "", "");
KSYMTAB_FUNC(snd_ctl_unregister_ioctl, "", "");
KSYMTAB_FUNC(snd_ctl_unregister_ioctl_compat, "", "");
KSYMTAB_FUNC(snd_ctl_get_preferred_subdevice, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_request_layer, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_register_layer, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_disconnect_layer, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_boolean_mono_info, "", "");
KSYMTAB_FUNC(snd_ctl_boolean_stereo_info, "", "");
KSYMTAB_FUNC(snd_ctl_enum_info, "", "");
KSYMTAB_FUNC(release_and_free_resource, "", "");
KSYMTAB_FUNC(__snd_printk, "_gpl", "");
KSYMTAB_FUNC(snd_pci_quirk_lookup_id, "", "");
KSYMTAB_FUNC(snd_pci_quirk_lookup, "", "");
KSYMTAB_FUNC(snd_fasync_helper, "_gpl", "");
KSYMTAB_FUNC(snd_kill_fasync, "_gpl", "");
KSYMTAB_FUNC(snd_fasync_free, "_gpl", "");
KSYMTAB_FUNC(snd_device_new, "", "");
KSYMTAB_FUNC(snd_device_disconnect, "_gpl", "");
KSYMTAB_FUNC(snd_device_free, "", "");
KSYMTAB_FUNC(snd_device_register, "", "");
KSYMTAB_FUNC(snd_device_get_state, "_gpl", "");
KSYMTAB_DATA(snd_seq_root, "", "");
KSYMTAB_FUNC(snd_info_get_line, "", "");
KSYMTAB_FUNC(snd_info_get_str, "", "");
KSYMTAB_FUNC(snd_info_create_module_entry, "", "");
KSYMTAB_FUNC(snd_info_create_card_entry, "", "");
KSYMTAB_FUNC(snd_info_free_entry, "", "");
KSYMTAB_FUNC(snd_info_register, "", "");
KSYMTAB_FUNC(snd_card_rw_proc_new, "_gpl", "");
KSYMTAB_FUNC(snd_oss_info_register, "", "");
KSYMTAB_FUNC(snd_dma_program, "", "");
KSYMTAB_FUNC(snd_dma_disable, "", "");
KSYMTAB_FUNC(snd_dma_pointer, "", "");
KSYMTAB_FUNC(snd_devm_request_dma, "_gpl", "");
KSYMTAB_FUNC(snd_lookup_oss_minor_data, "", "");
KSYMTAB_FUNC(snd_register_oss_device, "", "");
KSYMTAB_FUNC(snd_unregister_oss_device, "", "");
KSYMTAB_FUNC(_snd_ctl_add_follower, "", "");
KSYMTAB_FUNC(snd_ctl_add_followers, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_make_virtual_master, "", "");
KSYMTAB_FUNC(snd_ctl_add_vmaster_hook, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_sync_vmaster, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_apply_vmaster_followers, "_gpl", "");
KSYMTAB_FUNC(snd_jack_add_new_kctl, "", "");
KSYMTAB_FUNC(snd_jack_new, "", "");
KSYMTAB_FUNC(snd_jack_set_parent, "", "");
KSYMTAB_FUNC(snd_jack_set_key, "", "");
KSYMTAB_FUNC(snd_jack_report, "", "");

SYMBOL_CRC(snd_major, 0x8f595b11, "");
SYMBOL_CRC(snd_ecards_limit, 0x3971b4df, "");
SYMBOL_CRC(sound_debugfs_root, 0x10977943, "_gpl");
SYMBOL_CRC(snd_request_card, 0x4a3ea5c0, "");
SYMBOL_CRC(snd_lookup_minor_data, 0xb2e5ae4a, "");
SYMBOL_CRC(snd_register_device, 0x8c352be7, "");
SYMBOL_CRC(snd_unregister_device, 0x50f4c4e6, "");
SYMBOL_CRC(snd_mixer_oss_notify_callback, 0x5c805411, "");
SYMBOL_CRC(snd_device_alloc, 0x4926e8c4, "_gpl");
SYMBOL_CRC(snd_card_new, 0x60d56d91, "");
SYMBOL_CRC(snd_devm_card_new, 0xbb6f2a8e, "_gpl");
SYMBOL_CRC(snd_card_free_on_error, 0x3135a901, "_gpl");
SYMBOL_CRC(snd_card_ref, 0xe448b04b, "_gpl");
SYMBOL_CRC(snd_card_disconnect, 0x2d4892e6, "");
SYMBOL_CRC(snd_card_disconnect_sync, 0xe474d522, "_gpl");
SYMBOL_CRC(snd_card_free_when_closed, 0xee878854, "");
SYMBOL_CRC(snd_card_free, 0x0109d13a, "");
SYMBOL_CRC(snd_card_set_id, 0x66d8b123, "");
SYMBOL_CRC(snd_card_add_dev_attr, 0x8f456636, "_gpl");
SYMBOL_CRC(snd_card_register, 0x641e8c69, "");
SYMBOL_CRC(snd_component_add, 0x77acb2b9, "");
SYMBOL_CRC(snd_card_file_add, 0x15dc995a, "");
SYMBOL_CRC(snd_card_file_remove, 0x77632bba, "");
SYMBOL_CRC(snd_power_ref_and_wait, 0x92572e86, "_gpl");
SYMBOL_CRC(snd_power_wait, 0x84746ec8, "");
SYMBOL_CRC(copy_to_user_fromio, 0x342a2354, "");
SYMBOL_CRC(copy_to_iter_fromio, 0x42b8434b, "");
SYMBOL_CRC(copy_from_user_toio, 0xfffd89db, "");
SYMBOL_CRC(copy_from_iter_toio, 0x8ac7c3f8, "");
SYMBOL_CRC(snd_ctl_notify, 0xffa0d872, "");
SYMBOL_CRC(snd_ctl_notify_one, 0xa96ade3d, "");
SYMBOL_CRC(snd_ctl_new1, 0xb4161739, "");
SYMBOL_CRC(snd_ctl_free_one, 0xaff12333, "");
SYMBOL_CRC(snd_ctl_add, 0x38896e95, "");
SYMBOL_CRC(snd_ctl_replace, 0xa29068d0, "");
SYMBOL_CRC(snd_ctl_remove, 0x36c0bb03, "");
SYMBOL_CRC(snd_ctl_remove_id, 0x7e90f542, "");
SYMBOL_CRC(snd_ctl_activate_id, 0x8045c501, "_gpl");
SYMBOL_CRC(snd_ctl_rename_id, 0x1d72ecd5, "");
SYMBOL_CRC(snd_ctl_rename, 0xad40499f, "");
SYMBOL_CRC(snd_ctl_find_numid_locked, 0x3ba68040, "");
SYMBOL_CRC(snd_ctl_find_numid, 0x7a9d2e25, "");
SYMBOL_CRC(snd_ctl_find_id_locked, 0x4604d4b3, "");
SYMBOL_CRC(snd_ctl_find_id, 0xa5df6784, "");
SYMBOL_CRC(snd_ctl_register_ioctl, 0xce694670, "");
SYMBOL_CRC(snd_ctl_register_ioctl_compat, 0x8b506b0c, "");
SYMBOL_CRC(snd_ctl_unregister_ioctl, 0xd2c21d4d, "");
SYMBOL_CRC(snd_ctl_unregister_ioctl_compat, 0x3995110a, "");
SYMBOL_CRC(snd_ctl_get_preferred_subdevice, 0xd8f422d8, "_gpl");
SYMBOL_CRC(snd_ctl_request_layer, 0xfaf598c6, "_gpl");
SYMBOL_CRC(snd_ctl_register_layer, 0xabc47737, "_gpl");
SYMBOL_CRC(snd_ctl_disconnect_layer, 0xc66afa1f, "_gpl");
SYMBOL_CRC(snd_ctl_boolean_mono_info, 0x05e4c9dc, "");
SYMBOL_CRC(snd_ctl_boolean_stereo_info, 0xc20c0968, "");
SYMBOL_CRC(snd_ctl_enum_info, 0xcc6a729f, "");
SYMBOL_CRC(release_and_free_resource, 0xc5a6d10b, "");
SYMBOL_CRC(__snd_printk, 0x614c7976, "_gpl");
SYMBOL_CRC(snd_pci_quirk_lookup_id, 0x39b1faba, "");
SYMBOL_CRC(snd_pci_quirk_lookup, 0x8eaa38e8, "");
SYMBOL_CRC(snd_fasync_helper, 0x7cfb7fa8, "_gpl");
SYMBOL_CRC(snd_kill_fasync, 0xf8f2a4eb, "_gpl");
SYMBOL_CRC(snd_fasync_free, 0x5af762f1, "_gpl");
SYMBOL_CRC(snd_device_new, 0x96344a7e, "");
SYMBOL_CRC(snd_device_disconnect, 0x603255ff, "_gpl");
SYMBOL_CRC(snd_device_free, 0x7b6594d6, "");
SYMBOL_CRC(snd_device_register, 0x2457d972, "");
SYMBOL_CRC(snd_device_get_state, 0x49bb736f, "_gpl");
SYMBOL_CRC(snd_seq_root, 0xd78ed67f, "");
SYMBOL_CRC(snd_info_get_line, 0x24a94b26, "");
SYMBOL_CRC(snd_info_get_str, 0x9e6d79f8, "");
SYMBOL_CRC(snd_info_create_module_entry, 0x4605973c, "");
SYMBOL_CRC(snd_info_create_card_entry, 0x4f865d9f, "");
SYMBOL_CRC(snd_info_free_entry, 0x99f2dc77, "");
SYMBOL_CRC(snd_info_register, 0xd0de563c, "");
SYMBOL_CRC(snd_card_rw_proc_new, 0xe17f188e, "_gpl");
SYMBOL_CRC(snd_oss_info_register, 0x8df3789f, "");
SYMBOL_CRC(snd_dma_program, 0x18e1683f, "");
SYMBOL_CRC(snd_dma_disable, 0x70c15ac1, "");
SYMBOL_CRC(snd_dma_pointer, 0x191e88cf, "");
SYMBOL_CRC(snd_devm_request_dma, 0xd15e3e56, "_gpl");
SYMBOL_CRC(snd_lookup_oss_minor_data, 0x198788b4, "");
SYMBOL_CRC(snd_register_oss_device, 0x5946cdc2, "");
SYMBOL_CRC(snd_unregister_oss_device, 0x94b2e1f8, "");
SYMBOL_CRC(_snd_ctl_add_follower, 0xc4cedaa7, "");
SYMBOL_CRC(snd_ctl_add_followers, 0x46f7f5c0, "_gpl");
SYMBOL_CRC(snd_ctl_make_virtual_master, 0x8efdcb6e, "");
SYMBOL_CRC(snd_ctl_add_vmaster_hook, 0xb628260f, "_gpl");
SYMBOL_CRC(snd_ctl_sync_vmaster, 0xf347e0cf, "_gpl");
SYMBOL_CRC(snd_ctl_apply_vmaster_followers, 0x10f14c71, "_gpl");
SYMBOL_CRC(snd_jack_add_new_kctl, 0x55366f88, "");
SYMBOL_CRC(snd_jack_new, 0xbdd1b507, "");
SYMBOL_CRC(snd_jack_set_parent, 0xbe9838fb, "");
SYMBOL_CRC(snd_jack_set_key, 0x223e09cb, "");
SYMBOL_CRC(snd_jack_report, 0xd63eb3b4, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xb7d14ec7, "down_write" },
	{ 0x1d01873e, "_dev_err" },
	{ 0xeed7fd81, "up_write" },
	{ 0x2dfda671, "device_add" },
	{ 0x29f06452, "init_uts_ns" },
	{ 0xc61a4fc9, "xa_load" },
	{ 0x1a936604, "noop_llseek" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x6688d08e, "input_set_capability" },
	{ 0x26246bd9, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x9e09aeef, "__devres_alloc_node" },
	{ 0x7125fadc, "dma_spin_lock" },
	{ 0xe711fd69, "fasync_helper" },
	{ 0xf1e046cc, "panic" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0xdc6b831f, "device_del" },
	{ 0x8d843a05, "proc_mkdir" },
	{ 0xfba6453f, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xbe7d01b0, "param_ops_charp" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x9270a229, "input_event" },
	{ 0xd2f9c64a, "proc_remove" },
	{ 0x18e5cca0, "_raw_write_unlock_irqrestore" },
	{ 0xeddd417, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb815fad1, "__xa_insert" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x85aea03b, "xa_erase" },
	{ 0x46aec8d9, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7054a3e4, "request_dma" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xe875e218, "__rwlock_init" },
	{ 0x3c453e5f, "xa_destroy" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xd0286515, "proc_set_size" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x275fcb84, "__register_chrdev" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xe04c8a8d, "kobject_set_name" },
	{ 0x56470118, "__warn_printk" },
	{ 0x89f09e18, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xdf7c253f, "_copy_from_iter" },
	{ 0xf2301826, "downgrade_write" },
	{ 0x350e1a93, "remove_wait_queue" },
	{ 0x9b2718eb, "stream_open" },
	{ 0xe21e5d93, "single_release" },
	{ 0xd4605311, "pid_vnr" },
	{ 0xa5a4c5cd, "devres_find" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xac5cbf4c, "kmalloc_trace" },
	{ 0xb40e6149, "__devm_add_action" },
	{ 0x11772c3b, "_raw_write_lock_irqsave" },
	{ 0xb41e99ce, "sound_class" },
	{ 0xc5e74216, "release_resource" },
	{ 0x72b243d4, "free_dma" },
	{ 0x754d539c, "strlen" },
	{ 0x57138bf6, "proc_symlink" },
	{ 0x71e2ea45, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xdd8a7e4b, "single_open" },
	{ 0x8708c351, "debugfs_create_dir" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xbb53856b, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x84547664, "put_pid" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x94961e20, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x222bbbf7, "input_allocate_device" },
	{ 0x9245456c, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdadf9a2e, "__init_rwsem" },
	{ 0xc5326b5a, "_copy_to_iter" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x1e3f2145, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x9fb51bf2, "kill_fasync" },
	{ 0x99c95fa5, "unregister_sound_special" },
	{ 0x4f27fcfa, "proc_mkdir_mode" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xf9edeb2c, "device_initialize" },
	{ 0xc38e72e1, "param_array_ops" },
	{ 0x90576ec4, "vmemdup_user" },
	{ 0x1230443a, "input_unregister_device" },
	{ 0x8d30062b, "xa_store_range" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb09e9228, "seq_lseek" },
	{ 0xcb39ef5, "add_wait_queue" },
	{ 0x8707608, "proc_create_data" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xb7527939, "devm_remove_action" },
	{ 0xaac11cfe, "import_ubuf" },
	{ 0x1c833e78, "get_device" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x902b2e82, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x65220a36, "devres_add" },
	{ 0x79f899d6, "single_open_size" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x528d158c, "dev_driver_string" },
	{ 0xc9f572cb, "_raw_read_unlock_irqrestore" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x91a81bbe, "input_free_device" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x1000e51, "schedule" },
	{ 0xd1dfbed0, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x812f9dfe, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xb7805bf0, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x620c0c3a, "register_sound_special_device" },
	{ 0x2f7e17c3, "_raw_read_lock_irqsave" },
	{ 0x9f984513, "strrchr" },
	{ 0xd9fc356f, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "soundcore");


MODULE_INFO(srcversion, "9D31012B4A20048EB931AFE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
