#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l56_system_suspend, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_suspend_late, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_suspend_no_irq, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume_no_irq, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume_early, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume, "_gpl", "");
KSYMTAB_FUNC(cs35l56_common_probe, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_FUNC(cs35l56_init, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_FUNC(cs35l56_remove, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_DATA(cs35l56_pm_ops_i2c_spi, "_gpl", "SND_SOC_CS35L56_CORE");

SYMBOL_CRC(cs35l56_system_suspend, 0xf411eda7, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_late, 0x94f968d8, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_no_irq, 0x5ac7d5ef, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_no_irq, 0xd41aa989, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_early, 0x8d4b052d, "_gpl");
SYMBOL_CRC(cs35l56_system_resume, 0xf002695b, "_gpl");
SYMBOL_CRC(cs35l56_common_probe, 0x44602e43, "_gpl");
SYMBOL_CRC(cs35l56_init, 0xbbf02393, "_gpl");
SYMBOL_CRC(cs35l56_remove, 0x68d99441, "_gpl");
SYMBOL_CRC(cs35l56_pm_ops_i2c_spi, 0x922c425f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x8695c01e, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x78236a76, "devm_gpiod_get_optional" },
	{ 0x53b0eca4, "wm_adsp_stop" },
	{ 0x902b2e82, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x19bdbc7f, "cs35l56_get_calibration" },
	{ 0x82b40278, "__pm_runtime_set_status" },
	{ 0xee31e892, "devm_snd_soc_register_component" },
	{ 0x122a03da, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x863498ed, "sdw_write_no_pm" },
	{ 0x43009c9b, "devm_free_irq" },
	{ 0x63eb8f3, "pm_runtime_enable" },
	{ 0xb0c723c5, "fwnode_gpiod_get_index" },
	{ 0x7f700ab6, "regulator_bulk_disable" },
	{ 0x90973bef, "_dev_info" },
	{ 0xaf9b8a2a, "acpi_dev_remove_driver_gpios" },
	{ 0x49041186, "snd_soc_info_volsw" },
	{ 0x8395c5ec, "cs35l56_init_cs_dsp" },
	{ 0xd4d56a23, "wm_adsp_power_down" },
	{ 0xe8362c3e, "regcache_drop_region" },
	{ 0x1d01873e, "_dev_err" },
	{ 0x9eafbba7, "debugfs_create_bool" },
	{ 0xd0bf44d6, "wm_adsp_event" },
	{ 0x5c2529e, "cs35l56_tx_input_values" },
	{ 0x64e759e4, "cs35l56_tx_input_texts" },
	{ 0xdf184d02, "device_property_read_string" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xfa4d22d, "cs35l56_calibration_controls" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x6277948e, "cs35l56_runtime_suspend_common" },
	{ 0xb3069f6a, "sdw_read_no_pm" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x24ae94b3, "cs35l56_mbox_send" },
	{ 0x471f1be3, "cs35l56_hw_init" },
	{ 0xfba6453f, "_dev_warn" },
	{ 0x7f5b75d7, "wm_adsp2_component_probe" },
	{ 0xdf8207bb, "cs35l56_read_prot_status" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x74191699, "snd_soc_dapm_kcontrol_dapm" },
	{ 0xae0ef310, "cs35l56_system_reset" },
	{ 0xb86ab882, "snd_soc_info_enum_double" },
	{ 0x1635d965, "regulator_bulk_enable" },
	{ 0x54582536, "devm_regulator_bulk_get" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x13b464c5, "wm_adsp2_component_remove" },
	{ 0xa3bf118c, "cs35l56_wait_for_firmware_boot" },
	{ 0x4813a4d2, "devm_kasprintf" },
	{ 0x3b2d7de7, "snd_soc_get_volsw" },
	{ 0xebf22c14, "cs35l56_set_patch" },
	{ 0xad591ce8, "cs35l56_wait_control_port_ready" },
	{ 0x8e13c6fa, "fwnode_property_present" },
	{ 0x75dd0176, "cs35l56_is_fw_reload_needed" },
	{ 0xca4985d0, "regmap_read" },
	{ 0x148ec59b, "snd_soc_put_volsw" },
	{ 0x6a90a3fa, "__pm_runtime_resume" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x78ab8f6b, "cs_amp_write_cal_coeffs" },
	{ 0xbd86a47, "device_get_named_child_node" },
	{ 0x8d084e68, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xa5853564, "regmap_bulk_read" },
	{ 0xec47403, "sdw_stream_remove_slave" },
	{ 0x95006e51, "cs35l56_runtime_resume_common" },
	{ 0x42bb4976, "dapm_regulator_event" },
	{ 0xcd81ff79, "cs35l56_get_speaker_id" },
	{ 0x31497da9, "wm_adsp_run" },
	{ 0xd3b3ef37, "regmap_update_bits_base" },
	{ 0xf7c6f1cb, "acpi_dev_get_property" },
	{ 0x94405e04, "dev_err_probe" },
	{ 0x4dc3632f, "__pm_runtime_suspend" },
	{ 0xcd5438ad, "cs35l56_fill_supply_names" },
	{ 0xb40e6149, "__devm_add_action" },
	{ 0xd6d064da, "fwnode_handle_put" },
	{ 0xd7527a2c, "snd_soc_dapm_get_enum_double" },
	{ 0x3eafd6f3, "__pm_runtime_use_autosuspend" },
	{ 0xf35692a, "wm_halo_init" },
	{ 0x9c88a29, "__pm_runtime_disable" },
	{ 0x8ead0d63, "cs35l56_firmware_shutdown" },
	{ 0x1513b7cc, "sdw_stream_add_slave" },
	{ 0xcb025de9, "pm_runtime_force_suspend" },
	{ 0xb89694fc, "wm_adsp_power_up" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x71a96c67, "snd_soc_dapm_put_enum_double" },
	{ 0xbfa2c452, "gpiod_get_value_cansleep" },
	{ 0xab5195ae, "regcache_cache_only" },
	{ 0x1e626b38, "is_acpi_device_node" },
	{ 0x53874434, "gpiod_put" },
	{ 0x8de2f258, "regcache_sync" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xfda1893d, "regmap_write" },
	{ 0xa344465d, "snd_soc_dapm_mux_update_power" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x810124fe, "cs35l56_wait_min_reset_pulse" },
	{ 0x88762c92, "cs35l56_get_bclk_freq_id" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe0c1e689, "cs35l56_init_asp1_regs_for_driver_control" },
	{ 0xd58a06bb, "pm_runtime_set_autosuspend_delay" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x40cf8ead, "gpiod_set_value_cansleep" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x19a903d0, "acpi_dev_add_driver_gpios" },
	{ 0xeae20abf, "snd_soc_card_get_kcontrol_locked" },
	{ 0x694edbfc, "cs35l56_force_sync_asp1_registers_from_cache" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-wm-adsp,snd-soc-cs35l56-shared,snd-soc-core,soundwire-bus,snd-soc-cs-amp-lib,snd-pcm");


MODULE_INFO(srcversion, "53FD08F676786E4FD9DAF29");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
