#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hda_pci_intel_probe, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ops_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_skl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_skl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(skl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_apl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_apl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(apl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_cnl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_cnl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(cnl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(jsl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_tgl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_tgl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(tgl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(tglh_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(ehl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(adls_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_icl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_icl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(icl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_mtl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_mtl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(mtl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(arl_s_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_lnl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_lnl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(lnl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");

SYMBOL_CRC(hda_pci_intel_probe, 0x29a4fe6a, "");
SYMBOL_CRC(hda_ops_free, 0x0a022165, "");
SYMBOL_CRC(sof_skl_ops, 0x72139042, "");
SYMBOL_CRC(sof_skl_ops_init, 0xaedcfb5d, "");
SYMBOL_CRC(skl_chip_info, 0xb99af8ca, "");
SYMBOL_CRC(sof_apl_ops, 0xccb300ac, "");
SYMBOL_CRC(sof_apl_ops_init, 0xfdb06423, "");
SYMBOL_CRC(apl_chip_info, 0xa1f1eb9f, "");
SYMBOL_CRC(sof_cnl_ops, 0x3ee55822, "");
SYMBOL_CRC(sof_cnl_ops_init, 0x747e26b6, "");
SYMBOL_CRC(cnl_chip_info, 0x6bba66b6, "");
SYMBOL_CRC(jsl_chip_info, 0x36c75f52, "");
SYMBOL_CRC(sof_tgl_ops, 0x5a919da3, "");
SYMBOL_CRC(sof_tgl_ops_init, 0x2e0998ff, "");
SYMBOL_CRC(tgl_chip_info, 0x8a94191c, "");
SYMBOL_CRC(tglh_chip_info, 0xd73bf588, "");
SYMBOL_CRC(ehl_chip_info, 0x56591133, "");
SYMBOL_CRC(adls_chip_info, 0xa135b865, "");
SYMBOL_CRC(sof_icl_ops, 0x49609d4a, "");
SYMBOL_CRC(sof_icl_ops_init, 0x75032319, "");
SYMBOL_CRC(icl_chip_info, 0x9b653fbd, "");
SYMBOL_CRC(sof_mtl_ops, 0x3a0c5ab0, "");
SYMBOL_CRC(sof_mtl_ops_init, 0x21c881a1, "");
SYMBOL_CRC(mtl_chip_info, 0x3770a107, "");
SYMBOL_CRC(arl_s_chip_info, 0xced0e546, "");
SYMBOL_CRC(sof_lnl_ops, 0x350899ae, "");
SYMBOL_CRC(sof_lnl_ops_init, 0x434cb700, "");
SYMBOL_CRC(lnl_chip_info, 0x2427808d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x902b2e82, "__dynamic_dev_dbg" },
	{ 0x35b8678d, "snd_sgbuf_get_chunk_size" },
	{ 0xf8bf47ae, "pci_ioremap_bar" },
	{ 0xcd83d9c4, "hdac_bus_eml_check_interrupt" },
	{ 0x2c6faabe, "sof_pci_probe" },
	{ 0xcf856ff7, "snd_soc_hdac_hda_get_ops" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfc4ec633, "hda_codec_i915_exit" },
	{ 0x6d62c76b, "trace_event_buffer_commit" },
	{ 0x6138c16f, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1c6da13, "hda_codec_resume_cmd_io" },
	{ 0x222b1e83, "sof_ipc4_find_debug_slot_offset_by_type" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x7ea03cc6, "snd_hdac_ext_bus_exit" },
	{ 0x8c6c90f5, "sof_block_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd68e9e4e, "snd_hdac_ext_stream_clear" },
	{ 0xa982a763, "snd_sof_dsp_only_d0i3_compatible_stream_active" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x90973bef, "_dev_info" },
	{ 0x348250c4, "sdw_intel_startup" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xaa820315, "snd_hdac_ext_bus_link_power" },
	{ 0x768bbbbd, "snd_sof_dsp_dbg_dump" },
	{ 0xe2294de5, "sdw_intel_process_wakeen_event" },
	{ 0x6c6f0e09, "sof_mailbox_write" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2663d6df, "sof_mailbox_read" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x4889d27, "perf_trace_run_bpf_submit" },
	{ 0xe2f3f579, "hda_bus_ml_put_all" },
	{ 0xe6e62a, "devm_kfree" },
	{ 0x1d01873e, "_dev_err" },
	{ 0xa92f96b2, "snd_sof_dsp_update_bits_forced" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x73b7d942, "platform_device_unregister" },
	{ 0x419d994c, "snd_hdac_ext_stream_release" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xd71596a1, "hdac_bus_eml_sdw_map_stream_ch" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x8d20a3f1, "sof_client_dev_register" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xba39aa11, "snd_soc_acpi_find_machine" },
	{ 0x793f8ae7, "trace_event_reg" },
	{ 0x6a1f468e, "hda_codec_device_remove" },
	{ 0xa80cc5e4, "snd_soc_dpcm_get_substream" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x4e859456, "intel_nhlt_free" },
	{ 0xdd541d73, "snd_sof_dsp_update_bits_unlocked" },
	{ 0x7b3a23e8, "sof_print_oops_and_stack" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x9ef7cf80, "hda_bus_ml_reset_losidv" },
	{ 0x2671f8e2, "snd_hdac_ext_stream_setup" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xff6104d0, "snd_pcm_rate_bit_to_rate" },
	{ 0xd5d0b700, "snd_sof_ipc_get_reply" },
	{ 0xb4eba369, "snd_sof_dsp_update_bits" },
	{ 0xb3cdd4ec, "hdac_bus_eml_enable_interrupt" },
	{ 0x92ac93bb, "hdac_bus_eml_enable_offload" },
	{ 0x62a90cc2, "pci_restore_state" },
	{ 0xffb54749, "snd_sof_pci_update_bits" },
	{ 0x323c75c, "hdac_bus_eml_ssp_get_hlink" },
	{ 0x7b7f2b70, "hdac_bus_eml_dmic_get_hlink" },
	{ 0xfba6453f, "_dev_warn" },
	{ 0xe8820db0, "snd_hdac_display_power" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0xe18dc07b, "sdw_intel_lnl_hw_ops" },
	{ 0x18f86032, "pci_set_master" },
	{ 0xbe7d01b0, "param_ops_charp" },
	{ 0x43352e77, "snd_pcm_hw_constraint_mask64" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xdfb2511b, "snd_hdac_stream_format_bits" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x53c5c1d6, "dma_set_coherent_mask" },
	{ 0x4813a4d2, "devm_kasprintf" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xdd534e2e, "snd_pcm_hw_constraint_integer" },
	{ 0xbff7e3fd, "bpf_trace_run3" },
	{ 0x763aed03, "hda_codec_rirb_status_clear" },
	{ 0x9818f663, "hda_codec_suspend_cmd_io" },
	{ 0x62feabff, "snd_sof_ipc_reply" },
	{ 0xfc117907, "hda_codec_init_cmd_io" },
	{ 0xe4706d30, "hda_codec_stop_cmd_io" },
	{ 0x41257c78, "hda_codec_detect_mask" },
	{ 0xa1ea80d5, "platform_device_register_full" },
	{ 0x302beb95, "trace_event_buffer_reserve" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6c78825c, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x73ef7f51, "sof_machine_unregister" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4e2284e4, "sof_ipc_tx_message" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x71091faf, "sdw_intel_probe" },
	{ 0x7b8d86cf, "snd_sof_load_firmware_raw" },
	{ 0x9a4ef4a4, "snd_sof_dsp_panic" },
	{ 0xa1906d67, "snd_hdac_ext_bus_get_hlink_by_name" },
	{ 0xba00c11f, "snd_sof_suspend" },
	{ 0x6585c967, "snd_hdac_ext_bus_link_set_stream_id" },
	{ 0xb7b836b3, "intel_nhlt_ssp_mclk_mask" },
	{ 0x28815829, "dma_set_mask" },
	{ 0xdcb61650, "snd_hdac_stream_format" },
	{ 0x94405e04, "dev_err_probe" },
	{ 0xac5cbf4c, "kmalloc_trace" },
	{ 0xa65f9aa6, "snd_pcm_hw_constraint_step" },
	{ 0x754d539c, "strlen" },
	{ 0x71e2ea45, "param_ops_int" },
	{ 0x53fc3664, "intel_nhlt_init" },
	{ 0x1075541, "_dev_printk" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xad139e43, "sof_client_dev_unregister" },
	{ 0x727534bd, "sdw_intel_cnl_hw_ops" },
	{ 0x66fd6169, "intel_nhlt_ssp_endpoint_mask" },
	{ 0xaa3cde60, "hda_codec_i915_init" },
	{ 0xe75aba6, "pci_free_irq_vectors" },
	{ 0xc9784246, "hda_codec_check_rirb_status" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x3510f128, "snd_hdac_ext_stream_reset" },
	{ 0xbb4f9d1f, "sdw_intel_acpi_scan" },
	{ 0x4812a6c0, "hdac_bus_eml_get_count" },
	{ 0xfa8eab8a, "snd_hdac_ext_bus_link_clear_stream_id" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x94961e20, "kmalloc_caches" },
	{ 0xf1244ffa, "sof_io_write" },
	{ 0x65b91176, "sof_machine_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x570d113, "snd_sof_pcm_period_elapsed" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x8f98f8c3, "hdac_bus_eml_get_mutex" },
	{ 0x94fa0bf8, "snd_soc_acpi_intel_hda_machines" },
	{ 0x64f7b1bf, "hda_codec_jack_check" },
	{ 0x3131092f, "hda_bus_ml_suspend" },
	{ 0x19b82ff7, "snd_soc_acpi_sdw_link_slaves_found" },
	{ 0xf10a37df, "pci_save_state" },
	{ 0x205b0eb4, "sof_block_read" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xa4f9e989, "snd_sof_debugfs_add_region_item_iomem" },
	{ 0xae89a8aa, "hda_codec_i915_display_power" },
	{ 0x1e626b38, "is_acpi_device_node" },
	{ 0x745c7083, "bpf_trace_run4" },
	{ 0xaa52eba1, "sdw_intel_thread" },
	{ 0xed302c1b, "snd_dma_alloc_dir_pages" },
	{ 0x3fcc56a7, "devm_kmalloc" },
	{ 0x6b97d4b2, "snd_hdac_bus_send_cmd" },
	{ 0x7ac4e633, "hda_bus_ml_resume" },
	{ 0x15421ce8, "pci_alloc_irq_vectors" },
	{ 0x8703c0c0, "intel_nhlt_get_dmic_geo" },
	{ 0x657fc0b1, "snd_hdac_bus_get_response" },
	{ 0x1f4cbc3d, "snd_hdac_ext_stream_start" },
	{ 0x6e995938, "trace_raw_output_prep" },
	{ 0xb01f592e, "hdac_bus_eml_sdw_get_hlink" },
	{ 0xa7bf5454, "hda_codec_set_codec_wakeup" },
	{ 0x61a4528, "__trace_trigger_soft_disabled" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x9b3436a1, "hda_bus_ml_init" },
	{ 0x49766f17, "hda_codec_probe_bus" },
	{ 0x9c0761cd, "snd_hdac_ext_stream_decouple_locked" },
	{ 0x67bfec1, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xedc03953, "iounmap" },
	{ 0x5295fdd3, "snd_pcm_hw_constraint_minmax" },
	{ 0x83967748, "sdw_intel_exit" },
	{ 0xc6ea6ed5, "hda_codec_check_for_state_change" },
	{ 0xdcab5837, "hda_codec_jack_wake_enable" },
	{ 0x42589a6d, "sof_xtensa_arch_ops" },
	{ 0x41a05c36, "intel_nhlt_has_endpoint_type" },
	{ 0xff546744, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x3cd70708, "snd_hdac_ext_bus_init" },
	{ 0x2ff14ab8, "hda_bus_ml_free" },
	{ 0x8536d2f3, "pcpu_hot" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0xe8d16c80, "sof_ipc4_set_pipeline_state" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xa5e3200b, "bpf_trace_run2" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x8e36af23, "snd_intel_dsp_driver_probe" },
	{ 0x98b7286a, "pci_irq_vector" },
	{ 0x29a9e8a6, "snd_sgbuf_get_addr" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd-sof-intel-hda-mlink,snd-sof-pci,snd-soc-hdac-hda,snd-sof-intel-hda,snd-sof,snd-hda-ext-core,soundwire-intel,snd-soc-acpi,snd-soc-core,snd-intel-dspcfg,snd-hda-core,snd-intel-sdw-acpi,snd-soc-acpi-intel-match,snd-sof-xtensa-dsp");


MODULE_INFO(srcversion, "9F749FA2FB63984212DB8EA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
