#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sof_debug_check_flag, "", "");
KSYMTAB_FUNC(sof_print_oops_and_stack, "", "");
KSYMTAB_FUNC(sof_set_fw_state, "", "");
KSYMTAB_FUNC(snd_sof_device_probe, "", "");
KSYMTAB_FUNC(snd_sof_device_probe_completed, "", "");
KSYMTAB_FUNC(snd_sof_device_remove, "", "");
KSYMTAB_FUNC(snd_sof_device_shutdown, "", "");
KSYMTAB_FUNC(sof_machine_register, "", "");
KSYMTAB_FUNC(sof_machine_unregister, "", "");
KSYMTAB_FUNC(snd_sof_pci_update_bits, "", "");
KSYMTAB_FUNC(snd_sof_dsp_update_bits_unlocked, "", "");
KSYMTAB_FUNC(snd_sof_dsp_update_bits64_unlocked, "", "");
KSYMTAB_FUNC(snd_sof_dsp_update_bits, "", "");
KSYMTAB_FUNC(snd_sof_dsp_update_bits64, "", "");
KSYMTAB_FUNC(snd_sof_dsp_update_bits_forced, "", "");
KSYMTAB_FUNC(snd_sof_dsp_panic, "", "");
KSYMTAB_FUNC(snd_sof_load_firmware_raw, "", "");
KSYMTAB_FUNC(snd_sof_load_firmware_memcpy, "", "");
KSYMTAB_FUNC(snd_sof_run_firmware, "", "");
KSYMTAB_FUNC(snd_sof_fw_unload, "", "");
KSYMTAB_FUNC(sof_ipc_tx_message, "", "");
KSYMTAB_FUNC(sof_ipc_set_get_data, "", "");
KSYMTAB_FUNC(sof_ipc_tx_message_no_pm, "", "");
KSYMTAB_FUNC(snd_sof_ipc_get_reply, "", "");
KSYMTAB_FUNC(snd_sof_ipc_reply, "", "");
KSYMTAB_FUNC(snd_sof_ipc_init, "", "");
KSYMTAB_FUNC(snd_sof_ipc_free, "", "");
KSYMTAB_FUNC(snd_sof_pcm_period_elapsed, "", "");
KSYMTAB_FUNC(sof_pcm_dai_link_fixup, "", "");
KSYMTAB_FUNC(snd_sof_runtime_suspend, "", "");
KSYMTAB_FUNC(snd_sof_runtime_idle, "", "");
KSYMTAB_FUNC(snd_sof_runtime_resume, "", "");
KSYMTAB_FUNC(snd_sof_resume, "", "");
KSYMTAB_FUNC(snd_sof_suspend, "", "");
KSYMTAB_FUNC(snd_sof_prepare, "", "");
KSYMTAB_FUNC(snd_sof_complete, "", "");
KSYMTAB_FUNC(snd_sof_debugfs_add_region_item_iomem, "_gpl", "");
KSYMTAB_FUNC(snd_sof_debugfs_buf_item, "_gpl", "");
KSYMTAB_FUNC(snd_sof_dbg_memory_info_init, "_gpl", "");
KSYMTAB_FUNC(snd_sof_dbg_init, "_gpl", "");
KSYMTAB_FUNC(snd_sof_free_debug, "_gpl", "");
KSYMTAB_FUNC(snd_sof_dsp_dbg_dump, "", "");
KSYMTAB_FUNC(snd_sof_handle_fw_exception, "", "");
KSYMTAB_FUNC(snd_sof_load_topology, "", "");
KSYMTAB_FUNC(sof_io_write, "", "");
KSYMTAB_FUNC(sof_io_read, "", "");
KSYMTAB_FUNC(sof_io_write64, "", "");
KSYMTAB_FUNC(sof_io_read64, "", "");
KSYMTAB_FUNC(sof_mailbox_write, "", "");
KSYMTAB_FUNC(sof_mailbox_read, "", "");
KSYMTAB_FUNC(sof_block_write, "", "");
KSYMTAB_FUNC(sof_block_read, "", "");
KSYMTAB_FUNC(sof_widget_free, "", "");
KSYMTAB_FUNC(sof_widget_setup, "", "");
KSYMTAB_FUNC(snd_sof_dsp_only_d0i3_compatible_stream_active, "", "");
KSYMTAB_FUNC(sof_dai_get_mclk, "", "");
KSYMTAB_FUNC(sof_dai_get_bclk, "", "");
KSYMTAB_FUNC(sof_ipc_msg_data, "", "");
KSYMTAB_FUNC(sof_set_stream_data_offset, "", "");
KSYMTAB_FUNC(sof_stream_pcm_open, "", "");
KSYMTAB_FUNC(sof_stream_pcm_close, "", "");
KSYMTAB_FUNC(sof_create_ipc_file_profile, "", "");
KSYMTAB_FUNC(sof_ipc3_do_rx_work, "", "");
KSYMTAB_FUNC(sof_ipc4_find_debug_slot_offset_by_type, "", "");
KSYMTAB_FUNC(sof_ipc4_set_pipeline_state, "", "");
KSYMTAB_FUNC(sof_client_dev_register, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_dev_unregister, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_ipc_tx_message, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_ipc_rx_message, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_ipc_set_get_data, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_ipc4_find_module, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_suspend_clients, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_resume_clients, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_get_debugfs_root, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_get_dma_dev, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_get_fw_version, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_get_ipc_max_payload_size, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_get_ipc_type, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_core_module_get, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_core_module_put, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_register_ipc_rx_handler, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_unregister_ipc_rx_handler, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_register_fw_state_handler, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_unregister_fw_state_handler, "_gpl", "SND_SOC_SOF_CLIENT");
KSYMTAB_FUNC(sof_client_get_fw_state, "_gpl", "SND_SOC_SOF_CLIENT");

SYMBOL_CRC(sof_debug_check_flag, 0x368c6727, "");
SYMBOL_CRC(sof_print_oops_and_stack, 0x7b3a23e8, "");
SYMBOL_CRC(sof_set_fw_state, 0xe489aafa, "");
SYMBOL_CRC(snd_sof_device_probe, 0x5bcfb702, "");
SYMBOL_CRC(snd_sof_device_probe_completed, 0x903788d9, "");
SYMBOL_CRC(snd_sof_device_remove, 0x0bfd1911, "");
SYMBOL_CRC(snd_sof_device_shutdown, 0x08b85d34, "");
SYMBOL_CRC(sof_machine_register, 0x65b91176, "");
SYMBOL_CRC(sof_machine_unregister, 0x73ef7f51, "");
SYMBOL_CRC(snd_sof_pci_update_bits, 0xffb54749, "");
SYMBOL_CRC(snd_sof_dsp_update_bits_unlocked, 0xdd541d73, "");
SYMBOL_CRC(snd_sof_dsp_update_bits64_unlocked, 0x6acdc156, "");
SYMBOL_CRC(snd_sof_dsp_update_bits, 0xb4eba369, "");
SYMBOL_CRC(snd_sof_dsp_update_bits64, 0xa1cd6144, "");
SYMBOL_CRC(snd_sof_dsp_update_bits_forced, 0xa92f96b2, "");
SYMBOL_CRC(snd_sof_dsp_panic, 0x9a4ef4a4, "");
SYMBOL_CRC(snd_sof_load_firmware_raw, 0x7b8d86cf, "");
SYMBOL_CRC(snd_sof_load_firmware_memcpy, 0x5c2049e3, "");
SYMBOL_CRC(snd_sof_run_firmware, 0xc063302a, "");
SYMBOL_CRC(snd_sof_fw_unload, 0x11335195, "");
SYMBOL_CRC(sof_ipc_tx_message, 0x4e2284e4, "");
SYMBOL_CRC(sof_ipc_set_get_data, 0x0368b8ef, "");
SYMBOL_CRC(sof_ipc_tx_message_no_pm, 0x5c6d0957, "");
SYMBOL_CRC(snd_sof_ipc_get_reply, 0xd5d0b700, "");
SYMBOL_CRC(snd_sof_ipc_reply, 0x62feabff, "");
SYMBOL_CRC(snd_sof_ipc_init, 0xc3f33370, "");
SYMBOL_CRC(snd_sof_ipc_free, 0xb5c78513, "");
SYMBOL_CRC(snd_sof_pcm_period_elapsed, 0x0570d113, "");
SYMBOL_CRC(sof_pcm_dai_link_fixup, 0xb596c885, "");
SYMBOL_CRC(snd_sof_runtime_suspend, 0xe215daac, "");
SYMBOL_CRC(snd_sof_runtime_idle, 0x4c9594dd, "");
SYMBOL_CRC(snd_sof_runtime_resume, 0x436adb45, "");
SYMBOL_CRC(snd_sof_resume, 0x3e3d7978, "");
SYMBOL_CRC(snd_sof_suspend, 0xba00c11f, "");
SYMBOL_CRC(snd_sof_prepare, 0xbff3fb22, "");
SYMBOL_CRC(snd_sof_complete, 0x49e49cce, "");
SYMBOL_CRC(snd_sof_debugfs_add_region_item_iomem, 0xa4f9e989, "_gpl");
SYMBOL_CRC(snd_sof_debugfs_buf_item, 0xaf2cfc05, "_gpl");
SYMBOL_CRC(snd_sof_dbg_memory_info_init, 0x969abd47, "_gpl");
SYMBOL_CRC(snd_sof_dbg_init, 0xde5d5cfe, "_gpl");
SYMBOL_CRC(snd_sof_free_debug, 0x333be942, "_gpl");
SYMBOL_CRC(snd_sof_dsp_dbg_dump, 0x768bbbbd, "");
SYMBOL_CRC(snd_sof_handle_fw_exception, 0xfe4958c3, "");
SYMBOL_CRC(snd_sof_load_topology, 0xc25182d1, "");
SYMBOL_CRC(sof_io_write, 0xf1244ffa, "");
SYMBOL_CRC(sof_io_read, 0xd89e30e5, "");
SYMBOL_CRC(sof_io_write64, 0x52c5fadb, "");
SYMBOL_CRC(sof_io_read64, 0x41db09f3, "");
SYMBOL_CRC(sof_mailbox_write, 0x6c6f0e09, "");
SYMBOL_CRC(sof_mailbox_read, 0x2663d6df, "");
SYMBOL_CRC(sof_block_write, 0x8c6c90f5, "");
SYMBOL_CRC(sof_block_read, 0x205b0eb4, "");
SYMBOL_CRC(sof_widget_free, 0x3e75b5f0, "");
SYMBOL_CRC(sof_widget_setup, 0x389dcebd, "");
SYMBOL_CRC(snd_sof_dsp_only_d0i3_compatible_stream_active, 0xa982a763, "");
SYMBOL_CRC(sof_dai_get_mclk, 0x40d7a978, "");
SYMBOL_CRC(sof_dai_get_bclk, 0xfdff3da2, "");
SYMBOL_CRC(sof_ipc_msg_data, 0xab0579d5, "");
SYMBOL_CRC(sof_set_stream_data_offset, 0x3e16e161, "");
SYMBOL_CRC(sof_stream_pcm_open, 0xa63e14e9, "");
SYMBOL_CRC(sof_stream_pcm_close, 0x78af6a40, "");
SYMBOL_CRC(sof_create_ipc_file_profile, 0x0cc7531b, "");
SYMBOL_CRC(sof_ipc3_do_rx_work, 0x82f8d9a9, "");
SYMBOL_CRC(sof_ipc4_find_debug_slot_offset_by_type, 0x222b1e83, "");
SYMBOL_CRC(sof_ipc4_set_pipeline_state, 0xe8d16c80, "");
SYMBOL_CRC(sof_client_dev_register, 0x8d20a3f1, "_gpl");
SYMBOL_CRC(sof_client_dev_unregister, 0xad139e43, "_gpl");
SYMBOL_CRC(sof_client_ipc_tx_message, 0x905c2e2a, "_gpl");
SYMBOL_CRC(sof_client_ipc_rx_message, 0xe5dc4ff8, "_gpl");
SYMBOL_CRC(sof_client_ipc_set_get_data, 0x313695f5, "_gpl");
SYMBOL_CRC(sof_client_ipc4_find_module, 0xfd9d615e, "_gpl");
SYMBOL_CRC(sof_suspend_clients, 0xc93cb78a, "_gpl");
SYMBOL_CRC(sof_resume_clients, 0x7178a5f4, "_gpl");
SYMBOL_CRC(sof_client_get_debugfs_root, 0x0a54a8d9, "_gpl");
SYMBOL_CRC(sof_client_get_dma_dev, 0xd7b6d260, "_gpl");
SYMBOL_CRC(sof_client_get_fw_version, 0x7a52edd7, "_gpl");
SYMBOL_CRC(sof_client_get_ipc_max_payload_size, 0xccb58f02, "_gpl");
SYMBOL_CRC(sof_client_get_ipc_type, 0xd00c3eaa, "_gpl");
SYMBOL_CRC(sof_client_core_module_get, 0x128cdd7a, "_gpl");
SYMBOL_CRC(sof_client_core_module_put, 0x2c9262ce, "_gpl");
SYMBOL_CRC(sof_client_register_ipc_rx_handler, 0xd6ae0b64, "_gpl");
SYMBOL_CRC(sof_client_unregister_ipc_rx_handler, 0x3ac1db61, "_gpl");
SYMBOL_CRC(sof_client_register_fw_state_handler, 0x34d0d394, "_gpl");
SYMBOL_CRC(sof_client_unregister_fw_state_handler, 0x76fee89f, "_gpl");
SYMBOL_CRC(sof_client_get_fw_state, 0xd07f94c5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3c453e5f, "xa_destroy" },
	{ 0xf5d073e8, "xa_find" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x350e1a93, "remove_wait_queue" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x81f8458c, "snd_pcm_period_elapsed" },
	{ 0x42737b5e, "xa_find_after" },
	{ 0xac5cbf4c, "kmalloc_trace" },
	{ 0x4dc3632f, "__pm_runtime_suspend" },
	{ 0xa65f9aa6, "snd_pcm_hw_constraint_step" },
	{ 0xe0adc7b0, "snd_soc_tplg_widget_bind_event" },
	{ 0x754d539c, "strlen" },
	{ 0x71e2ea45, "param_ops_int" },
	{ 0x1075541, "_dev_printk" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x8708c351, "debugfs_create_dir" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4ce1f271, "pci_write_config_dword" },
	{ 0x94961e20, "kmalloc_caches" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xfaf598c6, "snd_ctl_request_layer" },
	{ 0x9ed6476f, "debugfs_create_str" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xc30ab969, "dpcm_end_walk_at_be" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x81c74469, "snd_soc_dapm_dai_free_widgets" },
	{ 0x9245456c, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x3781be3c, "ida_destroy" },
	{ 0xed302c1b, "snd_dma_alloc_dir_pages" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3fcc56a7, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9aaf5e29, "firmware_request_nowarn" },
	{ 0xa6702a5d, "auxiliary_device_init" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x41fdcb02, "snd_soc_dapm_dai_get_connected_widgets" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6e995938, "trace_raw_output_prep" },
	{ 0x61a4528, "__trace_trigger_soft_disabled" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x11122c64, "request_firmware" },
	{ 0x67bfec1, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xff546744, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8536d2f3, "pcpu_hot" },
	{ 0xcb39ef5, "add_wait_queue" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0xbb4f4766, "simple_write_to_buffer" },
	{ 0xa5e3200b, "bpf_trace_run2" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x1479cc7a, "snd_sof_create_page_table" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x902b2e82, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x3607e31f, "debugfs_file_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6d62c76b, "trace_event_buffer_commit" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x70a27fa7, "pci_read_config_dword" },
	{ 0xec788566, "acpi_target_system_state" },
	{ 0x6138c16f, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xee31e892, "devm_snd_soc_register_component" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x812f9dfe, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb7805bf0, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x90973bef, "_dev_info" },
	{ 0x89e4ec3e, "debugfs_file_put" },
	{ 0xd9fc356f, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x5fa0d8e9, "intel_nhlt_get_endpoint_blob" },
	{ 0x1545815a, "snd_soc_rtdcom_lookup" },
	{ 0xa584bb37, "intel_nhlt_ssp_device_type" },
	{ 0x9cf37c44, "__iowrite32_copy" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfefc4326, "devm_kmemdup" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x4889d27, "perf_trace_run_bpf_submit" },
	{ 0xe6e62a, "devm_kfree" },
	{ 0x1d01873e, "_dev_err" },
	{ 0xd6a8e552, "simple_open" },
	{ 0x73b7d942, "platform_device_unregister" },
	{ 0x6e2167bd, "__auxiliary_device_add" },
	{ 0x5927212, "widget_in_list" },
	{ 0x95988248, "bpf_trace_run5" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x26246bd9, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x793f8ae7, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x6573f300, "ida_free" },
	{ 0x202a0a6, "pm_runtime_get_if_in_use" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcbfc33b, "snd_soc_tplg_component_load" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xc8b1277d, "snd_pcm_set_managed_buffer" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x6100fa1f, "bpf_trace_run1" },
	{ 0xdc6b831f, "device_del" },
	{ 0xa77c2ba3, "default_llseek" },
	{ 0xfba6453f, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x165d12ee, "debugfs_create_u32" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xfdaf1aae, "snd_soc_tplg_component_remove" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa96ade3d, "snd_ctl_notify_one" },
	{ 0xb815fad1, "__xa_insert" },
	{ 0x4813a4d2, "devm_kasprintf" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xdd534e2e, "snd_pcm_hw_constraint_integer" },
	{ 0xbff7e3fd, "bpf_trace_run3" },
	{ 0xb6d81a7d, "debugfs_create_file" },
	{ 0xa1ea80d5, "platform_device_register_full" },
	{ 0x302beb95, "trace_event_buffer_reserve" },
	{ 0x6a90a3fa, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x6c78825c, "param_ops_bool" },
	{ 0xffc78076, "snd_dma_buffer_sync" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd-soc-core,snd,snd-sof-utils,snd-intel-dspcfg");


MODULE_INFO(srcversion, "17D1F2E92EC71BB46F7E210");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
