#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xebfdae3e, "ata_qc_get_active" },
	{ 0x975d6310, "ata_qc_complete_multiple" },
	{ 0x22cd2028, "ata_sff_softreset" },
	{ 0xb8ba4d, "sata_std_hardreset" },
	{ 0x9371ea58, "sata_deb_timing_normal" },
	{ 0xbc79eb0b, "sata_deb_timing_hotplug" },
	{ 0x1089f759, "sata_link_hardreset" },
	{ 0xe7af2254, "sata_scr_read" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xda975480, "ata_bmdma_qc_issue" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0x3c7dc514, "ata_sff_queue_pio_task" },
	{ 0x8a7af825, "ata_ehi_clear_desc" },
	{ 0xe37f3fde, "ata_ehi_push_desc" },
	{ 0xfa45aa4d, "ata_link_abort" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xc2be73ae, "sata_scr_write_flush" },
	{ 0xd7408b17, "ata_bmdma_port_intr" },
	{ 0xf100be01, "ata_link_offline" },
	{ 0x1dc11d49, "ata_port_abort" },
	{ 0x24ce332a, "sata_async_notification" },
	{ 0x7fbaa7f2, "ata_pci_remove_one" },
	{ 0x50116752, "ata_pci_device_suspend" },
	{ 0x228a20a6, "ata_bmdma_port_ops" },
	{ 0xb773f230, "ata_sff_port_ops" },
	{ 0xfd40640f, "ata_scsi_queuecmd" },
	{ 0x5eaefb0b, "ata_scsi_ioctl" },
	{ 0x7a3fae81, "ata_scsi_slave_alloc" },
	{ 0x51f21b5f, "ata_scsi_slave_config" },
	{ 0x9ad3dc70, "ata_scsi_slave_destroy" },
	{ 0x1c96b7cb, "ata_scsi_change_queue_depth" },
	{ 0x62af2f4f, "ata_scsi_dma_need_drain" },
	{ 0x2b70aaae, "ata_std_bios_param" },
	{ 0xbcf92511, "ata_scsi_unlock_native_capacity" },
	{ 0x881f9e67, "ata_ncq_sdev_groups" },
	{ 0xe61197db, "ata_common_sdev_groups" },
	{ 0x71e2ea45, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x570419ba, "__pci_register_driver" },
	{ 0xba4232b9, "__platform_driver_register" },
	{ 0x8d02b6b8, "pci_unregister_driver" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1d01873e, "_dev_err" },
	{ 0xcba2989e, "ata_host_suspend" },
	{ 0xda82e7b3, "ata_host_detach" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x2e1ca751, "clk_put" },
	{ 0xc449f5fa, "phy_power_off" },
	{ 0x96848186, "scnprintf" },
	{ 0x902b2e82, "__dynamic_dev_dbg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x92997ed8, "_printk" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb19b445, "ioread8" },
	{ 0x5426764a, "ata_eh_analyze_ncq_error" },
	{ 0xaac1d83c, "ata_port_freeze" },
	{ 0xcbc42703, "sata_pmp_error_handler" },
	{ 0xe973d20a, "dmam_pool_create" },
	{ 0xdaa2edc9, "platform_driver_unregister" },
	{ 0x70a27fa7, "pci_read_config_dword" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4c58ab2e, "ata_sff_dma_pause" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xfba6453f, "_dev_warn" },
	{ 0x9a55a6e6, "_dev_alert" },
	{ 0x61b41b70, "ata_host_resume" },
	{ 0xa2dc04b0, "platform_get_resource" },
	{ 0x57d0afd6, "platform_get_irq" },
	{ 0x26b70da9, "ata_host_alloc_pinfo" },
	{ 0x3fcc56a7, "devm_kmalloc" },
	{ 0x459fa6cd, "devm_ioremap" },
	{ 0xb6b4dbdd, "clk_get" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x37d2de3d, "devm_phy_optional_get" },
	{ 0x8c7629d, "phy_power_on" },
	{ 0xc0b55987, "ata_print_version" },
	{ 0x90973bef, "_dev_info" },
	{ 0x8a942e41, "ata_host_activate" },
	{ 0x59d171b3, "_dev_notice" },
	{ 0x9fc9f45d, "ata_pci_device_do_resume" },
	{ 0x7b2e7ceb, "pcim_enable_device" },
	{ 0xb10bd4f7, "pcim_iomap_regions" },
	{ 0x9038d7f1, "pcim_iomap_table" },
	{ 0x28815829, "dma_set_mask" },
	{ 0x53c5c1d6, "dma_set_coherent_mask" },
	{ 0xbc516cc4, "ata_port_pbar_desc" },
	{ 0xcd7f452, "pci_read_config_byte" },
	{ 0xcdf4c953, "pcim_pin_device" },
	{ 0x41a33353, "pci_enable_msi" },
	{ 0x18f86032, "pci_set_master" },
	{ 0x1b892ef1, "pci_try_set_mwi" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "libata");

MODULE_ALIAS("pci:v000011ABd00005040sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00005041sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00005080sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00005081sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001103d00001720sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001103d00001740sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001103d00001742sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00006040sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00006041sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00006042sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00006080sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00006081sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00009005d00000241sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00009005d00000243sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00007042sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001103d00002300sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001103d00002310sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "428F25CA673D67C00D203F6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
