#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hsi_new_client, "_gpl", "");
KSYMTAB_FUNC(hsi_remove_client, "_gpl", "");
KSYMTAB_FUNC(hsi_port_unregister_clients, "_gpl", "");
KSYMTAB_FUNC(hsi_unregister_controller, "_gpl", "");
KSYMTAB_FUNC(hsi_register_controller, "_gpl", "");
KSYMTAB_FUNC(hsi_register_client_driver, "_gpl", "");
KSYMTAB_FUNC(hsi_put_controller, "_gpl", "");
KSYMTAB_FUNC(hsi_alloc_controller, "_gpl", "");
KSYMTAB_FUNC(hsi_free_msg, "_gpl", "");
KSYMTAB_FUNC(hsi_alloc_msg, "_gpl", "");
KSYMTAB_FUNC(hsi_async, "_gpl", "");
KSYMTAB_FUNC(hsi_claim_port, "_gpl", "");
KSYMTAB_FUNC(hsi_release_port, "_gpl", "");
KSYMTAB_FUNC(hsi_register_port_event, "_gpl", "");
KSYMTAB_FUNC(hsi_unregister_port_event, "_gpl", "");
KSYMTAB_FUNC(hsi_event, "_gpl", "");
KSYMTAB_FUNC(hsi_get_channel_id_by_name, "_gpl", "");
KSYMTAB_DATA(hsi_board_list, "_gpl", "");

SYMBOL_CRC(hsi_new_client, 0xc17adbbe, "_gpl");
SYMBOL_CRC(hsi_remove_client, 0x7c3dee0c, "_gpl");
SYMBOL_CRC(hsi_port_unregister_clients, 0x48ea2fef, "_gpl");
SYMBOL_CRC(hsi_unregister_controller, 0x19e656f5, "_gpl");
SYMBOL_CRC(hsi_register_controller, 0xd1040ec5, "_gpl");
SYMBOL_CRC(hsi_register_client_driver, 0x269b81dc, "_gpl");
SYMBOL_CRC(hsi_put_controller, 0xc8d873b0, "_gpl");
SYMBOL_CRC(hsi_alloc_controller, 0x8ecc0228, "_gpl");
SYMBOL_CRC(hsi_free_msg, 0x2bed307e, "_gpl");
SYMBOL_CRC(hsi_alloc_msg, 0x346c86cf, "_gpl");
SYMBOL_CRC(hsi_async, 0x69f62c1e, "_gpl");
SYMBOL_CRC(hsi_claim_port, 0x626551e0, "_gpl");
SYMBOL_CRC(hsi_release_port, 0xc92f32f7, "_gpl");
SYMBOL_CRC(hsi_register_port_event, 0xb6c45d33, "_gpl");
SYMBOL_CRC(hsi_unregister_port_event, 0xa0f73cc9, "_gpl");
SYMBOL_CRC(hsi_event, 0xab406c88, "_gpl");
SYMBOL_CRC(hsi_get_channel_id_by_name, 0x97c01539, "_gpl");
SYMBOL_CRC(hsi_board_list, 0x5210a5bf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0x5de1bdc0, "device_for_each_child" },
	{ 0x4e04f5a0, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x3df132f1, "blocking_notifier_call_chain" },
	{ 0x812f9dfe, "put_device" },
	{ 0xd9fc356f, "module_put" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xe5280218, "bus_unregister" },
	{ 0x2dfda671, "device_add" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xf9a8df24, "device_register" },
	{ 0xdc6b831f, "device_del" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd605405, "blocking_notifier_chain_unregister" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xac5cbf4c, "kmalloc_trace" },
	{ 0x799f5378, "driver_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x94961e20, "kmalloc_caches" },
	{ 0x2a4f9b9, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x9245456c, "try_module_get" },
	{ 0xdadf9a2e, "__init_rwsem" },
	{ 0x1e3f2145, "dev_set_name" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xb0987c00, "device_unregister" },
	{ 0xf9edeb2c, "device_initialize" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "80252AC1B5A629810A93A41");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
