#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rescale_process_scale, "_gpl", "IIO_RESCALE");
KSYMTAB_FUNC(rescale_process_offset, "_gpl", "IIO_RESCALE");

SYMBOL_CRC(rescale_process_scale, 0x1ea55841, "_gpl");
SYMBOL_CRC(rescale_process_offset, 0x0779a221, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfcef13e5, "iio_read_channel_ext_info" },
	{ 0x7b301d43, "iio_read_avail_channel_raw" },
	{ 0x247bf348, "iio_read_channel_processed" },
	{ 0xd3eab78f, "iio_read_channel_raw" },
	{ 0xb4a824be, "iio_read_channel_scale" },
	{ 0xcca1f797, "iio_read_channel_offset" },
	{ 0x1e3b690, "devm_iio_channel_get" },
	{ 0x29fff8e6, "iio_get_channel_ext_info_count" },
	{ 0xc9511056, "devm_iio_device_alloc" },
	{ 0x3029fa14, "device_get_match_data" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfefc4326, "devm_kmemdup" },
	{ 0x94405e04, "dev_err_probe" },
	{ 0x90973bef, "_dev_info" },
	{ 0x3219ec5, "__devm_iio_device_register" },
	{ 0xdaa2edc9, "platform_driver_unregister" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd2e68f21, "device_property_read_u32_array" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1d01873e, "_dev_err" },
	{ 0xea124bd1, "gcd" },
	{ 0xba4232b9, "__platform_driver_register" },
	{ 0x3a5a25f6, "iio_write_channel_ext_info" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "industrialio");

MODULE_ALIAS("of:N*T*Ccurrent-sense-amplifier");
MODULE_ALIAS("of:N*T*Ccurrent-sense-amplifierC*");
MODULE_ALIAS("of:N*T*Ccurrent-sense-shunt");
MODULE_ALIAS("of:N*T*Ccurrent-sense-shuntC*");
MODULE_ALIAS("of:N*T*Cvoltage-divider");
MODULE_ALIAS("of:N*T*Cvoltage-dividerC*");
MODULE_ALIAS("of:N*T*Ctemperature-sense-rtd");
MODULE_ALIAS("of:N*T*Ctemperature-sense-rtdC*");
MODULE_ALIAS("of:N*T*Ctemperature-transducer");
MODULE_ALIAS("of:N*T*Ctemperature-transducerC*");

MODULE_INFO(srcversion, "57180AAB800FB1DB67DAE7F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
