#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hid_sensor_power_state, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_remove_trigger, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_setup_trigger, "", "IIO_HID");
KSYMTAB_DATA(hid_sensor_pm_ops, "", "IIO_HID");

SYMBOL_CRC(hid_sensor_power_state, 0xade255b4, "");
SYMBOL_CRC(hid_sensor_remove_trigger, 0x402a1f0f, "");
SYMBOL_CRC(hid_sensor_setup_trigger, 0xf6b3e23e, "");
SYMBOL_CRC(hid_sensor_pm_ops, 0xa206f9b8, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3eafd6f3, "__pm_runtime_use_autosuspend" },
	{ 0x4dc3632f, "__pm_runtime_suspend" },
	{ 0x82b40278, "__pm_runtime_set_status" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xefc4d52b, "iio_trigger_unregister" },
	{ 0xe53ad8b4, "iio_trigger_free" },
	{ 0xc030084c, "iio_triggered_buffer_cleanup" },
	{ 0x9c88a29, "__pm_runtime_disable" },
	{ 0x81d01570, "sensor_hub_device_close" },
	{ 0x321983ab, "hid_sensor_get_usage_index" },
	{ 0x65123a7c, "sensor_hub_get_feature" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x823dba33, "sensor_hub_set_feature" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xd3feb3bc, "sensor_hub_device_open" },
	{ 0x83e6828b, "hid_sensor_read_poll_value" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x21457cf0, "hid_sensor_set_report_latency" },
	{ 0xa7e319cf, "hid_sensor_get_report_latency" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x26f6b499, "iio_str_to_fixpoint" },
	{ 0x50b624b1, "hid_sensor_batch_mode_supported" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0xa4c3edd1, "iio_triggered_buffer_setup_ext" },
	{ 0xc92f99ef, "iio_device_id" },
	{ 0x62a810b0, "__iio_trigger_alloc" },
	{ 0xa90201f0, "iio_trigger_register" },
	{ 0x1c833e78, "get_device" },
	{ 0x113e6640, "__module_get" },
	{ 0xd58a06bb, "pm_runtime_set_autosuspend_delay" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1d01873e, "_dev_err" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x63eb8f3, "pm_runtime_enable" },
	{ 0x6a90a3fa, "__pm_runtime_resume" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer,hid-sensor-hub,hid-sensor-iio-common");


MODULE_INFO(srcversion, "4925A92A9B7B92364117342");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
