#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(inv_mpu_core_probe, "_gpl", "IIO_MPU6050");
KSYMTAB_DATA(inv_mpu_pmops, "_gpl", "IIO_MPU6050");

SYMBOL_CRC(inv_mpu_core_probe, 0xc3728003, "_gpl");
SYMBOL_CRC(inv_mpu_pmops, 0x302145f9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x113e6640, "__module_get" },
	{ 0x1c833e78, "get_device" },
	{ 0xc92f99ef, "iio_device_id" },
	{ 0x902b2e82, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x82b40278, "__pm_runtime_set_status" },
	{ 0x122a03da, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x63eb8f3, "pm_runtime_enable" },
	{ 0x14a4c6d5, "devm_regulator_get" },
	{ 0x8943e5ee, "iio_show_mount_matrix" },
	{ 0x7d0dc8e5, "iio_device_claim_direct_mode" },
	{ 0x1d01873e, "_dev_err" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x6c0f084f, "irq_get_irq_data" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xd27a87e4, "inv_sensors_timestamp_interrupt" },
	{ 0xf515045a, "inv_sensors_timestamp_apply_odr" },
	{ 0x3219ec5, "__devm_iio_device_register" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xe1ac6a30, "iio_read_mount_matrix" },
	{ 0xc9511056, "devm_iio_device_alloc" },
	{ 0xfba6453f, "_dev_warn" },
	{ 0x7625a971, "devm_iio_trigger_register" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8f76efe5, "inv_sensors_timestamp_update_odr" },
	{ 0x4f143125, "regmap_noinc_read" },
	{ 0x4813a4d2, "devm_kasprintf" },
	{ 0xca4985d0, "regmap_read" },
	{ 0x7dec8c6a, "regmap_bulk_write" },
	{ 0x6a90a3fa, "__pm_runtime_resume" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xa5853564, "regmap_bulk_read" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd3b3ef37, "regmap_update_bits_base" },
	{ 0xafa217ee, "regulator_disable" },
	{ 0x94405e04, "dev_err_probe" },
	{ 0xa99bec29, "iio_trigger_notify_done" },
	{ 0x4dc3632f, "__pm_runtime_suspend" },
	{ 0xb40e6149, "__devm_add_action" },
	{ 0x7a2279bd, "iio_read_const_attr" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0x3eafd6f3, "__pm_runtime_use_autosuspend" },
	{ 0x9c88a29, "__pm_runtime_disable" },
	{ 0xa536c2fb, "__devm_iio_trigger_alloc" },
	{ 0x4c988872, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6d3ed69, "regulator_enable" },
	{ 0xcc9f1d3f, "device_property_present" },
	{ 0xfda1893d, "regmap_write" },
	{ 0x1bfe432e, "devm_request_threaded_irq" },
	{ 0x3fcc56a7, "devm_kmalloc" },
	{ 0xebf74e4c, "iio_buffer_enabled" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xe2516734, "devm_iio_triggered_buffer_setup_ext" },
	{ 0x35ed8880, "regmap_get_device" },
	{ 0xd58a06bb, "pm_runtime_set_autosuspend_delay" },
	{ 0xfd94197f, "iio_push_to_buffers" },
	{ 0x96848186, "scnprintf" },
	{ 0x18771144, "iio_device_release_direct_mode" },
	{ 0x4c441c91, "inv_sensors_timestamp_init" },
	{ 0x2d6bcdcb, "iio_trigger_generic_data_rdy_poll" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "industrialio,inv_sensors_timestamp,industrialio-triggered-buffer");


MODULE_INFO(srcversion, "FD7E3B4C9BD5DB06804A395");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
