#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x25582e79, "sbitmap_queue_clear" },
	{ 0x5d4e4946, "kmem_cache_size" },
	{ 0xc8845c38, "dma_unmap_page_attrs" },
	{ 0x44d659d3, "kmem_cache_free" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x8acd3fe6, "ib_destroy_srq_user" },
	{ 0x77387372, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x94961e20, "kmalloc_caches" },
	{ 0xac5cbf4c, "kmalloc_trace" },
	{ 0x707678b3, "core_tpg_register" },
	{ 0x52c1681e, "target_stop_session" },
	{ 0x1513c741, "target_wait_for_sess_cmds" },
	{ 0xa01c70a3, "target_remove_session" },
	{ 0x26bbd59c, "ib_destroy_cm_id" },
	{ 0x29f824bf, "ib_destroy_qp_user" },
	{ 0x287f7ec, "ib_cq_pool_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x757041e6, "dma_map_page_attrs" },
	{ 0x957ca8fc, "kmem_cache_alloc" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x528d158c, "dev_driver_string" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xc7e8095b, "ib_create_srq_user" },
	{ 0xae37ee52, "kmem_cache_create" },
	{ 0x80153e51, "rdma_disconnect" },
	{ 0xd8292678, "ib_send_cm_dreq" },
	{ 0x88d56610, "ib_send_cm_drep" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0xda2bc214, "ib_unregister_event_handler" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x2607e271, "ib_set_client_data" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x8fd4115, "pv_ops" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xc45ff7f1, "ib_dealloc_pd_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x978ce017, "ib_send_cm_rej" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xa0890c34, "rdma_reject" },
	{ 0x60ccf91d, "ib_cq_pool_get" },
	{ 0x8ade5684, "rdma_create_qp" },
	{ 0x18813e33, "ib_create_qp_kernel" },
	{ 0x4ec0794f, "ib_find_cached_pkey" },
	{ 0xa916b694, "strnlen" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x4108096b, "target_setup_session" },
	{ 0xc53d6766, "rdma_accept" },
	{ 0x32becb2b, "ib_send_cm_rep" },
	{ 0xc61a4fc9, "xa_load" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x101ca510, "__ib_alloc_pd" },
	{ 0x9c3743eb, "rdma_port_get_link_layer" },
	{ 0x50324474, "ib_cm_listen" },
	{ 0x6ab8e176, "ib_register_event_handler" },
	{ 0xf97ef895, "ib_create_cm_id" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x71e2ea45, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x92997ed8, "_printk" },
	{ 0x33b0bb8c, "target_register_template" },
	{ 0x2d42ff82, "ib_register_client" },
	{ 0x9e2796b, "target_unregister_template" },
	{ 0x2aac22f1, "ib_modify_port" },
	{ 0xb9ed0938, "ib_unregister_mad_agent" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x65b45cb, "complete" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x55d4b7dc, "rdma_notify" },
	{ 0x7932ecd0, "ib_cm_notify" },
	{ 0x6782208e, "ib_cm_init_qp_attr" },
	{ 0x8ea85d9d, "ib_modify_qp" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xeaf2a63b, "init_net" },
	{ 0x75e69a47, "__rdma_create_kernel_id" },
	{ 0x4e2e00ae, "rdma_bind_addr" },
	{ 0xcdbbad98, "rdma_listen" },
	{ 0x15b3c006, "rdma_destroy_id" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x754d539c, "strlen" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x878bc0fc, "inet_pton_with_scope" },
	{ 0x945eebe5, "core_tpg_deregister" },
	{ 0xa25a3a43, "target_put_sess_cmd" },
	{ 0x7d6a0c6d, "target_execute_cmd" },
	{ 0x9431ef03, "rdma_rw_ctx_wrs" },
	{ 0x862932b9, "ib_unregister_client" },
	{ 0x812d44d6, "ib_create_ah_from_wc" },
	{ 0x3e487db7, "ib_create_send_mad" },
	{ 0x87761c07, "ib_post_send_mad" },
	{ 0x98193978, "ib_free_send_mad" },
	{ 0x93c5f35, "rdma_destroy_ah_user" },
	{ 0xf043f5fb, "ib_free_recv_mad" },
	{ 0x56470118, "__warn_printk" },
	{ 0xaefbcacd, "target_alloc_sgl" },
	{ 0xc7e0d047, "rdma_rw_ctx_init" },
	{ 0x5174e97, "rdma_rw_ctx_destroy" },
	{ 0x5bdb610a, "target_free_sgl" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4ed0b636, "dma_sync_single_for_device" },
	{ 0xbfc98b6a, "transport_generic_free_cmd" },
	{ 0x946e942f, "transport_generic_request_failure" },
	{ 0xad25266a, "dma_sync_single_for_cpu" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0x8667d628, "target_submit_tmr" },
	{ 0x8536d2f3, "pcpu_hot" },
	{ 0xe095ed01, "__sbitmap_queue_get" },
	{ 0x3c7cb31b, "target_init_cmd" },
	{ 0x8dca0bcf, "target_send_busy" },
	{ 0xfcd9475, "target_submit_prep" },
	{ 0xaeb24406, "target_submit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x42fb735c, "ib_query_port" },
	{ 0xa971371a, "rdma_query_gid" },
	{ 0x65013e45, "ib_register_mad_agent" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "ib_core,target_core_mod,ib_cm,rdma_cm,scsi_common");


MODULE_INFO(srcversion, "93D2306A30FCCD928C77BBE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
