#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rmi_dbg, "_gpl", "");
KSYMTAB_FUNC(rmi_register_transport_device, "_gpl", "");
KSYMTAB_FUNC(rmi_unregister_transport_device, "", "");
KSYMTAB_FUNC(__rmi_register_function_handler, "_gpl", "");
KSYMTAB_FUNC(rmi_unregister_function_handler, "_gpl", "");
KSYMTAB_FUNC(rmi_of_property_read_u32, "_gpl", "");
KSYMTAB_FUNC(rmi_set_attn_data, "_gpl", "");
KSYMTAB_FUNC(rmi_driver_suspend, "_gpl", "");
KSYMTAB_FUNC(rmi_driver_resume, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_abs_process, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_abs_report, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_rel_report, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_configure_input, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_of_probe, "_gpl", "");

SYMBOL_CRC(rmi_dbg, 0x7f029b04, "_gpl");
SYMBOL_CRC(rmi_register_transport_device, 0xc66a0eaa, "_gpl");
SYMBOL_CRC(rmi_unregister_transport_device, 0xe86d0cbd, "");
SYMBOL_CRC(__rmi_register_function_handler, 0x6606d131, "_gpl");
SYMBOL_CRC(rmi_unregister_function_handler, 0xbc1ce090, "_gpl");
SYMBOL_CRC(rmi_of_property_read_u32, 0x9a309a18, "_gpl");
SYMBOL_CRC(rmi_set_attn_data, 0x26dfd92e, "_gpl");
SYMBOL_CRC(rmi_driver_suspend, 0xd03835d5, "_gpl");
SYMBOL_CRC(rmi_driver_resume, 0xe9cf46ae, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_abs_process, 0xd1e430b9, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_abs_report, 0x7bc38da0, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_rel_report, 0xc16fe5a3, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_configure_input, 0xf509dcb0, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_of_probe, 0x76bd3de8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x476b165a, "sized_strscpy" },
	{ 0x45e7b216, "vb2_ioctl_dqbuf" },
	{ 0xe5280218, "bus_unregister" },
	{ 0xe6e62a, "devm_kfree" },
	{ 0x1d01873e, "_dev_err" },
	{ 0xd3517dd9, "vb2_ioctl_create_bufs" },
	{ 0x2dfda671, "device_add" },
	{ 0x81bebbe6, "input_mt_init_slots" },
	{ 0x6c0f084f, "irq_get_irq_data" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x6688d08e, "input_set_capability" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x675e4291, "vb2_buffer_done" },
	{ 0x385c8465, "driver_unregister" },
	{ 0xc8254fe2, "vb2_plane_vaddr" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x19aaf299, "video_unregister_device" },
	{ 0x500641fa, "sysfs_create_group" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xe857cb98, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x663d2a0, "vb2_fop_mmap" },
	{ 0xdc6b831f, "device_del" },
	{ 0x6ebd78a0, "__irq_resolve_mapping" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0x92b0a078, "vb2_vmalloc_memops" },
	{ 0xfba6453f, "_dev_warn" },
	{ 0x43f116c8, "__irq_domain_add" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x7af6608f, "serio_unregister_port" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9270a229, "input_event" },
	{ 0x92345467, "vb2_fop_read" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xae531f01, "v4l2_device_register" },
	{ 0x61745dd8, "input_set_abs_params" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4813a4d2, "devm_kasprintf" },
	{ 0x98d34b50, "sysfs_remove_group" },
	{ 0xeafc5fa6, "serio_interrupt" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x111f555a, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1f368021, "vb2_ops_wait_prepare" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7e38bab, "irq_create_mapping_affinity" },
	{ 0x445ed820, "vb2_ioctl_streamon" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xe743d3a3, "input_alloc_absinfo" },
	{ 0x3767e60a, "vb2_fop_poll" },
	{ 0xbb217091, "v4l2_device_unregister" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xac5cbf4c, "kmalloc_trace" },
	{ 0x71e2ea45, "param_ops_int" },
	{ 0x1075541, "_dev_printk" },
	{ 0xc605ed05, "video_device_release_empty" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x799f5378, "driver_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x94961e20, "kmalloc_caches" },
	{ 0x2a4f9b9, "bus_register" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x8e369d09, "vb2_ioctl_reqbufs" },
	{ 0x5bc6ab8, "vb2_queue_init" },
	{ 0xcc3477bc, "input_mt_assign_slots" },
	{ 0x37b4e40b, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1bfe432e, "devm_request_threaded_irq" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x3fcc56a7, "devm_kmalloc" },
	{ 0xae4d02b6, "vb2_ioctl_streamoff" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x1e3f2145, "dev_set_name" },
	{ 0xea3f9513, "vb2_ioctl_expbuf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xe3f56a43, "input_mt_sync_frame" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x5b2bb8a9, "irq_domain_remove" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0x5031b98b, "vb2_ops_wait_finish" },
	{ 0x11122c64, "request_firmware" },
	{ 0x3a042fa5, "input_mt_report_slot_state" },
	{ 0xf9edeb2c, "device_initialize" },
	{ 0xc0b72f5f, "devm_input_allocate_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x28558b0b, "vb2_ioctl_querybuf" },
	{ 0xd6d8309a, "__serio_register_port" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xa0f4c2cd, "v4l2_fh_open" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x528d158c, "dev_driver_string" },
	{ 0xc2a384ba, "irq_domain_simple_ops" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xd1dfbed0, "input_register_device" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xab476e8e, "video_devdata" },
	{ 0x8cdaadc0, "irq_set_chip_and_handler_name" },
	{ 0x812f9dfe, "put_device" },
	{ 0x2eb735c4, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6a2fb75b, "handle_simple_irq" },
	{ 0x90973bef, "_dev_info" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,videobuf2-common,videodev,videobuf2-vmalloc");


MODULE_INFO(srcversion, "884694338E4D9E78687D853");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
