#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(saa7146_vv_init, "_gpl", "");
KSYMTAB_FUNC(saa7146_vv_release, "_gpl", "");
KSYMTAB_FUNC(saa7146_register_device, "_gpl", "");
KSYMTAB_FUNC(saa7146_unregister_device, "_gpl", "");
KSYMTAB_FUNC(saa7146_set_hps_source_and_sync, "_gpl", "");

SYMBOL_CRC(saa7146_vv_init, 0xa5e2ba42, "_gpl");
SYMBOL_CRC(saa7146_vv_release, 0x508422c0, "_gpl");
SYMBOL_CRC(saa7146_register_device, 0xa1995bd6, "_gpl");
SYMBOL_CRC(saa7146_unregister_device, 0xaf48abaf, "_gpl");
SYMBOL_CRC(saa7146_set_hps_source_and_sync, 0xb78dd0a2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x45e7b216, "vb2_ioctl_dqbuf" },
	{ 0xd3517dd9, "vb2_ioctl_create_bufs" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x66da008e, "dma_alloc_attrs" },
	{ 0xc4f9eee8, "saa7146_pgtable_build_single" },
	{ 0x675e4291, "vb2_buffer_done" },
	{ 0xe4da7fdc, "v4l2_ctrl_subscribe_event" },
	{ 0x19aaf299, "video_unregister_device" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0xe857cb98, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x663d2a0, "vb2_fop_mmap" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x763c1fef, "saa7146_pgtable_alloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x92345467, "vb2_fop_read" },
	{ 0xae531f01, "v4l2_device_register" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd61d6176, "dma_free_attrs" },
	{ 0x875cb8be, "saa7146_pgtable_free" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x111f555a, "__video_register_device" },
	{ 0x1f368021, "vb2_ops_wait_prepare" },
	{ 0x562dc30, "__sg_page_iter_start" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x445ed820, "vb2_ioctl_streamon" },
	{ 0x3767e60a, "vb2_fop_poll" },
	{ 0xca8e39b9, "v4l2_ctrl_new_std" },
	{ 0x18969603, "v4l2_ctrl_handler_free" },
	{ 0xbb217091, "v4l2_device_unregister" },
	{ 0x350e1a93, "remove_wait_queue" },
	{ 0xac5cbf4c, "kmalloc_trace" },
	{ 0x614dd5a, "v4l2_video_std_frame_period" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xc605ed05, "video_device_release_empty" },
	{ 0xc2924dd1, "v4l2_event_unsubscribe" },
	{ 0x94961e20, "kmalloc_caches" },
	{ 0x8e369d09, "vb2_ioctl_reqbufs" },
	{ 0xe3ad3046, "__sg_page_iter_dma_next" },
	{ 0x5bc6ab8, "vb2_queue_init" },
	{ 0x63ec7ac5, "vb2_dma_sg_memops" },
	{ 0x37b4e40b, "video_ioctl2" },
	{ 0xae4d02b6, "vb2_ioctl_streamoff" },
	{ 0x5031b98b, "vb2_ops_wait_finish" },
	{ 0xd6a7c11f, "v4l2_ctrl_handler_init_class" },
	{ 0x37a0cba, "kfree" },
	{ 0x28558b0b, "vb2_ioctl_querybuf" },
	{ 0xcb39ef5, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xa0f4c2cd, "v4l2_fh_open" },
	{ 0xe3cd9b5c, "saa7146_debug" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xab476e8e, "video_devdata" },
	{ 0x2eb735c4, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0xb7805bf0, "const_pcpu_hot" },
	{ 0x3adbd595, "v4l2_field_names" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x2291de0f, "vb2_plane_cookie" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,saa7146,videobuf2-common,videodev,videobuf2-dma-sg");


MODULE_INFO(srcversion, "925B8D93FAB5299CBA1C9AE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
