#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(cx25821_sram_channels, "", "");
KSYMTAB_FUNC(cx25821_sram_channel_setup_audio, "", "");
KSYMTAB_FUNC(cx25821_sram_channel_dump_audio, "", "");
KSYMTAB_FUNC(cx25821_dev_unregister, "", "");
KSYMTAB_FUNC(cx25821_riscmem_alloc, "", "");
KSYMTAB_FUNC(cx25821_risc_databuffer_audio, "", "");
KSYMTAB_FUNC(cx25821_print_irqbits, "", "");
KSYMTAB_FUNC(cx25821_dev_get, "", "");
KSYMTAB_FUNC(cx25821_set_gpiopin_direction, "", "");

SYMBOL_CRC(cx25821_sram_channels, 0xe9050411, "");
SYMBOL_CRC(cx25821_sram_channel_setup_audio, 0x49aa51f6, "");
SYMBOL_CRC(cx25821_sram_channel_dump_audio, 0xf472fe67, "");
SYMBOL_CRC(cx25821_dev_unregister, 0xe4fac18e, "");
SYMBOL_CRC(cx25821_riscmem_alloc, 0x4ccf9d20, "");
SYMBOL_CRC(cx25821_risc_databuffer_audio, 0xe146dc1a, "");
SYMBOL_CRC(cx25821_print_irqbits, 0x44b517f5, "");
SYMBOL_CRC(cx25821_dev_get, 0x4e579b0d, "");
SYMBOL_CRC(cx25821_set_gpiopin_direction, 0x0e04bf7e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92997ed8, "_printk" },
	{ 0x8d8d5f5b, "v4l2_ctrl_handler_setup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xab476e8e, "video_devdata" },
	{ 0x2eb735c4, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0x88abceda, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x2291de0f, "vb2_plane_cookie" },
	{ 0x45e7b216, "vb2_ioctl_dqbuf" },
	{ 0xd3517dd9, "vb2_ioctl_create_bufs" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x816272b9, "vb2_ioctl_prepare_buf" },
	{ 0x66da008e, "dma_alloc_attrs" },
	{ 0x675e4291, "vb2_buffer_done" },
	{ 0xe4da7fdc, "v4l2_ctrl_subscribe_event" },
	{ 0xde80cd09, "ioremap" },
	{ 0x19aaf299, "video_unregister_device" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xe857cb98, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x663d2a0, "vb2_fop_mmap" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x18f86032, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92345467, "vb2_fop_read" },
	{ 0xae531f01, "v4l2_device_register" },
	{ 0x9138dfc6, "i2c_add_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd61d6176, "dma_free_attrs" },
	{ 0x111f555a, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1f368021, "vb2_ops_wait_prepare" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x445ed820, "vb2_ioctl_streamon" },
	{ 0x3767e60a, "vb2_fop_poll" },
	{ 0xca8e39b9, "v4l2_ctrl_new_std" },
	{ 0x18969603, "v4l2_ctrl_handler_free" },
	{ 0xbb217091, "v4l2_device_unregister" },
	{ 0xf3692906, "pci_disable_device" },
	{ 0x28815829, "dma_set_mask" },
	{ 0xcd7f452, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0x71e2ea45, "param_ops_int" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xc605ed05, "video_device_release_empty" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc2924dd1, "v4l2_event_unsubscribe" },
	{ 0x85bd1608, "__request_region" },
	{ 0x8e369d09, "vb2_ioctl_reqbufs" },
	{ 0x5bc6ab8, "vb2_queue_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x63ec7ac5, "vb2_dma_sg_memops" },
	{ 0x37b4e40b, "video_ioctl2" },
	{ 0xb9e30be, "pci_enable_device" },
	{ 0xae4d02b6, "vb2_ioctl_streamoff" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x5031b98b, "vb2_ops_wait_finish" },
	{ 0x570419ba, "__pci_register_driver" },
	{ 0xd6a7c11f, "v4l2_ctrl_handler_init_class" },
	{ 0xedc03953, "iounmap" },
	{ 0xc38e72e1, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x28558b0b, "vb2_ioctl_querybuf" },
	{ 0xa0f4c2cd, "v4l2_fh_open" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x8d02b6b8, "pci_unregister_driver" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "videodev,videobuf2-v4l2,videobuf2-common,videobuf2-dma-sg");

MODULE_ALIAS("pci:v000014F1d00008210sv000014F1sd00000920bc*sc*i*");
MODULE_ALIAS("pci:v000014F1d00008210sv00000000sd00000000bc*sc*i*");

MODULE_INFO(srcversion, "4BBCE74D4029F4F21F52B2F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
