#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(mtd_table_mutex, "_gpl", "");
KSYMTAB_FUNC(__mtd_next_device, "_gpl", "");
KSYMTAB_FUNC(mtd_check_expert_analysis_mode, "_gpl", "");
KSYMTAB_FUNC(mtd_wunit_to_pairing_info, "_gpl", "");
KSYMTAB_FUNC(mtd_pairing_info_to_wunit, "_gpl", "");
KSYMTAB_FUNC(mtd_pairing_groups, "_gpl", "");
KSYMTAB_FUNC(mtd_device_parse_register, "_gpl", "");
KSYMTAB_FUNC(mtd_device_unregister, "_gpl", "");
KSYMTAB_FUNC(register_mtd_user, "_gpl", "");
KSYMTAB_FUNC(unregister_mtd_user, "_gpl", "");
KSYMTAB_FUNC(get_mtd_device, "_gpl", "");
KSYMTAB_FUNC(__get_mtd_device, "_gpl", "");
KSYMTAB_FUNC(of_get_mtd_device_by_node, "_gpl", "");
KSYMTAB_FUNC(get_mtd_device_nm, "_gpl", "");
KSYMTAB_FUNC(put_mtd_device, "_gpl", "");
KSYMTAB_FUNC(__put_mtd_device, "_gpl", "");
KSYMTAB_FUNC(mtd_erase, "_gpl", "");
KSYMTAB_FUNC(mtd_point, "_gpl", "");
KSYMTAB_FUNC(mtd_unpoint, "_gpl", "");
KSYMTAB_FUNC(mtd_get_unmapped_area, "_gpl", "");
KSYMTAB_FUNC(mtd_read, "_gpl", "");
KSYMTAB_FUNC(mtd_write, "_gpl", "");
KSYMTAB_FUNC(mtd_panic_write, "_gpl", "");
KSYMTAB_FUNC(mtd_read_oob, "_gpl", "");
KSYMTAB_FUNC(mtd_write_oob, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_ecc, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_free, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_find_eccregion, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_get_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_set_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_get_databytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_set_databytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_count_freebytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_count_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_get_fact_prot_info, "_gpl", "");
KSYMTAB_FUNC(mtd_read_fact_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_get_user_prot_info, "_gpl", "");
KSYMTAB_FUNC(mtd_read_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_write_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_lock_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_erase_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_lock, "_gpl", "");
KSYMTAB_FUNC(mtd_unlock, "_gpl", "");
KSYMTAB_FUNC(mtd_is_locked, "_gpl", "");
KSYMTAB_FUNC(mtd_block_isreserved, "_gpl", "");
KSYMTAB_FUNC(mtd_block_isbad, "_gpl", "");
KSYMTAB_FUNC(mtd_block_markbad, "_gpl", "");
KSYMTAB_FUNC(mtd_writev, "_gpl", "");
KSYMTAB_FUNC(mtd_kmalloc_up_to, "_gpl", "");
KSYMTAB_FUNC(get_tree_mtd, "_gpl", "");
KSYMTAB_FUNC(kill_mtd_super, "_gpl", "");
KSYMTAB_FUNC(mtd_concat_create, "", "");
KSYMTAB_FUNC(mtd_concat_destroy, "", "");
KSYMTAB_FUNC(mtd_add_partition, "_gpl", "");
KSYMTAB_FUNC(mtd_del_partition, "_gpl", "");
KSYMTAB_FUNC(__register_mtd_parser, "_gpl", "");
KSYMTAB_FUNC(deregister_mtd_parser, "_gpl", "");
KSYMTAB_FUNC(mtd_get_device_size, "_gpl", "");

SYMBOL_CRC(mtd_table_mutex, 0xdf6b0712, "_gpl");
SYMBOL_CRC(__mtd_next_device, 0xf2b5287c, "_gpl");
SYMBOL_CRC(mtd_check_expert_analysis_mode, 0xb7075882, "_gpl");
SYMBOL_CRC(mtd_wunit_to_pairing_info, 0x1cf0c1f0, "_gpl");
SYMBOL_CRC(mtd_pairing_info_to_wunit, 0xbf985566, "_gpl");
SYMBOL_CRC(mtd_pairing_groups, 0xa3177881, "_gpl");
SYMBOL_CRC(mtd_device_parse_register, 0x7a6a8ef0, "_gpl");
SYMBOL_CRC(mtd_device_unregister, 0xda170ece, "_gpl");
SYMBOL_CRC(register_mtd_user, 0xcffc5c91, "_gpl");
SYMBOL_CRC(unregister_mtd_user, 0xc63105c7, "_gpl");
SYMBOL_CRC(get_mtd_device, 0xa25e8df5, "_gpl");
SYMBOL_CRC(__get_mtd_device, 0xe66caa94, "_gpl");
SYMBOL_CRC(of_get_mtd_device_by_node, 0x5d5a6947, "_gpl");
SYMBOL_CRC(get_mtd_device_nm, 0x9d020bc9, "_gpl");
SYMBOL_CRC(put_mtd_device, 0x21f0619c, "_gpl");
SYMBOL_CRC(__put_mtd_device, 0x6d2f0f24, "_gpl");
SYMBOL_CRC(mtd_erase, 0x65e742a3, "_gpl");
SYMBOL_CRC(mtd_point, 0x643a8c36, "_gpl");
SYMBOL_CRC(mtd_unpoint, 0xd7957dc1, "_gpl");
SYMBOL_CRC(mtd_get_unmapped_area, 0x14133fea, "_gpl");
SYMBOL_CRC(mtd_read, 0x05b212ea, "_gpl");
SYMBOL_CRC(mtd_write, 0x5d87e9c7, "_gpl");
SYMBOL_CRC(mtd_panic_write, 0x6a6cbd5a, "_gpl");
SYMBOL_CRC(mtd_read_oob, 0x5417f761, "_gpl");
SYMBOL_CRC(mtd_write_oob, 0xb58e6737, "_gpl");
SYMBOL_CRC(mtd_ooblayout_ecc, 0xfc51be0b, "_gpl");
SYMBOL_CRC(mtd_ooblayout_free, 0xa7ba91f9, "_gpl");
SYMBOL_CRC(mtd_ooblayout_find_eccregion, 0xd3e9f24c, "_gpl");
SYMBOL_CRC(mtd_ooblayout_get_eccbytes, 0xd9dbdcc3, "_gpl");
SYMBOL_CRC(mtd_ooblayout_set_eccbytes, 0x2b7f9034, "_gpl");
SYMBOL_CRC(mtd_ooblayout_get_databytes, 0x1bc4b178, "_gpl");
SYMBOL_CRC(mtd_ooblayout_set_databytes, 0x1e761d0d, "_gpl");
SYMBOL_CRC(mtd_ooblayout_count_freebytes, 0x7656022f, "_gpl");
SYMBOL_CRC(mtd_ooblayout_count_eccbytes, 0xcba942db, "_gpl");
SYMBOL_CRC(mtd_get_fact_prot_info, 0x1c009310, "_gpl");
SYMBOL_CRC(mtd_read_fact_prot_reg, 0x23a0b680, "_gpl");
SYMBOL_CRC(mtd_get_user_prot_info, 0x8fad23f3, "_gpl");
SYMBOL_CRC(mtd_read_user_prot_reg, 0x87efc80d, "_gpl");
SYMBOL_CRC(mtd_write_user_prot_reg, 0xc08f5772, "_gpl");
SYMBOL_CRC(mtd_lock_user_prot_reg, 0xa20bcff6, "_gpl");
SYMBOL_CRC(mtd_erase_user_prot_reg, 0xd453efba, "_gpl");
SYMBOL_CRC(mtd_lock, 0xe9784f39, "_gpl");
SYMBOL_CRC(mtd_unlock, 0x8160055a, "_gpl");
SYMBOL_CRC(mtd_is_locked, 0xf43160e3, "_gpl");
SYMBOL_CRC(mtd_block_isreserved, 0x68c9f843, "_gpl");
SYMBOL_CRC(mtd_block_isbad, 0xdf44f6e1, "_gpl");
SYMBOL_CRC(mtd_block_markbad, 0x0e9e6af1, "_gpl");
SYMBOL_CRC(mtd_writev, 0x2e1baba3, "_gpl");
SYMBOL_CRC(mtd_kmalloc_up_to, 0x87eb672a, "_gpl");
SYMBOL_CRC(get_tree_mtd, 0x06660d5d, "_gpl");
SYMBOL_CRC(kill_mtd_super, 0x22a30b85, "_gpl");
SYMBOL_CRC(mtd_concat_create, 0xeeb6380c, "");
SYMBOL_CRC(mtd_concat_destroy, 0xd3342967, "");
SYMBOL_CRC(mtd_add_partition, 0x9cb034a3, "_gpl");
SYMBOL_CRC(mtd_del_partition, 0x8775febc, "_gpl");
SYMBOL_CRC(__register_mtd_parser, 0xc5b04e63, "_gpl");
SYMBOL_CRC(deregister_mtd_parser, 0xae05bb4f, "_gpl");
SYMBOL_CRC(mtd_get_device_size, 0xf2bc77ca, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6ccabd23, "idr_alloc" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x3567a1ab, "device_create" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x26246bd9, "debugfs_remove" },
	{ 0xdebb7afe, "fixed_size_llseek" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x19dd452d, "class_unregister" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xdc2361c7, "bdi_alloc" },
	{ 0xf9a8df24, "device_register" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x275fcb84, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x38ee439d, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc345a6d8, "remove_proc_entry" },
	{ 0xf7717197, "sysfs_create_files" },
	{ 0x56470118, "__warn_printk" },
	{ 0x89f09e18, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xfc43ef2a, "lockref_get" },
	{ 0x646e3843, "deactivate_locked_super" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x6fcea3ec, "seq_puts" },
	{ 0x94405e04, "dev_err_probe" },
	{ 0x9e01fd36, "proc_create_single_data" },
	{ 0x55c0b512, "nvmem_register" },
	{ 0xac5cbf4c, "kmalloc_trace" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x8708c351, "debugfs_create_dir" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x38cf0e49, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x94961e20, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x63edca5b, "generic_shutdown_super" },
	{ 0x9245456c, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdfb800d9, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x41d89cb, "sget_dev" },
	{ 0x657f4b7a, "bdi_unregister" },
	{ 0x1e3f2145, "dev_set_name" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x4860394b, "bdi_register" },
	{ 0xb0987c00, "device_unregister" },
	{ 0x1d7a8909, "nvmem_unregister" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x86f8d45c, "logfc" },
	{ 0xbf7d9476, "sysfs_remove_files" },
	{ 0x113e6640, "__module_get" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0x92997ed8, "_printk" },
	{ 0xed0349a0, "bdi_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x812f9dfe, "put_device" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x9af842d, "idr_get_next" },
	{ 0xc6cbbc89, "capable" },
	{ 0xd9fc356f, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0x9eafbba7, "debugfs_create_bool" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6FF0C90955838FD6A1952EB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
