#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc02e067d, "__mdiobus_write" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc64909da, "phy_restore_page" },
	{ 0xd7b4c6e6, "phy_write_paged" },
	{ 0x7ce5f8fc, "mdiobus_read" },
	{ 0x45fff400, "phy_modify" },
	{ 0xfaa23afc, "genphy_soft_reset" },
	{ 0xfba6453f, "_dev_warn" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1d91e38b, "ethnl_cable_test_pulse" },
	{ 0xf078567a, "ethnl_cable_test_step" },
	{ 0xa42d52f4, "__phy_modify" },
	{ 0x7847c621, "sfp_parse_support" },
	{ 0x5b777264, "sfp_select_interface" },
	{ 0x90973bef, "_dev_info" },
	{ 0x1d01873e, "_dev_err" },
	{ 0x8e31a35c, "phy_save_page" },
	{ 0x2b601558, "phy_trigger_machine" },
	{ 0x13a99423, "phy_error" },
	{ 0x3fcc56a7, "devm_kmalloc" },
	{ 0x754d539c, "strlen" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb83d30e7, "devm_hwmon_device_register_with_info" },
	{ 0x6ab08740, "phy_drivers_unregister" },
	{ 0xeec04b9d, "mdiobus_write" },
	{ 0x8f6befa8, "genphy_c45_ethtool_get_eee" },
	{ 0x930d21c6, "phy_config_aneg" },
	{ 0xd8c1c109, "phy_sfp_probe" },
	{ 0x74b83055, "genphy_read_lpa" },
	{ 0x1481d041, "phy_resolve_aneg_pause" },
	{ 0x241beca7, "genphy_update_link" },
	{ 0x347c759e, "genphy_read_status_fixed" },
	{ 0xe94865e6, "genphy_suspend" },
	{ 0xc1992f18, "genphy_resume" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x58a5488c, "phy_modify_changed" },
	{ 0xd7e9dc39, "__genphy_config_aneg" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x47324a51, "genphy_check_and_restart_aneg" },
	{ 0x445bbd1b, "genphy_setup_forced" },
	{ 0xc0eed1e6, "phy_modify_paged_changed" },
	{ 0xcaee6c37, "genphy_read_abilities" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x89e3a080, "ethnl_cable_test_result" },
	{ 0x71a10d1e, "ethnl_cable_test_fault_length" },
	{ 0x69375608, "ethnl_cable_test_amplitude" },
	{ 0x9b16e4ee, "phy_gbit_fibre_features" },
	{ 0x394a1e11, "phy_sfp_attach" },
	{ 0xb6acaa13, "phy_sfp_detach" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1830bf4d, "phy_drivers_register" },
	{ 0x8b268433, "phy_read_paged" },
	{ 0x30b24c67, "phy_modify_paged" },
	{ 0x3ec7ea, "__mdiobus_read" },
	{ 0x5e09fa98, "phy_select_page" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "libphy");

MODULE_ALIAS("mdio:0000000101000001000011000110????");
MODULE_ALIAS("mdio:0000000101000001000011001001????");
MODULE_ALIAS("mdio:0000000101000001000011001100????");
MODULE_ALIAS("mdio:0000000111111111000011001100????");
MODULE_ALIAS("mdio:0000000101000001000011100001????");
MODULE_ALIAS("mdio:0000000101000001000011001011????");
MODULE_ALIAS("mdio:0000000101000001000011001101????");
MODULE_ALIAS("mdio:0000000101000001000011100101????");
MODULE_ALIAS("mdio:0000000101000001000011100011????");
MODULE_ALIAS("mdio:0000000101000001000011101001????");
MODULE_ALIAS("mdio:0000000101000001000011100100????");
MODULE_ALIAS("mdio:0000000101000001000011011101????");
MODULE_ALIAS("mdio:0000000101000001000011101011????");
MODULE_ALIAS("mdio:0000000101000001000011101010????");
MODULE_ALIAS("mdio:0000000101000001000011100110????");
MODULE_ALIAS("mdio:0000000101000001000011110100????");
MODULE_ALIAS("mdio:0000000101000001000011111001????");
MODULE_ALIAS("mdio:0000000000101011000010111001????");
MODULE_ALIAS("mdio:0000000101000001000011011100????");
MODULE_ALIAS("mdio:0000000101000001000011101100????");

MODULE_INFO(srcversion, "0ABF8C409174FA3B3AC2A85");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
