#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc7a469f5, "mii_ethtool_gset" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x6a2156d5, "mii_nway_restart" },
	{ 0x92997ed8, "_printk" },
	{ 0xcc3b4064, "usbnet_get_endpoints" },
	{ 0x94961e20, "kmalloc_caches" },
	{ 0xac5cbf4c, "kmalloc_trace" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x41bca5f1, "platform_get_ethdev_address" },
	{ 0x50a92604, "dev_addr_mod" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x9bda9c36, "usbnet_resume" },
	{ 0xf89bd9a7, "netdev_info" },
	{ 0x116d7af8, "usbnet_suspend" },
	{ 0x7ea8e07e, "usbnet_probe" },
	{ 0x43622f7e, "usbnet_disconnect" },
	{ 0x1fa81b73, "usbnet_open" },
	{ 0xf95cdec, "usbnet_stop" },
	{ 0x92ea4676, "usbnet_start_xmit" },
	{ 0x42ed0f8f, "eth_mac_addr" },
	{ 0xf0daf7e6, "eth_validate_addr" },
	{ 0xd4882f18, "usbnet_tx_timeout" },
	{ 0x5875e284, "dev_get_tstats64" },
	{ 0xcbfcafab, "usbnet_get_drvinfo" },
	{ 0x74d981f5, "usbnet_get_msglevel" },
	{ 0xa4f0f67, "usbnet_set_msglevel" },
	{ 0x9d1c98c9, "usbnet_nway_reset" },
	{ 0x87b3faf7, "usbnet_get_link" },
	{ 0xc0fd49a6, "usbnet_get_link_ksettings_mii" },
	{ 0x3ddc4a97, "usbnet_set_link_ksettings_mii" },
	{ 0x6c78825c, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x369a97e6, "usbnet_write_cmd_nopm" },
	{ 0xcdc898c2, "usbnet_write_cmd" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdbc96d3a, "netdev_warn" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x3e45e258, "usbnet_read_cmd_nopm" },
	{ 0x7c54e9b8, "usbnet_read_cmd" },
	{ 0xf4f852a1, "usbnet_defer_kevent" },
	{ 0x9885aca0, "__dynamic_netdev_dbg" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x37a0cba, "kfree" },
	{ 0x17a39642, "device_set_wakeup_enable" },
	{ 0xec37bb89, "usbnet_change_mtu" },
	{ 0x1d467cbf, "generic_mii_ioctl" },
	{ 0x2bd2908e, "usb_register_driver" },
	{ 0xbd6841d4, "crc16" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xaa967ebb, "usb_deregister" },
	{ 0x9b4eb0cd, "skb_push" },
	{ 0x7ba2e2c6, "pskb_expand_head" },
	{ 0xc9eabfae, "dev_kfree_skb_any_reason" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x941ae174, "skb_pull" },
	{ 0x27c0e8eb, "skb_clone" },
	{ 0xb94bfcad, "skb_trim" },
	{ 0xfef639, "usbnet_skb_return" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x7cfd05e4, "mii_check_media" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "mii,usbnet,usbcore");

MODULE_ALIAS("usb:v0424p7500d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p7505d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "6151E05A39F47B0E5EB45B6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
