#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x70a27fa7, "pci_read_config_dword" },
	{ 0x3fe58c17, "ath11k_hal_srng_deinit" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xa36d37ab, "ath11k_ce_get_shadow_config" },
	{ 0x92997ed8, "_printk" },
	{ 0x9617ae40, "ath11k_warn" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xcfcc1297, "ath11k_err" },
	{ 0xe71d7d40, "ath11k_hal_srng_init" },
	{ 0xe5886e4, "mhi_pm_suspend" },
	{ 0x6cf0fb6b, "ath11k_pcic_get_msi_address" },
	{ 0x574340b7, "ath11k_pcic_config_irq" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x1d01873e, "_dev_err" },
	{ 0xf4f381cb, "ath11k_pcic_write32" },
	{ 0xe866bd82, "mhi_device_get_sync" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0xfc548703, "ath11k_pcic_ext_irq_enable" },
	{ 0x6c0f084f, "irq_get_irq_data" },
	{ 0x47c54dce, "pcie_capability_clear_and_set_word_locked" },
	{ 0x5c802f9b, "pci_read_config_word" },
	{ 0xbcf9b220, "ath11k_pcic_ce_irqs_enable" },
	{ 0xd134958c, "ath11k_core_deinit" },
	{ 0x512543ff, "ath11k_pcic_free_irq" },
	{ 0xed8ecef3, "ath11k_qmi_fwreset_from_cold_boot" },
	{ 0x12effb49, "ath11k_core_resume_early" },
	{ 0x8e6a5acc, "ath11k_core_pre_init" },
	{ 0x41204b8, "mhi_free_controller" },
	{ 0x462428c8, "pci_iounmap" },
	{ 0x7b6de6af, "ath11k_pcic_stop" },
	{ 0x18f86032, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x67c6209e, "mhi_pm_resume_force" },
	{ 0x2b67e903, "ath11k_core_init" },
	{ 0x53c5c1d6, "dma_set_coherent_mask" },
	{ 0x39554fa8, "mhi_alloc_controller" },
	{ 0xdb49eeae, "mhi_unregister_controller" },
	{ 0x98f53f53, "ath11k_core_alloc" },
	{ 0x8af86db, "ath11k_pcic_map_service_to_pipe" },
	{ 0xcde87ce7, "ath11k_pcic_start" },
	{ 0x4104be79, "mhi_unprepare_after_power_down" },
	{ 0x992cbdb9, "ath11k_pcic_read32" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x75174387, "ath11k_pcic_register_pci_ops" },
	{ 0x9b29e637, "ath11k_core_resume" },
	{ 0x9c51bcc4, "ath11k_debug_mask" },
	{ 0x90a5b29d, "ath11k_core_suspend" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x1949326e, "ath11k_core_suspend_late" },
	{ 0x2dc4599c, "ath11k_info" },
	{ 0xc144ac1a, "ath11k_pcic_ext_irq_disable" },
	{ 0xf3692906, "pci_disable_device" },
	{ 0x28815829, "dma_set_mask" },
	{ 0x1d56f0ff, "ath11k_pcic_ce_irq_disable_sync" },
	{ 0x7a93a0dc, "ath11k_core_free" },
	{ 0x80d38790, "pci_write_config_word" },
	{ 0x21fed8a8, "pci_release_region" },
	{ 0x56051dbd, "mhi_prepare_for_power_up" },
	{ 0xe75aba6, "pci_free_irq_vectors" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa6463ac3, "ath11k_pcic_init_msi_config" },
	{ 0xbaeef771, "pcie_capability_read_word" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x5b52ac1a, "ath11k_ce_alloc_pipes" },
	{ 0x968cc3a, "pci_request_region" },
	{ 0xb9e30be, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xdd9ca2da, "mhi_power_down_keep_dev" },
	{ 0x9ddbc9aa, "pci_iomap" },
	{ 0x5eeee709, "ath11k_pcic_get_ce_msi_idx" },
	{ 0x15421ce8, "pci_alloc_irq_vectors" },
	{ 0xbe3c1137, "mhi_device_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa7b2fa19, "mhi_sync_power_up" },
	{ 0x2d8f3022, "mhi_power_down" },
	{ 0x8e55fd6e, "ath11k_ce_free_pipes" },
	{ 0x570419ba, "__pci_register_driver" },
	{ 0xe933c81, "pci_assign_resource" },
	{ 0x752dc59, "ath11k_qmi_deinit_service" },
	{ 0xb756b7a3, "ath11k_pcic_read" },
	{ 0x37a0cba, "kfree" },
	{ 0x98b7286a, "pci_irq_vector" },
	{ 0xf35bf2ba, "mhi_register_controller" },
	{ 0x8d02b6b8, "pci_unregister_driver" },
	{ 0xeb48c754, "ath11k_pcic_get_user_msi_assignment" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "ath11k,mhi");

MODULE_ALIAS("pci:v000017CBd00001101sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000017CBd00001103sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000017CBd00001104sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "6EBB29F4AAB10C0597AD732");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
