#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__mt76u_vendor_request, "_gpl", "");
KSYMTAB_FUNC(mt76u_vendor_request, "_gpl", "");
KSYMTAB_FUNC(___mt76u_rr, "_gpl", "");
KSYMTAB_FUNC(___mt76u_wr, "_gpl", "");
KSYMTAB_FUNC(mt76u_read_copy, "_gpl", "");
KSYMTAB_FUNC(mt76u_single_wr, "_gpl", "");
KSYMTAB_FUNC(mt76u_alloc_mcu_queue, "_gpl", "");
KSYMTAB_FUNC(mt76u_stop_rx, "_gpl", "");
KSYMTAB_FUNC(mt76u_resume_rx, "_gpl", "");
KSYMTAB_FUNC(mt76u_stop_tx, "_gpl", "");
KSYMTAB_FUNC(mt76u_queues_deinit, "_gpl", "");
KSYMTAB_FUNC(mt76u_alloc_queues, "_gpl", "");
KSYMTAB_FUNC(__mt76u_init, "_gpl", "");
KSYMTAB_FUNC(mt76u_init, "_gpl", "");

SYMBOL_CRC(__mt76u_vendor_request, 0xfb10f118, "_gpl");
SYMBOL_CRC(mt76u_vendor_request, 0x71a974f3, "_gpl");
SYMBOL_CRC(___mt76u_rr, 0xe12e7d63, "_gpl");
SYMBOL_CRC(___mt76u_wr, 0xa22294a3, "_gpl");
SYMBOL_CRC(mt76u_read_copy, 0xc83efc63, "_gpl");
SYMBOL_CRC(mt76u_single_wr, 0xd4faa91b, "_gpl");
SYMBOL_CRC(mt76u_alloc_mcu_queue, 0x551525e4, "_gpl");
SYMBOL_CRC(mt76u_stop_rx, 0xf91bc28d, "_gpl");
SYMBOL_CRC(mt76u_resume_rx, 0x22ddd16e, "_gpl");
SYMBOL_CRC(mt76u_stop_tx, 0xdc904add, "_gpl");
SYMBOL_CRC(mt76u_queues_deinit, 0xe48a559f, "_gpl");
SYMBOL_CRC(mt76u_alloc_queues, 0x3d57c4bc, "_gpl");
SYMBOL_CRC(__mt76u_init, 0xa6860b26, "_gpl");
SYMBOL_CRC(mt76u_init, 0x7b3fa3ed, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x10d75ce0, "page_pool_destroy" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xa5e3200b, "bpf_trace_run2" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x31ed2b6f, "kthread_park" },
	{ 0x948092b2, "sched_set_fifo_low" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcff7b5b7, "mt76_tx_status_check" },
	{ 0xbf31ce7f, "wake_up_process" },
	{ 0x6d62c76b, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x26f40865, "__alloc_skb" },
	{ 0x849d52fd, "usb_submit_urb" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x6b083ee7, "kthread_unpark" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x8c24f130, "build_skb" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x4889d27, "perf_trace_run_bpf_submit" },
	{ 0x1d01873e, "_dev_err" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x60f98001, "usb_control_msg" },
	{ 0x5831ba9d, "usb_poison_urb" },
	{ 0x793f8ae7, "trace_event_reg" },
	{ 0x940ea56, "usb_unpoison_urb" },
	{ 0xc6634315, "mt76_ac_to_hwq" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x1d66cbc2, "kthread_stop" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd30214a3, "mt76_queue_tx_complete" },
	{ 0xc133e9c3, "kthread_create_on_node" },
	{ 0xbff7e3fd, "bpf_trace_run3" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xef6dee9, "mt76_rx_poll_complete" },
	{ 0x302beb95, "trace_event_buffer_reserve" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x6c78825c, "param_ops_bool" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb307c7df, "usb_kill_urb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1ec57b4f, "__mt76_worker_fn" },
	{ 0x7bd894b4, "usb_init_urb" },
	{ 0xf24b16af, "skb_add_rx_frag_netmem" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xfa171669, "mt76_create_page_pool" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x463ce346, "skb_to_sgvec" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x510f0efb, "page_pool_put_unrefed_page" },
	{ 0xffd134d1, "usb_free_urb" },
	{ 0x3fcc56a7, "devm_kmalloc" },
	{ 0xad3f90d3, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x1b837246, "page_pool_alloc_frag" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6e995938, "trace_raw_output_prep" },
	{ 0x61a4528, "__trace_trigger_soft_disabled" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x67bfec1, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xff546744, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x23c06b9d, "mt76_has_tx_pending" },
	{ 0x8536d2f3, "pcpu_hot" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "mt76,usbcore");


MODULE_INFO(srcversion, "F4F648F8FEA0E37BB0AFD0A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
