#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0x3a9724df, "ieee80211_register_hw" },
	{ 0x1960fb68, "ieee80211_emulate_change_chanctx" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x902b2e82, "__dynamic_dev_dbg" },
	{ 0x676d6e19, "usb_get_intf" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xbe3744f8, "ieee80211_handle_wake_tx_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xb09faebc, "ieee80211_tx_status_irqsafe" },
	{ 0xf35d1172, "usb_bulk_msg" },
	{ 0x11e441ce, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x912a3adb, "usb_kill_anchored_urbs" },
	{ 0x849d52fd, "usb_submit_urb" },
	{ 0x90973bef, "_dev_info" },
	{ 0x6925e65b, "skb_queue_tail" },
	{ 0xb4041405, "usb_queue_reset_device" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x1d01873e, "_dev_err" },
	{ 0xd04346, "usb_free_coherent" },
	{ 0x941ae174, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xe2d1d493, "kfree_skb_reason" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x9b4eb0cd, "skb_push" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x60f98001, "usb_control_msg" },
	{ 0xd09e00b1, "ieee80211_wake_queues" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xcdaf6335, "ieee80211_alloc_hw_nm" },
	{ 0xaa967ebb, "usb_deregister" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xfb578fc5, "memset" },
	{ 0xfba6453f, "_dev_warn" },
	{ 0x5331c45a, "ieee80211_emulate_add_chanctx" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x45ab67b2, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xd61cf736, "__netdev_alloc_skb" },
	{ 0x7141898c, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8fd4115, "pv_ops" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2c1003a1, "ieee80211_unregister_hw" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xd2d569de, "usb_reset_configuration" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb307c7df, "usb_kill_urb" },
	{ 0x59dba738, "ieee80211_beacon_get_tim" },
	{ 0xac5cbf4c, "kmalloc_trace" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x2b64058b, "ieee80211_emulate_remove_chanctx" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xf9a482f9, "msleep" },
	{ 0x94961e20, "kmalloc_caches" },
	{ 0x73bda073, "ieee80211_rx_irqsafe" },
	{ 0x76004b42, "usb_put_intf" },
	{ 0x5ed9d72f, "usb_alloc_urb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xffd134d1, "usb_free_urb" },
	{ 0xad3f90d3, "skb_put" },
	{ 0x7fef61cd, "usb_alloc_coherent" },
	{ 0x1e5cd7c4, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x7de2cede, "skb_dequeue" },
	{ 0x781afce6, "ieee80211_free_hw" },
	{ 0x11122c64, "request_firmware" },
	{ 0x2bd2908e, "usb_register_driver" },
	{ 0x69acdf38, "memcpy" },
	{ 0xe1ab8f17, "regulatory_hint" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "mac80211,usbcore,cfg80211");

MODULE_ALIAS("usb:v16C1p1CDEd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2EF5p0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2EF5p000Ad*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "08CC1E713D251B19867AB6A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
