#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt2x00lib_get_bssidx, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_beacondone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_pretbtt, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_dmastart, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_dmadone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone_nomatch, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone_noinfo, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_rxdone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_set_mac_address, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_probe_dev, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_remove_dev, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_suspend, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_resume, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_tx, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_start, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_stop, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_reconfig_complete, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_add_interface, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_remove_interface, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_config, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_configure_filter, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_tim, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_key, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_sw_scan_start, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_stats, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_bss_info_changed, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_conf_tx, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_rfkill_poll, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_flush, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_antenna, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_antenna, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_ringparam, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_tx_frames_pending, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_map_txskb, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_unmap_skb, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_for_each_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_get_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_pause_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_unpause_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_start_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_stop_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_start_queues, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_stop_queues, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_flush_queues, "_gpl", "");

SYMBOL_CRC(rt2x00lib_get_bssidx, 0x4563e277, "_gpl");
SYMBOL_CRC(rt2x00lib_beacondone, 0x161b2268, "_gpl");
SYMBOL_CRC(rt2x00lib_pretbtt, 0x149e8c75, "_gpl");
SYMBOL_CRC(rt2x00lib_dmastart, 0x080c4681, "_gpl");
SYMBOL_CRC(rt2x00lib_dmadone, 0x1c43c6b4, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone_nomatch, 0xa06cea3b, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone, 0x4918ee87, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone_noinfo, 0x851c5e04, "_gpl");
SYMBOL_CRC(rt2x00lib_rxdone, 0xa0784262, "_gpl");
SYMBOL_CRC(rt2x00lib_set_mac_address, 0xeb11ad36, "_gpl");
SYMBOL_CRC(rt2x00lib_probe_dev, 0x7d1f74d6, "_gpl");
SYMBOL_CRC(rt2x00lib_remove_dev, 0x94917c13, "_gpl");
SYMBOL_CRC(rt2x00lib_suspend, 0xa129d62c, "_gpl");
SYMBOL_CRC(rt2x00lib_resume, 0x61acf265, "_gpl");
SYMBOL_CRC(rt2x00mac_tx, 0xbc3075b7, "_gpl");
SYMBOL_CRC(rt2x00mac_start, 0x327cd230, "_gpl");
SYMBOL_CRC(rt2x00mac_stop, 0xb40b5e44, "_gpl");
SYMBOL_CRC(rt2x00mac_reconfig_complete, 0x91e85fbb, "_gpl");
SYMBOL_CRC(rt2x00mac_add_interface, 0xa21f871a, "_gpl");
SYMBOL_CRC(rt2x00mac_remove_interface, 0x1447b1a6, "_gpl");
SYMBOL_CRC(rt2x00mac_config, 0x919fca2f, "_gpl");
SYMBOL_CRC(rt2x00mac_configure_filter, 0x7332f52b, "_gpl");
SYMBOL_CRC(rt2x00mac_set_tim, 0x6d51921b, "_gpl");
SYMBOL_CRC(rt2x00mac_set_key, 0x72a649b2, "_gpl");
SYMBOL_CRC(rt2x00mac_sw_scan_start, 0x0d403842, "_gpl");
SYMBOL_CRC(rt2x00mac_sw_scan_complete, 0x7545055f, "_gpl");
SYMBOL_CRC(rt2x00mac_get_stats, 0xe040088a, "_gpl");
SYMBOL_CRC(rt2x00mac_bss_info_changed, 0xc3715eb0, "_gpl");
SYMBOL_CRC(rt2x00mac_conf_tx, 0xe71ce723, "_gpl");
SYMBOL_CRC(rt2x00mac_rfkill_poll, 0x64cb6657, "_gpl");
SYMBOL_CRC(rt2x00mac_flush, 0x5e6917c2, "_gpl");
SYMBOL_CRC(rt2x00mac_set_antenna, 0xe51437a0, "_gpl");
SYMBOL_CRC(rt2x00mac_get_antenna, 0xa407ae80, "_gpl");
SYMBOL_CRC(rt2x00mac_get_ringparam, 0x07a97091, "_gpl");
SYMBOL_CRC(rt2x00mac_tx_frames_pending, 0x22a7e842, "_gpl");
SYMBOL_CRC(rt2x00queue_map_txskb, 0x494e5548, "_gpl");
SYMBOL_CRC(rt2x00queue_unmap_skb, 0x5916c63c, "_gpl");
SYMBOL_CRC(rt2x00queue_for_each_entry, 0xd571b158, "_gpl");
SYMBOL_CRC(rt2x00queue_get_entry, 0x93d9bb32, "_gpl");
SYMBOL_CRC(rt2x00queue_pause_queue, 0xf911d099, "_gpl");
SYMBOL_CRC(rt2x00queue_unpause_queue, 0xef0ad970, "_gpl");
SYMBOL_CRC(rt2x00queue_start_queue, 0x3db3dfb4, "_gpl");
SYMBOL_CRC(rt2x00queue_stop_queue, 0x42ab5188, "_gpl");
SYMBOL_CRC(rt2x00queue_flush_queue, 0xa2d24183, "_gpl");
SYMBOL_CRC(rt2x00queue_start_queues, 0xa7f80272, "_gpl");
SYMBOL_CRC(rt2x00queue_stop_queues, 0x88e8667b, "_gpl");
SYMBOL_CRC(rt2x00queue_flush_queues, 0x26f87623, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xad3f90d3, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x1e5cd7c4, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc8845c38, "dma_unmap_page_attrs" },
	{ 0x11122c64, "request_firmware" },
	{ 0xe45b173, "led_classdev_suspend" },
	{ 0xe8ec57f3, "hrtimer_init" },
	{ 0xe391b69, "ieee80211_tx_status_ext" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x8536d2f3, "pcpu_hot" },
	{ 0xed4dfe9a, "led_classdev_unregister" },
	{ 0x3a9724df, "ieee80211_register_hw" },
	{ 0xe1bbd22d, "__ieee80211_create_tpt_led_trigger" },
	{ 0x902120a, "ieee80211_get_hdrlen_from_skb" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xa8d70adf, "ieee80211_wake_queue" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x902b2e82, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x528d158c, "dev_driver_string" },
	{ 0x697a0be7, "ieee80211_tx_status_skb" },
	{ 0x356301dd, "ieee80211_get_buffered_bc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x757041e6, "dma_map_page_attrs" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x90973bef, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x42b9a500, "ieee80211_queue_delayed_work" },
	{ 0x1d01873e, "_dev_err" },
	{ 0x76bb9837, "ieee80211_ctstoself_get" },
	{ 0x941ae174, "skb_pull" },
	{ 0x3939f8f0, "rfkill_pause_polling" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x9b4eb0cd, "skb_push" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x49b6c1b3, "ieee80211_free_txskb" },
	{ 0x379541c5, "led_classdev_register_ext" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xfb578fc5, "memset" },
	{ 0xfba6453f, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x50fe70fc, "ieee80211_stop_queue" },
	{ 0xd61cf736, "__netdev_alloc_skb" },
	{ 0x7141898c, "ieee80211_stop_queues" },
	{ 0xb94bfcad, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf278d215, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7f0bc74d, "wiphy_rfkill_start_polling" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x19b0249d, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x27f0756c, "led_classdev_resume" },
	{ 0x2c1003a1, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x59dba738, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x98f411d0, "ieee80211_rts_get" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x6ea6c1ed, "hrtimer_cancel" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xac5cbf4c, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x7a0d842d, "ieee80211_queue_work" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0xc9eabfae, "dev_kfree_skb_any_reason" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x94961e20, "kmalloc_caches" },
	{ 0xe494bc1c, "ieee80211_rx_napi" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa9cc783f, "ieee80211_iterate_interfaces" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,rfkill");


MODULE_INFO(srcversion, "E45600D49323125F9786FF0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
