#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ntb_register_client, "", "");
KSYMTAB_FUNC(ntb_unregister_client, "", "");
KSYMTAB_FUNC(ntb_register_device, "", "");
KSYMTAB_FUNC(ntb_unregister_device, "", "");
KSYMTAB_FUNC(ntb_set_ctx, "", "");
KSYMTAB_FUNC(ntb_clear_ctx, "", "");
KSYMTAB_FUNC(ntb_link_event, "", "");
KSYMTAB_FUNC(ntb_db_event, "", "");
KSYMTAB_FUNC(ntb_msg_event, "", "");
KSYMTAB_FUNC(ntb_default_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_count, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_idx, "", "");
KSYMTAB_FUNC(ntb_msi_init, "", "");
KSYMTAB_FUNC(ntb_msi_setup_mws, "", "");
KSYMTAB_FUNC(ntb_msi_clear_mws, "", "");
KSYMTAB_FUNC(ntbm_msi_request_threaded_irq, "", "");
KSYMTAB_FUNC(ntbm_msi_free_irq, "", "");
KSYMTAB_FUNC(ntb_msi_peer_trigger, "", "");
KSYMTAB_FUNC(ntb_msi_peer_addr, "", "");

SYMBOL_CRC(__ntb_register_client, 0x009a22d2, "");
SYMBOL_CRC(ntb_unregister_client, 0xa4f01574, "");
SYMBOL_CRC(ntb_register_device, 0x3191790a, "");
SYMBOL_CRC(ntb_unregister_device, 0xea87e2cc, "");
SYMBOL_CRC(ntb_set_ctx, 0x215d1067, "");
SYMBOL_CRC(ntb_clear_ctx, 0x40625f73, "");
SYMBOL_CRC(ntb_link_event, 0x7b224c70, "");
SYMBOL_CRC(ntb_db_event, 0x4280277c, "");
SYMBOL_CRC(ntb_msg_event, 0x417afa00, "");
SYMBOL_CRC(ntb_default_port_number, 0x4505b786, "");
SYMBOL_CRC(ntb_default_peer_port_count, 0xf4a30389, "");
SYMBOL_CRC(ntb_default_peer_port_number, 0x15205d6a, "");
SYMBOL_CRC(ntb_default_peer_port_idx, 0x44358f86, "");
SYMBOL_CRC(ntb_msi_init, 0xf9bed90f, "");
SYMBOL_CRC(ntb_msi_setup_mws, 0xc8a84799, "");
SYMBOL_CRC(ntb_msi_clear_mws, 0xdd313bba, "");
SYMBOL_CRC(ntbm_msi_request_threaded_irq, 0x927a9ec0, "");
SYMBOL_CRC(ntbm_msi_free_irq, 0x0e02e62e, "");
SYMBOL_CRC(ntb_msi_peer_trigger, 0xe6a1d08c, "");
SYMBOL_CRC(ntb_msi_peer_addr, 0x72b8b01c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1e3f2145, "dev_set_name" },
	{ 0x65b45cb, "complete" },
	{ 0xebdb5e93, "devm_iounmap" },
	{ 0xb0987c00, "device_unregister" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xa946acd6, "devres_destroy" },
	{ 0xe65c9887, "msi_unlock_descs" },
	{ 0x459fa6cd, "devm_ioremap" },
	{ 0x1c833e78, "get_device" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x1c759591, "msi_lock_descs" },
	{ 0x65220a36, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x812f9dfe, "put_device" },
	{ 0x43009c9b, "devm_free_irq" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe5280218, "bus_unregister" },
	{ 0xe6e62a, "devm_kfree" },
	{ 0x6c0f084f, "irq_get_irq_data" },
	{ 0x9e09aeef, "__devres_alloc_node" },
	{ 0x385c8465, "driver_unregister" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xf9a8df24, "device_register" },
	{ 0xfba6453f, "_dev_warn" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xf93e8a0a, "msi_domain_first_desc" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x563c0525, "msi_next_desc" },
	{ 0x799f5378, "driver_register" },
	{ 0x2a4f9b9, "bus_register" },
	{ 0x6f7e6040, "irq_has_action" },
	{ 0x1bfe432e, "devm_request_threaded_irq" },
	{ 0x3fcc56a7, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "026457906ECEF839D1F4A06");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
