#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvmf_get_address, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read32, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read64, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_write32, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_io_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_should_reconnect, "_gpl", "");
KSYMTAB_FUNC(nvmf_register_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_set_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_map_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_ip_options_match, "_gpl", "");
KSYMTAB_FUNC(nvmf_free_options, "_gpl", "");

SYMBOL_CRC(nvmf_get_address, 0xed49c46b, "_gpl");
SYMBOL_CRC(nvmf_reg_read32, 0x49621ac1, "_gpl");
SYMBOL_CRC(nvmf_reg_read64, 0xe4eb7a56, "_gpl");
SYMBOL_CRC(nvmf_reg_write32, 0x00842a9e, "_gpl");
SYMBOL_CRC(nvmf_connect_admin_queue, 0x6069ba47, "_gpl");
SYMBOL_CRC(nvmf_connect_io_queue, 0x44f8ce15, "_gpl");
SYMBOL_CRC(nvmf_should_reconnect, 0x326ab26a, "_gpl");
SYMBOL_CRC(nvmf_register_transport, 0x32360572, "_gpl");
SYMBOL_CRC(nvmf_unregister_transport, 0x6329171f, "_gpl");
SYMBOL_CRC(nvmf_set_io_queues, 0x8f621a05, "_gpl");
SYMBOL_CRC(nvmf_map_queues, 0x3083420b, "_gpl");
SYMBOL_CRC(nvmf_ip_options_match, 0x521ff783, "_gpl");
SYMBOL_CRC(nvmf_free_options, 0x57875f48, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x812f9dfe, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x90973bef, "_dev_info" },
	{ 0xd9fc356f, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x8a263310, "key_put" },
	{ 0x69e683de, "uuid_gen" },
	{ 0xb7d14ec7, "down_write" },
	{ 0x1d01873e, "_dev_err" },
	{ 0xeed7fd81, "up_write" },
	{ 0x4e3567f7, "match_int" },
	{ 0x3567a1ab, "device_create" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0x19dd452d, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x1d25026f, "__nvme_submit_sync_cmd" },
	{ 0xfba6453f, "_dev_warn" },
	{ 0x1e8c44e1, "misc_register" },
	{ 0x6c637ca1, "nvme_auth_wait" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xeddd417, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x46aec8d9, "seq_read" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x44e9a829, "match_token" },
	{ 0x38ee439d, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x89f09e18, "seq_printf" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x6fcea3ec, "seq_puts" },
	{ 0xe21e5d93, "single_release" },
	{ 0xac5cbf4c, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x907abc38, "key_lookup" },
	{ 0xdd8a7e4b, "single_open" },
	{ 0xbb53856b, "up_read" },
	{ 0x38cf0e49, "class_register" },
	{ 0x94961e20, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x58a78236, "nvme_auth_negotiate" },
	{ 0x9245456c, "try_module_get" },
	{ 0x14c11726, "misc_deregister" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "nvme-core");


MODULE_INFO(srcversion, "0711FEF882482325F88EBDE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
