#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(srp_tmo_valid, "_gpl", "");
KSYMTAB_FUNC(srp_parse_tmo, "", "");
KSYMTAB_FUNC(srp_start_tl_fail_timers, "", "");
KSYMTAB_FUNC(srp_reconnect_rport, "", "");
KSYMTAB_FUNC(srp_timed_out, "", "");
KSYMTAB_FUNC(srp_rport_get, "", "");
KSYMTAB_FUNC(srp_rport_put, "", "");
KSYMTAB_FUNC(srp_rport_add, "_gpl", "");
KSYMTAB_FUNC(srp_rport_del, "_gpl", "");
KSYMTAB_FUNC(srp_remove_host, "_gpl", "");
KSYMTAB_FUNC(srp_stop_rport_timers, "_gpl", "");
KSYMTAB_FUNC(srp_attach_transport, "_gpl", "");
KSYMTAB_FUNC(srp_release_transport, "_gpl", "");

SYMBOL_CRC(srp_tmo_valid, 0x1902178a, "_gpl");
SYMBOL_CRC(srp_parse_tmo, 0x405b6e05, "");
SYMBOL_CRC(srp_start_tl_fail_timers, 0xeed62c1c, "");
SYMBOL_CRC(srp_reconnect_rport, 0x442f6dbe, "");
SYMBOL_CRC(srp_timed_out, 0xad1f2780, "");
SYMBOL_CRC(srp_rport_get, 0xccbd17aa, "");
SYMBOL_CRC(srp_rport_put, 0xeb31dbed, "");
SYMBOL_CRC(srp_rport_add, 0x25bbaea6, "_gpl");
SYMBOL_CRC(srp_rport_del, 0x275df1c1, "_gpl");
SYMBOL_CRC(srp_remove_host, 0xff406e6d, "_gpl");
SYMBOL_CRC(srp_stop_rport_timers, 0x8a02c354, "_gpl");
SYMBOL_CRC(srp_attach_transport, 0xaf37f418, "_gpl");
SYMBOL_CRC(srp_release_transport, 0x245d4e95, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5b64d947, "transport_class_register" },
	{ 0x7100b9f1, "transport_class_unregister" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x94961e20, "kmalloc_caches" },
	{ 0xac5cbf4c, "kmalloc_trace" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xf9edeb2c, "device_initialize" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1e3f2145, "dev_set_name" },
	{ 0x8397cc5, "transport_setup_device" },
	{ 0x2dfda671, "device_add" },
	{ 0x9096117, "transport_add_device" },
	{ 0x43ca2edf, "transport_configure_device" },
	{ 0xfd9fce5a, "attribute_container_register" },
	{ 0x22c24e69, "attribute_container_unregister" },
	{ 0x45e4289a, "scsi_is_host_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd81f7184, "scsi_target_unblock" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x92997ed8, "_printk" },
	{ 0xb2e969b4, "scsi_block_targets" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xb3cb0909, "__scsi_iterate_devices" },
	{ 0x1075541, "_dev_printk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5de1bdc0, "device_for_each_child" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x812f9dfe, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x1c833e78, "get_device" },
	{ 0x9bafbbb3, "transport_remove_device" },
	{ 0xdc6b831f, "device_del" },
	{ 0xecc4ce83, "transport_destroy_device" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "3BF629D501E39C5C31FAE8A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
