#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(sdw_intel_cnl_hw_ops, "", "SOUNDWIRE_INTEL");
KSYMTAB_DATA(sdw_intel_lnl_hw_ops, "", "SOUNDWIRE_INTEL");
KSYMTAB_FUNC(sdw_intel_thread, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_probe, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_startup, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_exit, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_process_wakeen_event, "", "SOUNDWIRE_INTEL_INIT");

SYMBOL_CRC(sdw_intel_cnl_hw_ops, 0x727534bd, "");
SYMBOL_CRC(sdw_intel_lnl_hw_ops, 0xe18dc07b, "");
SYMBOL_CRC(sdw_intel_thread, 0xaa52eba1, "");
SYMBOL_CRC(sdw_intel_probe, 0x71091faf, "");
SYMBOL_CRC(sdw_intel_startup, 0x348250c4, "");
SYMBOL_CRC(sdw_intel_exit, 0x83967748, "");
SYMBOL_CRC(sdw_intel_process_wakeen_event, 0xe2294de5, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x741c7b28, "cdns_xfer_msg_defer" },
	{ 0x56c039be, "cdns_xfer_msg" },
	{ 0x6573f300, "ida_free" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xdc6b831f, "device_del" },
	{ 0x85a5196e, "hdac_bus_eml_sdw_check_cmdsync_unlocked" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4813a4d2, "devm_kasprintf" },
	{ 0x140aa53a, "hdac_bus_eml_sdw_sync_arm_unlocked" },
	{ 0x46aec8d9, "seq_read" },
	{ 0xb6d81a7d, "debugfs_create_file" },
	{ 0xce46ee1, "sdw_stream_add_master" },
	{ 0x6a90a3fa, "__pm_runtime_resume" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x6cd81359, "cdns_read_ping_status" },
	{ 0xd7c8847e, "acpi_fetch_acpi_dev" },
	{ 0xbd86a47, "device_get_named_child_node" },
	{ 0xed3d3fe6, "sdw_cdns_probe" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xfdffec2e, "sdw_cdns_config_update" },
	{ 0x89f09e18, "seq_printf" },
	{ 0x42478f9, "sdw_bus_master_delete" },
	{ 0xe21e5d93, "single_release" },
	{ 0xb5eda172, "__auxiliary_driver_register" },
	{ 0x3b9c36e5, "sdw_cdns_check_self_clearing_bits" },
	{ 0xac5cbf4c, "kmalloc_trace" },
	{ 0x3eafd6f3, "__pm_runtime_use_autosuspend" },
	{ 0x255c5b51, "hdac_bus_eml_sdw_wait_syncpu_unlocked" },
	{ 0x71e2ea45, "param_ops_int" },
	{ 0x34712074, "sdw_cdns_irq" },
	{ 0xdd8a7e4b, "single_open" },
	{ 0xf360ee74, "hdac_bus_eml_sdw_sync_go_unlocked" },
	{ 0x9c88a29, "__pm_runtime_disable" },
	{ 0x8708c351, "debugfs_create_dir" },
	{ 0x69d347f6, "sdw_master_read_prop" },
	{ 0xb112d145, "sdw_compute_params" },
	{ 0x4c988872, "__pm_runtime_idle" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x94961e20, "kmalloc_caches" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xdc905097, "sdw_cdns_pdi_init" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0x9ea08039, "simple_attr_open" },
	{ 0x22df85c2, "debugfs_attr_write" },
	{ 0x3fcc56a7, "devm_kmalloc" },
	{ 0xa6702a5d, "auxiliary_device_init" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x78573ae2, "sdw_cdns_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x47946e4, "sdw_cdns_clock_restart" },
	{ 0xa6769ba6, "sdw_cdns_debugfs_init" },
	{ 0x34c8b662, "hdac_bus_eml_sdw_set_syncprd_unlocked" },
	{ 0xd58a06bb, "pm_runtime_set_autosuspend_delay" },
	{ 0x9cb629a3, "sdw_bus_master_add" },
	{ 0x869fb2e1, "sdw_cdns_enable_interrupt" },
	{ 0x96848186, "scnprintf" },
	{ 0xf90efd09, "hdac_bus_eml_sdw_power_down_unlocked" },
	{ 0x37a0cba, "kfree" },
	{ 0xb12b8f5d, "sdw_cdns_is_clock_stop" },
	{ 0xb09e9228, "seq_lseek" },
	{ 0x6c163aed, "sdw_cdns_config_update_set_wait" },
	{ 0x5de1bdc0, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x902b2e82, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9fb0e135, "sdw_cdns_config_stream" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x82b40278, "__pm_runtime_set_status" },
	{ 0x6b52d79f, "auxiliary_driver_unregister" },
	{ 0xee31e892, "devm_snd_soc_register_component" },
	{ 0x73395faa, "cdns_bus_conf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x812f9dfe, "put_device" },
	{ 0xecc15c2b, "cdns_set_sdw_stream" },
	{ 0x63eb8f3, "pm_runtime_enable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1f0976d4, "fwnode_property_read_u32_array" },
	{ 0x90973bef, "_dev_info" },
	{ 0xeb6eb87, "add_taint" },
	{ 0xac67bde9, "sdw_clear_slave_status" },
	{ 0xf80faa94, "debugfs_attr_read" },
	{ 0xc8a678c2, "sdw_stream_remove_master" },
	{ 0x270f271, "hdac_bus_eml_sdw_set_lsdiid" },
	{ 0x5a7c3314, "sdw_cdns_exit_reset" },
	{ 0x1d01873e, "_dev_err" },
	{ 0x70565320, "simple_attr_release" },
	{ 0x6e2167bd, "__auxiliary_device_add" },
	{ 0x8eb79f0, "sdw_cdns_alloc_pdi" },
	{ 0x5ea7ab63, "sdw_cdns_clock_stop" },
	{ 0x1dd60754, "hdac_bus_eml_sdw_power_up_unlocked" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x26246bd9, "debugfs_remove" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "soundwire-cadence,snd-sof-intel-hda-mlink,soundwire-bus,soundwire-generic-allocation,snd-pcm,snd-soc-core");

MODULE_ALIAS("auxiliary:soundwire_intel.link");

MODULE_INFO(srcversion, "C3DECE2CEA0A0DA127639AB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
