#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x3fcc56a7, "devm_kmalloc" },
	{ 0x7b2e7ceb, "pcim_enable_device" },
	{ 0x968cc3a, "pci_request_region" },
	{ 0x8e70dd5f, "tty_port_init" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x1bfe432e, "devm_request_threaded_irq" },
	{ 0x5c45d0c, "tty_port_register_device" },
	{ 0x1d01873e, "_dev_err" },
	{ 0x85a74024, "__tty_insert_flip_string_flags" },
	{ 0x35fa6ec8, "tty_flip_buffer_push" },
	{ 0xfb2721f8, "do_SAK" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xf1e55f06, "tty_port_tty_get" },
	{ 0x3f9a0e33, "tty_kref_put" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xbd394d8, "tty_termios_baud_rate" },
	{ 0xf7b0754e, "tty_encode_baud_rate" },
	{ 0xf72a65ea, "tty_get_char_size" },
	{ 0xc6cbbc89, "capable" },
	{ 0xbd6d8c62, "tty_port_alloc_xmit_buf" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xd43792e0, "tty_port_hangup" },
	{ 0x71e2ea45, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x47836e42, "tty_unregister_device" },
	{ 0x1e9fab4a, "tty_port_destroy" },
	{ 0x90238737, "tty_wakeup" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x4159351a, "__tty_alloc_driver" },
	{ 0x67b27ec1, "tty_std_termios" },
	{ 0x8077dcbd, "tty_register_driver" },
	{ 0x92997ed8, "_printk" },
	{ 0x570419ba, "__pci_register_driver" },
	{ 0x8aea4c4a, "tty_unregister_driver" },
	{ 0xd5ba6e1a, "tty_driver_kref_put" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x7dd6743a, "tty_port_free_xmit_buf" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1000e51, "schedule" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0xb728d3d8, "tty_port_close" },
	{ 0xab5d62dc, "tty_port_open" },
	{ 0x8d02b6b8, "pci_unregister_driver" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb7805bf0, "const_pcpu_hot" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001393d00001680sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001393d00001040sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001393d00001320sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001393d00001141sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001393d00001140sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001393d00001020sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001393d00001041sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001393d00001681sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001393d00001321sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001393d00001340sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001393d00001042sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001393d00000001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001393d00001180sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001393d00001021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001393d00001022sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001393d00001181sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001393d00001682sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001393d00001043sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001393d00001080sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001393d00001142sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001393d00001341sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001393d00001380sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001393d00001044sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001393d00001143sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001393d00001023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001393d00001120sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "5E82027046FA97B12F07876");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
