#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x960d1e12, "fscrypt_file_open" },
	{ 0x392bdf63, "generic_perform_write" },
	{ 0x4ccdacd6, "mempool_alloc" },
	{ 0xb7805bf0, "const_pcpu_hot" },
	{ 0x9b6de546, "simple_nosetlease" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x274c1427, "__free_pages" },
	{ 0x957ca8fc, "kmem_cache_alloc" },
	{ 0x9f984513, "strrchr" },
	{ 0xa886c850, "folio_mark_dirty" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x89991228, "ceph_pg_pool_name_by_id" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x1d67d57c, "ceph_osdc_wait_request" },
	{ 0x4f036e37, "inode_init_once" },
	{ 0x5b41c1dd, "folio_wait_private_2" },
	{ 0x498c1c0, "file_write_and_wait_range" },
	{ 0xa2a98a53, "ceph_osdc_new_request" },
	{ 0x10893deb, "compat_ptr_ioctl" },
	{ 0x938ad1b3, "fscrypt_dummy_policies_equal" },
	{ 0x8c30782e, "copy_splice_read" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xbd2f79ae, "ceph_oloc_copy" },
	{ 0xeb4d6ac5, "__fscache_relinquish_volume" },
	{ 0xfce8b4f6, "ilookup5" },
	{ 0x596113a5, "seq_escape_mem" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0xc4559d93, "osd_req_op_copy_from_init" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2b46ede4, "posix_acl_create" },
	{ 0xf285f1a4, "release_pages" },
	{ 0xb7d14ec7, "down_write" },
	{ 0x57e55de2, "fscrypt_ioctl_get_nonce" },
	{ 0xeed7fd81, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x63b3c10e, "generic_file_read_iter" },
	{ 0xa3ee620a, "unlock_page" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x33c87931, "set_cached_acl" },
	{ 0x70565320, "simple_attr_release" },
	{ 0x6f783ae4, "ceph_auth_handle_svc_reply_more" },
	{ 0x3b8eeae4, "netfs_write_begin" },
	{ 0x2087719e, "ceph_oid_copy" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0x9dd3a448, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x29f06452, "init_uts_ns" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xa1c086d5, "ceph_pg_pool_flags" },
	{ 0x914d7809, "wait_on_page_writeback" },
	{ 0xeee4b172, "mnt_idmap_put" },
	{ 0xb4e615, "posix_acl_equiv_mode" },
	{ 0x1cae05ad, "__fscrypt_prepare_rename" },
	{ 0xe6a4ea71, "fscrypt_encrypt_block_inplace" },
	{ 0x9fefa3cb, "ceph_calc_file_object_mapping" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x93f69d1c, "file_update_time" },
	{ 0xeeb28c0f, "fscrypt_ioctl_set_policy" },
	{ 0x435f276e, "set_nlink" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xd4eb7735, "ceph_decode_entity_addr" },
	{ 0x44d659d3, "kmem_cache_free" },
	{ 0x26246bd9, "debugfs_remove" },
	{ 0xeb20d849, "ceph_pg_to_acting_primary" },
	{ 0x5a921311, "strncmp" },
	{ 0x9ebcbc03, "ceph_auth_add_authorizer_challenge" },
	{ 0xd47e7e7b, "d_move" },
	{ 0xf74edaa1, "netfs_release_folio" },
	{ 0xfdea3f18, "seq_putc" },
	{ 0x468ea682, "from_kgid" },
	{ 0x8794bda4, "ceph_con_send" },
	{ 0x7c34477b, "mutex_is_locked" },
	{ 0x3f7b8da1, "fscrypt_ioctl_remove_key" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x56ff8454, "__fscrypt_encrypt_symlink" },
	{ 0xc3098ee9, "ceph_osdc_abort_requests" },
	{ 0x274088c3, "ceph_zero_page_vector_range" },
	{ 0x55cc73f2, "param_set_bool" },
	{ 0xb31a5055, "iov_iter_kvec" },
	{ 0x58c59547, "wait_for_completion_interruptible" },
	{ 0xdebf996f, "file_remove_privs" },
	{ 0xece1b44e, "__fscrypt_prepare_link" },
	{ 0x954a11f4, "ceph_osdc_start_request" },
	{ 0xa7d2365, "from_vfsgid" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xfaf0f36a, "ceph_compare_options" },
	{ 0xd0bf03b7, "d_obtain_alias" },
	{ 0xab6292e7, "file_modified" },
	{ 0xd07fe0c, "posix_acl_chmod" },
	{ 0x4d83caa9, "copy_page_to_iter" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x23d47d12, "ceph_parse_mon_ips" },
	{ 0x50439df6, "ceph_client_addr" },
	{ 0x20436f28, "_raw_spin_trylock" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x986f9ef1, "ceph_msg_dump" },
	{ 0x9fbba67f, "ceph_buffer_new" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x2e41b1db, "fscrypt_put_encryption_info" },
	{ 0xd472c72d, "wait_for_completion_killable" },
	{ 0x827fd046, "fscrypt_fname_encrypted_size" },
	{ 0xf863d012, "finish_no_open" },
	{ 0xfe0606e, "d_obtain_root" },
	{ 0xb052182f, "netfs_dirty_folio" },
	{ 0xa4eac1e9, "fscrypt_d_revalidate" },
	{ 0xfca84dd3, "osd_req_op_extent_init" },
	{ 0xdb644d2d, "ceph_put_page_vector" },
	{ 0xd692e015, "from_kuid" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xa03e242b, "ceph_osdc_alloc_request" },
	{ 0x4996bd29, "fscache_n_updates" },
	{ 0x7afaa09, "osd_req_op_init" },
	{ 0x4affd6c2, "ceph_parse_fsid" },
	{ 0xfb578fc5, "memset" },
	{ 0xefc29646, "ceph_osdc_update_epoch_barrier" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xbe3879aa, "ceph_get_snap_context" },
	{ 0x4d66a249, "security_inode_invalidate_secctx" },
	{ 0x72426844, "osd_req_op_extent_osd_iter" },
	{ 0xa8518606, "iov_iter_bvec" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x3ed233aa, "_atomic_dec_and_lock" },
	{ 0x33eea5dd, "ceph_object_locator_to_pg" },
	{ 0x726c0fc2, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x64aa9007, "__ceph_auth_get_authorizer" },
	{ 0x8c966cf0, "complete_all" },
	{ 0x645a8b3, "d_delete" },
	{ 0x20b067be, "fscrypt_prepare_lookup_partial" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x5e1197f5, "simple_attr_read" },
	{ 0x79b1a9be, "end_page_writeback" },
	{ 0x573ae653, "fscrypt_fname_encrypt" },
	{ 0x7dfa2072, "down_write_trylock" },
	{ 0x2a983d26, "ceph_pagelist_release" },
	{ 0xeddd417, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd7cc4e00, "osd_req_op_extent_osd_data_pages" },
	{ 0x2add30b8, "__fscache_write_to_cache" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb71baa71, "iov_iter_get_pages_alloc2" },
	{ 0x66158c27, "ceph_osdc_sync" },
	{ 0x4cf7e11c, "set_page_dirty" },
	{ 0xc7541edc, "copy_page_from_iter" },
	{ 0xb815fad1, "__xa_insert" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x85aea03b, "xa_erase" },
	{ 0x99919ae0, "ceph_destroy_client" },
	{ 0x46aec8d9, "seq_read" },
	{ 0xa722995b, "fscrypt_free_bounce_page" },
	{ 0xb539c19c, "redirty_page_for_writepage" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x78f6553e, "noop_direct_IO" },
	{ 0x648122fc, "__fscrypt_prepare_readdir" },
	{ 0xb6d81a7d, "debugfs_create_file" },
	{ 0xbc9bdce2, "igrab" },
	{ 0x8b6e531b, "netfs_read_folio" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x51148bf4, "__ceph_open_session" },
	{ 0xe4dbd842, "set_page_writeback" },
	{ 0xe66610ca, "d_add" },
	{ 0x2854fa8f, "rename_lock" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x2f7e5465, "percpu_counter_add_batch" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3096be16, "names_cachep" },
	{ 0x6c78825c, "param_ops_bool" },
	{ 0xabf4c4b7, "__percpu_counter_sum" },
	{ 0x49e8bf12, "init_user_ns" },
	{ 0x3c453e5f, "xa_destroy" },
	{ 0xc37f0b32, "wait_for_completion_killable_timeout" },
	{ 0xf5d073e8, "xa_find" },
	{ 0xc0c8f20f, "d_find_alias" },
	{ 0xece33904, "fscrypt_ioctl_add_key" },
	{ 0x116b1233, "invalidate_inode_pages2" },
	{ 0xc310b981, "strnstr" },
	{ 0xbbff490a, "fscrypt_fname_disk_to_usr" },
	{ 0x3b52e2ea, "inode_set_ctime_current" },
	{ 0x50728ade, "bdi_dev_name" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x81bb5ddd, "__folio_put" },
	{ 0xf4198220, "mempool_destroy" },
	{ 0x7f8a056b, "ceph_alloc_page_vector" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe39b2ea5, "sha256" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x16a0606e, "fscrypt_ioctl_get_policy" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xc9d7714d, "set_anon_super_fc" },
	{ 0x56470118, "__warn_printk" },
	{ 0x89f09e18, "seq_printf" },
	{ 0x223aa16d, "ceph_monc_do_statfs" },
	{ 0xed2d9d57, "dput" },
	{ 0x28170d0, "ceph_monc_validate_auth" },
	{ 0xecfc5e9e, "iov_iter_zero" },
	{ 0xfc43ef2a, "lockref_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x543759aa, "generic_delete_inode" },
	{ 0x646e3843, "deactivate_locked_super" },
	{ 0xb157cc15, "__percpu_down_read" },
	{ 0xbaabf3ed, "ceph_auth_handle_svc_reply_done" },
	{ 0x417a9131, "ceph_oloc_destroy" },
	{ 0x34b1266e, "set_page_dirty_lock" },
	{ 0xdbf5c311, "tag_pages_for_writeback" },
	{ 0x6656a67d, "__fscache_invalidate" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xe974c04, "posix_acl_update_mode" },
	{ 0x9297ea7f, "ceph_auth_handle_bad_authorizer" },
	{ 0x9cd99cdf, "ceph_monc_renew_subs" },
	{ 0x56b77421, "truncate_inode_pages_range" },
	{ 0xf2301826, "downgrade_write" },
	{ 0xee120c03, "ceph_release_string" },
	{ 0x8126bdf8, "__folio_lock" },
	{ 0xf8c3cce, "pagecache_get_page" },
	{ 0xf16cf874, "ceph_msg_put" },
	{ 0x50e3b53f, "osd_req_op_extent_osd_data_bvecs" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x350e1a93, "remove_wait_queue" },
	{ 0x6fcea3ec, "seq_puts" },
	{ 0x57baf885, "ceph_str_hash" },
	{ 0xba4fada, "__fscache_use_cookie" },
	{ 0x7ee0ebf6, "rcuwait_wake_up" },
	{ 0xe21e5d93, "single_release" },
	{ 0x2996c424, "fscrypt_prepare_symlink" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x381d665a, "iov_iter_xarray" },
	{ 0x1e456b62, "__fs_parse" },
	{ 0x8d6a681e, "filemap_splice_read" },
	{ 0xcda69c60, "posix_acl_to_xattr" },
	{ 0x6a7a38a0, "ceph_pr_addr" },
	{ 0xb72c162e, "ceph_buffer_release" },
	{ 0x7308cd49, "dget_parent" },
	{ 0x7ef06546, "kill_anon_super" },
	{ 0x42737b5e, "xa_find_after" },
	{ 0xac5cbf4c, "kmalloc_trace" },
	{ 0x92d2c3a1, "iget5_locked" },
	{ 0x47709e42, "free_anon_bdev" },
	{ 0xb60ae648, "security_dentry_init_security" },
	{ 0x9ca267e8, "filemap_write_and_wait_range" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xc01a986f, "osd_req_op_raw_data_in_pages" },
	{ 0x6dc49bdc, "fscrypt_prepare_new_inode" },
	{ 0xce20a7ba, "netfs_subreq_terminated" },
	{ 0xbc817cab, "ceph_con_init" },
	{ 0x48dd50e7, "generic_write_checks" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x81ca500a, "fscrypt_encrypt_pagecache_blocks" },
	{ 0xef6a3a3b, "fscrypt_get_symlink" },
	{ 0xdd8a7e4b, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x86d824c5, "kmem_cache_alloc_lru" },
	{ 0x17a4e70c, "filemap_fault" },
	{ 0x2334bc5d, "d_invalidate" },
	{ 0x8708c351, "debugfs_create_dir" },
	{ 0x5dd313f7, "__mark_inode_dirty" },
	{ 0x30db8d46, "generic_file_llseek" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xd4d736db, "ceph_destroy_options" },
	{ 0xb29e4782, "lockref_get_not_dead" },
	{ 0xbb53856b, "up_read" },
	{ 0xceb296c6, "ceph_osdc_clear_abort_err" },
	{ 0x6632b354, "iov_iter_npages" },
	{ 0x72ce45fd, "drop_nlink" },
	{ 0x94e39fb, "fscrypt_free_inode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1f39da45, "fscrypt_has_permitted_context" },
	{ 0x94961e20, "kmalloc_caches" },
	{ 0x6714d4f2, "fscrypt_symlink_getattr" },
	{ 0xdf6ef4a1, "ceph_oid_printf" },
	{ 0x77387372, "kmem_cache_destroy" },
	{ 0xa9d8ac71, "__fscache_acquire_cookie" },
	{ 0x40746385, "ceph_con_close" },
	{ 0xafb8a407, "ceph_msgr_flush" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6a5fa363, "sigprocmask" },
	{ 0x7a3c4a73, "forget_cached_acl" },
	{ 0xf93181be, "osd_req_op_xattr_init" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x2f952a0b, "fscrypt_context_for_new_inode" },
	{ 0xe19b897a, "ceph_con_keepalive" },
	{ 0xd2aac2e3, "super_setup_bdi_name" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0xedda5dae, "folio_invalidate" },
	{ 0xf2aafca6, "ceph_auth_get_authorizer" },
	{ 0xd69d1733, "__page_file_index" },
	{ 0x9bc6b539, "ceph_find_or_create_string" },
	{ 0xe914e41e, "strcpy" },
	{ 0xeb0c9c76, "filemap_fdatawrite" },
	{ 0x45e8b450, "mnt_idmap_get" },
	{ 0x2ef437ff, "generic_fillattr" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x66beb267, "vfs_fsync_range" },
	{ 0x88ea99f5, "setattr_prepare" },
	{ 0xdef2bd2b, "ceph_print_client_options" },
	{ 0xc8236a50, "simple_attr_write" },
	{ 0xaaf529b5, "file_check_and_advance_wb_err" },
	{ 0x5bbead73, "ceph_msg_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x4cd615a8, "filemap_get_folios_tag" },
	{ 0xdadf9a2e, "__init_rwsem" },
	{ 0xdfc091f9, "ceph_entity_type_name" },
	{ 0x6325f03d, "d_instantiate" },
	{ 0xc5326b5a, "_copy_to_iter" },
	{ 0x9ea08039, "simple_attr_open" },
	{ 0x9ca95932, "ceph_create_snap_context" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x787a09c, "clear_inode" },
	{ 0x1122e653, "ceph_create_client" },
	{ 0x116cbb1, "__fscache_acquire_volume" },
	{ 0x706346c2, "vfs_inode_has_locks" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x98293cd0, "osd_req_op_extent_osd_data" },
	{ 0xae7f3d38, "__percpu_counter_init_many" },
	{ 0xb3166f62, "discard_new_inode" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xcdc39c9e, "security_ismaclabel" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb95903a6, "fs_param_is_string" },
	{ 0xc31ac3ca, "__folio_batch_release" },
	{ 0x7eccd52, "folio_unlock" },
	{ 0xd639f94c, "__fscache_resize_cookie" },
	{ 0x757c39ea, "fscrypt_ioctl_remove_key_all_users" },
	{ 0x63915b84, "fscrypt_parse_test_dummy_encryption" },
	{ 0x9de7b988, "inode_insert5" },
	{ 0x53876455, "ceph_monc_want_map" },
	{ 0xdea485d7, "new_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe4899a41, "netfs_unpin_writeback" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc74f1ed3, "ceph_con_open" },
	{ 0x9e6a64f8, "forget_all_cached_acls" },
	{ 0xc6854d8b, "init_special_inode" },
	{ 0x374647fd, "unregister_filesystem" },
	{ 0xc933f555, "__fscrypt_prepare_setattr" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x449ac683, "param_get_bool" },
	{ 0xe76e7226, "ceph_pagelist_alloc" },
	{ 0x7075eda2, "debugfs_create_symlink" },
	{ 0xca9360b5, "rb_next" },
	{ 0x4061daff, "ceph_osdc_put_request" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x4cd783e4, "generic_error_remove_folio" },
	{ 0xd2a2ac1a, "inode_set_flags" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xad703657, "ceph_auth_destroy_authorizer" },
	{ 0xa7319d22, "iov_iter_advance" },
	{ 0x441f2f61, "fscrypt_ioctl_get_key_status" },
	{ 0x4cc01241, "d_make_root" },
	{ 0xa81a9c30, "d_same_name" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x4c31972d, "fscrypt_decrypt_block_inplace" },
	{ 0xeb18e354, "read_cache_folio" },
	{ 0xc41c1fae, "invalidate_mapping_pages" },
	{ 0x389c3ee7, "sync_filesystem" },
	{ 0x83bee85f, "__fscache_unuse_cookie" },
	{ 0x86fca7e4, "ceph_put_snap_context" },
	{ 0x2c86a30, "ceph_parse_param" },
	{ 0xd6022fa, "ceph_client_gid" },
	{ 0xd07f543, "get_anon_bdev" },
	{ 0x695b39d8, "percpu_counter_destroy_many" },
	{ 0x3683e4a9, "sget_fc" },
	{ 0xb82ff621, "d_splice_alias" },
	{ 0x51e2b12f, "iov_iter_get_pages2" },
	{ 0xf54fe7f2, "current_time" },
	{ 0xc1d433bb, "osd_req_op_extent_update" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfbc3f4a3, "from_vfsuid" },
	{ 0x9c515312, "ihold" },
	{ 0x9775ca86, "d_find_any_alias" },
	{ 0x2e5631f7, "inode_dio_wait" },
	{ 0xf6a2f063, "generic_permission" },
	{ 0x5f8cc0e0, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xcec73a06, "invalidate_inode_pages2_range" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x71f10386, "posix_lock_file" },
	{ 0x8821dac2, "finish_open" },
	{ 0x71747f95, "iput" },
	{ 0x8536d2f3, "pcpu_hot" },
	{ 0xb09e9228, "seq_lseek" },
	{ 0x27098361, "fs_param_is_enum" },
	{ 0xa2ebea38, "fs_param_is_s32" },
	{ 0xf54759c2, "wrap_directory_iterator" },
	{ 0xcb39ef5, "add_wait_queue" },
	{ 0x86f8d45c, "logfc" },
	{ 0x8df0b58c, "__put_devmap_managed_page_refs" },
	{ 0x7c66b430, "ceph_monc_blocklist_add" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0x2999b6a2, "fscrypt_show_test_dummy_encryption" },
	{ 0x4d6b7d44, "iter_file_splice_write" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x2c51b0be, "d_lookup" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x148653, "vsnprintf" },
	{ 0xffffe25f, "__fscache_relinquish_cookie" },
	{ 0x47ab0eb5, "ceph_msg_new" },
	{ 0x4fc76cb1, "register_filesystem" },
	{ 0xae37ee52, "kmem_cache_create" },
	{ 0xf908884a, "ceph_auth_invalidate_authorizer" },
	{ 0xff12ba4e, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xfbbcdf9e, "fscrypt_ioctl_get_policy_ex" },
	{ 0xf7a91cb4, "ceph_monc_got_map" },
	{ 0x5b25e55e, "osd_req_op_extent_dup_last" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xfebde058, "mempool_free" },
	{ 0x96b3e4e0, "down_read_trylock" },
	{ 0xd42f1df9, "ceph_osdc_alloc_messages" },
	{ 0xe53e00c7, "clear_page_dirty_for_io" },
	{ 0x49eae29, "ceph_msg_data_add_pagelist" },
	{ 0x12281a7b, "netfs_readahead" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0x78f99751, "simple_get_link" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb54676fa, "ceph_msg_type_name" },
	{ 0xe0a5f90, "shrink_dcache_parent" },
	{ 0x73beee4f, "__put_cred" },
	{ 0x3e47247, "d_prune_aliases" },
	{ 0xc4ee32cb, "ceph_reset_client_addr" },
	{ 0x7eaed54b, "splice_file_range" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x987d3968, "ceph_alloc_options" },
	{ 0x2505c693, "locks_lock_inode_wait" },
	{ 0xa263892b, "fscrypt_fname_free_buffer" },
	{ 0x8780b5e4, "fs_param_is_u32" },
	{ 0x12f354b2, "inode_newsize_ok" },
	{ 0xa966ccad, "netfs_invalidate_folio" },
	{ 0x50dec587, "d_drop" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0xafc86578, "ceph_msg_new2" },
	{ 0x96a39c08, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0xf7dc92ae, "mempool_create" },
	{ 0xaacbbc1c, "ceph_release_page_vector" },
	{ 0x56d2604c, "posix_acl_from_xattr" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x80e5f86f, "fscrypt_fname_alloc_buffer" },
	{ 0xa523915c, "filemap_alloc_folio" },
	{ 0x6845cc76, "ceph_check_fsid" },
	{ 0x50603ce3, "ceph_decode_entity_addrvec" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xefce3c3b, "ceph_pagelist_reserve" },
	{ 0xa699b7df, "__ceph_alloc_sparse_ext_map" },
	{ 0xefce991c, "ceph_pagelist_append" },
	{ 0xe1e30452, "ceph_auth_verify_authorizer_reply" },
	{ 0x89e3b1ca, "make_kuid" },
	{ 0xa9230430, "truncate_inode_pages_final" },
	{ 0xda1244aa, "d_alloc" },
	{ 0xbe11af61, "__filemap_set_wb_err" },
	{ 0xa916b694, "strnlen" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "libceph,netfs");


MODULE_INFO(srcversion, "37DCCFB8C80FA7E57FA31C3");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
