#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x867bfa91, "snd_hda_pick_fixup" },
	{ 0x66895df6, "snd_hda_apply_fixup" },
	{ 0x4c69c315, "snd_hda_add_verbs" },
	{ 0x4b26fc91, "snd_hda_gen_parse_auto_config" },
	{ 0x9ed9f333, "snd_hda_enum_helper_info" },
	{ 0xac5cbf4c, "kmalloc_trace" },
	{ 0xd888c121, "snd_hdac_codec_read" },
	{ 0x52ed634c, "snd_hda_mixer_amp_volume_put" },
	{ 0x1f080cee, "snd_hda_gen_free" },
	{ 0xf9a482f9, "msleep" },
	{ 0x222cc820, "snd_hdac_regmap_sync" },
	{ 0x94961e20, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb8e03e37, "snd_hda_shutup_pins" },
	{ 0x1be54cea, "snd_hda_get_connections" },
	{ 0x9a7ed045, "snd_hda_gen_build_controls" },
	{ 0x8c922d6c, "snd_hda_mixer_amp_volume_info" },
	{ 0x5da83baf, "snd_hdac_regmap_read_raw" },
	{ 0xb033d957, "snd_hda_gen_spec_init" },
	{ 0xe10dded8, "snd_hda_mixer_amp_switch_info" },
	{ 0xfef88d6c, "hda_codec_driver_unregister" },
	{ 0x3f3e3757, "snd_hda_codec_get_pincfg" },
	{ 0xf86c9a25, "snd_hdac_codec_write" },
	{ 0xcb7934db, "snd_hda_mixer_amp_switch_get_beep" },
	{ 0x4585cc4f, "snd_hda_gen_add_kctl" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xeab6e9d1, "snd_hda_mixer_amp_switch_put_beep" },
	{ 0xe70ee2af, "_snd_hdac_read_parm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xc30f61f4, "snd_hda_get_bool_hint" },
	{ 0x5e4c9dc, "snd_ctl_boolean_mono_info" },
	{ 0x47cf1dc6, "snd_hda_override_amp_caps" },
	{ 0xab6dc6b8, "__hda_codec_driver_register" },
	{ 0xb78fbcd8, "snd_hda_parse_pin_defcfg" },
	{ 0xe297469c, "snd_hda_gen_init" },
	{ 0x21bdc49f, "snd_hda_mixer_amp_switch_get" },
	{ 0xc7932acf, "snd_hda_codec_set_name" },
	{ 0x4c22372b, "snd_hda_mixer_amp_volume_get" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3f7290f8, "snd_hda_mixer_amp_switch_put" },
	{ 0x54567418, "snd_hda_codec_set_pincfg" },
	{ 0x3f4b5942, "snd_hda_jack_unsol_event" },
	{ 0x5f91b0ca, "snd_hda_override_conn_list" },
	{ 0x4fcd184c, "snd_hda_check_amp_list_power" },
	{ 0xaf96f461, "snd_hda_gen_build_pcms" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x18ccad97, "snd_hda_mixer_amp_tlv" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-codec,snd-hda-codec-generic,snd-hda-core,snd");

MODULE_ALIAS("hdaudio:v11061708r*a01*");
MODULE_ALIAS("hdaudio:v11061709r*a01*");
MODULE_ALIAS("hdaudio:v1106170Ar*a01*");
MODULE_ALIAS("hdaudio:v1106170Br*a01*");
MODULE_ALIAS("hdaudio:v1106E710r*a01*");
MODULE_ALIAS("hdaudio:v1106E711r*a01*");
MODULE_ALIAS("hdaudio:v1106E712r*a01*");
MODULE_ALIAS("hdaudio:v1106E713r*a01*");
MODULE_ALIAS("hdaudio:v1106E714r*a01*");
MODULE_ALIAS("hdaudio:v1106E715r*a01*");
MODULE_ALIAS("hdaudio:v1106E716r*a01*");
MODULE_ALIAS("hdaudio:v1106E717r*a01*");
MODULE_ALIAS("hdaudio:v1106E720r*a01*");
MODULE_ALIAS("hdaudio:v1106E721r*a01*");
MODULE_ALIAS("hdaudio:v1106E722r*a01*");
MODULE_ALIAS("hdaudio:v1106E723r*a01*");
MODULE_ALIAS("hdaudio:v1106E724r*a01*");
MODULE_ALIAS("hdaudio:v1106E725r*a01*");
MODULE_ALIAS("hdaudio:v1106E726r*a01*");
MODULE_ALIAS("hdaudio:v1106E727r*a01*");
MODULE_ALIAS("hdaudio:v11060397r*a01*");
MODULE_ALIAS("hdaudio:v11061397r*a01*");
MODULE_ALIAS("hdaudio:v11062397r*a01*");
MODULE_ALIAS("hdaudio:v11063397r*a01*");
MODULE_ALIAS("hdaudio:v11064397r*a01*");
MODULE_ALIAS("hdaudio:v11065397r*a01*");
MODULE_ALIAS("hdaudio:v11066397r*a01*");
MODULE_ALIAS("hdaudio:v11067397r*a01*");
MODULE_ALIAS("hdaudio:v11060398r*a01*");
MODULE_ALIAS("hdaudio:v11061398r*a01*");
MODULE_ALIAS("hdaudio:v11062398r*a01*");
MODULE_ALIAS("hdaudio:v11063398r*a01*");
MODULE_ALIAS("hdaudio:v11064398r*a01*");
MODULE_ALIAS("hdaudio:v11065398r*a01*");
MODULE_ALIAS("hdaudio:v11066398r*a01*");
MODULE_ALIAS("hdaudio:v11067398r*a01*");
MODULE_ALIAS("hdaudio:v11060428r*a01*");
MODULE_ALIAS("hdaudio:v11064428r*a01*");
MODULE_ALIAS("hdaudio:v11060441r*a01*");
MODULE_ALIAS("hdaudio:v11064441r*a01*");
MODULE_ALIAS("hdaudio:v11060433r*a01*");
MODULE_ALIAS("hdaudio:v1106A721r*a01*");
MODULE_ALIAS("hdaudio:v11060438r*a01*");
MODULE_ALIAS("hdaudio:v11064438r*a01*");
MODULE_ALIAS("hdaudio:v11060448r*a01*");
MODULE_ALIAS("hdaudio:v11060440r*a01*");
MODULE_ALIAS("hdaudio:v11060446r*a01*");
MODULE_ALIAS("hdaudio:v11068446r*a01*");
MODULE_ALIAS("hdaudio:v11064760r*a01*");
MODULE_ALIAS("hdaudio:v11064761r*a01*");
MODULE_ALIAS("hdaudio:v11064762r*a01*");

MODULE_INFO(srcversion, "558C15B795F5F4841E8D15D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
