#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l56_set_patch, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_init_asp1_regs_for_driver_control, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_force_sync_asp1_registers_from_cache, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_mbox_send, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_firmware_shutdown, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_for_firmware_boot, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_control_port_ready, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_min_reset_pulse, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_system_reset, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_irq_request, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_irq, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_is_fw_reload_needed, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_runtime_suspend_common, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_runtime_resume_common, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_init_cs_dsp, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_calibration_controls, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_calibration, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_read_prot_status, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_hw_init, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_speaker_id, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_bclk_freq_id, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_fill_supply_names, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_tx_input_texts, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_tx_input_values, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_i2c, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_spi, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_sdw, "_gpl", "SND_SOC_CS35L56_SHARED");

SYMBOL_CRC(cs35l56_set_patch, 0xebf22c14, "_gpl");
SYMBOL_CRC(cs35l56_init_asp1_regs_for_driver_control, 0xe0c1e689, "_gpl");
SYMBOL_CRC(cs35l56_force_sync_asp1_registers_from_cache, 0x694edbfc, "_gpl");
SYMBOL_CRC(cs35l56_mbox_send, 0x24ae94b3, "_gpl");
SYMBOL_CRC(cs35l56_firmware_shutdown, 0x8ead0d63, "_gpl");
SYMBOL_CRC(cs35l56_wait_for_firmware_boot, 0xa3bf118c, "_gpl");
SYMBOL_CRC(cs35l56_wait_control_port_ready, 0xad591ce8, "_gpl");
SYMBOL_CRC(cs35l56_wait_min_reset_pulse, 0x810124fe, "_gpl");
SYMBOL_CRC(cs35l56_system_reset, 0xae0ef310, "_gpl");
SYMBOL_CRC(cs35l56_irq_request, 0xd74fe840, "_gpl");
SYMBOL_CRC(cs35l56_irq, 0x05482545, "_gpl");
SYMBOL_CRC(cs35l56_is_fw_reload_needed, 0x75dd0176, "_gpl");
SYMBOL_CRC(cs35l56_runtime_suspend_common, 0x6277948e, "_gpl");
SYMBOL_CRC(cs35l56_runtime_resume_common, 0x95006e51, "_gpl");
SYMBOL_CRC(cs35l56_init_cs_dsp, 0x8395c5ec, "_gpl");
SYMBOL_CRC(cs35l56_calibration_controls, 0x0fa4d22d, "_gpl");
SYMBOL_CRC(cs35l56_get_calibration, 0x19bdbc7f, "_gpl");
SYMBOL_CRC(cs35l56_read_prot_status, 0xdf8207bb, "_gpl");
SYMBOL_CRC(cs35l56_hw_init, 0x471f1be3, "_gpl");
SYMBOL_CRC(cs35l56_get_speaker_id, 0xcd81ff79, "_gpl");
SYMBOL_CRC(cs35l56_get_bclk_freq_id, 0x88762c92, "_gpl");
SYMBOL_CRC(cs35l56_fill_supply_names, 0xcd5438ad, "_gpl");
SYMBOL_CRC(cs35l56_tx_input_texts, 0x64e759e4, "_gpl");
SYMBOL_CRC(cs35l56_tx_input_values, 0x05c2529e, "_gpl");
SYMBOL_CRC(cs35l56_regmap_i2c, 0xf2f98f88, "_gpl");
SYMBOL_CRC(cs35l56_regmap_spi, 0x44ac8957, "_gpl");
SYMBOL_CRC(cs35l56_regmap_sdw, 0x8bc2bd24, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1bfe432e, "devm_request_threaded_irq" },
	{ 0xda5ae294, "cs_amp_get_efi_calibration_data" },
	{ 0xaa9d6754, "regmap_raw_read" },
	{ 0x8695c01e, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x902b2e82, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe47614f9, "gpiod_get_array_optional" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x90973bef, "_dev_info" },
	{ 0x8afced85, "regmap_multi_reg_write_bypassed" },
	{ 0x1d01873e, "_dev_err" },
	{ 0xdd45977b, "gpiod_put_array" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xfba6453f, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd95421fe, "regmap_read_bypassed" },
	{ 0xca4985d0, "regmap_read" },
	{ 0x6a90a3fa, "__pm_runtime_resume" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x91e65223, "_dev_crit" },
	{ 0xd3b3ef37, "regmap_update_bits_base" },
	{ 0x94405e04, "dev_err_probe" },
	{ 0x29f6df89, "regmap_multi_reg_write" },
	{ 0x4dc3632f, "__pm_runtime_suspend" },
	{ 0xe2903e5d, "regmap_register_patch" },
	{ 0x4c988872, "__pm_runtime_idle" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xbfa2c452, "gpiod_get_value_cansleep" },
	{ 0xab5195ae, "regcache_cache_only" },
	{ 0x8de2f258, "regcache_sync" },
	{ 0xfda1893d, "regmap_write" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-cs-amp-lib");


MODULE_INFO(srcversion, "6AE7866CFA6F5D3722905F8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
