#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd1dfbed0, "input_register_device" },
	{ 0x11e441ce, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x849d52fd, "usb_submit_urb" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x60d56d91, "snd_card_new" },
	{ 0xdb5a8f3b, "usb_urb_ep_type_check" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x66d8b123, "snd_card_set_id" },
	{ 0x1d01873e, "_dev_err" },
	{ 0xd2dd21b2, "usb_set_interface" },
	{ 0xa315ccc6, "snd_pcm_set_ops" },
	{ 0xaa967ebb, "usb_deregister" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x87c81d18, "usb_string" },
	{ 0xe1f63dce, "snd_pcm_set_managed_buffer_all" },
	{ 0xfba6453f, "_dev_warn" },
	{ 0xbe7d01b0, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x9270a229, "input_event" },
	{ 0x61745dd8, "input_set_abs_params" },
	{ 0xb2668e59, "snd_rawmidi_new" },
	{ 0x2d4892e6, "snd_card_disconnect" },
	{ 0x7f4dd03e, "snd_rawmidi_set_ops" },
	{ 0x6c78825c, "param_ops_bool" },
	{ 0xb307c7df, "usb_kill_urb" },
	{ 0x7bd894b4, "usb_init_urb" },
	{ 0x81f8458c, "snd_pcm_period_elapsed" },
	{ 0xac5cbf4c, "kmalloc_trace" },
	{ 0x71e2ea45, "param_ops_int" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x94961e20, "kmalloc_caches" },
	{ 0x222bbbf7, "input_allocate_device" },
	{ 0x5ed9d72f, "usb_alloc_urb" },
	{ 0xdbb75ade, "snd_rawmidi_receive" },
	{ 0xffd134d1, "usb_free_urb" },
	{ 0xbbdd3e30, "snd_pcm_hw_limit_rates" },
	{ 0x8c3722a0, "snd_rawmidi_transmit" },
	{ 0x38896e95, "snd_ctl_add" },
	{ 0x46bedbf4, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x641e8c69, "snd_card_register" },
	{ 0x109d13a, "snd_card_free" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x2bd2908e, "usb_register_driver" },
	{ 0x96848186, "scnprintf" },
	{ 0xc38e72e1, "param_array_ops" },
	{ 0x1230443a, "input_unregister_device" },
	{ 0x37a0cba, "kfree" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x902b2e82, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x91a81bbe, "input_free_device" },
	{ 0xb4161739, "snd_ctl_new1" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf35d1172, "usb_bulk_msg" },
	{ 0xa13b6e45, "module_layout" },
};

MODULE_INFO(depends, "usbcore,snd,snd-pcm,snd-rawmidi");

MODULE_ALIAS("usb:v17CCp1969d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4712d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0815d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1978d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1915d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0D8Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0839d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp2305d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCpBAFFd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0808d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "D5AA2B49B509894EBFF12B1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
